(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    113223,       2851]
NotebookOptionsPosition[    112588,       2827]
NotebookOutlinePosition[    113146,       2848]
CellTagsIndexPosition[    113103,       2845]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["2D Pure vs Simple Shear-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook models combinations of two-dimensional pure and simple \
shear.  You can create animations of either simple shear followed by pure \
shear, pure shear followed by simple shear and simultaneous pure and simple \
shear.  You will be prompted to choose between these three scenarios and to \
input the respective strain amounts while the program is running.", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["  You can read the \"readme.txt\" file for more information about \
this program.  To start the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.  \n        \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, {
   3.496666878935896*^9, 3.496666882058075*^9}, {3.4966998411557436`*^9, 
   3.4966998512645617`*^9}, 3.496700003458429*^9, {3.496700050804512*^9, 
   3.4967000703357463`*^9}, {3.4967010229826193`*^9, 3.496701031001034*^9}, {
   3.496701340671091*^9, 3.496701359562724*^9}, {3.4967013926035824`*^9, 
   3.4967013959419885`*^9}, {3.496701565732687*^9, 3.496701567277089*^9}, {
   3.4967017081765366`*^9, 3.4967017085197372`*^9}, {3.496701815114725*^9, 
   3.496701830699152*^9}, {3.49670213577162*^9, 3.496702308224927*^9}, {
   3.49670240927999*^9, 3.4967025976191206`*^9}, {3.4967026281951747`*^9, 
   3.4967026434520016`*^9}, {3.4967027580030026`*^9, 3.49670279647267*^9}, {
   3.4967028362371397`*^9, 3.496702920052264*^9}, {3.4967030026357803`*^9, 
   3.4967030044738855`*^9}, {3.4967030400818653`*^9, 3.4967030415014677`*^9}, 
   3.49670324194622*^9, {3.496703279994687*^9, 3.4967032878259*^9}, {
   3.496703318292754*^9, 3.496703319150756*^9}, 3.496744017493555*^9, {
   3.49679034432673*^9, 3.49679042644036*^9}, {3.4967904625902867`*^9, 
   3.4967905163633423`*^9}, 3.496790558076702*^9, {3.496937452485158*^9, 
   3.496937563694519*^9}, {3.496943292988819*^9, 3.496943294806923*^9}, {
   3.4969440350212607`*^9, 3.4969440352592745`*^9}, {3.4969631495618305`*^9, 
   3.4969631845767355`*^9}, {3.5039406954481835`*^9, 3.503940695666931*^9}, {
   3.5176704472745743`*^9, 3.5176704474149747`*^9}, 3.522102875690877*^9, {
   3.547719598867786*^9, 3.54771960179779*^9}, {3.5479352843117123`*^9, 
   3.5479354592219586`*^9}, {3.5479373561624885`*^9, 3.5479373685245056`*^9}, 
   3.5479776116381655`*^9, {3.6115052046280336`*^9, 3.611505234233727*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"You", " ", "can", " ", "adjust", " ", "the", " ", "number"}], 
    ",", " ", "ninc", ",", " ", 
    RowBox[{
    "to", " ", "change", " ", "the", " ", "number", " ", "of", " ", 
     "increments", " ", "of", " ", "deformation", " ", "that", " ", "you", 
     " ", "animate"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ninc", "=", "200"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rps", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Enter the strain due to pure shear (given as an axial ratio)\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rss", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Enter the strain due to simple shear (given  as an axial ratio)\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DumbyVariable", "=", 
    RowBox[{
    "Input", "[", 
     "\"\<If you would like to apply pure shear first and then simple shear, \
enter 'p' (lower case).  If you would like to apply simple shear and then \
pure shear, enter 's' (lower case).  If you want to apply pure and simple \
shear concurrently, enter 'c' (lower case).\>\"", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"DumbyVariable", "\[Equal]", "c"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Gamma]", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "ninc"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Rss", "-", "1"}], ")"}], "*", 
           RowBox[{"Sqrt", "[", "Rss", "]"}]}], ")"}], "/", "Rss"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Rps", "\[Equal]", "1"}], ",", 
        RowBox[{"\[Gamma]prime", "=", "\[Gamma]"}], ",", 
        RowBox[{
         RowBox[{"\[Gamma]prime", "=", 
          RowBox[{"\[Gamma]", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Sqrt", "[", "Rps", "]"}], "^", 
                 RowBox[{"(", 
                  RowBox[{"1", "/", "ninc"}], ")"}]}], ")"}], "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"(", 
                  RowBox[{"1", "/", 
                   RowBox[{"Sqrt", "[", "Rps", "]"}]}], ")"}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"1", "/", "ninc"}], ")"}]}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", "Rps", "]"}], "^", 
                  RowBox[{"(", 
                   RowBox[{"1", "/", "ninc"}], ")"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "/", 
                    RowBox[{"Sqrt", "[", "Rps", "]"}]}], ")"}], "^", 
                  RowBox[{"(", 
                   RowBox[{"1", "/", "ninc"}], ")"}]}], ")"}]}], "]"}], 
              ")"}]}], ")"}]}]}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Dinc", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"Sqrt", "[", "Rps", "]"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "ninc"}], ")"}]}], ",", "\[Gamma]prime"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", 
              RowBox[{"Sqrt", "[", "Rps", "]"}]}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "ninc"}], ")"}]}]}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Ln", "[", "0", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Gz", "[", "0", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[CapitalXi]z", "[", "0", "]"}], "=", "0"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lgx", "[", "0", "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lgy", "[", "0", "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"stx", "[", "0", "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"sty", "[", "0", "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Rf", "[", "0", "]"}], "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"DZ", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "ninc"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"DZ", "=", 
          RowBox[{
           RowBox[{"Dinc", ".", "DZ"}], "//", "N"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"PZ", "=", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"Inverse", "[", "DZ", "]"}], "]"}], ".", 
           RowBox[{"Inverse", "[", "DZ", "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"TPZ", "=", 
          RowBox[{"N", "[", 
           RowBox[{"Eigensystem", "[", "PZ", "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ValPZ", "=", 
          RowBox[{"N", "[", 
           RowBox[{"Eigenvalues", "[", "PZ", "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"PZSortVal", "=", 
          RowBox[{"Sort", "[", 
           RowBox[{"ValPZ", ",", "Greater"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PZSortVal", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "==", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
           RowBox[{"SortVect1", "=", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PZSortVal", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "==", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"SortVect1", "=", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PZSortVal", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "==", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
           RowBox[{"SortVect2", "=", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PZSortVal", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "==", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"SortVect2", "=", 
            RowBox[{"TPZ", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"PZSortVal", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
            RowBox[{"PZSortVal", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"SortVect1", "=", 
             RowBox[{"TPZ", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"SortVect2", "=", 
             RowBox[{"TPZ", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Gz", "[", "ct", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", 
             RowBox[{"Sqrt", "[", 
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
            RowBox[{"1", "/", 
             RowBox[{"Sqrt", "[", 
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Vz", "[", "ct", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{"SortVect2", ",", "SortVect1"}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Vz", "[", "ct", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
           RowBox[{
            RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", "0"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", 
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";"}]}], 
          "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Ln", "[", "ct", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"DZ", ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}]}], ",", 
            RowBox[{"DZ", ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"-", "1"}]}], "}"}]}], ",", 
            RowBox[{"DZ", ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", 
               RowBox[{"-", "1"}]}], "}"}]}], ",", 
            RowBox[{"DZ", ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ",", 
            RowBox[{"DZ", ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}]}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Rf", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "/", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Phi", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{"ArcTan", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "*", 
           RowBox[{"180", "/", "Pi"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Psi]", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{"ArcTan", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"Ln", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", 
               RowBox[{
                RowBox[{"Ln", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"2", "*", 
               RowBox[{
                RowBox[{"Ln", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"180", "/", "Pi"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"lgx", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Vz", "[", "ct", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], "/", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"lgy", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Vz", "[", "ct", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"stx", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Vz", "[", "ct", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], "/", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"sty", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Vz", "[", "ct", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "2"}], "]"}], "]"}], "/", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphbound", "=", 
       RowBox[{"Round", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Ln", "[", "ninc", "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", ".5"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Diag1", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "1"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"3", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Diag2", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "1"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"4", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"4", ",", "2"}], "]"}], "]"}]}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"LAxes", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"lgx", "[", "g", "]"}], ",", 
                 RowBox[{"lgy", "[", "g", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"lgx", "[", "g", "]"}]}], ",", 
                 RowBox[{"-", 
                  RowBox[{"lgy", "[", "g", "]"}]}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"SAxes", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"stx", "[", "g", "]"}], ",", 
                 RowBox[{"sty", "[", "g", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"stx", "[", "g", "]"}]}], ",", 
                 RowBox[{"-", 
                  RowBox[{"sty", "[", "g", "]"}]}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ShrBox", "[", "c_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Ln", "[", "c", "]"}], "[", 
                RowBox[{"[", "x", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "1", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
           "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"PZplot", "[", "xx_", "]"}], ":=", 
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], 
             RowBox[{"Sin", "[", "t", "]"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], "*", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", "t", "]"}]}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "*", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], 
             RowBox[{"Sin", "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"PlotStyle", "->", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Double", "[", "x_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Diag1", "[", "x", "]"}], ",", 
         RowBox[{"Diag2", "[", "x", "]"}], ",", 
         RowBox[{"LAxes", "[", "x", "]"}], ",", 
         RowBox[{"SAxes", "[", "x", "]"}], ",", 
         RowBox[{"ShrBox", "[", "x", "]"}], ",", 
         RowBox[{"PZplot", "[", "x", "]"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "540"}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"SequenceForm", "[", 
           RowBox[{"StyleForm", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\"\<Axial Ratio = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"Rf", "[", "x", "]"}], "]"}], "]"}]}], 
              RowBox[{"\"\<;  \[Phi] = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"Phi", "[", "x", "]"}], "]"}], "]"}]}], " ", 
              RowBox[{"\"\<;  \[CapitalPsi] = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"\[Psi]", "[", "x", "]"}], "]"}], "]"}]}]}], ",", 
             RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], "]"}]}]}], 
        "]"}]}]}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"DumbyVariable", "\[Equal]", "s"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Rss", "\[Equal]", "1"}], "||", 
         RowBox[{"Rps", "\[Equal]", "1"}]}], ",", 
        RowBox[{
         RowBox[{"ninc", "=", 
          RowBox[{"ninc", "*", "2"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Gamma]", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"ninc", "/", "2"}], ")"}]}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Rss", "-", "1"}], ")"}], "*", 
           RowBox[{"Sqrt", "[", "Rss", "]"}]}], ")"}], "/", "Rss"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Dssinc", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "\[Gamma]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";", "\n", 
      RowBox[{"Dpsinc", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"Sqrt", "[", "Rps", "]"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", 
              RowBox[{"(", 
               RowBox[{"ninc", "/", "2"}], ")"}]}], ")"}]}], ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", 
              RowBox[{"Sqrt", "[", "Rps", "]"}]}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", 
              RowBox[{"(", 
               RowBox[{"ninc", "/", "2"}], ")"}]}], ")"}]}]}], "}"}]}], 
        "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Ln", "[", "0", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], ";", "\n", 
      RowBox[{
       RowBox[{"Gz", "[", "0", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], ";", "\n", 
      RowBox[{
       RowBox[{"\[CapitalXi]z", "[", "0", "]"}], "=", "0"}], ";", "\n", 
      RowBox[{
       RowBox[{"lgx", "[", "0", "]"}], "=", "0"}], ";", "\n", 
      RowBox[{
       RowBox[{"lgy", "[", "0", "]"}], "=", "0"}], ";", "\n", 
      RowBox[{
       RowBox[{"stx", "[", "0", "]"}], "=", "0"}], ";", "\n", 
      RowBox[{
       RowBox[{"sty", "[", "0", "]"}], "=", "0"}], ";", "\n", 
      RowBox[{
       RowBox[{"Rf", "[", "0", "]"}], "=", "1"}], ";", "\n", 
      RowBox[{"ct", "=", "1"}], ";", "\n", 
      RowBox[{"DZ", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Rss", "\[NotEqual]", "1"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", 
            RowBox[{"ninc", "/", "2"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DZ", "=", 
             RowBox[{
              RowBox[{"Dssinc", ".", "DZ"}], "//", "N"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"PZ", "=", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Inverse", "[", "DZ", "]"}], "]"}], ".", 
              RowBox[{"Inverse", "[", "DZ", "]"}]}]}], ";", "\n", 
            RowBox[{"TPZ", "=", 
             RowBox[{"N", "[", 
              RowBox[{"Eigensystem", "[", "PZ", "]"}], "]"}]}], ";", "\n", 
            RowBox[{"ValPZ", "=", 
             RowBox[{"N", "[", 
              RowBox[{"Eigenvalues", "[", "PZ", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"PZSortVal", "=", 
             RowBox[{"Sort", "[", 
              RowBox[{"ValPZ", ",", "Greater"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect1", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect1", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect2", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", "\n", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect2", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"SortVect1", "=", 
                RowBox[{"TPZ", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ";", 
               RowBox[{"SortVect2", "=", 
                RowBox[{"TPZ", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ";"}]}], "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Gz", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "/", 
                RowBox[{"Sqrt", "[", 
                 RowBox[{"PZSortVal", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"1", "/", 
                RowBox[{"Sqrt", "[", 
                 RowBox[{"PZSortVal", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Vz", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{"SortVect2", ",", "SortVect1"}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], 
              ",", 
              RowBox[{
               RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", "0"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", 
                RowBox[{"ArcTan", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Vz", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
                  RowBox[{
                   RowBox[{"Vz", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";"}]}],
              "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Ln", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{"1", ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Rf", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Phi", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"ArcTan", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vz", "[", "ct", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
                RowBox[{
                 RowBox[{"Vz", "[", "ct", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "*", 
              RowBox[{"180", "/", "Pi"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[Psi]", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"ArcTan", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Ln", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", 
                  RowBox[{
                   RowBox[{"Ln", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"2", "*", 
                  RowBox[{
                   RowBox[{"Ln", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}], "]"}], 
              "*", 
              RowBox[{"(", 
               RowBox[{"180", "/", "Pi"}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"lgx", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"lgy", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stx", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"sty", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Rps", "\[NotEqual]", "1"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "ninc"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DZ", "=", 
             RowBox[{"Dpsinc", ".", "DZ"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"PZ", "=", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Inverse", "[", "DZ", "]"}], "]"}], ".", 
              RowBox[{"Inverse", "[", "DZ", "]"}]}]}], ";", "\n", 
            RowBox[{"TPZ", "=", 
             RowBox[{"N", "[", 
              RowBox[{"Eigensystem", "[", "PZ", "]"}], "]"}]}], ";", "\n", 
            RowBox[{"ValPZ", "=", 
             RowBox[{"N", "[", 
              RowBox[{"Eigenvalues", "[", "PZ", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"PZSortVal", "=", 
             RowBox[{"Sort", "[", 
              RowBox[{"ValPZ", ",", "Greater"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect1", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect1", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect2", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", "\n", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "==", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
              RowBox[{"SortVect2", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
               RowBox[{"PZSortVal", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"SortVect1", "=", 
                RowBox[{"TPZ", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ";", 
               RowBox[{"SortVect2", "=", 
                RowBox[{"TPZ", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ";"}]}], "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Gz", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "/", 
                RowBox[{"Sqrt", "[", 
                 RowBox[{"PZSortVal", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"1", "/", 
                RowBox[{"Sqrt", "[", 
                 RowBox[{"PZSortVal", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Vz", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{"SortVect2", ",", "SortVect1"}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], 
              ",", 
              RowBox[{
               RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", "0"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", 
                RowBox[{"ArcTan", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Vz", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
                  RowBox[{
                   RowBox[{"Vz", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";"}]}],
              "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Ln", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{"1", ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ",", 
               RowBox[{"DZ", ".", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Rf", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Phi", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"ArcTan", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Vz", "[", "ct", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
                RowBox[{
                 RowBox[{"Vz", "[", "ct", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "*", 
              RowBox[{"180", "/", "Pi"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[Psi]", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"ArcTan", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Ln", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", 
                  RowBox[{
                   RowBox[{"Ln", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"2", "*", 
                  RowBox[{
                   RowBox[{"Ln", "[", "ct", "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}], "]"}], 
              "*", 
              RowBox[{"(", 
               RowBox[{"180", "/", "Pi"}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"lgx", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"lgy", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stx", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"sty", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "/", 
              RowBox[{
               RowBox[{"Gz", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Rss", "\[Equal]", "1"}], "||", 
         RowBox[{"Rps", "\[Equal]", "1"}]}], ",", 
        RowBox[{
         RowBox[{"Graphbound", "=", 
          RowBox[{"Round", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Ln", "[", 
              RowBox[{"ninc", "/", "2"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", ".5"}], "]"}]}], 
         ";"}], ",", 
        RowBox[{
         RowBox[{"Graphbound", "=", 
          RowBox[{"Round", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Ln", "[", "ninc", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", ".5"}], "]"}]}], 
         ";"}]}], "]"}], ";", "\n", 
      RowBox[{
       RowBox[{"Diag1", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "1"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"3", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"Diag2", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "1"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"4", ",", "1"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"Ln", "[", "g", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"4", ",", "2"}], "]"}], "]"}]}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"LAxes", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"lgx", "[", "g", "]"}], ",", 
                 RowBox[{"lgy", "[", "g", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"lgx", "[", "g", "]"}]}], ",", 
                 RowBox[{"-", 
                  RowBox[{"lgy", "[", "g", "]"}]}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"SAxes", "[", "g_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"stx", "[", "g", "]"}], ",", 
                 RowBox[{"sty", "[", "g", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"stx", "[", "g", "]"}]}], ",", 
                 RowBox[{"-", 
                  RowBox[{"sty", "[", "g", "]"}]}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"ShrBox", "[", "c_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Ln", "[", "c", "]"}], "[", 
                RowBox[{"[", "x", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "1", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
           "}"}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"PZplot", "[", "xx_", "]"}], ":=", 
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], 
             RowBox[{"Sin", "[", "t", "]"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], "*", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", "t", "]"}]}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "*", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], 
             RowBox[{"Sin", "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "xx", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], "*", 
             RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"PlotStyle", "->", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
      "\n", 
      RowBox[{
       RowBox[{"Double", "[", "x_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Diag1", "[", "x", "]"}], ",", 
         RowBox[{"Diag2", "[", "x", "]"}], ",", 
         RowBox[{"LAxes", "[", "x", "]"}], ",", 
         RowBox[{"SAxes", "[", "x", "]"}], ",", 
         RowBox[{"ShrBox", "[", "x", "]"}], ",", 
         RowBox[{"PZplot", "[", "x", "]"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "540"}], ",", 
         RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"SequenceForm", "[", 
           RowBox[{"StyleForm", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\"\<Axial Ratio = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"Rf", "[", "x", "]"}], "]"}], "]"}]}], 
              RowBox[{"\"\<;  \[Phi] = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"Phi", "[", "x", "]"}], "]"}], "]"}]}], " ", 
              RowBox[{"\"\<;  \[CapitalPsi] = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"\[Psi]", "[", "x", "]"}], "]"}], "]"}]}]}], ",", 
             RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], "]"}]}]}], 
        "]"}]}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Rss", "\[Equal]", "1"}], "||", 
         RowBox[{"Rps", "\[Equal]", "1"}]}], ",", 
        RowBox[{
         RowBox[{"ninc", "=", 
          RowBox[{"ninc", "/", "2"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"DumbyVariable", "\[Equal]", "p"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Rss", "\[Equal]", "1"}], "||", 
        RowBox[{"Rps", "\[Equal]", "1"}]}], ",", 
       RowBox[{
        RowBox[{"ninc", "=", 
         RowBox[{"ninc", "*", "2"}]}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Gamma]", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"ninc", "/", "2"}], ")"}]}], ")"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Rss", "-", "1"}], ")"}], "*", 
          RowBox[{"Sqrt", "[", "Rss", "]"}]}], ")"}], "/", "Rss"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Dssinc", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "\[Gamma]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";", "\n", 
     RowBox[{"Dpsinc", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Sqrt", "[", "Rps", "]"}], "^", 
           RowBox[{"(", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{"ninc", "/", "2"}], ")"}]}], ")"}]}], ",", "0"}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "/", 
             RowBox[{"Sqrt", "[", "Rps", "]"}]}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{"ninc", "/", "2"}], ")"}]}], ")"}]}]}], "}"}]}], 
       "}"}]}], ";", "\n", 
     RowBox[{
      RowBox[{"Ln", "[", "0", "]"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], ";", "\n", 
     RowBox[{
      RowBox[{"Gz", "[", "0", "]"}], "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}]}], ";", "\n", 
     RowBox[{
      RowBox[{"\[CapitalXi]z", "[", "0", "]"}], "=", "0"}], ";", "\n", 
     RowBox[{
      RowBox[{"lgx", "[", "0", "]"}], "=", "0"}], ";", "\n", 
     RowBox[{
      RowBox[{"lgy", "[", "0", "]"}], "=", "0"}], ";", "\n", 
     RowBox[{
      RowBox[{"stx", "[", "0", "]"}], "=", "0"}], ";", "\n", 
     RowBox[{
      RowBox[{"sty", "[", "0", "]"}], "=", "0"}], ";", "\n", 
     RowBox[{
      RowBox[{"Rf", "[", "0", "]"}], "=", "1"}], ";", "\n", 
     RowBox[{"ct", "=", "1"}], ";", "\n", 
     RowBox[{"DZ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Rps", "\[NotEqual]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"ct", "\[LessEqual]", 
           RowBox[{"ninc", "/", "2"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"DZ", "=", 
            RowBox[{
             RowBox[{"Dpsinc", ".", "DZ"}], "//", "N"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PZ", "=", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Inverse", "[", "DZ", "]"}], "]"}], ".", 
             RowBox[{"Inverse", "[", "DZ", "]"}]}]}], ";", "\n", 
           RowBox[{"TPZ", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Eigensystem", "[", "PZ", "]"}], "]"}]}], ";", "\n", 
           RowBox[{"ValPZ", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Eigenvalues", "[", "PZ", "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PZSortVal", "=", 
            RowBox[{"Sort", "[", 
             RowBox[{"ValPZ", ",", "Greater"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect1", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect1", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect2", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", "\n", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect2", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"SortVect1", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ";", 
              RowBox[{"SortVect2", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ";"}]}], "]"}], ";",
            "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"PZSortVal", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
              RowBox[{"1", "/", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"PZSortVal", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vz", "[", "ct", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{"SortVect2", ",", "SortVect1"}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
             RowBox[{
              RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", "0"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", 
               RowBox[{"ArcTan", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vz", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
                 RowBox[{
                  RowBox[{"Vz", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";"}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Ln", "[", "ct", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1"}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1"}], "}"}]}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Rf", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Phi", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "*", 
             RowBox[{"180", "/", "Pi"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"\[Psi]", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", 
                 RowBox[{
                  RowBox[{"Ln", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"2", "*", 
                 RowBox[{
                  RowBox[{"Ln", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}], "]"}], 
             "*", 
             RowBox[{"(", 
              RowBox[{"180", "/", "Pi"}], ")"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"lgx", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"lgy", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stx", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"sty", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "2"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ct", "=", 
            RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Rss", "\[NotEqual]", "1"}], ",", "\n", 
       RowBox[{
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"ct", "\[LessEqual]", "ninc"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"DZ", "=", 
            RowBox[{"Dssinc", ".", "DZ"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"PZ", "=", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Inverse", "[", "DZ", "]"}], "]"}], ".", 
             RowBox[{"Inverse", "[", "DZ", "]"}]}]}], ";", "\n", 
           RowBox[{"TPZ", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Eigensystem", "[", "PZ", "]"}], "]"}]}], ";", "\n", 
           RowBox[{"ValPZ", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Eigenvalues", "[", "PZ", "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PZSortVal", "=", 
            RowBox[{"Sort", "[", 
             RowBox[{"ValPZ", ",", "Greater"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect1", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect1", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect2", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}], ";", "\n", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
             RowBox[{"SortVect2", "=", 
              RowBox[{"TPZ", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
              RowBox[{"PZSortVal", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"SortVect1", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ";", 
              RowBox[{"SortVect2", "=", 
               RowBox[{"TPZ", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ";"}]}], "]"}], ";",
            "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Gz", "[", "ct", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"PZSortVal", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
              RowBox[{"1", "/", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"PZSortVal", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Vz", "[", "ct", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{"SortVect2", ",", "SortVect1"}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Vz", "[", "ct", "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
             RowBox[{
              RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", "0"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"\[CapitalXi]z", "[", "ct", "]"}], "=", 
               RowBox[{"ArcTan", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vz", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
                 RowBox[{
                  RowBox[{"Vz", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";"}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Ln", "[", "ct", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1"}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ",", 
              RowBox[{"DZ", ".", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1"}], "}"}]}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Rf", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Phi", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
               RowBox[{
                RowBox[{"Vz", "[", "ct", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "*", 
             RowBox[{"180", "/", "Pi"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"\[Psi]", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ln", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", 
                 RowBox[{
                  RowBox[{"Ln", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"2", "*", 
                 RowBox[{
                  RowBox[{"Ln", "[", "ct", "]"}], "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}], "]"}], 
             "*", 
             RowBox[{"(", 
              RowBox[{"180", "/", "Pi"}], ")"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"lgx", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"lgy", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "2"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stx", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"sty", "[", "ct", "]"}], "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Vz", "[", "ct", "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "2"}], "]"}], "]"}], "/", 
             RowBox[{
              RowBox[{"Gz", "[", "ct", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ct", "=", 
            RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Rss", "\[Equal]", "1"}], "||", 
        RowBox[{"Rps", "\[Equal]", "1"}]}], ",", 
       RowBox[{
        RowBox[{"Graphbound", "=", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Ln", "[", 
             RowBox[{"ninc", "/", "2"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", ".5"}], "]"}]}], 
        ";"}], ",", 
       RowBox[{
        RowBox[{"Graphbound", "=", 
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Ln", "[", "ninc", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", ".5"}], "]"}]}], 
        ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Diag1", "[", "g_", "]"}], ":=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", "1", ",", "1"}], "]"}], ",", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"3", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "}"}], 
            "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
     "\n", 
     RowBox[{
      RowBox[{"Diag2", "[", "g_", "]"}], ":=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", "1", ",", "1"}], "]"}], ",", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"4", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"Ln", "[", "g", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"4", ",", "2"}], "]"}], "]"}]}], "}"}]}], "}"}], 
            "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
     "\n", 
     RowBox[{
      RowBox[{"LAxes", "[", "g_", "]"}], ":=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"lgx", "[", "g", "]"}], ",", 
                RowBox[{"lgy", "[", "g", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"lgx", "[", "g", "]"}]}], ",", 
                RowBox[{"-", 
                 RowBox[{"lgy", "[", "g", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], "]"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
     "\n", 
     RowBox[{
      RowBox[{"SAxes", "[", "g_", "]"}], ":=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"stx", "[", "g", "]"}], ",", 
                RowBox[{"sty", "[", "g", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"stx", "[", "g", "]"}]}], ",", 
                RowBox[{"-", 
                 RowBox[{"sty", "[", "g", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], "]"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
     "\n", 
     RowBox[{
      RowBox[{"ShrBox", "[", "c_", "]"}], ":=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Ln", "[", "c", "]"}], "[", 
               RowBox[{"[", "x", "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "1", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
          "}"}], "]"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "Graphbound"}], ",", "Graphbound"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
     "\n", 
     RowBox[{
      RowBox[{"PZplot", "[", "xx_", "]"}], ":=", 
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Gz", "[", "xx", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", 
            RowBox[{"Cos", "[", 
             RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], 
            RowBox[{"Sin", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{
             RowBox[{"Gz", "[", "xx", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "*", 
            RowBox[{"Sin", "[", 
             RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], "*", 
            RowBox[{"Cos", "[", "t", "]"}]}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Gz", "[", "xx", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", 
            RowBox[{"Sin", "[", 
             RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], 
            RowBox[{"Sin", "[", "t", "]"}]}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"Gz", "[", "xx", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], "*", 
            RowBox[{"Cos", "[", 
             RowBox[{"\[CapitalXi]z", "[", "xx", "]"}], "]"}], "*", 
            RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"2", "Pi"}]}], "}"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"PlotStyle", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
           RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";", 
     "\n", 
     RowBox[{
      RowBox[{"Double", "[", "x_", "]"}], ":=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Diag1", "[", "x", "]"}], ",", 
        RowBox[{"Diag2", "[", "x", "]"}], ",", 
        RowBox[{"LAxes", "[", "x", "]"}], ",", 
        RowBox[{"SAxes", "[", "x", "]"}], ",", 
        RowBox[{"ShrBox", "[", "x", "]"}], ",", 
        RowBox[{"PZplot", "[", "x", "]"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "540"}], ",", 
        RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"SequenceForm", "[", 
          RowBox[{"StyleForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"\"\<Axial Ratio = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"Rf", "[", "x", "]"}], "]"}], "]"}]}], 
             RowBox[{"\"\<;  \[Phi] = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"Phi", "[", "x", "]"}], "]"}], "]"}]}], " ", 
             RowBox[{"\"\<;  \[CapitalPsi] = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"\[Psi]", "[", "x", "]"}], "]"}], "]"}]}]}], ",", 
            RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], "]"}]}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Rss", "\[Equal]", "1"}], "||", 
        RowBox[{"Rps", "\[Equal]", "1"}]}], ",", 
       RowBox[{
        RowBox[{"ninc", "=", 
         RowBox[{"ninc", "/", "2"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]a", "=", 
   RowBox[{"Log", "[", 
    RowBox[{"Sqrt", "[", "Rps", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]b", "=", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "/", 
     RowBox[{"Sqrt", "[", "Rps", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gam", "=", 
   RowBox[{"\[Gamma]", "*", "ninc"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wk", "=", 
   RowBox[{"gam", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Epsilon]a", "^", "2"}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{"\[Epsilon]b", "^", "2"}], ")"}]}], ")"}]}], "+", 
      RowBox[{"gam", "^", "2"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pvs", "=", 
   RowBox[{
    RowBox[{"-", "100"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "Rps", "]"}]}], ")"}], "-", "1"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StrainMovie", "=", 
  RowBox[{"Animate", "[", 
   RowBox[{
    RowBox[{"Double", "[", "increment", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"increment", ",", "0", ",", "ninc", ",", "1"}], "}"}], ",", 
    RowBox[{"ImageMargins", "\[Rule]", "Large"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final Rf = \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{"Rf", "[", "ninc", "]"}], "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final \[Phi] = \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{"Phi", "[", "ninc", "]"}], "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Final \[CapitalPsi] = \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{"\[Psi]", "[", "ninc", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4348944590610657`*^9, 3.434894461061091*^9}, {
   3.434894566421815*^9, 3.4348945668436947`*^9}, {3.43489486253498*^9, 
   3.4348948634256163`*^9}, {3.4348949471298127`*^9, 3.4348949499110985`*^9}, 
   3.434895013333785*^9, {3.4504520955320888`*^9, 3.4504520968445888`*^9}, {
   3.4504529709695888`*^9, 3.4504530253758388`*^9}, 3.4504530888445888`*^9, {
   3.4504535842508388`*^9, 3.450453588672714*^9}, {3.495124365781824*^9, 
   3.495124366327855*^9}, {3.495124413464551*^9, 3.4951244137345667`*^9}, {
   3.4951244724549255`*^9, 3.4951244746960535`*^9}, 3.4951246235855694`*^9, {
   3.495124742613377*^9, 3.495124743441425*^9}, {3.4951247946963563`*^9, 
   3.4951248201588125`*^9}, {3.4951250591034794`*^9, 3.495125072903269*^9}, {
   3.49512518953294*^9, 3.495125203841758*^9}, {3.495132367099473*^9, 
   3.4951323768060284`*^9}, {3.495132444092877*^9, 3.495132478832864*^9}, {
   3.4951335257927465`*^9, 3.4951335705353055`*^9}, 3.495133615039851*^9, {
   3.4951336528260126`*^9, 3.4951336735271964`*^9}, {3.4967802082955046`*^9, 
   3.4967803178204656`*^9}, {3.496780392016496*^9, 3.4967803948616543`*^9}, 
   3.496780443728314*^9, {3.496780984367689*^9, 3.496780987222643*^9}, {
   3.4967810370729237`*^9, 3.496781045242762*^9}, {3.496781503097005*^9, 
   3.496781538524914*^9}, {3.496781613638297*^9, 3.496781638384031*^9}, {
   3.496781677373933*^9, 3.4967817744935665`*^9}, {3.496781848715111*^9, 
   3.496781867799139*^9}, {3.49678783955192*^9, 3.496787859507004*^9}, {
   3.496787973461955*^9, 3.4967879858519726`*^9}, {3.496788036823479*^9, 
   3.496788095235775*^9}, {3.496788135168962*^9, 3.49678813566199*^9}, {
   3.4967881753511715`*^9, 3.4967882660691586`*^9}, {3.496788346251288*^9, 
   3.496788346351288*^9}, {3.496788683613493*^9, 3.4967887000361724`*^9}, {
   3.496788905205344*^9, 3.496788921277515*^9}, {3.4967890216060576`*^9, 
   3.4967890670105867`*^9}, {3.4967891079037547`*^9, 
   3.4967891671630125`*^9}, {3.4967892628971753`*^9, 
   3.4967892777034717`*^9}, {3.496789468742776*^9, 3.4967894779464836`*^9}, {
   3.4967895264151783`*^9, 3.4967895412670074`*^9}, 3.496789581779312*^9, {
   3.4967896471780095`*^9, 3.496789741932253*^9}, 3.4967898883034754`*^9, {
   3.4967899351820908`*^9, 3.4967899854529386`*^9}, {3.496790094242052*^9, 
   3.496790105350684*^9}, 3.496790148454114*^9, 3.496790192954565*^9, 
   3.496790225364392*^9, 3.496790290451844*^9, {3.4969377542684193`*^9, 
   3.4969377572275887`*^9}, {3.4970362337906213`*^9, 3.497036253629692*^9}, {
   3.4970366672070026`*^9, 3.4970366683780637`*^9}, {3.497036767531208*^9, 
   3.4970368452836018`*^9}, {3.49703690754316*^9, 3.497036929488145*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "To", " ", "export", " ", "your", " ", "animation", " ", "as", " ", "an", 
     " ", "animated", " ", "gif"}], ",", " ", 
    RowBox[{"evaluate", " ", "this", " ", 
     RowBox[{"cell", ".", "  ", "If"}], " ", "you", " ", "are", " ", "using", 
     " ", "a", " ", "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "current", " ", "working", " ", "directory", " ", "type", " ", 
     "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", "cell",
      " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<StrainMovie.gif\>\"", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Double", "[", "increment", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"increment", ",", "0", ",", "ninc", ",", "1"}], "}"}]}], 
      "]"}]}], "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.496938111209835*^9, 3.49693813804937*^9}, {
   3.496938341341998*^9, 3.4969383568088827`*^9}, {3.496938392068899*^9, 
   3.4969384248857765`*^9}, {3.496938461890893*^9, 3.496938516215*^9}, 
   3.4969517544007845`*^9, {3.496951824110771*^9, 3.4969518301111145`*^9}, {
   3.4970370700765257`*^9, 3.4970370728364763`*^9}, {3.5039408333682933`*^9, 
   3.5039408433369155`*^9}, {3.547937468316646*^9, 3.5479374698566484`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "To", " ", "export", " ", "your", " ", "animation", " ", "as", " ", "an", 
    " ", "*", 
    RowBox[{".", "avi"}], " ", "file", " ", "evaluate", " ", "this", " ", 
    RowBox[{"cell", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<StrainMovie.avi\>\"", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Double", "[", "increment", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"increment", ",", "0", ",", "ninc", ",", "1"}], "}"}]}], 
      "]"}]}], "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.497017209798126*^9, 3.4970172268894596`*^9}, {
  3.4970370350052366`*^9, 3.497037062066498*^9}}]
}, Open  ]]
},
WindowSize->{1161, 620},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 6292, 120, 422, "Title"],
Cell[6862, 144, 103001, 2621, 4892, "Input"],
Cell[109866, 2767, 1975, 37, 112, "Input"],
Cell[111844, 2806, 728, 18, 52, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
