(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    318502,       7636]
NotebookOptionsPosition[    317986,       7616]
NotebookOutlinePosition[    318414,       7633]
CellTagsIndexPosition[    318371,       7630]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Equal Area & Angle Projections-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n\t", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot both linear and planar data on either an equal-area or \
equal angle plot.  Planar data can be displayed either as a great circle \
projection or as the pole to the plane (or both).  \n\tYour data can either \
be input manually while the program is running or they can be read in from an \
existing file. This program will read both text files (*.txt) and Excel files \
(*.xls and *.xlsx).  Examine the sample files, \"Equal Area Projection \
Example.txt\", \"Equal Area Projection Example.xls\", \"Equal Area Projection \
Example.xlsx\", \"Equal Angle Projection Example.txt\", \"Equal Angle \
Projection Example.xls",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\"",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[",  and \"Equal Angle Projection Example.xlsx\", to determine the \
appropriate file structure (it is easiest just to modify these files and save \
them with a different file name).  Within the code itself, there are \
parameters that you may wish to alter to format your plot.  The most useful \
parameters are described in comments below (i.e., between \"(* *)\").  For \
example, change \"greatcolor=CMYKColor[0,1,1,.25];\" to \
\"greatcolor=Orange;\" will change the color of the great circle projections \
from a specific red hue to orange.  \n\tYou can read the \"readme.txt\" file \
for more information about this program.  To start the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n\t           This notebook includes some code for plotting \
equal area and equal angle projections that was modified from code written by \
Joshua R. Davis. \n\t \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, {
   3.495663909572621*^9, 3.495664065816558*^9}, {3.495664188972602*^9, 
   3.4956643358530025`*^9}, {3.4956643758772917`*^9, 3.495664475365982*^9}, {
   3.4956649251307077`*^9, 3.49566497482955*^9}, {3.49566501032658*^9, 
   3.4956653572194214`*^9}, {3.495666622003763*^9, 3.495666641281866*^9}, {
   3.4969411029692917`*^9, 3.4969411983790593`*^9}, {3.496941247737546*^9, 
   3.496941251746753*^9}, {3.4969412829780083`*^9, 3.496941291027622*^9}, {
   3.4969413557365355`*^9, 3.496941384378186*^9}, {3.4969414307414675`*^9, 
   3.4969414314122686`*^9}, {3.4969439627561274`*^9, 3.496943962959139*^9}, 
   3.4969622757523117`*^9, 3.4969627000253744`*^9, {3.5037585009891453`*^9, 
   3.503758514691481*^9}, {3.517671900432727*^9, 3.5176719005731273`*^9}, 
   3.5221028835064907`*^9, {3.5477197328319855`*^9, 3.5477197350519886`*^9}, {
   3.547935883983564*^9, 3.547935884953565*^9}, 3.547981262631655*^9, {
   3.5479813138187275`*^9, 3.5479813495647774`*^9}, {3.6110710653564825`*^9, 
   3.611071087575753*^9}, {3.6112181655073614`*^9, 3.61121816706145*^9}, {
   3.6112185571957645`*^9, 3.61121864383172*^9}, {3.611596789218042*^9, 
   3.611596853644727*^9}, {3.611614579435584*^9, 3.611614594998474*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "greatcolor", " ", "is", " ", "the", " ", "color", " ", "of", " ", "the", 
    " ", "great", " ", "circle", " ", "projections"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"greatcolor", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "greatthickness", " ", "is", " ", "the", " ", "thickness", " ", "of", " ", 
    "the", " ", "line", " ", "for", " ", "the", " ", "great", " ", "circle", 
    " ", "projections"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"greatthickness", "=", "0.005"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "poleptsize", " ", "is", " ", "the", " ", "size", " ", "of", " ", "the", 
    " ", "point", " ", "representing", " ", "the", " ", "pole", " ", "of", 
    " ", "a", " ", "given", " ", "plane"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"poleptsize", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "polecolor", " ", "is", " ", "the", " ", "color", " ", "of", " ", "the", 
    " ", "point", " ", "representing", " ", "the", " ", "pole", " ", "of", 
    " ", "a", " ", "given", " ", "plane"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"polecolor", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"1", ",", "0", ",", ".5", ",", ".5"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "linptsize", " ", "is", " ", "the", " ", "size", " ", "of", " ", "the", 
    " ", "point", " ", "representing", " ", "the", " ", "linear", " ", 
    "data"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"linptsize", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "lincolor", " ", "is", " ", "the", " ", "color", " ", "of", " ", "the", 
    " ", "point", " ", "representing", " ", "the", " ", "linear", " ", 
    "data"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lincolor", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"1", ",", "1", ",", "0", ",", ".15"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "starscale", " ", "determines", " ", "the", " ", "size", " ", "of", " ", 
    "the", " ", "star", " ", "symbol", " ", "for", " ", "the", " ", "mean", 
    " ", "linear", " ", "orientation"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"starscale", "=", "0.08"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "opacityvalue", " ", "is", " ", "the", " ", "percent", " ", "opacity", " ",
     "of", " ", "the", " ", "mean", " ", "orientation", " ", "symbols"}], " ",
    "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"opacityvalue", "=", "0.85"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "meanlincolor", " ", "is", " ", "the", " ", "color", " ", "of", " ", "the",
     " ", "star", " ", "representing", " ", "the", " ", "mean", " ", "linear",
     " ", "orientation"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"meanlincolor", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"1", ",", "1", ",", "0", ",", ".55"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "meanplanethickness", " ", "is", " ", "the", " ", "thickness", " ", "of", 
    " ", "the", " ", "line", " ", "for", " ", "the", " ", "great", " ", 
    "circle", " ", "that", " ", "represents", " ", "the", " ", "mean", " ", 
    "of", " ", "the", " ", "planar", " ", "data"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"meanplanethickness", "=", "0.006"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "meanplanecolor", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
    "the", " ", "line", " ", "for", " ", "the", " ", "great", " ", "circle", 
    " ", "that", " ", "represents", " ", "the", " ", "mean", " ", "of", " ", 
    "the", " ", "planar", " ", "data"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"meanplanecolor", "=", "Purple"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"curveresolution", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ManualOrFile", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Would you like input data from a file (f) or manually (m)? (Type f \
or m)\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"ManualOrFile", "\[Equal]", "f"}], ",", 
    RowBox[{
     RowBox[{"MOF", "=", "1"}], ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"ManualOrFile", "\[Equal]", "m"}], ",", 
    RowBox[{
     RowBox[{"MOF", "=", "2"}], ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"MOF", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"FN", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"FF", "=", 
       RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
         RowBox[{"FF", "\[Equal]", "\"\<XLSX\>\""}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"rawdata", "=", 
          RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"AreaOrAngle", "=", 
          RowBox[{"rawdata", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"numbdata", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Dimensions", "[", "rawdata", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "-", "3"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"planecount", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"linecount", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "numbdata"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"PlaneOrLine", "=", 
             RowBox[{"rawdata", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "3"}], ",", "3"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"DipDirOrStrike", "=", 
             RowBox[{"rawdata", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "3"}], ",", "4"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"PlaneOrLine", "\[Equal]", "\"\<p\>\""}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"planecount", "=", 
                RowBox[{"planecount", "+", "1"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"GraphicalDisplay", "[", "planecount", "]"}], "=", 
                RowBox[{"rawdata", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "3"}], ",", "5"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"DipDirOrStrike", "\[Equal]", "\"\<S\>\""}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "planecount", "]"}], "=", 
                   RowBox[{"rawdata", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "3"}], ",", "1"}], "]"}], "]"}]}], ";",
                   "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"DipAngle", "[", "planecount", "]"}], "=", 
                   RowBox[{"rawdata", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "3"}], ",", "2"}], "]"}], "]"}]}], ";",
                   "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"poleTrend", "[", "planecount", "]"}], "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}], "<", "0"}], ",", 
                    RowBox[{"270", "+", 
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"polePlunge", "[", "planecount", "]"}], "=", 
                   RowBox[{"90", "-", 
                    RowBox[{"DipAngle", "[", "planecount", "]"}]}]}], ";"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "planecount", "]"}], "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"rawdata", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "3"}], ",", "1"}], "]"}], "]"}], "-", 
                    "90"}], "\[LessEqual]", "0"}], ",", 
                    RowBox[{"270", "+", 
                    RowBox[{"rawdata", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "3"}], ",", "1"}], "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"rawdata", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "3"}], ",", "1"}], "]"}], "]"}], "-", 
                    "90"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"DipAngle", "[", "planecount", "]"}], "=", 
                   RowBox[{"rawdata", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "3"}], ",", "2"}], "]"}], "]"}]}], ";",
                   "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"poleTrend", "[", "planecount", "]"}], "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}], "<", "0"}], ",", 
                    RowBox[{"270", "+", 
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"polePlunge", "[", "planecount", "]"}], "=", 
                   RowBox[{"90", "-", 
                    RowBox[{"DipAngle", "[", "planecount", "]"}]}]}], ";"}]}],
                 "]"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"PlaneOrLine", "\[Equal]", "\"\<l\>\""}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"linecount", "=", 
                RowBox[{"linecount", "+", "1"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LineTrend", "[", "linecount", "]"}], "=", 
                RowBox[{"rawdata", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "3"}], ",", "1"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LinePlunge", "[", "linecount", "]"}], "=", 
                RowBox[{"rawdata", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "3"}], ",", "2"}], "]"}], "]"}]}], 
               ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"dimtemp", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{"FN", ",", "Word"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Dim", "=", 
          RowBox[{"Dimensions", "[", "dimtemp", "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "14"}], ";", "\[IndentingNewLine]", 
         RowBox[{"numbdata", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", 
            RowBox[{"Dim", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"dimtemp", "[", 
                RowBox[{"[", "ct", "]"}], "]"}], "\[Equal]", "\"\<p\>\""}], 
              ",", 
              RowBox[{"ct", "=", 
               RowBox[{"ct", "+", "5"}]}], ",", 
              RowBox[{"ct", "=", 
               RowBox[{"ct", "+", "3"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"numbdata", "=", 
             RowBox[{"numbdata", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"data", "=", 
          RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Skip", "[", 
          RowBox[{"data", ",", "Word", ",", "3"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"AreaOrAngle", "=", 
          RowBox[{"Read", "[", 
           RowBox[{"data", ",", "Word"}], "]"}]}], ";", "\n", 
         RowBox[{"Skip", "[", 
          RowBox[{"data", ",", "Word", ",", "7"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"planecount", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"linecount", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\n", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "numbdata"}], ",", "\n", 
           RowBox[{
            RowBox[{"tempone", "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"temptwo", "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"PlaneOrLine", "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"PlaneOrLine", "\[Equal]", "\"\<p\>\""}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"planecount", "=", 
                RowBox[{"planecount", "+", "1"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"DipDirOrStrike", "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"DipDirOrStrike", "\[Equal]", "\"\<S\>\""}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "planecount", "]"}], "=", 
                   "tempone"}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"DipAngle", "[", "planecount", "]"}], "=", 
                   "temptwo"}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"poleTrend", "[", "planecount", "]"}], "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}], "<", "0"}], ",", 
                    RowBox[{"270", "+", 
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"polePlunge", "[", "planecount", "]"}], "=", 
                   RowBox[{"90", "-", 
                    RowBox[{"DipAngle", "[", "planecount", "]"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"GraphicalDisplay", "[", "planecount", "]"}], "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Word"}], "]"}]}], ";"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "planecount", "]"}], "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"tempone", "-", "90"}], "\[LessEqual]", "0"}], 
                    ",", 
                    RowBox[{"270", "+", "tempone"}], ",", 
                    RowBox[{"tempone", "-", "90"}]}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"DipAngle", "[", "planecount", "]"}], "=", 
                   "temptwo"}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"poleTrend", "[", "planecount", "]"}], "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}], "<", "0"}], ",", 
                    RowBox[{"270", "+", 
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "planecount", "]"}], "-", 
                    "90"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"polePlunge", "[", "planecount", "]"}], "=", 
                   RowBox[{"90", "-", 
                    RowBox[{"DipAngle", "[", "planecount", "]"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"GraphicalDisplay", "[", "planecount", "]"}], "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Word"}], "]"}]}], ";"}]}], "]"}], 
               ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"PlaneOrLine", "\[Equal]", "\"\<l\>\""}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"linecount", "=", 
                RowBox[{"linecount", "+", "1"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LineTrend", "[", "linecount", "]"}], "=", 
                "tempone"}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LinePlunge", "[", "linecount", "]"}], "=", 
                "temptwo"}], ";"}]}], "]"}], ";", "\n", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
      ";"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"planecount", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"linecount", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"AOA", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Would you like to produce an Equal-Area (ar) or Equal-Angle (an) \
projection?\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"AOA", "\[Equal]", "ar"}], ",", 
        RowBox[{
         RowBox[{"AreaOrAngle", "=", "\"\<Area\>\""}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"AOA", "\[Equal]", "an"}], ",", 
        RowBox[{
         RowBox[{"AreaOrAngle", "=", "\"\<Angle\>\""}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"LineOrNo", "=", 
       RowBox[{
       "Input", "[", "\"\<Would you like to input linear data? (y/n)\>\"", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LineOrNo", "\[Equal]", "y"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"linecount", "=", 
          RowBox[{
          "Input", "[", "\"\<How many lines do you want to plot?\>\"", 
           "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "linecount"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"LineTrend", "[", "ct", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct", "]"}], 
               "\"\<Enter the Trend of the line.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"LinePlunge", "[", "ct", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct", "]"}], 
               "\"\<Enter the Plunge of the line.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
      "\n", 
      RowBox[{"PlaneOrNo", "=", 
       RowBox[{
       "Input", "[", "\"\<Would you like to input planar data? (y/n)\>\"", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PlaneOrNo", "\[Equal]", "y"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"planecount", "=", 
          RowBox[{
          "Input", "[", "\"\<How many planes would you like to plot?\>\"", 
           "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"DipDirOrStrike", "=", 
          RowBox[{
          "Input", "[", 
           "\"\<Are your data in Strike and Dip notation (using the \
right-hand-rule) or Dip and Dip Direction? (Enter S or DD)\>\"", "]"}]}], ";",
          "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"DipDirOrStrike", "\[Equal]", "S"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "planecount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"GraphicalDisplay", "[", "ct", "]"}], "=", 
                RowBox[{
                "Input", "[", 
                 "\"\<How do you want your data displayed? Great Circle (type \
g), Pole to the plane (type p), or Both (type b)?\>\"", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"StrikeAngle", "[", "ct", "]"}], "=", 
                RowBox[{"Input", "[", 
                 RowBox[{"\"\<\>\"", 
                  RowBox[{"N", "[", "ct", "]"}], 
                  "\"\<Enter the Strike.\>\""}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"DipAngle", "[", "ct", "]"}], "=", 
                RowBox[{"Input", "[", 
                 RowBox[{"\"\<\>\"", 
                  RowBox[{"N", "[", "ct", "]"}], "\"\<Enter the Dip.\>\""}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"poleTrend", "[", "ct", "]"}], "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct", "]"}], "-", "90"}], "<",
                    "0"}], ",", 
                  RowBox[{"270", "+", 
                   RowBox[{"StrikeAngle", "[", "ct", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct", "]"}], "-", "90"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"polePlunge", "[", "ct", "]"}], "=", 
                RowBox[{"90", "-", 
                 RowBox[{"DipAngle", "[", "ct", "]"}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"DipDirOrStrike", "\[Equal]", "DD"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "planecount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"GraphicalDisplay", "[", "ct", "]"}], "=", 
                RowBox[{
                "Input", "[", 
                 "\"\<How do you want your data displayed? Great Circle (type \
g), Pole to the plane (type p), or Both (type b)?\>\"", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"DipDir", "=", 
                RowBox[{"Input", "[", 
                 RowBox[{"\"\<\>\"", 
                  RowBox[{"N", "[", "ct", "]"}], 
                  "\"\<Enter the Dip Direction.\>\""}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"StrikeAngle", "[", "ct", "]"}], "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"DipDir", "-", "90"}], "\[LessEqual]", "0"}], ",", 
                  RowBox[{"270", "+", "DipDir"}], ",", 
                  RowBox[{"DipDir", "-", "90"}]}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"DipAngle", "[", "ct", "]"}], "=", 
                RowBox[{"Input", "[", 
                 RowBox[{"\"\<\>\"", 
                  RowBox[{"N", "[", "ct", "]"}], "\"\<Enter the Dip.\>\""}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"poleTrend", "[", "ct", "]"}], "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct", "]"}], "-", "90"}], "<",
                    "0"}], ",", 
                  RowBox[{"270", "+", 
                   RowBox[{"StrikeAngle", "[", "ct", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct", "]"}], "-", "90"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"polePlunge", "[", "ct", "]"}], "=", 
                RowBox[{"90", "-", 
                 RowBox[{"DipAngle", "[", "ct", "]"}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
         ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"numbdata", "=", 
       RowBox[{"planecount", "+", "linecount"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"linecount", ">", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"LineMeanOrNo", "=", 
      RowBox[{
      "Input", "[", 
       "\"\<Would you like to determine the mean orientation of your linear \
data? (type y or n)\>\"", "]"}]}], ";"}]}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LMON", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"LineMeanOrNo", "\[Equal]", "y"}], ",", 
    RowBox[{
     RowBox[{"LMON", "=", "1"}], ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"LMON", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "linecount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"P", "=", 
          RowBox[{
           FractionBox["1", "180"], " ", 
           RowBox[{"(", 
            RowBox[{"-", 
             RowBox[{"LinePlunge", "[", "ct", "]"}]}], ")"}], " ", 
           "\[Pi]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", 
            RowBox[{"LineTrend", "[", "ct", "]"}], "<", "90"}], ",", 
           RowBox[{
            RowBox[{"T", "=", 
             FractionBox[
              RowBox[{
               RowBox[{"LineTrend", "[", "ct", "]"}], " ", "\[Pi]"}], 
              "180"]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{
              RowBox[{"Cos", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sin", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"90", "\[LessEqual]", 
            RowBox[{"LineTrend", "[", "ct", "]"}], "<", "180"}], ",", 
           RowBox[{
            RowBox[{"T", "=", 
             RowBox[{
              FractionBox["1", "180"], " ", 
              RowBox[{"(", 
               RowBox[{"180", "-", 
                RowBox[{"LineTrend", "[", "ct", "]"}]}], ")"}], " ", 
              "\[Pi]"}]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sin", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"180", "\[LessEqual]", 
            RowBox[{"LineTrend", "[", "ct", "]"}], "<", "270"}], ",", 
           RowBox[{
            RowBox[{"T", "=", 
             RowBox[{
              FractionBox["1", "180"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"LineTrend", "[", "ct", "]"}], "-", "180"}], ")"}], 
              " ", "\[Pi]"}]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{
              RowBox[{"Sin", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"270", "\[LessEqual]", 
            RowBox[{"LineTrend", "[", "ct", "]"}], "\[LessEqual]", "360"}], 
           ",", 
           RowBox[{
            RowBox[{"T", "=", 
             RowBox[{
              FractionBox["1", "180"], " ", 
              RowBox[{"(", 
               RowBox[{"360", "-", 
                RowBox[{"LineTrend", "[", "ct", "]"}]}], ")"}], " ", 
              "\[Pi]"}]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{
              RowBox[{"Cos", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{
              RowBox[{"Sin", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"RotedNorm", "[", "ct", "]"}], "=", 
          RowBox[{"N", "[", 
           RowBox[{"{", 
            RowBox[{"a1", ",", "a2", ",", "a3"}], "}"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "2"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "linecount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ArcCos", "[", 
             RowBox[{"Dot", "[", 
              RowBox[{
               RowBox[{"RotedNorm", "[", 
                RowBox[{"ct", "-", "1"}], "]"}], ",", 
               RowBox[{"RotedNorm", "[", "ct", "]"}]}], "]"}], "]"}], ">", 
            RowBox[{"Pi", "/", "2"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"RotedNorm", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"-", "1"}], "*", 
              RowBox[{"RotedNorm", "[", "ct", "]"}]}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"TempAvgLong", "=", 
       RowBox[{"Mean", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"RotedNorm", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}], "]"}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"LongAxis", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"TempAvgLong", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "2"], ")"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"TempAvgLong", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "2"], ")"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"TempAvgLong", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "2"], ")"}]}], "]"}]}]}], 
        "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}]}], ",", 
        RowBox[{
         RowBox[{"LPlunge", "=", "90"}], ";"}], ",", 
        RowBox[{
         RowBox[{"LPlunge", "=", 
          RowBox[{
           FractionBox["1", "\[Pi]"], 
           RowBox[{
            RowBox[{"ArcTan", "[", 
             RowBox[{
              RowBox[{"Abs", "[", 
               RowBox[{
               "LongAxis", "\[LeftDoubleBracket]", "3", 
                "\[RightDoubleBracket]"}], "]"}], "/", 
              RowBox[{"(", 
               RowBox[{"\[Sqrt]", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{
                   "LongAxis", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "2"], "+", 
                  SuperscriptBox[
                   RowBox[{
                   "LongAxis", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "2"]}], ")"}]}], ")"}]}], 
             "]"}], " ", "180"}]}]}], ";"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"Tl", "=", "90"}], ";"}], ",", 
        RowBox[{
         RowBox[{"Tl", "=", 
          RowBox[{"Abs", "[", 
           FractionBox[
            RowBox[{
             RowBox[{"ArcTan", "[", 
              FractionBox[
               RowBox[{
               "LongAxis", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}], 
               RowBox[{
               "LongAxis", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}]], "]"}], " ", "180"}], "\[Pi]"], 
           "]"}]}], ";"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "Tl"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"360", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "+", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"360", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "+", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "Tl"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[LessEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[LessEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "90"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "90"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          ">", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "270"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "270"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}]}], ",", 
        RowBox[{
         RowBox[{"LPlunge", "=", "90"}], ";", 
         RowBox[{"LTrend", "=", "NA"}]}]}], "]"}], ";", 
      RowBox[{"MeanLineTrend", "=", "LTrend"}], ";", 
      RowBox[{"MeanLinePlunge", "=", "LPlunge"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"planecount", ">", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PlaneMeanOrNo", "=", 
      RowBox[{
      "Input", "[", 
       "\"\<Would you like to determine the mean orientation of your planar \
data? (type y or n)\>\"", "]"}]}], ";"}]}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PMON", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"PlaneMeanOrNo", "\[Equal]", "y"}], ",", 
    RowBox[{
     RowBox[{"PMON", "=", "1"}], ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"PMON", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "planecount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"P", "=", 
          RowBox[{
           FractionBox["1", "180"], " ", 
           RowBox[{"(", 
            RowBox[{"-", 
             RowBox[{"polePlunge", "[", "ct", "]"}]}], ")"}], " ", 
           "\[Pi]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", 
            RowBox[{"poleTrend", "[", "ct", "]"}], "<", "90"}], ",", 
           RowBox[{
            RowBox[{"T", "=", 
             FractionBox[
              RowBox[{
               RowBox[{"poleTrend", "[", "ct", "]"}], " ", "\[Pi]"}], 
              "180"]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{
              RowBox[{"Cos", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sin", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"90", "\[LessEqual]", 
            RowBox[{"poleTrend", "[", "ct", "]"}], "<", "180"}], ",", 
           RowBox[{
            RowBox[{"T", "=", 
             RowBox[{
              FractionBox["1", "180"], " ", 
              RowBox[{"(", 
               RowBox[{"180", "-", 
                RowBox[{"poleTrend", "[", "ct", "]"}]}], ")"}], " ", 
              "\[Pi]"}]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sin", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"180", "\[LessEqual]", 
            RowBox[{"poleTrend", "[", "ct", "]"}], "<", "270"}], ",", 
           RowBox[{
            RowBox[{"T", "=", 
             RowBox[{
              FractionBox["1", "180"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"poleTrend", "[", "ct", "]"}], "-", "180"}], ")"}], 
              " ", "\[Pi]"}]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "T", "]"}], " ", 
                RowBox[{"Cos", "[", "P", "]"}]}], ")"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{
              RowBox[{"Sin", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"270", "\[LessEqual]", 
            RowBox[{"poleTrend", "[", "ct", "]"}], "\[LessEqual]", "360"}], 
           ",", 
           RowBox[{
            RowBox[{"T", "=", 
             RowBox[{
              FractionBox["1", "180"], " ", 
              RowBox[{"(", 
               RowBox[{"360", "-", 
                RowBox[{"poleTrend", "[", "ct", "]"}]}], ")"}], " ", 
              "\[Pi]"}]}], ";", 
            RowBox[{"a1", "=", 
             RowBox[{
              RowBox[{"Cos", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a2", "=", 
             RowBox[{
              RowBox[{"Sin", "[", "T", "]"}], " ", 
              RowBox[{"Cos", "[", "P", "]"}]}]}], ";", 
            RowBox[{"a3", "=", 
             RowBox[{"Sin", "[", "P", "]"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"RotedNorm", "[", "ct", "]"}], "=", 
          RowBox[{"N", "[", 
           RowBox[{"{", 
            RowBox[{"a1", ",", "a2", ",", "a3"}], "}"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "2"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "planecount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ArcCos", "[", 
             RowBox[{"Dot", "[", 
              RowBox[{
               RowBox[{"RotedNorm", "[", 
                RowBox[{"ct", "-", "1"}], "]"}], ",", 
               RowBox[{"RotedNorm", "[", "ct", "]"}]}], "]"}], "]"}], ">", 
            RowBox[{"Pi", "/", "2"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"RotedNorm", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"-", "1"}], "*", 
              RowBox[{"RotedNorm", "[", "ct", "]"}]}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"TempAvgLong", "=", 
       RowBox[{"Mean", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"RotedNorm", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "planecount"}], "}"}]}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LongAxis", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"TempAvgLong", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "2"], ")"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"TempAvgLong", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "2"], ")"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"TempAvgLong", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "2"], ")"}], "+", 
            RowBox[{"(", 
             SuperscriptBox[
              RowBox[{"TempAvgLong", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "2"], ")"}]}], "]"}]}]}], 
        "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}]}], ",", 
        RowBox[{
         RowBox[{"LPlunge", "=", "90"}], ";"}], ",", 
        RowBox[{
         RowBox[{"LPlunge", "=", 
          RowBox[{
           FractionBox["1", "\[Pi]"], 
           RowBox[{
            RowBox[{"ArcTan", "[", 
             RowBox[{
              RowBox[{"Abs", "[", 
               RowBox[{
               "LongAxis", "\[LeftDoubleBracket]", "3", 
                "\[RightDoubleBracket]"}], "]"}], "/", 
              RowBox[{"(", 
               RowBox[{"\[Sqrt]", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{
                   "LongAxis", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "2"], "+", 
                  SuperscriptBox[
                   RowBox[{
                   "LongAxis", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "2"]}], ")"}]}], ")"}]}], 
             "]"}], " ", "180"}]}]}], ";"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"Tl", "=", "90"}], ";"}], ",", 
        RowBox[{
         RowBox[{"Tl", "=", 
          RowBox[{"Abs", "[", 
           FractionBox[
            RowBox[{
             RowBox[{"ArcTan", "[", 
              FractionBox[
               RowBox[{
               "LongAxis", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}], 
               RowBox[{
               "LongAxis", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}]], "]"}], " ", "180"}], "\[Pi]"], 
           "]"}]}], ";"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "Tl"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"360", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "+", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"360", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "+", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", 
         RowBox[{"180", "-", "Tl"}]}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "Tl"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[LessEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[LessEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "90"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[GreaterEqual]", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "90"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "<", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          ">", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "270"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          ">", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "<", "0"}]}], ",", 
        RowBox[{"LTrend", "=", "270"}]}], "]"}], ";", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}], "&&", 
         RowBox[{
          RowBox[{
          "LongAxis", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[Equal]", "0"}]}], ",", 
        RowBox[{
         RowBox[{"LPlunge", "=", "90"}], ";", 
         RowBox[{"LTrend", "=", "NA"}]}]}], "]"}], ";", "\[IndentingNewLine]",
       "\[IndentingNewLine]", 
      RowBox[{"MeanPoleTrend", "=", "LTrend"}], ";", "\[IndentingNewLine]", 
      RowBox[{"MeanPolePlunge", "=", "LPlunge"}], ";", "\[IndentingNewLine]", 
      RowBox[{"MeanDipDir", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"MeanPoleTrend", "+", "180"}], ")"}], "\[GreaterEqual]", 
          "360"}], ",", 
         RowBox[{"(", 
          RowBox[{"MeanPoleTrend", "-", "180"}], ")"}], ",", 
         RowBox[{"(", 
          RowBox[{"MeanPoleTrend", "+", "180"}], ")"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"MeanStrike", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"MeanPoleTrend", "+", "90"}], ")"}], ">", "360"}], ",", 
         RowBox[{"(", 
          RowBox[{"MeanPoleTrend", "-", "270"}], ")"}], ",", 
         RowBox[{"(", 
          RowBox[{"MeanPoleTrend", "+", "90"}], ")"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"MeanDip", "=", 
       RowBox[{"90", "-", "MeanPolePlunge"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polecount", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "\[LessEqual]", "planecount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"GraphicalDisplay", "[", "ct", "]"}], "\[Equal]", 
          "\"\<p\>\""}], 
         StyleBox["||", "OperatorCharacter"], 
         RowBox[{
          RowBox[{"GraphicalDisplay", "[", "ct", "]"}], "\[Equal]", 
          "\"\<b\>\""}], 
         StyleBox["||", "OperatorCharacter"], 
         RowBox[{
          RowBox[{"GraphicalDisplay", "[", "ct", "]"}], "\[Equal]", "p"}], 
         StyleBox["||", "OperatorCharacter"], 
         RowBox[{
          RowBox[{"GraphicalDisplay", "[", "ct", "]"}], "\[Equal]", "b"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"PT", "[", "polecount", "]"}], "=", 
          RowBox[{"poleTrend", "[", "ct", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"PP", "[", "polecount", "]"}], "=", 
          RowBox[{"polePlunge", "[", "ct", "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"polecount", "=", 
          RowBox[{"polecount", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerHemisphere", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "}"}], "]"}], " ", ":=", 
   " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], " ", "/", " ", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"z", " ", "<=", " ", "0"}], ",", " ", 
      RowBox[{"Norm", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], "]"}], ",", " ", 
      RowBox[{"-", 
       RowBox[{"Norm", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], "]"}]}]}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sphericalFromTrendPlungeDeg", "[", 
    RowBox[{"{", 
     RowBox[{"trendDeg_", ",", " ", "plungeDeg_"}], "}"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"1.0", ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"plungeDeg", "+", "90.0"}], ")"}], " ", "Degree"}], ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"90.0", "-", "trendDeg"}], ")"}], " ", "Degree"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cartesianFromSpherical", "[", 
    RowBox[{"{", 
     RowBox[{"rho_", ",", " ", "phi_", ",", " ", "theta_"}], "}"}], "]"}], 
   " ", ":=", " ", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"rho", " ", "*", " ", 
      RowBox[{"Sin", "[", "phi", "]"}], " ", "*", " ", 
      RowBox[{"Cos", "[", "theta", "]"}]}], ",", " ", 
     RowBox[{"rho", " ", "*", " ", 
      RowBox[{"Sin", "[", "phi", "]"}], " ", "*", " ", 
      RowBox[{"Sin", "[", "theta", "]"}]}], ",", " ", 
     RowBox[{"rho", " ", "*", " ", 
      RowBox[{"Cos", "[", "phi", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cartesianFromTrendPlungeDeg", "[", "x_", "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"cartesianFromSpherical", "[", 
    RowBox[{"sphericalFromTrendPlungeDeg", "[", "x", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerHemisphereGrid", "[", 
    RowBox[{"gridSkip_", ",", " ", "sampleSkip_"}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "curves", ",", " ", "curve", ",", " ", "phi", ",", " ", "theta"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"curves", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"phi", " ", "=", " ", "gridSkip"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"phi", " ", "<", " ", "Pi"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"curve", " ", "=", " ", 
          RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"theta", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"theta", " ", "\[LessEqual]", " ", "Pi"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"curve", " ", "=", " ", 
             RowBox[{"Append", "[", 
              RowBox[{"curve", ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "phi", "]"}], " ", 
                  RowBox[{"Cos", "[", "theta", "]"}]}], ",", " ", 
                 RowBox[{"Cos", "[", "phi", "]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"Sin", "[", "phi", "]"}]}], " ", 
                  RowBox[{"Sin", "[", "theta", "]"}]}]}], "}"}]}], "]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"theta", " ", "=", " ", 
             RowBox[{"theta", " ", "+", " ", "sampleSkip"}]}]}]}], "]"}], ";",
          "\[IndentingNewLine]", 
         RowBox[{"curves", " ", "=", " ", 
          RowBox[{"Append", "[", 
           RowBox[{"curves", ",", " ", "curve"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"phi", " ", "=", " ", 
          RowBox[{"phi", " ", "+", " ", "gridSkip"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"theta", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"theta", " ", "\[LessEqual]", " ", "Pi"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"curve", " ", "=", " ", 
          RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"phi", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"phi", " ", "\[LessEqual]", " ", "Pi"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"curve", " ", "=", " ", 
             RowBox[{"Append", "[", 
              RowBox[{"curve", ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "phi", "]"}], " ", 
                  RowBox[{"Cos", "[", "theta", "]"}]}], ",", " ", 
                 RowBox[{"Cos", "[", "phi", "]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"Sin", "[", "phi", "]"}]}], " ", 
                  RowBox[{"Sin", "[", "theta", "]"}]}]}], "}"}]}], "]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"phi", " ", "=", " ", 
             RowBox[{"phi", " ", "+", " ", "sampleSkip"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"curves", " ", "=", " ", 
          RowBox[{"Append", "[", 
           RowBox[{"curves", ",", " ", "curve"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"theta", " ", "=", " ", 
          RowBox[{"theta", " ", "+", " ", "gridSkip"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", "curves"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"curvePrimitive", "[", "pointList_", "]"}], " ", ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"pointList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
         RowBox[{"pointList", "[", 
          RowBox[{"[", 
           RowBox[{"i", " ", "+", " ", "1"}], "]"}], "]"}]}], "}"}], "]"}], 
      ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", 
        RowBox[{
         RowBox[{"Length", "[", "pointList", "]"}], " ", "-", " ", "1"}]}], 
       "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"AreaOrAngle", "\[Equal]", "\"\<Area\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"equalAreaProjection", "[", 
        RowBox[{"{", 
         RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "}"}], "]"}], " ", ":=",
        " ", "\[IndentingNewLine]", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "scaling", "}"}], ",", " ", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"x", "^", "2"}], " ", "+", " ", 
             RowBox[{"y", "^", "2"}]}], " ", "\[Equal]", " ", "0"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "0"}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"scaling", " ", "=", " ", 
             RowBox[{"Sqrt", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", " ", "+", " ", "z"}], ")"}]}], ")"}], " ", "/",
                " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"x", "^", "2"}], " ", "+", " ", 
                 RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"scaling", " ", "*", " ", "x"}], ",", " ", 
              RowBox[{"scaling", " ", "*", " ", "y"}]}], "}"}]}]}], "]"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fringePrimitive", "[", 
        RowBox[{"plotRadius_", ",", " ", "padding_"}], "]"}], " ", ":=", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0.", ",", "0."}], "}"}], ",", "plotRadius"}], "]"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"plotRadius", " ", "*", " ", 
                 RowBox[{"Cos", "[", "angle", "]"}]}], ",", " ", 
                RowBox[{"plotRadius", " ", "*", 
                 RowBox[{"Sin", "[", "angle", "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"plotRadius", " ", "+", " ", "padding"}], ")"}], 
                 " ", "*", " ", 
                 RowBox[{"Cos", "[", "angle", "]"}]}], ",", " ", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"plotRadius", " ", "+", " ", "padding"}], ")"}], 
                 " ", "*", " ", 
                 RowBox[{"Sin", "[", "angle", "]"}]}]}], "}"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"angle", ",", " ", "0", ",", " ", 
             RowBox[{"2", " ", "Pi"}], ",", " ", 
             RowBox[{"Pi", " ", "/", " ", "2"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<000\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"plotRadius", " ", "+", " ", 
              RowBox[{"2", " ", "*", " ", 
               RowBox[{"(", 
                RowBox[{"padding", "*", "1.4"}], ")"}]}]}]}], "}"}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<090\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"plotRadius", " ", "+", " ", 
              RowBox[{"2", " ", "*", " ", 
               RowBox[{"(", 
                RowBox[{"padding", "*", "1.7"}], ")"}]}]}], ",", "0"}], 
            "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<180\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"plotRadius", " ", "+", " ", 
                RowBox[{"2", " ", "*", " ", 
                 RowBox[{"(", 
                  RowBox[{"padding", "*", "1.4"}], ")"}]}]}], ")"}]}]}], 
            "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<270\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"plotRadius", " ", "+", " ", 
                RowBox[{"2", " ", "*", " ", 
                 RowBox[{"(", 
                  RowBox[{"padding", "*", "1.7"}], ")"}]}]}], ")"}]}], ",", 
             "0"}], "}"}]}], "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"equalAreaPlot", "[", 
        RowBox[{"diskList_", ",", "pointRadius_", ",", "coloring_"}], "]"}], 
       " ", ":=", " ", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"fringePrimitive", "[", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], ",", " ", "0.1"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Function", "[", 
              RowBox[{"vector", ",", 
               RowBox[{"{", 
                RowBox[{"coloring", ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"equalAreaProjection", "[", 
                    RowBox[{"lowerHemisphere", "[", "vector", "]"}], "]"}], 
                   ",", " ", "pointRadius"}], "]"}]}], "}"}]}], "]"}], ",", 
             " ", "diskList"}], "]"}]}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"schmidtNet", "[", 
        RowBox[{"gridSkip_", ",", " ", "sampleSkip_"}], "]"}], " ", ":=", " ",
        "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GrayLevel", "[", ".7", "]"}], ",", "Thin", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Function", "[", 
              RowBox[{"curve", ",", " ", 
               RowBox[{"curvePrimitive", "[", 
                RowBox[{"Map", "[", 
                 RowBox[{"equalAreaProjection", ",", "curve"}], "]"}], 
                "]"}]}], "]"}], ",", " ", 
             RowBox[{"lowerHemisphereGrid", "[", 
              RowBox[{"gridSkip", ",", " ", "sampleSkip"}], "]"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"greatcount", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct2", "\[LessEqual]", "planecount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", 
             "\"\<g\>\""}], 
            StyleBox["||", "OperatorCharacter"], 
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", 
             "\"\<b\>\""}], 
            StyleBox["||", "OperatorCharacter"], 
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", "g"}], 
            StyleBox["||", "OperatorCharacter"], 
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", 
             "b"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"RotMat", "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                  "]"}], ",", 
                 RowBox[{"-", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                   "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                  "]"}], ",", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                  "]"}]}], "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "curveresolution"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"iterator", "=", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"180", 
                   RowBox[{"\[Degree]", "/", "curveresolution"}]}], ")"}], 
                 "*", "ct"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"vect", "[", "ct", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "iterator", "]"}], " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}], ",", " ", 
                  RowBox[{"Cos", "[", "iterator", "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Sin", "[", "iterator", "]"}]}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"vect", "[", "ct", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "iterator", "]"}], " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}], ",", " ", 
                  RowBox[{"Cos", "[", "iterator", "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Sin", "[", "iterator", "]"}]}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"vectprime", "[", "ct", "]"}], "=", 
                RowBox[{"lowerHemisphere", "[", 
                 RowBox[{"vect", "[", "ct", "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"prerotpt", "[", "ct", "]"}], "=", 
                RowBox[{"equalAreaProjection", "[", 
                 RowBox[{"vectprime", "[", "ct", "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"pt", "[", "ct", "]"}], "=", 
                RowBox[{
                 RowBox[{"prerotpt", "[", "ct", "]"}], ".", "RotMat"}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"GreatCircle", "[", "greatcount", "]"}], "=", 
             RowBox[{"Show", "[", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"greatcolor", ",", 
                 RowBox[{"Thickness", "[", "greatthickness", "]"}], ",", 
                 RowBox[{"Tooltip", "[", 
                  RowBox[{
                   RowBox[{"Line", "[", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pt", "[", "x", "]"}], ",", " ", 
                    RowBox[{"pt", "[", 
                    RowBox[{"x", " ", "+", " ", "1"}], "]"}]}], "}"}], ",", 
                    " ", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", " ", "0", ",", 
                    RowBox[{"curveresolution", "-", "1"}]}], "}"}]}], "]"}], 
                    "]"}], ",", 
                   RowBox[{"\"\<Dip,DipDir: \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "]"}], 
                    RowBox[{"\"\<,\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "+", "90"}], 
                    "\[GreaterEqual]", "360"}], ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "-", "270"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "+", "90"}]}], 
                    "]"}], "]"}], "]"}]}]}], "]"}]}]}], "]"}]}], "}"}], "]"}],
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"greatcount", "=", 
             RowBox[{"greatcount", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct2", "=", 
          RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PMON", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"RotMat", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Sin", "[", 
                RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}]}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}], ",", 
              RowBox[{"Cos", "[", 
               RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}]}], "}"}]}], 
           "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "curveresolution"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"iterator", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"180", 
                RowBox[{"\[Degree]", "/", "curveresolution"}]}], ")"}], "*", 
              "ct"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"vect", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Sin", "[", "iterator", "]"}], " ", 
                RowBox[{"Cos", "[", 
                 RowBox[{"MeanDip", " ", "\[Degree]"}], "]"}]}], ",", " ", 
               RowBox[{"Cos", "[", "iterator", "]"}], ",", " ", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "iterator", "]"}]}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"MeanDip", " ", "\[Degree]"}], "]"}]}]}], "}"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"vectprime", "[", "ct", "]"}], "=", 
             RowBox[{"lowerHemisphere", "[", 
              RowBox[{"vect", "[", "ct", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"prerotpt", "[", "ct", "]"}], "=", 
             RowBox[{"equalAreaProjection", "[", 
              RowBox[{"vectprime", "[", "ct", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"pt", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"prerotpt", "[", "ct", "]"}], ".", "RotMat"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"MeanGreatCirclePole", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{"meanplanecolor", ",", 
             RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
             RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
             RowBox[{"GeometricTransformation", "[", 
              RowBox[{
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Polygon", "[", 
                  RowBox[{"starscale", "*", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".3639"}], ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".95"}], ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".225"}], ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".225", ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".95", ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".3630", ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".59", ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".3822"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"\"\<(T,P): (\>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "MeanPoleTrend", "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<\[Degree], \>\"", "]"}], "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "MeanPolePlunge", "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<\[Degree])\>\"", "]"}]}]}], 
                "]"}], ",", 
               RowBox[{"equalAreaProjection", "[", 
                RowBox[{"lowerHemisphere", "[", 
                 RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                  RowBox[{"{", 
                   RowBox[{"MeanPoleTrend", ",", "MeanPolePlunge"}], "}"}], 
                  "]"}], "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"MeanGreatCircle", "=", 
          RowBox[{"Show", "[", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{"meanplanecolor", ",", 
              RowBox[{"Thickness", "[", "meanplanethickness", "]"}], ",", 
              RowBox[{"Tooltip", "[", 
               RowBox[{
                RowBox[{"Line", "[", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pt", "[", "x", "]"}], ",", " ", 
                    RowBox[{"pt", "[", 
                    RowBox[{"x", " ", "+", " ", "1"}], "]"}]}], "}"}], ",", 
                   " ", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", " ", "0", ",", 
                    RowBox[{"curveresolution", "-", "1"}]}], "}"}]}], "]"}], 
                 "]"}], ",", 
                RowBox[{"\"\<Dip,DipDir: \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{
                   RowBox[{"N", "[", "MeanDip", "]"}], 
                   RowBox[{"\"\<,\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", "MeanDipDir", "]"}], "]"}]}]}], 
                  "]"}]}]}], "]"}]}], "}"}], "]"}], "]"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"legnumb", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"linecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"polecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"greatcount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"fixedpt", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sqrt", "[", "2", "]"}], ",", 
         RowBox[{"-", ".55"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"shadowoffset", "=", "0.05"}], ";", "\[IndentingNewLine]", 
      RowBox[{"circrad", "=", ".1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"spaced", "=", ".07"}], ";", "\[IndentingNewLine]", 
      RowBox[{"topbuffer", "=", ".175"}], ";", "\[IndentingNewLine]", 
      RowBox[{"bottombuffer", "=", ".0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"lfbuffer", "=", "0.175"}], ";", "\[IndentingNewLine]", 
      RowBox[{"rtbuffer", "=", "0.15"}], ";", "\[IndentingNewLine]", 
      RowBox[{"horzspace", "=", "0.01"}], ";", "\[IndentingNewLine]", 
      RowBox[{"linlen", "=", ".175"}], ";", "\[IndentingNewLine]", 
      RowBox[{"gclen", "=", ".585"}], ";", "\[IndentingNewLine]", 
      RowBox[{"polelen", "=", ".175"}], ";", "\[IndentingNewLine]", 
      RowBox[{"mpd", "=", ".9"}], ";", "\[IndentingNewLine]", 
      RowBox[{"mld", "=", ".9"}], ";", "\[IndentingNewLine]", 
      RowBox[{"xarccorrection", "=", "0.26"}], ";", "\[IndentingNewLine]", 
      RowBox[{"yarccorrection", "=", "0.14"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"wordlens", "[", "0", "]"}], "=", "0"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"wordct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"linecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "linlen"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"greatcount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "gclen"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"polecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "polelen"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "mpd"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "mld"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"maxwidth", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"wordlens", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", 
            RowBox[{"wordct", "-", "1"}]}], "}"}]}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"width", "=", 
       RowBox[{"lfbuffer", "+", 
        RowBox[{"2", "*", "circrad"}], "+", "horzspace", "+", "maxwidth", "+",
         "rtbuffer"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"height", "=", 
       RowBox[{
        RowBox[{"2", "*", "circrad", "*", "legnumb"}], "+", 
        RowBox[{"spaced", "*", 
         RowBox[{"(", 
          RowBox[{"legnumb", "-", "1"}], ")"}]}], "+", "topbuffer", "+", 
        "bottombuffer"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"nudge", "=", ".1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"negnudge", "=", 
       RowBox[{"-", ".05"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"wordnudge", "=", ".08"}], ";", "\[IndentingNewLine]", 
      RowBox[{"legcount", "=", 
       RowBox[{"-", "1"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Legend2", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "shadowoffset"}], ",", 
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "-", "shadowoffset"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "width", "+", 
                 "shadowoffset"}], ",", 
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "-", "height", "-", 
                 "shadowoffset"}]}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "1", "]"}], ",", 
            RowBox[{"EdgeForm", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", 
               RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{"fixedpt", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "width"}], ",", 
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "-", "height"}]}], "}"}]}], 
             "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"linecount", ">", "0"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"lincolor", ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer"}]}], 
                    "}"}], ",", "circrad"}], "]"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<line\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "17"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"greatcount", ">", "0"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"greatcolor", ",", 
                 RowBox[{"Thickness", "[", ".004", "]"}], ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    "xarccorrection"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}], "-", 
                    "yarccorrection"}]}], "}"}], ",", ".3", ",", 
                   RowBox[{"{", 
                    RowBox[{"2.4", ",", "2.9"}], "}"}]}], "]"}]}], "}"}], 
               "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<great circle\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "17"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"polecount", ">", "0"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"polecolor", ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                    "}"}], ",", "circrad"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<pole\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "17"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"PMON", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"meanplanecolor", ",", 
                 RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
                 RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
                 RowBox[{"Polygon", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3639"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".95"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".225"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{"1", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".225", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".95", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".3630", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".59", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3822"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"meanplanecolor", ",", 
                 RowBox[{"Thickness", "[", "meanplanethickness", "]"}], ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    "xarccorrection", "+", "negnudge"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}], "-", 
                    "yarccorrection"}]}], "}"}], ",", ".3", ",", 
                   RowBox[{"{", 
                    RowBox[{"2.4", ",", "2.9"}], "}"}]}], "]"}]}], "}"}], 
               "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<mean planar data\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "17"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace", "+", 
                    "wordnudge"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LMON", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"meanlincolor", ",", 
                 RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
                 RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
                 RowBox[{"Polygon", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3639"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".95"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".225"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"1", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".225", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".95", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".3630", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".59", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3822"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<mean linear data\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "17"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"GraphicalPlot", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"N", " ", "==", " ", 
                RowBox[{"(", "numbdata", ")"}]}], ",", 
               RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1.2"}], ",", 
               RowBox[{"-", "1.6"}]}], "}"}]}], "]"}], "}"}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<Equal Area Projection\>\"", ",", 
               RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "2"}]}], "}"}]}], "]"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"schmidtNet", "[", 
          RowBox[{
           RowBox[{"10", " ", "Degree"}], ",", " ", 
           RowBox[{"5", " ", "Degree"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"GreatCircle", "[", "x", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0", ",", 
             RowBox[{"greatcount", "-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"PMON", "\[Equal]", "1"}], ",", 
           RowBox[{"Show", "[", 
            RowBox[{"MeanGreatCircle", ",", "MeanGreatCirclePole"}], "]"}], 
           ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"polecolor", ",", 
                RowBox[{"PointSize", "[", "poleptsize", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"equalAreaProjection", "[", 
                  RowBox[{"lowerHemisphere", "[", 
                   RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PT", "[", "x", "]"}], ",", 
                    RowBox[{"PP", "[", "x", "]"}]}], "}"}], "]"}], "]"}], 
                  "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"DisplayForm", "[", 
               RowBox[{"RowBox", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"PT", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"PP", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}],
                "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", 
              RowBox[{"polecount", "-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"lincolor", ",", 
                RowBox[{"PointSize", "[", "linptsize", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"equalAreaProjection", "[", 
                  RowBox[{"lowerHemisphere", "[", 
                   RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"LineTrend", "[", "x", "]"}], ",", 
                    RowBox[{"LinePlunge", "[", "x", "]"}]}], "}"}], "]"}], 
                   "]"}], "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"DisplayForm", "[", 
               RowBox[{"RowBox", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"LineTrend", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"LinePlunge", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}],
                "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}], "]"}],
          ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LMON", "\[Equal]", "1"}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{"meanlincolor", ",", 
              RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
              RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
              RowBox[{"GeometricTransformation", "[", 
               RowBox[{
                RowBox[{"Tooltip", "[", 
                 RowBox[{
                  RowBox[{"Polygon", "[", 
                   RowBox[{"starscale", "*", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".3639"}], ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".95"}], ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".225"}], ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".225", ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".95", ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".3630", ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".59", ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".3822"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}]}], "}"}]}], "]"}], ",", 
                  RowBox[{"\"\<(T,P): (\>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", "MeanLineTrend", "]"}], "]"}], "<>", 
                   RowBox[{"ToString", "[", "\"\<\[Degree], \>\"", "]"}], "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", "MeanLinePlunge", "]"}], "]"}], "<>", 
                   RowBox[{"ToString", "[", "\"\<\[Degree])\>\"", "]"}]}]}], 
                 "]"}], ",", 
                RowBox[{"equalAreaProjection", "[", 
                 RowBox[{"lowerHemisphere", "[", 
                  RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                   RowBox[{"{", 
                    RowBox[{"MeanLineTrend", ",", "MeanLinePlunge"}], "}"}], 
                   "]"}], "]"}], "]"}]}], "]"}]}], "}"}], "]"}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
         "Legend2", ",", 
         RowBox[{"equalAreaPlot", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"cartesianFromTrendPlungeDeg", "[", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", " ", 
           "0.00001", ",", "Black"}], "]"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "550"}], "}"}]}]}], "]"}]}], ";"}]}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"AreaOrAngle", "\[Equal]", "\"\<Angle\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"fringePrimitive", "[", 
        RowBox[{"plotRadius_", ",", " ", "padding_"}], "]"}], " ", ":=", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0.", ",", "0."}], "}"}], ",", "plotRadius"}], "]"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"plotRadius", " ", "*", " ", 
                 RowBox[{"Cos", "[", "angle", "]"}]}], ",", " ", 
                RowBox[{"plotRadius", " ", "*", 
                 RowBox[{"Sin", "[", "angle", "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"plotRadius", " ", "+", " ", "padding"}], ")"}], 
                 " ", "*", " ", 
                 RowBox[{"Cos", "[", "angle", "]"}]}], ",", " ", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"plotRadius", " ", "+", " ", "padding"}], ")"}], 
                 " ", "*", " ", 
                 RowBox[{"Sin", "[", "angle", "]"}]}]}], "}"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"angle", ",", " ", "0", ",", " ", 
             RowBox[{"2", " ", "Pi"}], ",", " ", 
             RowBox[{"Pi", " ", "/", " ", "2"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<000\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"plotRadius", " ", "+", " ", 
              RowBox[{"2", " ", "*", " ", 
               RowBox[{"(", 
                RowBox[{"padding", "*", "0.75"}], ")"}]}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Center", ",", "Bottom"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<090\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"plotRadius", " ", "+", " ", 
              RowBox[{"2", " ", "*", " ", 
               RowBox[{"(", 
                RowBox[{"padding", "*", "1.0"}], ")"}]}]}], ",", "0"}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<180\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"plotRadius", " ", "+", " ", 
                RowBox[{"2", " ", "*", " ", 
                 RowBox[{"(", 
                  RowBox[{"padding", "*", "0.75"}], ")"}]}]}], ")"}]}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Center", ",", "Top"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<270\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"plotRadius", " ", "+", " ", 
                RowBox[{"2", " ", "*", " ", 
                 RowBox[{"(", 
                  RowBox[{"padding", "*", "1.0"}], ")"}]}]}], ")"}]}], ",", 
             "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Right", ",", "Center"}], "}"}]}], "]"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"equalAngleProjection", "[", 
        RowBox[{"{", 
         RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "}"}], "]"}], " ", ":=",
        " ", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", " ", "/", " ", 
          RowBox[{"(", 
           RowBox[{"1", " ", "-", " ", "z"}], ")"}]}], ",", " ", 
         RowBox[{"y", " ", "/", " ", 
          RowBox[{"(", 
           RowBox[{"1", " ", "-", " ", "z"}], ")"}]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"equalAnglePlot", "[", 
        RowBox[{"diskList_", ",", "pointRadius_", ",", "coloring_"}], "]"}], 
       " ", ":=", " ", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"fringePrimitive", "[", 
            RowBox[{"1", ",", " ", "0.07"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Function", "[", 
              RowBox[{"vector", ",", 
               RowBox[{"{", 
                RowBox[{"coloring", ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"equalAngleProjection", "[", 
                    RowBox[{"lowerHemisphere", "[", "vector", "]"}], "]"}], 
                   ",", " ", "pointRadius"}], "]"}]}], "}"}]}], "]"}], ",", 
             " ", "diskList"}], "]"}]}], "]"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"wulffNet", "[", 
        RowBox[{"gridSkip_", ",", " ", "sampleSkip_"}], "]"}], " ", ":=", " ",
        "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GrayLevel", "[", ".7", "]"}], ",", "Thin", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{"Function", "[", 
              RowBox[{"curve", ",", " ", 
               RowBox[{"curvePrimitive", "[", 
                RowBox[{"Map", "[", 
                 RowBox[{"equalAngleProjection", ",", "curve"}], "]"}], 
                "]"}]}], "]"}], ",", " ", 
             RowBox[{"lowerHemisphereGrid", "[", 
              RowBox[{"gridSkip", ",", " ", "sampleSkip"}], "]"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"greatcount", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct2", "\[LessEqual]", "planecount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", 
             "\"\<g\>\""}], 
            StyleBox["||", "OperatorCharacter"], 
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", 
             "\"\<b\>\""}], 
            StyleBox["||", "OperatorCharacter"], 
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", "g"}], 
            StyleBox["||", "OperatorCharacter"], 
            RowBox[{
             RowBox[{"GraphicalDisplay", "[", "ct2", "]"}], "\[Equal]", 
             "b"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"RotMat", "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                  "]"}], ",", 
                 RowBox[{"-", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                   "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                  "]"}], ",", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"StrikeAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                  "]"}]}], "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "curveresolution"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"iterator", "=", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"180", 
                   RowBox[{"\[Degree]", "/", "curveresolution"}]}], ")"}], 
                 "*", "ct"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"vect", "[", "ct", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "iterator", "]"}], " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}], ",", " ", 
                  RowBox[{"Cos", "[", "iterator", "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Sin", "[", "iterator", "]"}]}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"vect", "[", "ct", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "iterator", "]"}], " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}], ",", " ", 
                  RowBox[{"Cos", "[", "iterator", "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Sin", "[", "iterator", "]"}]}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "\[Degree]"}], 
                    "]"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"vectprime", "[", "ct", "]"}], "=", 
                RowBox[{"lowerHemisphere", "[", 
                 RowBox[{"vect", "[", "ct", "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"prerotpt", "[", "ct", "]"}], "=", 
                RowBox[{"equalAngleProjection", "[", 
                 RowBox[{"vectprime", "[", "ct", "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"pt", "[", "ct", "]"}], "=", 
                RowBox[{
                 RowBox[{"prerotpt", "[", "ct", "]"}], ".", "RotMat"}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"GreatCircle", "[", "greatcount", "]"}], "=", 
             RowBox[{"Show", "[", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"greatcolor", ",", 
                 RowBox[{"Thickness", "[", "greatthickness", "]"}], ",", 
                 RowBox[{"Tooltip", "[", 
                  RowBox[{
                   RowBox[{"Line", "[", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pt", "[", "x", "]"}], ",", " ", 
                    RowBox[{"pt", "[", 
                    RowBox[{"x", " ", "+", " ", "1"}], "]"}]}], "}"}], ",", 
                    " ", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", " ", "0", ",", 
                    RowBox[{"curveresolution", "-", "1"}]}], "}"}]}], "]"}], 
                    "]"}], ",", 
                   RowBox[{"\"\<Dip,DipDir: \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"DipAngle", "[", "ct2", "]"}], "]"}], 
                    RowBox[{"\"\<,\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "+", "90"}], 
                    "\[GreaterEqual]", "360"}], ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "-", "270"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"StrikeAngle", "[", "ct2", "]"}], "+", "90"}]}], 
                    "]"}], "]"}], "]"}]}]}], "]"}]}]}], "]"}]}], "}"}], "]"}],
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"greatcount", "=", 
             RowBox[{"greatcount", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct2", "=", 
          RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PMON", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"RotMat", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Sin", "[", 
                RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}]}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}], ",", 
              RowBox[{"Cos", "[", 
               RowBox[{"MeanStrike", " ", "\[Degree]"}], "]"}]}], "}"}]}], 
           "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "curveresolution"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"iterator", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"180", 
                RowBox[{"\[Degree]", "/", "curveresolution"}]}], ")"}], "*", 
              "ct"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"vect", "[", "ct", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Sin", "[", "iterator", "]"}], " ", 
                RowBox[{"Cos", "[", 
                 RowBox[{"MeanDip", " ", "\[Degree]"}], "]"}]}], ",", " ", 
               RowBox[{"Cos", "[", "iterator", "]"}], ",", " ", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "iterator", "]"}]}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"MeanDip", " ", "\[Degree]"}], "]"}]}]}], "}"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"vectprime", "[", "ct", "]"}], "=", 
             RowBox[{"lowerHemisphere", "[", 
              RowBox[{"vect", "[", "ct", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"prerotpt", "[", "ct", "]"}], "=", 
             RowBox[{"equalAngleProjection", "[", 
              RowBox[{"vectprime", "[", "ct", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"pt", "[", "ct", "]"}], "=", 
             RowBox[{
              RowBox[{"prerotpt", "[", "ct", "]"}], ".", "RotMat"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"MeanGreatCirclePole", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{"meanplanecolor", ",", 
             RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
             RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
             RowBox[{"GeometricTransformation", "[", 
              RowBox[{
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Polygon", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"starscale", "/", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}], "*", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".3639"}], ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".95"}], ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".225"}], ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".225", ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".95", ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".3630", ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".59", ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".3822"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"\"\<(T,P): (\>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "MeanPoleTrend", "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<\[Degree], \>\"", "]"}], "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "MeanPolePlunge", "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<\[Degree])\>\"", "]"}]}]}], 
                "]"}], ",", 
               RowBox[{"equalAngleProjection", "[", 
                RowBox[{"lowerHemisphere", "[", 
                 RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                  RowBox[{"{", 
                   RowBox[{"MeanPoleTrend", ",", "MeanPolePlunge"}], "}"}], 
                  "]"}], "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"MeanGreatCircle", "=", 
          RowBox[{"Show", "[", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{"meanplanecolor", ",", 
              RowBox[{"Thickness", "[", "meanplanethickness", "]"}], ",", 
              RowBox[{"Tooltip", "[", 
               RowBox[{
                RowBox[{"Line", "[", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pt", "[", "x", "]"}], ",", " ", 
                    RowBox[{"pt", "[", 
                    RowBox[{"x", " ", "+", " ", "1"}], "]"}]}], "}"}], ",", 
                   " ", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", " ", "0", ",", 
                    RowBox[{"curveresolution", "-", "1"}]}], "}"}]}], "]"}], 
                 "]"}], ",", 
                RowBox[{"\"\<Dip,DipDir: \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{
                   RowBox[{"N", "[", "MeanDip", "]"}], 
                   RowBox[{"\"\<,\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", "MeanDipDir", "]"}], "]"}]}]}], 
                  "]"}]}]}], "]"}]}], "}"}], "]"}], "]"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"legnumb", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"linecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"polecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"greatcount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"legnumb", "=", 
          RowBox[{"legnumb", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"fixedpt", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", ".4"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"shadowoffset", "=", "0.04"}], ";", "\[IndentingNewLine]", 
      RowBox[{"circrad", "=", ".07"}], ";", "\[IndentingNewLine]", 
      RowBox[{"spaced", "=", ".05"}], ";", "\[IndentingNewLine]", 
      RowBox[{"topbuffer", "=", ".125"}], ";", "\[IndentingNewLine]", 
      RowBox[{"bottombuffer", "=", ".0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"lfbuffer", "=", "0.125"}], ";", "\[IndentingNewLine]", 
      RowBox[{"rtbuffer", "=", "0.15"}], ";", "\[IndentingNewLine]", 
      RowBox[{"horzspace", "=", "0.01"}], ";", "\[IndentingNewLine]", 
      RowBox[{"linlen", "=", ".06"}], ";", "\[IndentingNewLine]", 
      RowBox[{"gclen", "=", ".375"}], ";", "\[IndentingNewLine]", 
      RowBox[{"polelen", "=", ".06"}], ";", "\[IndentingNewLine]", 
      RowBox[{"mpd", "=", ".6"}], ";", "\[IndentingNewLine]", 
      RowBox[{"mld", "=", ".6"}], ";", "\[IndentingNewLine]", 
      RowBox[{"xarccorrection", "=", "0.26"}], ";", "\[IndentingNewLine]", 
      RowBox[{"yarccorrection", "=", "0.14"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"wordlens", "[", "0", "]"}], "=", "0"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"wordct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"linecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "linlen"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"greatcount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "gclen"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"polecount", ">", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "polelen"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "mpd"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LMON", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"wordlens", "[", "wordct", "]"}], "=", "mld"}], ";", 
         RowBox[{"wordct", "=", 
          RowBox[{"wordct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"maxwidth", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"wordlens", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", 
            RowBox[{"wordct", "-", "1"}]}], "}"}]}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"width", "=", 
       RowBox[{"lfbuffer", "+", 
        RowBox[{"2", "*", "circrad"}], "+", "horzspace", "+", "maxwidth", "+",
         "rtbuffer"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"height", "=", 
       RowBox[{
        RowBox[{"2", "*", "circrad", "*", "legnumb"}], "+", 
        RowBox[{"spaced", "*", 
         RowBox[{"(", 
          RowBox[{"legnumb", "-", "1"}], ")"}]}], "+", "topbuffer", "+", 
        "bottombuffer"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"nudge", "=", ".1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"negnudge", "=", 
       RowBox[{"-", ".05"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"wordnudge", "=", ".08"}], ";", "\[IndentingNewLine]", 
      RowBox[{"legcount", "=", 
       RowBox[{"-", "1"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Legend2", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "shadowoffset"}], ",", 
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "-", "shadowoffset"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "width", "+", 
                 "shadowoffset"}], ",", 
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "-", "height", "-", 
                 "shadowoffset"}]}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "1", "]"}], ",", 
            RowBox[{"EdgeForm", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", 
               RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{"fixedpt", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "width"}], ",", 
                RowBox[{
                 RowBox[{"fixedpt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "-", "height"}]}], "}"}]}], 
             "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"linecount", ">", "0"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"lincolor", ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer"}]}], 
                    "}"}], ",", "circrad"}], "]"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<line\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "18"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"greatcount", ">", "0"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"greatcolor", ",", 
                 RowBox[{"Thickness", "[", ".004", "]"}], ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    "xarccorrection"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}], "-", 
                    "yarccorrection"}]}], "}"}], ",", ".3", ",", 
                   RowBox[{"{", 
                    RowBox[{"2.4", ",", "2.9"}], "}"}]}], "]"}]}], "}"}], 
               "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<great circle\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "18"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"polecount", ">", "0"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"polecolor", ",", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                    "}"}], ",", "circrad"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<pole\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "18"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"PMON", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"meanplanecolor", ",", 
                 RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
                 RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
                 RowBox[{"Polygon", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3639"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".95"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".225"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{"1", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".225", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".95", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".3630", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".59", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3822"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], ")"}], 
                    "+", "nudge"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"meanplanecolor", ",", 
                 RowBox[{"Thickness", "[", "meanplanethickness", "]"}], ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    "xarccorrection", "+", "negnudge"}], ",", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}], "-", 
                    "yarccorrection"}]}], "}"}], ",", ".3", ",", 
                   RowBox[{"{", 
                    RowBox[{"2.4", ",", "2.9"}], "}"}]}], "]"}]}], "}"}], 
               "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<mean planar data\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "17"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace", "+", 
                    "wordnudge"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LMON", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"legcount", "=", 
             RowBox[{"legcount", "+", "1"}]}], ";", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{"meanlincolor", ",", 
                 RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
                 RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
                 RowBox[{"Polygon", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3639"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".95"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".225"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"1", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".225", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{".31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".95", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"0.31", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".3630", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".1174"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{".59", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".3822"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".59"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer"}], 
                    ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", ".812"}], "*", "starscale"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}], 
                    ")"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<mean linear data\>\"", ",", 
                   RowBox[{"FontSize", "\[Rule]", "18"}], ",", "Bold"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "lfbuffer", "+", 
                    RowBox[{"2", "*", "circrad"}], "+", "horzspace"}], ",", 
                   RowBox[{
                    RowBox[{"fixedpt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "topbuffer", "-", 
                    RowBox[{"(", 
                    RowBox[{"legcount", "*", 
                    RowBox[{"(", 
                    RowBox[{"spaced", "+", 
                    RowBox[{"2", "*", "circrad"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], "]"}]}], 
             "]"}]}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"GraphicalPlot", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"N", " ", "==", " ", 
                RowBox[{"(", "numbdata", ")"}]}], ",", 
               RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "0.9"}], ",", 
               RowBox[{"-", "1.1"}]}], "}"}]}], "]"}], "}"}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<Equal Angle Projection\>\"", ",", 
               RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "1.45"}]}], "}"}]}], "]"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"wulffNet", "[", 
          RowBox[{
           RowBox[{"10", " ", "Degree"}], ",", " ", 
           RowBox[{"5", " ", "Degree"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"GreatCircle", "[", "x", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0", ",", 
             RowBox[{"greatcount", "-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"PMON", "\[Equal]", "1"}], ",", 
           RowBox[{"Show", "[", 
            RowBox[{"MeanGreatCircle", ",", "MeanGreatCirclePole"}], "]"}], 
           ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"polecolor", ",", 
                RowBox[{"PointSize", "[", "poleptsize", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"equalAngleProjection", "[", 
                  RowBox[{"lowerHemisphere", "[", 
                   RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PT", "[", "x", "]"}], ",", 
                    RowBox[{"PP", "[", "x", "]"}]}], "}"}], "]"}], "]"}], 
                  "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"DisplayForm", "[", 
               RowBox[{"RowBox", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"PT", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"PP", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}],
                "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", 
              RowBox[{"polecount", "-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"lincolor", ",", 
                RowBox[{"PointSize", "[", "linptsize", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"equalAngleProjection", "[", 
                  RowBox[{"lowerHemisphere", "[", 
                   RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"LineTrend", "[", "x", "]"}], ",", 
                    RowBox[{"LinePlunge", "[", "x", "]"}]}], "}"}], "]"}], 
                   "]"}], "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"DisplayForm", "[", 
               RowBox[{"RowBox", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"LineTrend", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"LinePlunge", "[", "x", "]"}], "]"}], "]"}], "<>", 
                  RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}],
                "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}], "]"}],
          ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LMON", "\[Equal]", "1"}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{"meanlincolor", ",", 
              RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
              RowBox[{"Opacity", "[", "opacityvalue", "]"}], ",", 
              RowBox[{"GeometricTransformation", "[", 
               RowBox[{
                RowBox[{"Tooltip", "[", 
                 RowBox[{
                  RowBox[{"Polygon", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"starscale", "/", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}], "*", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".3639"}], ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".95"}], ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".225"}], ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".225", ",", ".31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".95", ",", "0.31"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".3630", ",", 
                    RowBox[{"-", ".1174"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".59", ",", 
                    RowBox[{"-", ".812"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".3822"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".59"}], ",", 
                    RowBox[{"-", ".812"}]}], "}"}]}], "}"}]}], "]"}], ",", 
                  RowBox[{"\"\<(T,P): (\>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", "MeanLineTrend", "]"}], "]"}], "<>", 
                   RowBox[{"ToString", "[", "\"\<\[Degree], \>\"", "]"}], "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", "MeanLinePlunge", "]"}], "]"}], "<>", 
                   RowBox[{"ToString", "[", "\"\<\[Degree])\>\"", "]"}]}]}], 
                 "]"}], ",", 
                RowBox[{"equalAngleProjection", "[", 
                 RowBox[{"lowerHemisphere", "[", 
                  RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                   RowBox[{"{", 
                    RowBox[{"MeanLineTrend", ",", "MeanLinePlunge"}], "}"}], 
                   "]"}], "]"}], "]"}]}], "]"}]}], "}"}], "]"}], ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
          "]"}], ",", "Legend2", ",", 
         RowBox[{"equalAnglePlot", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"cartesianFromTrendPlungeDeg", "[", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", " ", 
           "0.00001", ",", "Black"}], "]"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "550"}], "}"}]}]}], "]"}]}], ";"}]}], 
    "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "GraphicalPlot", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"LMON", "\[Equal]", "1"}], ",", 
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<The mean for the linear data (Trend:Plunge) = \>\"", ",", 
      "MeanLineTrend", ",", "\"\<\[Degree]:\>\"", ",", "MeanLinePlunge", ",", 
      "\"\<\[Degree]\>\""}], "]"}]}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"PMON", "\[Equal]", "1"}], ",", 
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<The mean for the planar data (Dip:Dip Direction) = \>\"", ",", 
      "MeanDip", ",", "\"\<\[Degree]:\>\"", ",", "MeanDipDir", ",", 
      "\"\<\[Degree]\>\""}], "]"}]}], "]"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495459352697952*^9, 3.4954593889680157`*^9}, {
   3.4954595960416374`*^9, 3.495459598709242*^9}, {3.4954596433409204`*^9, 
   3.4954597768303547`*^9}, 3.4954600304344316`*^9, {3.495460060745285*^9, 
   3.495460220970882*^9}, {3.495460260875752*^9, 3.4954602947746115`*^9}, {
   3.4954611511271253`*^9, 3.4954611930894575`*^9}, {3.4954612539295645`*^9, 
   3.4954612544443655`*^9}, {3.495461557050615*^9, 3.4954615860031233`*^9}, 
   3.495461670009271*^9, {3.4954617435322*^9, 3.495461791205884*^9}, {
   3.4954973455173626`*^9, 3.4954973609142427`*^9}, {3.4954974049167595`*^9, 
   3.495497490187637*^9}, {3.4954975291648664`*^9, 3.4954975582415295`*^9}, {
   3.4954975988758535`*^9, 3.4954976766133003`*^9}, {3.4954979000320787`*^9, 
   3.495497946140716*^9}, {3.4954980029759665`*^9, 3.495498011061429*^9}, {
   3.495498083322562*^9, 3.495498171958632*^9}, {3.4954982950136704`*^9, 
   3.495498385961872*^9}, {3.495498481593342*^9, 3.495498486747637*^9}, {
   3.4954985167963552`*^9, 3.4954985329932823`*^9}, {3.495498571144464*^9, 
   3.4954985836991825`*^9}, 3.49549869835674*^9, {3.495498732395687*^9, 
   3.4954987910920444`*^9}, {3.495498849022358*^9, 3.49549886181909*^9}, {
   3.4954988955790205`*^9, 3.495498921234488*^9}, {3.4954990280705986`*^9, 
   3.495499053701065*^9}, {3.4954991782641897`*^9, 3.4954991884137697`*^9}, {
   3.4954992492632504`*^9, 3.4954992736056423`*^9}, 3.495499435505903*^9, {
   3.495499693676669*^9, 3.49549970890254*^9}, {3.4954998776581926`*^9, 
   3.4954998844295797`*^9}, {3.4955001542460127`*^9, 
   3.4955001547580414`*^9}, {3.4955002280352325`*^9, 3.495500229662326*^9}, {
   3.495500262201187*^9, 3.4955002662504187`*^9}, {3.495500335005351*^9, 
   3.495500544825352*^9}, {3.495500590437961*^9, 3.4955006556116886`*^9}, {
   3.4955007136060057`*^9, 3.495500733702155*^9}, 3.4955009554468384`*^9, {
   3.4955012894549427`*^9, 3.495501308710044*^9}, {3.495501537256116*^9, 
   3.495501537740144*^9}, {3.495501898927802*^9, 3.4955019441823907`*^9}, {
   3.4955019845657005`*^9, 3.4955020048488607`*^9}, {3.4955021562765217`*^9, 
   3.495502194952734*^9}, {3.495502281633692*^9, 3.4955023096982975`*^9}, {
   3.4955023397370152`*^9, 3.4955023456463532`*^9}, {3.49550239437214*^9, 
   3.495502549143993*^9}, {3.495502587996215*^9, 3.4955026094454412`*^9}, {
   3.495502690507078*^9, 3.4955027262321215`*^9}, 3.495502783930422*^9, {
   3.4955028409866853`*^9, 3.4955028731295233`*^9}, {3.4955030668536043`*^9, 
   3.4955030670576153`*^9}, {3.495503166478302*^9, 3.4955031667473173`*^9}, {
   3.495503240075512*^9, 3.49550334354743*^9}, {3.495503380340534*^9, 
   3.495503380869565*^9}, {3.4955034274402285`*^9, 3.4955034500495214`*^9}, {
   3.4955035101009564`*^9, 3.495503510551982*^9}, {3.495503568629304*^9, 
   3.495503571915492*^9}, 3.495503713487589*^9, 3.4955037811304584`*^9, {
   3.4955480612606297`*^9, 3.495548089621479*^9}, {3.4955482570721736`*^9, 
   3.4955482872270265`*^9}, {3.4955483675983677`*^9, 3.495548368347169*^9}, {
   3.495553116059508*^9, 3.49555312307952*^9}, {3.495553234526116*^9, 
   3.4955532428409305`*^9}, {3.495553275444988*^9, 3.4955533037902374`*^9}, {
   3.4955533386562986`*^9, 3.4955533691387525`*^9}, {3.4955534000112066`*^9, 
   3.4955535847935314`*^9}, {3.4955540023438644`*^9, 
   3.4955540127490826`*^9}, {3.4955540599859657`*^9, 3.4955540906556196`*^9}, 
   3.495618421856001*^9, {3.495618636746379*^9, 3.4956186685704346`*^9}, {
   3.4956188157254934`*^9, 3.4956189274060893`*^9}, {3.4956190213026543`*^9, 
   3.4956191047316008`*^9}, {3.495619152124484*^9, 3.4956191723577194`*^9}, 
   3.4956192307330217`*^9, {3.495620682287854*^9, 3.495620774557132*^9}, {
   3.4956210840508337`*^9, 3.4956210909192266`*^9}, {3.495621923644856*^9, 
   3.495621950248378*^9}, {3.4956398934558153`*^9, 3.495639894173417*^9}, {
   3.495639927401475*^9, 3.495639971575446*^9}, {3.495640018260116*^9, 
   3.4956400712061443`*^9}, {3.495640241980912*^9, 3.495640292203785*^9}, {
   3.495640341309593*^9, 3.4956403621337843`*^9}, {3.4956407521040897`*^9, 
   3.495640809536374*^9}, {3.495640991574786*^9, 3.495641003508469*^9}, {
   3.4956410359993277`*^9, 3.495641141631369*^9}, {3.4956411877450066`*^9, 
   3.4956413139132233`*^9}, {3.4956415409432087`*^9, 3.49564154220028*^9}, {
   3.4956415991295366`*^9, 3.4956416112612305`*^9}, {3.4956418034522233`*^9, 
   3.4956418106976376`*^9}, {3.4956418510449452`*^9, 
   3.4956419132365026`*^9}, {3.4956420379146338`*^9, 
   3.4956420911886806`*^9}, {3.495642127606764*^9, 3.495642258753265*^9}, 
   3.495642311489281*^9, {3.49564241777536*^9, 3.49564247598569*^9}, {
   3.4956425644587502`*^9, 3.4956427012545743`*^9}, {3.495642872002341*^9, 
   3.4956428754575386`*^9}, {3.49564358846132*^9, 3.4956436770673876`*^9}, {
   3.4956437087742014`*^9, 3.495643846227063*^9}, {3.4956438974269915`*^9, 
   3.495643916419078*^9}, {3.4956439735723467`*^9, 3.4956440134326267`*^9}, {
   3.4956440704028854`*^9, 3.4956440733320527`*^9}, {3.4956501549309006`*^9, 
   3.4956502533665304`*^9}, {3.495650343007658*^9, 3.4956503814068537`*^9}, {
   3.495650646521018*^9, 3.4956506489471564`*^9}, {3.4956507869420495`*^9, 
   3.4956508415471725`*^9}, {3.495650895508259*^9, 3.495650916036433*^9}, 
   3.49565102787183*^9, {3.495651090657421*^9, 3.4956511411253076`*^9}, {
   3.495651187416955*^9, 3.4956512842784953`*^9}, {3.495652891301412*^9, 
   3.495652917641918*^9}, {3.4956529809645405`*^9, 3.4956529908701067`*^9}, {
   3.4956530264511423`*^9, 3.4956531251217856`*^9}, 3.4956534194866223`*^9, {
   3.495653523113549*^9, 3.495653558110551*^9}, {3.49565967539244*^9, 
   3.495659692961445*^9}, 3.495661474224327*^9, {3.4956616246769323`*^9, 
   3.4956617157371407`*^9}, {3.4956619693666477`*^9, 3.495661983800473*^9}, 
   3.4956620194015093`*^9, {3.4956620628709955`*^9, 3.495662079980974*^9}, {
   3.495662388056595*^9, 3.4956625081854663`*^9}, {3.495662582157697*^9, 
   3.4956625942123866`*^9}, 3.495662885869068*^9, {3.4956638674762135`*^9, 
   3.495663875307661*^9}, {3.4956644934780183`*^9, 3.4956648866775084`*^9}, {
   3.4957090121739664`*^9, 3.4957090530293036`*^9}, {3.4957090958517523`*^9, 
   3.4957091120946817`*^9}, {3.495709145359584*^9, 3.495709180323584*^9}, {
   3.4957105484758377`*^9, 3.4957106043510337`*^9}, {3.4957107974370775`*^9, 
   3.4957108525442295`*^9}, {3.4957109291966133`*^9, 
   3.4957109303266783`*^9}, {3.4957109934272876`*^9, 3.495710994376342*^9}, 
   3.4957110644643507`*^9, 3.4957110981562777`*^9, {3.495711137554531*^9, 
   3.495711154878522*^9}, {3.495711195104823*^9, 3.495711210249689*^9}, {
   3.49571124244353*^9, 3.4957113058761587`*^9}, {3.4957113503827043`*^9, 
   3.495711352825844*^9}, {3.495711385437709*^9, 3.495711411061175*^9}, {
   3.4957115898844028`*^9, 3.495711590304427*^9}, {3.4957116335659018`*^9, 
   3.49571163389692*^9}, {3.4957117308264647`*^9, 3.4957117310914793`*^9}, {
   3.495711836385502*^9, 3.495711881794099*^9}, {3.4957119919393992`*^9, 
   3.4957120562630787`*^9}, {3.495712090980064*^9, 3.4957121049068604`*^9}, {
   3.4957121415009537`*^9, 3.495712182750313*^9}, {3.4957129803029304`*^9, 
   3.495712989807474*^9}, {3.4957131170277505`*^9, 3.495713118714847*^9}, {
   3.495713179036297*^9, 3.4957131938501444`*^9}, {3.495713228669136*^9, 
   3.4957133057525454`*^9}, {3.495713377157629*^9, 3.495713380222804*^9}, 
   3.4957134461735764`*^9, {3.4957134907441263`*^9, 3.4957134956994095`*^9}, {
   3.4957135352346706`*^9, 3.495713537760815*^9}, {3.4957136407977085`*^9, 
   3.495713648032122*^9}, 3.496908025727044*^9, 3.4969414783215513`*^9, {
   3.547988079984874*^9, 3.547988080437275*^9}, {3.547988165067423*^9, 
   3.5479881656602244`*^9}, {3.5479943798069043`*^9, 3.547994392130926*^9}, {
   3.6112187616514587`*^9, 3.6112187789254465`*^9}, {3.6112282683872128`*^9, 
   3.61122827410954*^9}, {3.611228650826087*^9, 3.611228710374493*^9}, {
   3.6112288524916215`*^9, 3.6112288598510427`*^9}, {3.611229655460549*^9, 
   3.611229659604786*^9}, {3.6112297577934017`*^9, 3.611229758524444*^9}, {
   3.611229812865552*^9, 3.6112298168917823`*^9}, 3.611231637290903*^9, {
   3.6112317245888968`*^9, 3.6112317746477594`*^9}, 3.6112319426323676`*^9, {
   3.611232081873332*^9, 3.6112321695173445`*^9}, {3.6112322537871647`*^9, 
   3.6112322550312357`*^9}, {3.6112323274383774`*^9, 
   3.6112323595422134`*^9}, {3.6112325841490602`*^9, 
   3.6112325888143272`*^9}, {3.6112327295853786`*^9, 
   3.6112327298933964`*^9}, {3.6112327861526146`*^9, 3.611232814416231*^9}, {
   3.6112330901970043`*^9, 3.6112330924321327`*^9}, {3.6112343693911705`*^9, 
   3.6112343700342073`*^9}, 3.611236085108304*^9, {3.611248848667568*^9, 
   3.611248902750662*^9}, 3.6112490625628023`*^9, {3.6112525963079214`*^9, 
   3.611252603754347*^9}, {3.611358305853318*^9, 3.6113583128157163`*^9}, {
   3.6113583433544626`*^9, 3.6113583486437654`*^9}, {3.611596538921726*^9, 
   3.611596566316293*^9}, 3.6115979692915382`*^9, {3.6115980717714*^9, 
   3.6115980726044474`*^9}, {3.611601101748705*^9, 3.6116011156775017`*^9}, {
   3.6116012975789056`*^9, 3.611601313352808*^9}, {3.6116014458523865`*^9, 
   3.611601546569147*^9}, {3.6116016544153156`*^9, 3.6116016630548096`*^9}, {
   3.6116017011739902`*^9, 3.6116017117205935`*^9}, 3.6116022755228405`*^9, 
   3.611603332457294*^9, 3.6116033984970713`*^9, 3.6116034592535467`*^9, {
   3.6116035181039124`*^9, 3.611603524951304*^9}, {3.611603574848158*^9, 
   3.611603575541198*^9}, 3.611603648736384*^9, {3.611604279976489*^9, 
   3.611604292615212*^9}, {3.61160438488649*^9, 3.6116043889237204`*^9}, 
   3.6116044192084527`*^9, 3.611604793511862*^9, {3.6116051920326557`*^9, 
   3.611605194466795*^9}, {3.6116052315269146`*^9, 3.611605236198182*^9}, 
   3.6116055281858826`*^9, 3.6116058227507305`*^9, 3.611606095120309*^9, 
   3.6116061324674454`*^9, 3.6116085706489015`*^9, {3.6116086773860064`*^9, 
   3.6116087002863164`*^9}, {3.6116087553444653`*^9, 
   3.6116087658850684`*^9}, {3.6116089643404193`*^9, 
   3.6116089714048233`*^9}, {3.611610120454545*^9, 3.61161012578985*^9}, {
   3.6116102202032504`*^9, 3.6116102324039483`*^9}, {3.611610327244373*^9, 
   3.6116103329116974`*^9}, {3.6116104192296343`*^9, 3.611610424798953*^9}, {
   3.611610583534032*^9, 3.6116105910624623`*^9}, {3.6116106365570645`*^9, 
   3.611610647556694*^9}, 3.611610764922407*^9, 3.6116111350505767`*^9, {
   3.6116116491629825`*^9, 3.6116116509800863`*^9}, {3.611611719513006*^9, 
   3.611611721292108*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "cell", " ", "will", " ", "contour", " ", "your", " ", 
    "linear", " ", "dataset", " ", "on", " ", "an", " ", "equal", " ", "area",
     " ", 
    RowBox[{"projection", ".", "  ", "This"}], " ", "will", " ", "only", " ", 
    "work", " ", "if", " ", "you", " ", "have", " ", "already", " ", "run", 
    " ", "the", " ", "main", " ", "program", " ", "and", " ", "have", " ", 
    "plotted", " ", "linear", " ", "data", " ", "on", " ", "an", " ", "equal",
     " ", "AREA", " ", 
    RowBox[{"projection", ".", "  ", "You"}], " ", "can", " ", "change", " ", 
    "some", " ", "of", " ", "the", " ", "contouring", " ", "parameters", " ", 
    RowBox[{"below", ".", "  ", "The"}], " ", "most", " ", "useful", " ", 
    "parameters", " ", "are", " ", "described", " ", "in", " ", "comments", 
    " ", "below", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"i", ".", "e", "."}], ",", " ", 
      RowBox[{"between", " ", "\"\<\!\( (**) \)\>\""}]}], " "}]}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "NumberOfContours", " ", "is", " ", "the", " ", "number", " ", "of", " ", 
    "contours", " ", "used", " ", "in", " ", "the", " ", "equal", " ", "area",
     " ", "projection", " ", "of", " ", "the", " ", "principal", " ", "axes", 
    " ", "orientation", " ", "plots"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NumberOfContours", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "ContouringPercent", " ", "is", " ", "the", " ", "size", " ", "of", " ", 
     "the", " ", "counting", " ", "circle", " ", "in", " ", "terms", " ", 
     "of", " ", "the", " ", "percent", " ", "of", " ", "the", " ", "total", 
     " ", "area", " ", "of", " ", "the", " ", "equal", " ", "area", " ", 
     "plot"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ContouringPercent", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "One", " ", "can", " ", "decrease", " ", "GridDenisty", " ", "if", " ", 
      RowBox[{"he", "/", "she"}], " ", "would", " ", "like", " ", "to", " ", 
      "decrease", " ", "the", " ", "spacing", " ", "between", " ", "the", " ",
       "lines", " ", "of", " ", "the", " ", "counting", " ", "grid", " ", 
      "for", " ", "the", " ", "equal", " ", "area", " ", "projections"}], ",",
      " ", 
     RowBox[{"which", " ", "increases", " ", "the", " ", 
      RowBox[{"grid", "'"}], "s", " ", "density"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GridDensity", "=", ".5"}], ";"}], " ", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"LineTrend", "[", "x", "]"}], ",", 
         RowBox[{"LinePlunge", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"LinXYcoords", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"equalAreaProjection", "[", 
        RowBox[{"lowerHemisphere", "[", 
         RowBox[{"cartesianFromTrendPlungeDeg", "[", 
          RowBox[{"LinTabby", "[", 
           RowBox[{"[", "x", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"nf", "=", 
     RowBox[{"Nearest", "@", "LinXYcoords"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CountingCircleRadius", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "0.01", "*", "ContouringPercent"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HalfNumbGraticules", "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Sqrt", "[", "2", "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
           ")"}]}], ")"}], ">", 
        RowBox[{"Round", "[", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
            ")"}]}], ")"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Round", "[", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
            ")"}]}], ")"}], "]"}], "+", "1"}], ",", 
       RowBox[{"Round", "[", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Sqrt", "[", "2", "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
           ")"}]}], ")"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SqrGridNumb", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}], "^", 
      "2"}]}], ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"ct4", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ct1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct1", "\[LessEqual]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"ct2", "\[LessEqual]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"GridCoords", "[", "ct4", "]"}], "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "HalfNumbGraticules"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}], "+", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"ct1", "-", "1"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "HalfNumbGraticules"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}], "+", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"ct2", "-", "1"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ct4", "=", 
           RowBox[{"ct4", "+", "1"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ct2", "=", 
           RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ct1", "=", 
        RowBox[{"ct1", "+", "1"}]}], ";"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"GridTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"GridCoords", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", 
         RowBox[{"ct4", "-", "1"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ct6", "=", "1"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct6", "\[LessEqual]", "SqrGridNumb"}], ",", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], ")"}], 
             "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], ")"}]}],
             "]"}], "<", 
           RowBox[{"(", 
            RowBox[{"CountingCircleRadius", "+", 
             RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], "&&", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], ")"}], 
             "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], ")"}]}],
             "]"}], ">", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], "-", "CountingCircleRadius"}], 
            ")"}]}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"firstGridVal", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"nf", "[", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", "ct6", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Infinity]", ",", "CountingCircleRadius"}], "}"}]}],
               "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"GridTabby", "[", 
              RowBox[{"[", 
               RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], 
            ",", 
            RowBox[{
             RowBox[{"xAcross", "=", "0"}], ";", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"GridTabby", "[", 
                 RowBox[{"[", 
                  RowBox[{"ct6", ",", "2"}], "]"}], "]"}], ">", "0"}], ",", 
               RowBox[{
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"GridTabby", "[", 
                   RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"2", "*", 
                   RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], ";"}], ",", 
               RowBox[{
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"GridTabby", "[", 
                   RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "+", 
                  RowBox[{"2", "*", 
                   RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], ";"}]}], "]"}], 
             ";"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"GridTabby", "[", 
                 RowBox[{"[", 
                  RowBox[{"ct6", ",", "1"}], "]"}], "]"}], ">", "0"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"xAcross", "=", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}]}], "*", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}]}], "*", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"xAcross", "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}], "*", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}], "*", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"secondGridVal", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"nf", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"xAcross", ",", "yAcross"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Infinity]", ",", "CountingCircleRadius"}], "}"}]}],
               "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"GridValue", "[", "ct6", "]"}], "=", 
           RowBox[{"firstGridVal", "+", "secondGridVal"}]}], ";"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"GridValue", "[", "ct6", "]"}], "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"nf", "[", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", "ct6", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Infinity]", ",", "CountingCircleRadius"}], "}"}]}],
               "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ct6", "=", 
        RowBox[{"ct6", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ContourableValues", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", "x", "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", "x", "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"GridValue", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "SqrGridNumb"}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"ct7", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct7", "\[LessEqual]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"ContVals", "[", "ct7", "]"}], "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"ContourableValues", "[", 
           RowBox[{"[", 
            RowBox[{"x", ",", "3"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"ct7", "-", "1"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], 
                 ")"}]}], ")"}], "+", "1"}], ")"}], ",", 
            RowBox[{"ct7", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], 
              ")"}]}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ct7", "=", 
        RowBox[{"ct7", "+", "1"}]}], ";"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"f", "=", 
     RowBox[{"ListInterpolation", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"ContVals", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], 
          "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GridTabby", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Abs", "[", 
            RowBox[{"GridTabby", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GridTabby", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Abs", "[", 
            RowBox[{"GridTabby", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "}"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"PercentVals", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ContVals", "[", "x", "]"}], "*", "100"}], ")"}], "/", 
         "linecount"}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], 
        "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxGridVal", "=", 
     RowBox[{"Max", "[", "PercentVals", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ct8", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ct9", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct8", "\[LessEqual]", "SqrGridNumb"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ContourableValues", "[", 
              RowBox[{"[", 
               RowBox[{"ct8", ",", "1"}], "]"}], "]"}], "^", "2"}], ")"}], 
           "+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ContourableValues", "[", 
              RowBox[{"[", 
               RowBox[{"ct8", ",", "2"}], "]"}], "]"}], "^", "2"}], ")"}]}], 
          "\[LessEqual]", "2"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"InCircle", "[", "ct9", "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ContourableValues", "[", 
               RowBox[{"[", 
                RowBox[{"ct8", ",", "3"}], "]"}], "]"}], "*", "100"}], ")"}], 
            "/", "linecount"}]}], ";", 
          RowBox[{"ct9", "=", 
           RowBox[{"ct9", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ct8", "=", 
        RowBox[{"ct8", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"InCircleDim", "=", 
     RowBox[{"ct9", "-", "1"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"MaxInCircle", "=", 
     RowBox[{"Max", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"InCircle", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "InCircleDim"}], "}"}]}], "]"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinInCircle", "=", 
     RowBox[{"Min", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"InCircle", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "InCircleDim"}], "}"}]}], "]"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"InCircleRange", "=", 
     RowBox[{"MaxInCircle", "-", "MinInCircle"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinTempContInt", "=", 
     RowBox[{"InCircleRange", "/", 
      RowBox[{"(", 
       RowBox[{"NumberOfContours", "+", "1"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LinContoursTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"MinInCircle", "+", 
        RowBox[{"LinTempContInt", "*", "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinContTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"LinContoursTabby", "[", 
            RowBox[{"[", "x", "]"}], "]"}], "*", "linecount"}], ")"}], "/", 
         "100"}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"Clear", "[", "MaxContVal", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ContColorStart", "=", 
     RowBox[{"0.2675", "*", 
      RowBox[{"NumberOfContours", "^", 
       RowBox[{"(", 
        RowBox[{"-", "0.611"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TempContPlot", "=", 
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"Contours", "\[Rule]", "LinContTabby"}], ",", 
       RowBox[{"ContourShading", "\[Rule]", "True"}], ",", 
       RowBox[{"Frame", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
       RowBox[{"BoundaryStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", ".003", "]"}]}], "}"}]}], ",", 
       RowBox[{"RegionFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], "<", "2"}]}], "]"}]}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
       RowBox[{"ContourStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", ".30", "]"}]}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{"f", ",", 
          RowBox[{
           RowBox[{"temp", "=", "f"}], ";", 
           RowBox[{"Opacity", "[", 
            RowBox[{"1.0", ",", 
             RowBox[{"GrayLevel", "[", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"(", 
                 RowBox[{"f", "-", "ContColorStart"}], ")"}]}], ")"}], 
              "]"}]}], "]"}]}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"MaxColorLevel", "=", "0.15"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"percent", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"MaxColorLevel", "-", "MaxContVal"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "MaxContVal"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxContVal", "=", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"(", 
        RowBox[{"temp", "-", "ContColorStart"}], ")"}]}], ")"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"intvl", "=", 
     RowBox[{"0.5447", "*", 
      RowBox[{"NumberOfContours", "^", 
       RowBox[{"(", 
        RowBox[{"-", "0.797"}], ")"}]}]}]}], ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"LinContPlot", "=", 
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"Contours", "\[Rule]", "LinContTabby"}], ",", 
       RowBox[{"ContourShading", "\[Rule]", "True"}], ",", 
       RowBox[{"Frame", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
       RowBox[{"BoundaryStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", ".003", "]"}]}], "}"}]}], ",", 
       RowBox[{"RegionFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], "<", "2"}]}], "]"}]}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
       RowBox[{"ContourStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", ".30", "]"}]}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{"f", ",", 
          RowBox[{"Opacity", "[", 
           RowBox[{"1.0", ",", 
            RowBox[{"GrayLevel", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"(", 
                 RowBox[{"f", "-", "ContColorStart"}], ")"}]}], ")"}], "+", 
              RowBox[{"percent", "*", 
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", 
                   RowBox[{"(", 
                    RowBox[{"f", "-", "ContColorStart"}], ")"}]}], ")"}]}], 
                ")"}]}]}], "]"}]}], "]"}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinContStatPlot", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"N", " ", "==", " ", 
              RowBox[{"(", "linecount", ")"}]}], ",", 
             RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.3"}], ",", 
             RowBox[{"-", "1.6"}]}], "}"}]}], "]"}], "}"}], "]"}], ",", 
       "LinContPlot", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<Equal Area Projection\>\"", ",", "24", ",", "Blue", ",", 
          "Bold"}], "]"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MeanLin", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"meanlincolor", ",", 
        RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
        RowBox[{"Opacity", " ", "[", "opacityvalue", "]"}], ",", 
        RowBox[{"GeometricTransformation", "[", 
         RowBox[{
          RowBox[{"Tooltip", "[", 
           RowBox[{
            RowBox[{"Polygon", "[", 
             RowBox[{"starscale", "*", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".59"}], ",", 
                  RowBox[{"-", ".812"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".3639"}], ",", 
                  RowBox[{"-", ".1174"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".95"}], ",", "0.31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".225"}], ",", ".31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".225", ",", ".31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".95", ",", "0.31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".3630", ",", 
                  RowBox[{"-", ".1174"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".59", ",", 
                  RowBox[{"-", ".812"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", ".3822"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".59"}], ",", 
                  RowBox[{"-", ".812"}]}], "}"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"\"\<(\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"N", "[", "MeanLineTrend", "]"}], "]"}], "<>", 
             RowBox[{"ToString", "[", "\"\<\[Degree], \>\"", "]"}], "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"N", "[", "MeanLinePlunge", "]"}], "]"}], "<>", 
             RowBox[{"ToString", "[", "\"\<\[Degree])\>\"", "]"}]}]}], "]"}], 
          ",", 
          RowBox[{"equalAreaProjection", "[", 
           RowBox[{"lowerHemisphere", "[", 
            RowBox[{"cartesianFromTrendPlungeDeg", "[", 
             RowBox[{"{", 
              RowBox[{"MeanLineTrend", ",", "MeanLinePlunge"}], "}"}], "]"}], 
            "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}], ";"}], "\n", "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"LinContStatPlot", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"lincolor", ",", 
            RowBox[{"PointSize", "[", "linptsize", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"equalAreaProjection", "[", 
              RowBox[{"lowerHemisphere", "[", 
               RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"LineTrend", "[", "x", "]"}], ",", 
                  RowBox[{"LinePlunge", "[", "x", "]"}]}], "}"}], "]"}], 
               "]"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<(\>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"LineTrend", "[", "x", "]"}], "]"}], "]"}], "<>", 
              RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"LinePlunge", "[", "x", "]"}], "]"}], "]"}], "<>", 
              RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}], 
           "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}], "]"}], 
     ",", "MeanLin", ",", 
     RowBox[{"equalAreaPlot", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"cartesianFromTrendPlungeDeg", "[", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", " ", 
       "0.00001", ",", "Black"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IntermTempContInt", "=", 
     RowBox[{"InCircleRange", "/", 
      RowBox[{"(", 
       RowBox[{"NumberOfContours", "+", "1"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"IntermContoursTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"MinInCircle", "+", 
        RowBox[{"IntermTempContInt", "*", "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IntermContTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"IntermContoursTabby", "[", 
            RowBox[{"[", "x", "]"}], "]"}], "*", "linecount"}], ")"}], "/", 
         "100"}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Contour Interval = \>\"", ",", 
     RowBox[{"N", "[", 
      RowBox[{"IntermTempContInt", ",", "3"}], "]"}], ",", "\"\<%\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Contour Values: \>\"", ",", 
     RowBox[{"TableForm", "[", 
      RowBox[{
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"IntermContoursTabby", "[", 
                RowBox[{"[", "x", "]"}], "]"}], ",", "3"}], "]"}], 
             "\"\<%,\>\""}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", 
             RowBox[{"NumberOfContours", "-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{
             RowBox[{"IntermContoursTabby", "[", 
              RowBox[{"[", "NumberOfContours", "]"}], "]"}], ",", "3"}], 
            "]"}], "\"\<%\>\""}], "]"}]}], "]"}], ",", 
       RowBox[{"TableDirections", "\[Rule]", "Row"}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6112553704045906`*^9, 3.611255397641148*^9}, {
   3.611255700765486*^9, 3.6112557289911003`*^9}, {3.6113584830534534`*^9, 
   3.6113585267529526`*^9}, 3.6113587959333487`*^9, {3.611358837668736*^9, 
   3.6113589323861537`*^9}, {3.611358991082511*^9, 3.6113590189991074`*^9}, {
   3.6113590572242937`*^9, 3.6113590880050545`*^9}, {3.6113593041794186`*^9, 
   3.6113593370402985`*^9}, 3.611612417770944*^9, 3.611612856370031*^9, {
   3.6116134910253305`*^9, 3.6116135392920914`*^9}, {3.611613579350383*^9, 
   3.611613722889593*^9}, {3.6116144124720345`*^9, 3.6116144128590565`*^9}, 
   3.6116144581636477`*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "cell", " ", "will", " ", "contour", " ", "the", " ", "poles",
     " ", "to", " ", "your", " ", "planar", " ", "dataset", " ", "on", " ", 
    "an", " ", "equal", " ", "area", " ", 
    RowBox[{"projection", ".", "  ", "This"}], " ", "will", " ", "only", " ", 
    "work", " ", "if", " ", "you", " ", "have", " ", "already", " ", "run", 
    " ", "the", " ", "main", " ", "program", " ", "and", " ", "have", " ", 
    "plotted", " ", "planar", " ", "data", " ", "on", " ", "an", " ", "equal",
     " ", "AREA", " ", 
    RowBox[{"projection", ".", "  ", "You"}], " ", "can", " ", "change", " ", 
    "some", " ", "of", " ", "the", " ", "contouring", " ", "parameters", " ", 
    RowBox[{"below", ".", "  ", "The"}], " ", "most", " ", "useful", " ", 
    "parameters", " ", "are", " ", "described", " ", "in", " ", "comments", 
    " ", "below", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"i", ".", "e", "."}], ",", " ", 
      RowBox[{"between", " ", "\"\<\>", 
       RowBox[{"(*", "*)"}], "\"\< \>"}]}]}]}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "NumberOfContours", " ", "is", " ", "the", " ", "number", " ", "of", " ", 
    "contours", " ", "used", " ", "in", " ", "the", " ", "equal", " ", "area",
     " ", "projection", " ", "of", " ", "the", " ", "principal", " ", "axes", 
    " ", "orientation", " ", "plots"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NumberOfContours", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "ContouringPercent", " ", "is", " ", "the", " ", "size", " ", "of", " ", 
     "the", " ", "counting", " ", "circle", " ", "in", " ", "terms", " ", 
     "of", " ", "the", " ", "percent", " ", "of", " ", "the", " ", "total", 
     " ", "area", " ", "of", " ", "the", " ", "equal", " ", "area", " ", 
     "plot"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ContouringPercent", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "One", " ", "can", " ", "decrease", " ", "GridDenisty", " ", "if", " ", 
      RowBox[{"he", "/", "she"}], " ", "would", " ", "like", " ", "to", " ", 
      "decrease", " ", "the", " ", "spacing", " ", "between", " ", "the", " ",
       "lines", " ", "of", " ", "the", " ", "counting", " ", "grid", " ", 
      "for", " ", "the", " ", "equal", " ", "area", " ", "projections"}], ",",
      " ", 
     RowBox[{"which", " ", "increases", " ", "the", " ", 
      RowBox[{"grid", "'"}], "s", " ", "density"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GridDensity", "=", "1"}], ";"}], " ", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"poleTrend", "[", "x", "]"}], ",", 
         RowBox[{"polePlunge", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"LinXYcoords", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"equalAreaProjection", "[", 
        RowBox[{"lowerHemisphere", "[", 
         RowBox[{"cartesianFromTrendPlungeDeg", "[", 
          RowBox[{"LinTabby", "[", 
           RowBox[{"[", "x", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "linecount"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"nf", "=", 
     RowBox[{"Nearest", "@", "LinXYcoords"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CountingCircleRadius", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "0.01", "*", "ContouringPercent"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HalfNumbGraticules", "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Sqrt", "[", "2", "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
           ")"}]}], ")"}], ">", 
        RowBox[{"Round", "[", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
            ")"}]}], ")"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Round", "[", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], "/", 
             RowBox[{"(", 
              RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
            ")"}]}], ")"}], "]"}], "+", "1"}], ",", 
       RowBox[{"Round", "[", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Sqrt", "[", "2", "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"GridDensity", "*", "CountingCircleRadius"}], ")"}]}], 
           ")"}]}], ")"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SqrGridNumb", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}], "^", 
      "2"}]}], ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"ct4", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ct1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct1", "\[LessEqual]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"ct2", "\[LessEqual]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"GridCoords", "[", "ct4", "]"}], "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "HalfNumbGraticules"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}], "+", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"ct1", "-", "1"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "HalfNumbGraticules"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}], "+", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"ct2", "-", "1"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"GridDensity", "*", "CountingCircleRadius"}], 
                 ")"}]}], ")"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ct4", "=", 
           RowBox[{"ct4", "+", "1"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ct2", "=", 
           RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ct1", "=", 
        RowBox[{"ct1", "+", "1"}]}], ";"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"GridTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"GridCoords", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", 
         RowBox[{"ct4", "-", "1"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ct6", "=", "1"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct6", "\[LessEqual]", "SqrGridNumb"}], ",", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], ")"}], 
             "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], ")"}]}],
             "]"}], "<", 
           RowBox[{"(", 
            RowBox[{"CountingCircleRadius", "+", 
             RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], "&&", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], ")"}], 
             "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", 
                 RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], ")"}]}],
             "]"}], ">", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sqrt", "[", "2", "]"}], "-", "CountingCircleRadius"}], 
            ")"}]}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"firstGridVal", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"nf", "[", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", "ct6", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Infinity]", ",", "CountingCircleRadius"}], "}"}]}],
               "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"GridTabby", "[", 
              RowBox[{"[", 
               RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], 
            ",", 
            RowBox[{
             RowBox[{"xAcross", "=", "0"}], ";", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"GridTabby", "[", 
                 RowBox[{"[", 
                  RowBox[{"ct6", ",", "2"}], "]"}], "]"}], ">", "0"}], ",", 
               RowBox[{
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"GridTabby", "[", 
                   RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"2", "*", 
                   RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], ";"}], ",", 
               RowBox[{
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"GridTabby", "[", 
                   RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "+", 
                  RowBox[{"2", "*", 
                   RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], ";"}]}], "]"}], 
             ";"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"GridTabby", "[", 
                 RowBox[{"[", 
                  RowBox[{"ct6", ",", "1"}], "]"}], "]"}], ">", "0"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"xAcross", "=", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}]}], "*", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}]}], "*", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"xAcross", "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}], "*", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"yAcross", "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", "*", 
                    RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}], "^", "2"}], 
                    ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "^", "2"}], 
                    ")"}]}], "]"}]}], ")"}], "*", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "2"}], "]"}], "]"}], "/", 
                    RowBox[{"GridTabby", "[", 
                    RowBox[{"[", 
                    RowBox[{"ct6", ",", "1"}], "]"}], "]"}]}], "]"}], 
                   "]"}]}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"secondGridVal", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"nf", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"xAcross", ",", "yAcross"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Infinity]", ",", "CountingCircleRadius"}], "}"}]}],
               "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"GridValue", "[", "ct6", "]"}], "=", 
           RowBox[{"firstGridVal", "+", "secondGridVal"}]}], ";"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"GridValue", "[", "ct6", "]"}], "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", 
             RowBox[{"nf", "[", 
              RowBox[{
               RowBox[{"GridTabby", "[", 
                RowBox[{"[", "ct6", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Infinity]", ",", "CountingCircleRadius"}], "}"}]}],
               "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ct6", "=", 
        RowBox[{"ct6", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ContourableValues", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", "x", "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", "x", "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"GridValue", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "SqrGridNumb"}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"ct7", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct7", "\[LessEqual]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"ContVals", "[", "ct7", "]"}], "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"ContourableValues", "[", 
           RowBox[{"[", 
            RowBox[{"x", ",", "3"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"ct7", "-", "1"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], 
                 ")"}]}], ")"}], "+", "1"}], ")"}], ",", 
            RowBox[{"ct7", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], 
              ")"}]}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ct7", "=", 
        RowBox[{"ct7", "+", "1"}]}], ";"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"f", "=", 
     RowBox[{"ListInterpolation", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"ContVals", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], 
          "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GridTabby", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Abs", "[", 
            RowBox[{"GridTabby", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GridTabby", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Abs", "[", 
            RowBox[{"GridTabby", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}]}], 
        "}"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"PercentVals", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ContVals", "[", "x", "]"}], "*", "100"}], ")"}], "/", 
         "linecount"}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"HalfNumbGraticules", "*", "2"}], "+", "1"}], ")"}]}], 
        "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxGridVal", "=", 
     RowBox[{"Max", "[", "PercentVals", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ct8", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ct9", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"ct8", "\[LessEqual]", "SqrGridNumb"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ContourableValues", "[", 
              RowBox[{"[", 
               RowBox[{"ct8", ",", "1"}], "]"}], "]"}], "^", "2"}], ")"}], 
           "+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ContourableValues", "[", 
              RowBox[{"[", 
               RowBox[{"ct8", ",", "2"}], "]"}], "]"}], "^", "2"}], ")"}]}], 
          "\[LessEqual]", "2"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"InCircle", "[", "ct9", "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ContourableValues", "[", 
               RowBox[{"[", 
                RowBox[{"ct8", ",", "3"}], "]"}], "]"}], "*", "100"}], ")"}], 
            "/", "linecount"}]}], ";", 
          RowBox[{"ct9", "=", 
           RowBox[{"ct9", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"ct8", "=", 
        RowBox[{"ct8", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"InCircleDim", "=", 
     RowBox[{"ct9", "-", "1"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"MaxInCircle", "=", 
     RowBox[{"Max", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"InCircle", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "InCircleDim"}], "}"}]}], "]"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MinInCircle", "=", 
     RowBox[{"Min", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"InCircle", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "InCircleDim"}], "}"}]}], "]"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"InCircleRange", "=", 
     RowBox[{"MaxInCircle", "-", "MinInCircle"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinTempContInt", "=", 
     RowBox[{"InCircleRange", "/", 
      RowBox[{"(", 
       RowBox[{"NumberOfContours", "+", "1"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LinContoursTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"MinInCircle", "+", 
        RowBox[{"LinTempContInt", "*", "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinContTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"LinContoursTabby", "[", 
            RowBox[{"[", "x", "]"}], "]"}], "*", "linecount"}], ")"}], "/", 
         "100"}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"Clear", "[", "MaxContVal", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ContColorStart", "=", 
     RowBox[{"0.2675", "*", 
      RowBox[{"NumberOfContours", "^", 
       RowBox[{"(", 
        RowBox[{"-", "0.611"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TempContPlot", "=", 
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"Contours", "\[Rule]", "LinContTabby"}], ",", 
       RowBox[{"ContourShading", "\[Rule]", "True"}], ",", 
       RowBox[{"Frame", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
       RowBox[{"BoundaryStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", ".003", "]"}]}], "}"}]}], ",", 
       RowBox[{"RegionFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], "<", "2"}]}], "]"}]}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
       RowBox[{"ContourStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", ".30", "]"}]}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{"f", ",", 
          RowBox[{
           RowBox[{"temp", "=", "f"}], ";", 
           RowBox[{"Opacity", "[", 
            RowBox[{"1.0", ",", 
             RowBox[{"GrayLevel", "[", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"(", 
                 RowBox[{"f", "-", "ContColorStart"}], ")"}]}], ")"}], 
              "]"}]}], "]"}]}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"MaxColorLevel", "=", "0.15"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"percent", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"MaxColorLevel", "-", "MaxContVal"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "MaxContVal"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MaxContVal", "=", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"(", 
        RowBox[{"temp", "-", "ContColorStart"}], ")"}]}], ")"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"intvl", "=", 
     RowBox[{"0.5447", "*", 
      RowBox[{"NumberOfContours", "^", 
       RowBox[{"(", 
        RowBox[{"-", "0.797"}], ")"}]}]}]}], ";"}], "\n", "\n", 
   RowBox[{
    RowBox[{"LinContPlot", "=", 
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"GridTabby", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"GridTabby", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"Contours", "\[Rule]", "LinContTabby"}], ",", 
       RowBox[{"ContourShading", "\[Rule]", "True"}], ",", 
       RowBox[{"Frame", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
       RowBox[{"BoundaryStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", ".003", "]"}]}], "}"}]}], ",", 
       RowBox[{"RegionFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], "<", "2"}]}], "]"}]}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
       RowBox[{"ContourStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", ".30", "]"}]}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{"f", ",", 
          RowBox[{"Opacity", "[", 
           RowBox[{"1.0", ",", 
            RowBox[{"GrayLevel", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"(", 
                 RowBox[{"f", "-", "ContColorStart"}], ")"}]}], ")"}], "+", 
              RowBox[{"percent", "*", 
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", 
                   RowBox[{"(", 
                    RowBox[{"f", "-", "ContColorStart"}], ")"}]}], ")"}]}], 
                ")"}]}]}], "]"}]}], "]"}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LinContStatPlot", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"N", " ", "==", " ", 
              RowBox[{"(", "planecount", ")"}]}], ",", 
             RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.3"}], ",", 
             RowBox[{"-", "1.6"}]}], "}"}]}], "]"}], "}"}], "]"}], ",", 
       "LinContPlot", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<Equal Area Projection\>\"", ",", "24", ",", "Blue", ",", 
          "Bold"}], "]"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MeanLin", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"polecolor", ",", 
        RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
        RowBox[{"Opacity", " ", "[", "opacityvalue", "]"}], ",", 
        RowBox[{"GeometricTransformation", "[", 
         RowBox[{
          RowBox[{"Tooltip", "[", 
           RowBox[{
            RowBox[{"Polygon", "[", 
             RowBox[{"starscale", "*", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".59"}], ",", 
                  RowBox[{"-", ".812"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".3639"}], ",", 
                  RowBox[{"-", ".1174"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".95"}], ",", "0.31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".225"}], ",", ".31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".225", ",", ".31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".95", ",", "0.31"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".3630", ",", 
                  RowBox[{"-", ".1174"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{".59", ",", 
                  RowBox[{"-", ".812"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", ".3822"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".59"}], ",", 
                  RowBox[{"-", ".812"}]}], "}"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"\"\<(\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"N", "[", "MeanPoleTrend", "]"}], "]"}], "<>", 
             RowBox[{"ToString", "[", "\"\<\[Degree], \>\"", "]"}], "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"N", "[", "MeanPolePlunge", "]"}], "]"}], "<>", 
             RowBox[{"ToString", "[", "\"\<\[Degree])\>\"", "]"}]}]}], "]"}], 
          ",", 
          RowBox[{"equalAreaProjection", "[", 
           RowBox[{"lowerHemisphere", "[", 
            RowBox[{"cartesianFromTrendPlungeDeg", "[", 
             RowBox[{"{", 
              RowBox[{"MeanPoleTrend", ",", "MeanPolePlunge"}], "}"}], "]"}], 
            "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}], ";"}], "\n", 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"Show", "[", 
    RowBox[{"LinContStatPlot", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"polecolor", ",", 
            RowBox[{"PointSize", "[", "poleptsize", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"equalAreaProjection", "[", 
              RowBox[{"lowerHemisphere", "[", 
               RowBox[{"cartesianFromTrendPlungeDeg", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"poleTrend", "[", "x", "]"}], ",", 
                  RowBox[{"polePlunge", "[", "x", "]"}]}], "}"}], "]"}], 
               "]"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<(\>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"poleTrend", "[", "x", "]"}], "]"}], "]"}], "<>", 
              RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"polePlunge", "[", "x", "]"}], "]"}], "]"}], "<>", 
              RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}], 
           "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "planecount"}], "}"}]}], "]"}], "]"}], 
     ",", "MeanLin", ",", 
     RowBox[{"equalAreaPlot", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"cartesianFromTrendPlungeDeg", "[", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", " ", 
       "0.00001", ",", "Black"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IntermTempContInt", "=", 
     RowBox[{"InCircleRange", "/", 
      RowBox[{"(", 
       RowBox[{"NumberOfContours", "+", "1"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"IntermContoursTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"MinInCircle", "+", 
        RowBox[{"IntermTempContInt", "*", "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IntermContTabby", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"IntermContoursTabby", "[", 
            RowBox[{"[", "x", "]"}], "]"}], "*", "planecount"}], ")"}], "/", 
         "100"}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumberOfContours"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Contour Interval = \>\"", ",", 
     RowBox[{"N", "[", 
      RowBox[{"IntermTempContInt", ",", "3"}], "]"}], ",", "\"\<%\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Contour Values: \>\"", ",", 
     RowBox[{"TableForm", "[", 
      RowBox[{
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"IntermContoursTabby", "[", 
                RowBox[{"[", "x", "]"}], "]"}], ",", "3"}], "]"}], 
             "\"\<%,\>\""}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", 
             RowBox[{"NumberOfContours", "-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{
             RowBox[{"IntermContoursTabby", "[", 
              RowBox[{"[", "NumberOfContours", "]"}], "]"}], ",", "3"}], 
            "]"}], "\"\<%\>\""}], "]"}]}], "]"}], ",", 
       RowBox[{"TableDirections", "\[Rule]", "Row"}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6112553704045906`*^9, 3.611255397641148*^9}, {
   3.611255700765486*^9, 3.6112557289911003`*^9}, {3.6113584830534534`*^9, 
   3.6113585267529526`*^9}, 3.6113587959333487`*^9, {3.611358837668736*^9, 
   3.6113589323861537`*^9}, {3.611358991082511*^9, 3.6113590189991074`*^9}, {
   3.6113590572242937`*^9, 3.6113590880050545`*^9}, {3.6113593041794186`*^9, 
   3.6113593370402985`*^9}, 3.611612417770944*^9, 3.611612856370031*^9, {
   3.6116129160204425`*^9, 3.6116129413448906`*^9}, {3.611612981942213*^9, 
   3.6116130022493744`*^9}, {3.6116131727321253`*^9, 3.61161318609289*^9}, {
   3.61161322787928*^9, 3.6116132300214024`*^9}, {3.6116132610421762`*^9, 
   3.611613316781365*^9}, {3.6116137429147377`*^9, 3.6116137683181915`*^9}, 
   3.6116138307527623`*^9, {3.6116138677538786`*^9, 3.6116138764903784`*^9}, {
   3.6116139089072323`*^9, 3.6116139389329495`*^9}, {3.611614262543459*^9, 
   3.611614296969428*^9}, {3.611614370023607*^9, 3.611614370409629*^9}}]
}, Open  ]]
},
WindowSize->{1015, 628},
WindowMargins->{{1, Automatic}, {1, Automatic}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 7136, 137, 701, "Title"],
Cell[7706, 161, 230490, 5399, 14670, "Input"],
Cell[238199, 5562, 39689, 1022, 2592, "Input"],
Cell[277891, 6586, 40079, 1027, 2832, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
