(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    165214,       3807]
NotebookOptionsPosition[    164846,       3790]
NotebookOutlinePosition[    165189,       3805]
CellTagsIndexPosition[    165146,       3802]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Flinn Plot with Error Regions-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your ellipsoid data onto a Flinn diagram (Flinn, 1962) \
with both \"k\" contours and octahedral shear strain (\[Epsilon]s) (Nadai, \
1963) contours and will define an error region of your choosing.  Your data \
can either be input manually while the program is running or your data can be \
read in from an existing file.  This program will read both text files \
(*.txt) and Excel files (*.xls but NOT *.xlsx).  Examine the files, \
\"AxesDataSetFlinnError.txt\", \"AxesDataSetFlinnError.xls\", \
\"AxesDataSetFlinnError.xlsx\", \"SampleFlinnErrorData.txt\", \
\"SampleFlinnErrorData.xls\" and \"SampleFlinnErrorData.xlsx\", to determine \
the appropriate file structure (it is easiest simply to modify these files \
and save them with different file names).  Please note that your sample names \
can only be one-word long, i.e., they cannot contain any spaces, but \
underscores and dashes are acceptable (e.g., SL-137-02).  Within the code \
itself, there are parameters that you may wish to alter to appropriately \
scale and format your plot.  The most useful changes are described in \
comments (i.e., between \"(* *)\").  For example, change \
\[OpenCurlyDoubleQuote]\[Epsilon]scontinterval=0.25;\[CloseCurlyDoubleQuote] \
to \"\[Epsilon]scontinterval=0.5;\" to reduce the number of strain contours.  \
You can read the \"readme.txt\" file for more information about this program. \
 To start the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n           \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, 
   3.49670000971404*^9, {3.4969317598345575`*^9, 3.4969317870121117`*^9}, 
   3.496933446276016*^9, {3.496934728705367*^9, 3.496934755021872*^9}, {
   3.496941998884867*^9, 3.496942001568072*^9}, {3.4969429953887973`*^9, 
   3.496942996682871*^9}, {3.4969430337529917`*^9, 3.496943075223364*^9}, {
   3.4969432484492717`*^9, 3.4969432711775713`*^9}, {3.496943935191551*^9, 
   3.496943935426564*^9}, 3.4969622850638175`*^9, 3.496963300925061*^9, {
   3.5039409247264986`*^9, 3.5039409255233636`*^9}, {3.5176719076243396`*^9, 
   3.5176719077803397`*^9}, 3.5221028907605033`*^9, 3.547117157611536*^9, {
   3.5472237485997868`*^9, 3.5472237506901903`*^9}, 3.5472241504742928`*^9, {
   3.5472930147759123`*^9, 3.5472930901637063`*^9}, {3.5476601772145643`*^9, 
   3.547660191305584*^9}, 3.5477213887818284`*^9, {3.5479359050075936`*^9, 
   3.5479359062785954`*^9}, 3.547981889209544*^9, {3.54798195020263*^9, 
   3.5479819903226995`*^9}, {3.5479824999369855`*^9, 3.5479825436794624`*^9}, 
   3.547982963994001*^9, {3.6115059415481834`*^9, 3.611505963752453*^9}, {
   3.611506024242913*^9, 3.611506074315777*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<\[Epsilon]scontinterval\>\"", " ", "is", " ", "the", " ", "contour", 
    " ", "interval", " ", "for", " ", "the", " ", "octehedral", " ", "shear", 
    " ", "strain", " ", "contours"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]scontinterval", "=", "0.25"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<color\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
     "the", " ", 
     RowBox[{"dots", ".", "  ", "You"}], " ", "can", " ", "use", " ", 
     "several", " ", "words", " ", "for", " ", "the", " ", "color", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", ".", " ", "Black"}], ",", " ", 
       RowBox[{"Blue", " ", "Green"}]}], ")"}], " ", "or", " ", "use", " ", 
     "Functions", " ", "like", " ", 
     RowBox[{"Hue", "[", "]"}]}], ",", " ", 
    RowBox[{"RGBColor", "[", "]"}], ",", " ", 
    RowBox[{"CMYKColor", "[", "]"}], ",", " ", 
    RowBox[{"or", " ", 
     RowBox[{"GreyLevel", "[", "]"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"color", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<PtSize\>\"", " ", "specifies", " ", "the", " ", "size", " ", "of", 
    " ", "the", " ", "dots", " ", "for", " ", "your", " ", "plot"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<kcont[x]\>\"", " ", "specifies", " ", "the", " ", "values", " ", 
     "for", " ", "the", " ", "Flinn", " ", "k", " ", 
     RowBox[{"contours", ".", "  ", "You"}], " ", "can", " ", "add", " ", 
     "additional", " ", "contours", " ", "by", " ", "typing", " ", "in", " ", 
     "addtional", " ", "values"}], ",", " ", 
    RowBox[{"e", ".", "g", "."}], ",", " ", 
    RowBox[{"\"\<kcont[9]=1000;\>\"", "."}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "1", "]"}], "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "2", "]"}], "=", "5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "3", "]"}], "=", "2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "4", "]"}], "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "5", "]"}], "=", "0.75"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "6", "]"}], "=", "0.5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "7", "]"}], "=", "0.25"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"kcont", "[", "8", "]"}], "=", "0.1"}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Kcount", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"Kcount", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"Kcount", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"kcont", "[", "ct", "]"}], "\[Element]", "Reals"}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Kcount", "=", "0"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ct", "=", 
      RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumbKConts", "=", 
   RowBox[{"ct", "-", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"contour", "[", "d_", "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "*", 
         RowBox[{"kcont", "[", "d", "]"}]}], "+", "1"}], ",", 
       RowBox[{"\"\<k = \>\"", " ", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"kcont", "[", "d", "]"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"kcont", "[", "d", "]"}], "\[LessEqual]", "1"}], ",", 
         RowBox[{"(", 
          RowBox[{"plotmax", "*", "1.1"}], ")"}], ",", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"plotmax", "*", "1.1"}], ")"}], "-", "1"}], ")"}], "/", 
            RowBox[{"kcont", "[", "d", "]"}]}], ")"}]}]}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".57", "]"}], ",", "Thin"}], "}"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Flinn", ":=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"contour", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "NumbKConts"}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Epsilon]splot", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "numb\[Epsilon]scontours"}], "}"}]}], 
       "]"}], ",", 
      RowBox[{"Axes", "\[Rule]", "True"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"FileorManual", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Do you want to enter your data manually (m) or do you want to import \
a file (f)?  Enter 'm' or 'f' accordingly.\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "f"}], ",", 
    RowBox[{"FOM", "=", "1"}]}], "]"}], ";", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "m"}], ",", 
    RowBox[{"FOM", "=", "0"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"FOM", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"FN", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"LoN", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"FF", "=", 
       RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
         RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"things", "=", 
          RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"things", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1", ",", "5"}], "]"}], "]"}], "\[Equal]", 
            "\"\<islandnumb\>\""}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DT", "=", "\"\<YES\>\""}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", "things", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"islandnumb", "[", "samplect", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"samplect", "+", "1"}], ",", "5"}], "]"}], "]"}]}],
                ";", "\[IndentingNewLine]", 
               RowBox[{"islandct", "=", "1"}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct", "=", "6"}], ";", "\[IndentingNewLine]", 
               RowBox[{"While", "[", 
                RowBox[{
                 RowBox[{"islandct", "\[LessEqual]", 
                  RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"While", "[", 
                   RowBox[{
                    RowBox[{"ct", "\[LessEqual]", 
                    RowBox[{
                    RowBox[{"Dimensions", "[", 
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}]}], "]"}], "]"}], "]"}], 
                    "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", "ct"}], "]"}], "]"}],
                     "\[Equal]", 
                    RowBox[{"-", "999"}]}], ",", 
                    RowBox[{
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "1"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "ct2"}], "]"}], 
                    "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", "ct"}], "]"}], "]"}],
                     ",", 
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", 
                    RowBox[{"ct", "+", "1"}]}], "]"}], "]"}]}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ct2", "=", 
                    RowBox[{"ct2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "2"}]}], ";"}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                   RowBox[{"ct2", "-", "1"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"islandct", "=", 
                   RowBox[{"islandct", "+", "1"}]}], ";"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"samplect", "=", 
                RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";", "\n", 
            "\[IndentingNewLine]", 
            RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"graphicsct", "=", "1"}], ";", "\[IndentingNewLine]", 
               RowBox[{"While", "[", 
                RowBox[{
                 RowBox[{"graphicsct", "\[LessEqual]", 
                  RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"PerimGraphic", "[", 
                    RowBox[{"samplect", ",", "graphicsct"}], "]"}], "=", 
                   RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Opacity", "[", ".3", "]"}], ",", "Purple", ",", 
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", ".003", "]"}], ",", "Purple"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "graphicsct", ",", "x"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "1", ",", 
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "graphicsct"}], "]"}]}], "}"}]}],
                     "]"}], "]"}]}], "}"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"graphicsct", "=", 
                   RowBox[{"graphicsct", "+", "1"}]}], ";"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"samplect", "=", 
                RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"GroupedPerimGraphic", "[", "ct", "]"}], "=", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"PerimGraphic", "[", 
                   RowBox[{"ct", ",", "y"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"y", ",", "1", ",", 
                    RowBox[{"islandnumb", "[", "ct", "]"}]}], "}"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DT", "=", "\"\<NO\>\""}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", "things", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"PosErrorOne", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "5"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"NegErrorOne", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "6"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"PosErrorTwo", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "7"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"NegErrorTwo", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "8"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ErrorType", "[", "ct", "]"}], "=", "2"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"PosErrorOne", "[", "ct", "]"}], "\[Equal]", "0"}],
                   "&&", 
                  RowBox[{
                   RowBox[{"NegErrorOne", "[", "ct", "]"}], "\[Equal]", "0"}],
                   "&&", 
                  RowBox[{
                   RowBox[{"PosErrorTwo", "[", "ct", "]"}], "\[Equal]", "0"}],
                   "&&", 
                  RowBox[{
                   RowBox[{"NegErrorTwo", "[", "ct", "]"}], "\[Equal]", 
                   "0"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"PosErrorOne", "[", "ct", "]"}], "=", 
                   RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "9"}], "]"}], "]"}]}], ";",
                   "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"NegErrorOne", "[", "ct", "]"}], "=", 
                   RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "10"}], "]"}], "]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"PosErrorTwo", "[", "ct", "]"}], "=", 
                   RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "11"}], "]"}], "]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"NegErrorTwo", "[", "ct", "]"}], "=", 
                   RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "12"}], "]"}], "]"}]}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"ErrorType", "[", "ct", "]"}], "=", "1"}], ";"}]}],
                 "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
         ";"}]}], "]"}], ";", "\n", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Tabby2", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{"FN", ",", "Word"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Tabby2", "[", 
             RowBox[{"[", "11", "]"}], "]"}], "\[Equal]", 
            "\"\<islandnumb\>\""}], ",", 
           RowBox[{"DT", "=", "\"\<YES\>\""}], ",", 
           RowBox[{"DT", "=", "\"\<NO\>\""}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"DT", "\[Equal]", "\"\<YES\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ct1", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"TextTabDim", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "Tabby2", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"data", "=", 
             RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Skip", "[", 
             RowBox[{"data", ",", "Word", ",", "13"}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Quiet", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"temp", "=", 
               RowBox[{"Read", "[", 
                RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"xx", "=", 
               RowBox[{"Length", "[", "$MessageList", "]"}]}], ";"}], "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xx", 
               StyleBox["\[Equal]", "OperatorCharacter"], 
               StyleBox["0", "OperatorCharacter"]}], 
              StyleBox[",", "OperatorCharacter"], 
              StyleBox["\[IndentingNewLine]", "OperatorCharacter"], 
              RowBox[{
               RowBox[{
                RowBox[{"LongAxis", "[", "ct1", "]"}], "=", "temp"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"islandnumb", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"islandnumb", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"dimen", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"xx", 
                StyleBox["\[Equal]", "OperatorCharacter"], 
                StyleBox["0", "OperatorCharacter"]}], ",", 
               RowBox[{"TextTabDim", "-", "17"}], ",", 
               RowBox[{"TextTabDim", "-", "18"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"islandct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "dimen"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"temp", "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                StyleBox["If", "OperatorCharacter"], 
                StyleBox["[", "OperatorCharacter"], 
                RowBox[{
                 RowBox[{
                  StyleBox["temp", "OperatorCharacter"], 
                  StyleBox["\[Equal]", "OperatorCharacter"], 
                  RowBox[{"N", "[", 
                   RowBox[{"-", "999"}], "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Quiet", "[", 
                   RowBox[{
                    RowBox[{"tempy", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xx", "=", 
                    RowBox[{"Length", "[", "$MessageList", "]"}]}], ";"}], 
                   "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"ct", "=", 
                   RowBox[{"ct", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"xx", 
                    StyleBox["\[NotEqual]", "OperatorCharacter"], 
                    StyleBox["0", "OperatorCharacter"]}], 
                    StyleBox[",", "OperatorCharacter"], 
                    StyleBox["\[IndentingNewLine]", "OperatorCharacter"], 
                    RowBox[{
                    RowBox[{"ct1", "=", 
                    RowBox[{"ct1", "+", "1"}]}], ";", 
                    StyleBox["\[IndentingNewLine]", "OperatorCharacter"], 
                    StyleBox[
                    RowBox[{
                    RowBox[{"SampName", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Word"}], "]"}]}], 
                    "OperatorCharacter"], 
                    StyleBox[";", "OperatorCharacter"], 
                    StyleBox["\[IndentingNewLine]", "OperatorCharacter"], 
                    RowBox[{
                    StyleBox[
                    RowBox[{"LongAxis", "[", "ct1", "]"}], 
                    "OperatorCharacter"], 
                    StyleBox["=", "OperatorCharacter"], 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"islandnumb", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                    RowBox[{"permct", "-", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"samplect", "=", 
                    RowBox[{"samplect", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"islandct", "=", "1"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xtemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ytemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"xtemp", ",", "ytemp"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", 
                    RowBox[{"permct", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "7"}]}], ";"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"temp1", "=", "tempy"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp2", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp3", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp4", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"IntegerTrue", "=", "0"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"temp4", "<", "10"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "5"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "6"}], "]"}], "]"}], "\[Equal]", 
                    "0"}]}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "1"}], ";"}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "0"}], ";"}]}], "]"}], ";"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "5"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "6"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "7"}], "]"}], "]"}], "\[Equal]", 
                    "0"}]}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "1"}], ";"}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "0"}], ";"}]}], "]"}], 
                    ";"}]}], "]"}], ";", "\n", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ct1", "=", 
                    RowBox[{"ct1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"LongAxis", "[", "ct1", "]"}], "=", "temp1"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", "temp2"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", "temp3"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"islandnumb", "[", "ct1", "]"}], "=", "temp4"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "5"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                    RowBox[{"permct", "-", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"samplect", "=", 
                    RowBox[{"samplect", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"islandct", "=", "1"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"xtemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ytemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"xtemp", ",", "ytemp"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", 
                    RowBox[{"permct", "+", "1"}]}], ";"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                    RowBox[{"permct", "-", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"islandct", "=", 
                    RowBox[{"islandct", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"temp1", ",", "temp2"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", 
                    RowBox[{"permct", "+", "1"}]}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"temp3", ",", "temp4"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", 
                    RowBox[{"permct", "+", "2"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "4"}]}], ";"}]}], "]"}], ";"}]}], 
                   "]"}], ";"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"tempxcomp", "=", "temp"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"tempycomp", "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                   RowBox[{"{", 
                    RowBox[{"tempxcomp", ",", "tempycomp"}], "}"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"ct", "=", 
                   RowBox[{"ct", "+", "2"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"permct", "=", 
                   RowBox[{"permct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", "samplect"}], ";"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Dim", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "Tabby2", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Dim", "-", "26"}], ")"}], "/", "12"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"data", "=", 
             RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Skip", "[", 
             RowBox[{"data", ",", "Word", ",", "26"}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"PosErrorOne", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"NegErrorOne", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"PosErrorTwo", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"NegErrorTwo", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ErrorType", "[", "ct", "]"}], "=", "1"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"PosErrorOne", "[", "ct", "]"}], "\[Equal]", "0"}],
                   "&&", 
                  RowBox[{
                   RowBox[{"NegErrorOne", "[", "ct", "]"}], "\[Equal]", "0"}],
                   "&&", 
                  RowBox[{
                   RowBox[{"PosErrorTwo", "[", "ct", "]"}], "\[Equal]", "0"}],
                   "&&", 
                  RowBox[{
                   RowBox[{"NegErrorTwo", "[", "ct", "]"}], "\[Equal]", 
                   "0"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"PosErrorOne", "[", "ct", "]"}], "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"NegErrorOne", "[", "ct", "]"}], "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                  RowBox[{
                   RowBox[{"PosErrorTwo", "[", "ct", "]"}], "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                  RowBox[{
                   RowBox[{"NegErrorTwo", "[", "ct", "]"}], "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                  RowBox[{
                   RowBox[{"ErrorType", "[", "ct", "]"}], "=", "1"}], ";"}], 
                 ",", 
                 RowBox[{
                  RowBox[{"Skip", "[", 
                   RowBox[{"data", ",", "Word", ",", "4"}], "]"}], ";", 
                  RowBox[{
                   RowBox[{"ErrorType", "[", "ct", "]"}], "=", "2"}], ";"}]}],
                 "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
         ";"}]}], "]"}], ";"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"maxcount", "=", 
       RowBox[{
       "Input", "[", "\"\<How many data points do you want to plot?\>\"", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LabelorNo", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Do you want to enter sample names for you each data point (y/n)? \
 The sample names will be displayed when you mouse over a specific data \
point.\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "y"}], ",", 
        RowBox[{"LoN", "=", "1"}]}], "]"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "n"}], ",", 
        RowBox[{"LoN", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct4", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct4", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LoN", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"SampName", "[", "ct4", "]"}], "=", 
            RowBox[{"InputString", "[", 
             RowBox[{"\"\<\>\"", 
              RowBox[{"N", "[", "ct4", "]"}], 
              "\"\<Enter the name of the sample.\>\""}], "]"}]}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the LONG AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the INTERMEDIATE AXIS.\>\""}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ShortAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the SHORT AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ErrorType", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Are your error bars in the form of +/-\[Epsilon]s and +/-k \
values OR +/-Rxy and +/-Ryz?  Enter (1) for Rxy & Ryz and (2) for \[Epsilon]s \
& k.\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ErrorType", "[", "ct4", "]"}], "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"PosErrorOne", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (+)Rxy value.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NegErrorOne", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (-)Rxy value.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"PosErrorTwo", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (+)Ryz value.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NegErrorTwo", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (-)Ryz value.\>\""}], "]"}]}], ";"}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ErrorType", "[", "ct4", "]"}], "\[Equal]", "2"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"PosErrorOne", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (+)\[Epsilon]s value.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NegErrorOne", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (-)\[Epsilon]s value.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"PosErrorTwo", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (+)k value.\>\""}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NegErrorTwo", "[", "ct4", "]"}], "=", 
             RowBox[{"Input", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct4", "]"}], 
               "\"\<Enter the (-)k value.\>\""}], "]"}]}], ";"}]}], "]"}], 
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct4", "=", 
          RowBox[{"ct4", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct2", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct2", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lnaught", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct2", "]"}], "*", 
          RowBox[{"IntermAxis", "[", "ct2", "]"}], "*", 
          RowBox[{"ShortAxis", "[", "ct2", "]"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"e1", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct2", "]"}], "-", "lnaught"}], ")"}], "/",
         "lnaught"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"e2", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct2", "]"}], "-", "lnaught"}], ")"}], 
        "/", "lnaught"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"e3", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ShortAxis", "[", "ct2", "]"}], "-", "lnaught"}], ")"}], 
        "/", "lnaught"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"khorzval", "[", "ct2", "]"}], "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "e2"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"1", "+", "e3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"kvertval", "[", "ct2", "]"}], "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "e1"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"1", "+", "e2"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct2", "=", 
       RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct3", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct3", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Kval", "[", "ct3", "]"}], "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct3", "]"}], "==", 
          RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ",", 
         "\"\<\[Infinity]\>\"", ",", 
         FractionBox[
          RowBox[{
           FractionBox[
            RowBox[{"LongAxis", "[", "ct3", "]"}], 
            RowBox[{"IntermAxis", "[", "ct3", "]"}]], "-", "1"}], 
          RowBox[{
           FractionBox[
            RowBox[{"IntermAxis", "[", "ct3", "]"}], 
            RowBox[{"ShortAxis", "[", "ct3", "]"}]], "-", "1"}]]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"lnot", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct3", "]"}], "*", 
          RowBox[{"IntermAxis", "[", "ct3", "]"}], "*", 
          RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]1", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"LongAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]2", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"IntermAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]3", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"ShortAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "=", 
       RowBox[{
        FractionBox["1", 
         SqrtBox["3"]], "*", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]1", "-", "\[Epsilon]2"}], ")"}], "^", "2"}], 
            "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]2", "-", "\[Epsilon]3"}], ")"}], "^", "2"}], 
            "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]3", "-", "\[Epsilon]1"}], ")"}], "^", 
             "2"}]}], ")"}], "^", 
          RowBox[{"(", "0.5", ")"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct3", "=", 
       RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ValueQ", "[", 
         RowBox[{"SampName", "[", "1", "]"}], "]"}], "\[Equal]", "False"}], 
       ",", 
       RowBox[{
        RowBox[{"LoN", "=", "0"}], ";"}]}], "]"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
      RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"SampName", "[", "1", "]"}], "\[Equal]", "\"\<\>\""}], ",", 
        RowBox[{
         RowBox[{"LoN", "=", "0"}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kpts", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Tooltip", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "PtSize", "]"}], ",", "color", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"khorzval", "[", "x", "]"}], ",", 
              RowBox[{"kvertval", "[", "x", "]"}]}], "}"}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LoN", "\[Equal]", "1"}], ",", 
           RowBox[{"DisplayForm", "[", 
            RowBox[{"RowBox", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\"\<Sample: \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"SampName", "[", "x", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"\"\<,  k = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"Kval", "[", "x", "]"}], "]"}], "]"}]}], 
                RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}]}],
               "}"}], "]"}], "]"}], ",", 
           RowBox[{"DisplayForm", "[", 
            RowBox[{"RowBox", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\"\<k = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"N", "[", 
                  RowBox[{"Kval", "[", "x", "]"}], "]"}], "]"}]}], 
               RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"N", "[", 
                  RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}], 
              "}"}], "]"}], "]"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"DT", "\[Equal]", "\"\<NO\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ct3", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct3", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Kmax", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"Kval", "[", "ct3", "]"}], "+", 
           RowBox[{"PosErrorTwo", "[", "ct3", "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Kmin", "[", "ct3", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Kval", "[", "ct3", "]"}], "-", 
               RowBox[{"NegErrorTwo", "[", "ct3", "]"}]}], ")"}], "<", "0"}], 
            ",", "0", ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Kval", "[", "ct3", "]"}], "-", 
              RowBox[{"NegErrorTwo", "[", "ct3", "]"}]}], ")"}]}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Epsilon]smax", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "+", 
           RowBox[{"PosErrorOne", "[", "ct3", "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Epsilon]smin", "[", "ct3", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "-", 
               RowBox[{"NegErrorOne", "[", "ct3", "]"}]}], ")"}], "<", "0"}], 
            ",", "0", ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "-", 
              RowBox[{"NegErrorOne", "[", "ct3", "]"}]}], ")"}]}], "]"}]}], 
         ";", 
         RowBox[{
          RowBox[{"corner", "[", 
           RowBox[{"ct3", ",", "1"}], "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Kmax", "[", "ct3", "]"}], ",", 
            RowBox[{"\[Epsilon]smax", "[", "ct3", "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"corner", "[", 
           RowBox[{"ct3", ",", "2"}], "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Kmax", "[", "ct3", "]"}], ",", 
            RowBox[{"\[Epsilon]smin", "[", "ct3", "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"corner", "[", 
           RowBox[{"ct3", ",", "3"}], "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Kmin", "[", "ct3", "]"}], ",", 
            RowBox[{"\[Epsilon]smin", "[", "ct3", "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"corner", "[", 
           RowBox[{"ct3", ",", "4"}], "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Kmin", "[", "ct3", "]"}], ",", 
            RowBox[{"\[Epsilon]smax", "[", "ct3", "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\n", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "4"}], ",", "\n", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"corner", "[", 
                 RowBox[{"ct3", ",", "ct"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"LamdaOne", "=", "1"}], ";", 
               RowBox[{"LamdaTwo", "=", "1"}], ";", 
               RowBox[{"LamdaThree", "=", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", 
                   SqrtBox[
                    FractionBox["3", "2"]]}], " ", 
                  RowBox[{
                   RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}]]}], ";"}], ",", 
              RowBox[{
               RowBox[{"templong", "=", 
                RowBox[{"FindRoot", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    FractionBox["1", 
                    SqrtBox["3"]], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"1", "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "LongLenStat"}], 
                    ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]]}], "]"}], "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"LongLenStat", "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "LongLenStat"}], 
                    ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]]}], "]"}]}], ")"}], "2"], "+", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"LongLenStat", "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "LongLenStat"}], 
                    ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]]}], "]"}], "-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "LongLenStat"}], 
                    ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}]}], "]"}]}], ")"}], "2"], "+", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{"1", "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "LongLenStat"}], 
                    ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]]}], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "LongLenStat"}], 
                    ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}], 
                    RowBox[{"1", "/", "3"}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "LongLenStat"}], 
                    ")"}]}], ")"}]}], "]"}]}], ")"}], "2"]}], ")"}], 
                    "0.5`"]}], "-", 
                   RowBox[{
                    RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"LongLenStat", ",", "1.00000001"}], "}"}]}], 
                 "]"}]}], ";", 
               RowBox[{"LamdaOne", "=", 
                RowBox[{"templong", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ";", 
               RowBox[{"LamdaTwo", "=", "1"}], ";", 
               RowBox[{"LamdaThree", "=", 
                FractionBox[
                 RowBox[{
                  RowBox[{"corner", "[", 
                   RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{
                   RowBox[{"corner", "[", 
                    RowBox[{"ct3", ",", " ", "ct"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "+", "LamdaOne"}]]}], 
               ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"PrinMat", "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 FractionBox["1", 
                  SuperscriptBox["LamdaOne", "2"]], ",", "0", ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 FractionBox["1", 
                  SuperscriptBox["LamdaTwo", "2"]], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 FractionBox["1", 
                  SuperscriptBox["LamdaThree", "2"]]}], "}"}]}], "}"}]}], ";",
             "\[IndentingNewLine]", 
            RowBox[{"L", "=", 
             RowBox[{"Eigenvalues", "[", "PrinMat", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"L", "=", 
             RowBox[{"Sort", "[", 
              RowBox[{"L", ",", "Greater"}], "]"}]}], ";", "\n", 
            RowBox[{"CornerLengths", "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{"Sqrt", "[", 
                  RowBox[{"L", "[", 
                   RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ")"}], ",", 
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{"Sqrt", "[", 
                  RowBox[{"L", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}], ",", 
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{"Sqrt", "[", 
                  RowBox[{"L", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ")"}]}], "}"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"lnaught", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CornerLengths", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "*", 
                RowBox[{"CornerLengths", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "*", 
                RowBox[{"CornerLengths", "[", 
                 RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"e1", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CornerLengths", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "-", "lnaught"}], ")"}], "/",
               "lnaught"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"e2", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CornerLengths", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", "lnaught"}], ")"}], "/",
               "lnaught"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"e3", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CornerLengths", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "-", "lnaught"}], ")"}], "/",
               "lnaught"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Cornerkhorzval", "[", 
              RowBox[{"ct3", ",", "ct"}], "]"}], "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "e2"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"1", "+", "e3"}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Cornerkvertval", "[", 
              RowBox[{"ct3", ",", "ct"}], "]"}], "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "e1"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"1", "+", "e2"}], ")"}]}]}], ";", "\n", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct3", "=", 
          RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"ErrorPoly", "[", "ct", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ErrorType", "[", "ct", "]"}], "\[Equal]", "1"}], ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"EdgeForm", "[", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Thick", ",", "Purple"}], "]"}], "]"}], ",", 
               "Purple", ",", 
               RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
               RowBox[{"Rectangle", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"khorzval", "[", "ct", "]"}], "-", 
                    RowBox[{"NegErrorOne", "[", "ct", "]"}]}], ")"}], "<", 
                    "1"}], ",", "1", ",", 
                    RowBox[{
                    RowBox[{"khorzval", "[", "ct", "]"}], "-", 
                    RowBox[{"NegErrorOne", "[", "ct", "]"}]}]}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"kvertval", "[", "ct", "]"}], "+", 
                    RowBox[{"PosErrorTwo", "[", "ct", "]"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"khorzval", "[", "ct", "]"}], "+", 
                    RowBox[{"PosErrorOne", "[", "ct", "]"}]}], ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"kvertval", "[", "ct", "]"}], "-", 
                    RowBox[{"NegErrorTwo", "[", "ct", "]"}]}], ")"}], "<", 
                    "1"}], ",", "1", ",", 
                    RowBox[{
                    RowBox[{"kvertval", "[", "ct", "]"}], "-", 
                    RowBox[{"NegErrorTwo", "[", "ct", "]"}]}]}], "]"}]}], 
                  "}"}]}], "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"khorzval", "[", "ct", "]"}], "\[Equal]", "1"}], ",", 
              RowBox[{"Show", "[", 
               RowBox[{
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", ".01", "]"}], ",", "Purple", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", ".01", "]"}], ",", "Purple", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.92", ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.08", ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", ".01", "]"}], ",", "Purple", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.92", ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.08", ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], "]"}]}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cornerkhorzval", "[", 
                  RowBox[{"ct", ",", "1"}], "]"}], "<", 
                 RowBox[{"Cornerkhorzval", "[", 
                  RowBox[{"ct", ",", "3"}], "]"}]}], ",", 
                RowBox[{"Show", "[", 
                 RowBox[{
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmax", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "2"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmin", "[", "ct", "]"}]}], "+", "1"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "4"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "4"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "2"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmax", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "2"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmin", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "4"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}]}], "]"}], ",", 
                RowBox[{"Show", "[", 
                 RowBox[{
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmax", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "2"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmax", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmin", "[", "ct", "]"}]}], "+", "1"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmin", "[", "ct", "]"}]}], "+", "1"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "4"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "4"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "x"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "2"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmax", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "2"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "1"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", 
                    RowBox[{"Kmin", "[", "ct", "]"}]}], "+", "1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "3"}], "]"}], ",", 
                    RowBox[{"Cornerkhorzval", "[", 
                    RowBox[{"ct", ",", "4"}], "]"}]}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], 
                   "]"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ErrorType", "[", "ct", "]"}], "\[Equal]", "1"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Pt", "[", "1", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"khorzval", "[", "ct", "]"}], "-", 
                   RowBox[{"NegErrorOne", "[", "ct", "]"}]}], "<", "1"}], ",",
                  "1", ",", 
                 RowBox[{
                  RowBox[{"khorzval", "[", "ct", "]"}], "-", 
                  RowBox[{"NegErrorOne", "[", "ct", "]"}]}]}], "]"}], ",", 
               RowBox[{
                RowBox[{"kvertval", "[", "ct", "]"}], "+", 
                RowBox[{"PosErrorTwo", "[", "ct", "]"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Pt", "[", "2", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"khorzval", "[", "ct", "]"}], "-", 
                   RowBox[{"NegErrorOne", "[", "ct", "]"}]}], "<", "1"}], ",",
                  "1", ",", 
                 RowBox[{
                  RowBox[{"khorzval", "[", "ct", "]"}], "-", 
                  RowBox[{"NegErrorOne", "[", "ct", "]"}]}]}], "]"}], ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"kvertval", "[", "ct", "]"}], "-", 
                   RowBox[{"NegErrorTwo", "[", "ct", "]"}]}], "<", "1"}], ",",
                  "1", ",", 
                 RowBox[{
                  RowBox[{"kvertval", "[", "ct", "]"}], "-", 
                  RowBox[{"NegErrorTwo", "[", "ct", "]"}]}]}], "]"}]}], 
              "}"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Pt", "[", "3", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"khorzval", "[", "ct", "]"}], "+", 
                RowBox[{"PosErrorOne", "[", "ct", "]"}]}], ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"kvertval", "[", "ct", "]"}], "-", 
                   RowBox[{"NegErrorTwo", "[", "ct", "]"}]}], "<", "1"}], ",",
                  "1", ",", 
                 RowBox[{
                  RowBox[{"kvertval", "[", "ct", "]"}], "-", 
                  RowBox[{"NegErrorTwo", "[", "ct", "]"}]}]}], "]"}]}], 
              "}"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Pt", "[", "4", "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"khorzval", "[", "ct", "]"}], "+", 
                RowBox[{"PosErrorOne", "[", "ct", "]"}]}], ",", 
               RowBox[{
                RowBox[{"kvertval", "[", "ct", "]"}], "+", 
                RowBox[{"PosErrorTwo", "[", "ct", "]"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"numbcorners", "=", "4"}], ";", "\n", 
            RowBox[{"l0", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Pt", "[", "1", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "*", "1", "*", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "1", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]1", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Pt", "[", "1", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "/", "l0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]2", "=", 
             RowBox[{"Log", "[", 
              RowBox[{"1", "/", "l0"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]3", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{
                  RowBox[{"Pt", "[", "1", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "l0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"EpiS", "[", "1", "]"}], "=", 
             RowBox[{
              FractionBox["1", "3"], " ", 
              SqrtBox["3"], 
              RowBox[{"(", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]3", "-", "\[Epsilon]2"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]2", "-", "\[Epsilon]1"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}], 
                   "2"]}], ")"}], ".5"], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"kvalue", "[", "1", "]"}], "=", 
             FractionBox[
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"Pt", "[", "1", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "1"], "-", "1"}], 
              RowBox[{
               FractionBox["1", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "1", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]], "-", "1"}]]}], 
            ";", "\n", 
            RowBox[{"l0", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Pt", "[", "2", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "*", "1", "*", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "2", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]1", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Pt", "[", "2", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "/", "l0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]2", "=", 
             RowBox[{"Log", "[", 
              RowBox[{"1", "/", "l0"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]3", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{
                  RowBox[{"Pt", "[", "2", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "l0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"EpiS", "[", "2", "]"}], "=", 
             RowBox[{
              FractionBox["1", "3"], " ", 
              SqrtBox["3"], 
              RowBox[{"(", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]3", "-", "\[Epsilon]2"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]2", "-", "\[Epsilon]1"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}], 
                   "2"]}], ")"}], ".5"], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"kvalue", "[", "2", "]"}], "=", 
             FractionBox[
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"Pt", "[", "2", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "1"], "-", "1"}], 
              RowBox[{
               FractionBox["1", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "2", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]], "-", "1"}]]}], 
            ";", "\n", 
            RowBox[{"l0", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Pt", "[", "3", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "*", "1", "*", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "3", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]1", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Pt", "[", "3", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "/", "l0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]2", "=", 
             RowBox[{"Log", "[", 
              RowBox[{"1", "/", "l0"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]3", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{
                  RowBox[{"Pt", "[", "3", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "l0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"EpiS", "[", "3", "]"}], "=", 
             RowBox[{
              FractionBox["1", "3"], " ", 
              SqrtBox["3"], 
              RowBox[{"(", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]3", "-", "\[Epsilon]2"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]2", "-", "\[Epsilon]1"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}], 
                   "2"]}], ")"}], ".5"], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"kvalue", "[", "3", "]"}], "=", 
             FractionBox[
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"Pt", "[", "3", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "1"], "-", "1"}], 
              RowBox[{
               FractionBox["1", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "3", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]], "-", "1"}]]}], 
            ";", "\n", 
            RowBox[{"l0", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Pt", "[", "4", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "*", "1", "*", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "4", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]1", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Pt", "[", "4", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "/", "l0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]2", "=", 
             RowBox[{"Log", "[", 
              RowBox[{"1", "/", "l0"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Epsilon]3", "=", 
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", 
                 RowBox[{
                  RowBox[{"Pt", "[", "4", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "l0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"EpiS", "[", "4", "]"}], "=", 
             RowBox[{
              FractionBox["1", "3"], " ", 
              SqrtBox["3"], 
              RowBox[{"(", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]3", "-", "\[Epsilon]2"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]2", "-", "\[Epsilon]1"}], ")"}], "2"], 
                  "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}], 
                   "2"]}], ")"}], ".5"], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"kvalue", "[", "4", "]"}], "=", 
             FractionBox[
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"Pt", "[", "4", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "1"], "-", "1"}], 
              RowBox[{
               FractionBox["1", 
                RowBox[{"(", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"Pt", "[", "4", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]], "-", "1"}]]}], 
            ";"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"IntermAxis", "[", "ct", "]"}], "==", 
               RowBox[{"ShortAxis", "[", "ct", "]"}]}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"Pt", "[", "1", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{"1", ",", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smax", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                 "}"}]}], ";", " ", 
               RowBox[{
                RowBox[{"EpiS", "[", "1", "]"}], "=", 
                RowBox[{"\[Epsilon]smax", "[", "ct", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Pt", "[", "2", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{"1", ",", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "+", 
                    RowBox[{
                    SqrtBox["3"], " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"\[Epsilon]smin", "[", "ct", "]"}], "2"]}], "-", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    FractionBox["1", "1"], "]"}], "2"]}]]}]}], ")"}]}]]}], 
                 "}"}]}], ";", " ", 
               RowBox[{
                RowBox[{"EpiS", "[", "2", "]"}], "=", 
                RowBox[{"\[Epsilon]smin", "[", "ct", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"numbcorners", "=", "2"}], ";"}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"Pt", "[", "1", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cornerkhorzval", "[", 
                   RowBox[{"ct", ",", "1"}], "]"}], ",", 
                  RowBox[{"Cornerkvertval", "[", 
                   RowBox[{"ct", ",", "1"}], "]"}]}], "}"}]}], ";", 
               RowBox[{
                RowBox[{"kvalue", "[", "1", "]"}], "=", 
                RowBox[{"Kmax", "[", "ct", "]"}]}], ";", 
               RowBox[{
                RowBox[{"EpiS", "[", "1", "]"}], "=", 
                RowBox[{"\[Epsilon]smax", "[", "ct", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Pt", "[", "2", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cornerkhorzval", "[", 
                   RowBox[{"ct", ",", "2"}], "]"}], ",", 
                  RowBox[{"Cornerkvertval", "[", 
                   RowBox[{"ct", ",", "2"}], "]"}]}], "}"}]}], ";", 
               RowBox[{
                RowBox[{"kvalue", "[", "2", "]"}], "=", 
                RowBox[{"Kmax", "[", "ct", "]"}]}], ";", 
               RowBox[{
                RowBox[{"EpiS", "[", "2", "]"}], "=", 
                RowBox[{"\[Epsilon]smin", "[", "ct", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Pt", "[", "3", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cornerkhorzval", "[", 
                   RowBox[{"ct", ",", "3"}], "]"}], ",", 
                  RowBox[{"Cornerkvertval", "[", 
                   RowBox[{"ct", ",", "3"}], "]"}]}], "}"}]}], ";", 
               RowBox[{
                RowBox[{"kvalue", "[", "3", "]"}], "=", 
                RowBox[{"Kmin", "[", "ct", "]"}]}], ";", 
               RowBox[{
                RowBox[{"EpiS", "[", "3", "]"}], "=", 
                RowBox[{"\[Epsilon]smin", "[", "ct", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Pt", "[", "4", "]"}], "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cornerkhorzval", "[", 
                   RowBox[{"ct", ",", "4"}], "]"}], ",", 
                  RowBox[{"Cornerkvertval", "[", 
                   RowBox[{"ct", ",", "4"}], "]"}]}], "}"}]}], ";", 
               RowBox[{
                RowBox[{"kvalue", "[", "4", "]"}], "=", 
                RowBox[{"Kmin", "[", "ct", "]"}]}], ";", 
               RowBox[{
                RowBox[{"EpiS", "[", "4", "]"}], "=", 
                RowBox[{"\[Epsilon]smax", "[", "ct", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"numbcorners", "=", "4"}], ";"}]}], "]"}], ";"}]}], 
          "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"MaxVal", "[", "ct", "]"}], "=", 
          RowBox[{"Max", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Pt", "[", "x", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "1", ",", "numbcorners"}], "}"}]}], "]"}], 
           "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"LabelCorners", "[", "ct", "]"}], "=", 
          RowBox[{"Show", "[", 
           RowBox[{"Graphics", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Tooltip", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"PointSize", "[", "0.001", "]"}], ",", "Purple", 
                  ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{"Pt", "[", "x", "]"}], "]"}]}], "}"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"numbcorners", "\[Equal]", "4"}], ",", 
                  RowBox[{"DisplayForm", "[", 
                   RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<k = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Pt", "[", "x", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "1"}], ",", 
                    "\"\<\[Infinity]\>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"kvalue", "[", "x", "]"}], "]"}]}], "]"}], 
                    "]"}]}], 
                    RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{"EpiS", "[", "x", "]"}], "]"}], "]"}]}]}], "}"}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"DisplayForm", "[", 
                   RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{"EpiS", "[", "x", "]"}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], "]"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "1", ",", "numbcorners"}], "}"}]}], "]"}], 
            "]"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"DT", "\[Equal]", "\"\<NO\>\""}], ",", 
    RowBox[{
     RowBox[{"TotMaxVal", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"MaxVal", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}]}], 
     ";"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ctct", "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"ct1", "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"ct1", "\[LessEqual]", "maxcount"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
           RowBox[{"While", "[", 
            RowBox[{
             RowBox[{"ct2", "\[LessEqual]", 
              RowBox[{"islandnumb", "[", "ct1", "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ct3", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"While", "[", 
               RowBox[{
                RowBox[{"ct3", "\[LessEqual]", 
                 RowBox[{"PerimDim", "[", 
                  RowBox[{"ct1", ",", "ct2"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"FlinnCoordListTab", "[", "ctct", "]"}], "=", 
                  RowBox[{"PerimTable", "[", 
                   RowBox[{"ct1", ",", "ct2", ",", "ct3"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"ctct", "=", 
                  RowBox[{"ctct", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"ct3", "=", 
                  RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"ct2", "=", 
               RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"ct1", "=", 
            RowBox[{"ct1", "+", "1"}]}], ";"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"TotMaxVal", "=", 
         RowBox[{"Max", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"FlinnCoordListTab", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", 
              RowBox[{"ctct", "-", "1"}]}], "}"}]}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"graphicsct", "=", "1"}], ";", "\[IndentingNewLine]", 
           RowBox[{"While", "[", 
            RowBox[{
             RowBox[{"graphicsct", "\[LessEqual]", 
              RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"PerimGraphic", "[", 
                RowBox[{"samplect", ",", "graphicsct"}], "]"}], "=", 
               RowBox[{"Graphics", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Opacity", "[", ".3", "]"}], ",", "Purple", ",", 
                  RowBox[{"EdgeForm", "[", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", ".003", "]"}], ",", "Purple"}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "graphicsct", ",", "x"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "1", ",", 
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "graphicsct"}], "]"}]}], "}"}]}],
                     "]"}], "]"}]}], "}"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"graphicsct", "=", 
               RowBox[{"graphicsct", "+", "1"}]}], ";"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"samplect", "=", 
            RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"GroupedPerimGraphic", "[", "ct", "]"}], "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"PerimGraphic", "[", 
               RowBox[{"ct", ",", "y"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"y", ",", "1", ",", 
                RowBox[{"islandnumb", "[", "ct", "]"}]}], "}"}]}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"ct", "=", 
            RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], "=", 
            RowBox[{"Delete", "[", 
             RowBox[{
              RowBox[{"things", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", 
                 RowBox[{"samplect", "+", "1"}]}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "1", "}"}], ",", 
                RowBox[{"{", "2", "}"}], ",", 
                RowBox[{"{", "3", "}"}], ",", 
                RowBox[{"{", "4", "}"}], ",", 
                RowBox[{"{", "5", "}"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], "=", 
            RowBox[{"Delete", "[", 
             RowBox[{
              RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], ",", 
              RowBox[{"Position", "[", 
               RowBox[{
                RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], ",", 
                RowBox[{"N", "[", 
                 RowBox[{"-", "999"}], "]"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], "=", 
            RowBox[{"Delete", "[", 
             RowBox[{
              RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], ",", 
              RowBox[{"Position", "[", 
               RowBox[{
                RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], ",", 
                "\"\<\>\""}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"MaxFlinnCoordListTab", "[", "samplect", "]"}], "=", 
            RowBox[{"Max", "[", 
             RowBox[{"FlinnCoordListTab", "[", "samplect", "]"}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"samplect", "=", 
            RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";", "\n", 
        RowBox[{"TotMaxVal", "=", 
         RowBox[{"Max", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"MaxFlinnCoordListTab", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], 
          "]"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plotmax", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Round", "[", "TotMaxVal", "]"}], ">", "TotMaxVal"}], ",", 
      RowBox[{"Round", "[", "TotMaxVal", "]"}], ",", 
      RowBox[{
       RowBox[{"Round", "[", "TotMaxVal", "]"}], "+", "1"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<plotmax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
    "range", " ", "of", " ", "the", " ", "Flinn", " ", 
    RowBox[{"plot", ".", "  ", "You"}], " ", "can", " ", "overwrite", " ", 
    "this", " ", "value", " ", "by", " ", "deleting", " ", "the", " ", 
    "comment", " ", "marks", " ", "from", " ", "the", " ", "next", " ", 
    "line", " ", "and", " ", "input", " ", "any", " ", "value", " ", "that", 
    " ", "you", " ", 
    RowBox[{"wish", "."}]}], "  ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"plotmax", "=", "4"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tempEpiSMax", "=", 
   RowBox[{
    SqrtBox[
     FractionBox["2", "3"]], " ", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"Log", "[", 
         FractionBox["1", "plotmax"], "]"}], "2"], "-", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox["1", "plotmax"], "]"}], " ", 
        RowBox[{"Log", "[", "plotmax", "]"}]}], "+", 
       SuperscriptBox[
        RowBox[{"Log", "[", "plotmax", "]"}], "2"]}], ")"}]}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"\[Epsilon]scontmax", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"tempEpiSMax", ",", "\[Epsilon]scontinterval"}], "]"}], 
      "\[GreaterEqual]", "tempEpiSMax"}], ",", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"tempEpiSMax", ",", "\[Epsilon]scontinterval"}], "]"}], "-", 
      "\[Epsilon]scontinterval"}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"tempEpiSMax", ",", "\[Epsilon]scontinterval"}], "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"numb\[Epsilon]scontours", "=", 
    RowBox[{"\[Epsilon]scontmax", "/", "\[Epsilon]scontinterval"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"ct", "\[LessEqual]", "numb\[Epsilon]scontours"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Epsilon]scont", "[", "ct", "]"}], "=", 
      RowBox[{"ct", "*", "\[Epsilon]scontinterval"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ct", "=", 
      RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Epsilon]splot", "[", "d_", "]"}], ":=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Tooltip", "[", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["1", "b"], "]"}], "+", 
            RowBox[{
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"\[Epsilon]scont", "[", "d", "]"}], "2"]}], "-", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 FractionBox["1", "b"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
        RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
         RowBox[{"ToString", "[", 
          RowBox[{"N", "[", 
           RowBox[{"\[Epsilon]scont", "[", "d", "]"}], "]"}], "]"}]}]}], 
       "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "1", ",", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          SqrtBox[
           FractionBox["3", "2"]], "  ", 
          RowBox[{"\[Epsilon]scont", "[", "d", "]"}]}]]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"GrayLevel", "[", ".5", "]"}], ",", 
         RowBox[{"Thickness", "[", ".001", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{".015", ",", ".01"}], "}"}], "]"}]}], "}"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"DT", "\[Equal]", "\"\<NO\>\""}], ",", 
    RowBox[{
     RowBox[{"FlinnDiagram", "=", 
      RowBox[{"Show", "[", 
       RowBox[{"Flinn", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"ErrorPoly", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"LabelCorners", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", 
        "kpts", ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"N", " ", "==", " ", "maxcount"}], ",", 
              RowBox[{"FontSize", "\[Rule]", "22"}], ",", 
              RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
              "Bold", ",", 
              RowBox[{"Background", "\[Rule]", 
               RowBox[{"GrayLevel", "[", "1", "]"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"plotmax", ",", 
              RowBox[{".98", "*", "plotmax"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Right", ",", "Center"}], "}"}]}], "]"}], "}"}], "]"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Flinn Diagram\>\"", ",", "32", ",", "Blue", ",", "Bold"}], 
          "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], ";"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"FlinnDiagram", "=", 
      RowBox[{"Show", "[", 
       RowBox[{"Flinn", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"GroupedPerimGraphic", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", 
        "kpts", ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"N", " ", "==", " ", "maxcount"}], ",", 
              RowBox[{"FontSize", "\[Rule]", "22"}], ",", 
              RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
              "Bold", ",", 
              RowBox[{"Background", "\[Rule]", 
               RowBox[{"GrayLevel", "[", "1", "]"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"plotmax", ",", 
              RowBox[{".98", "*", "plotmax"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Right", ",", "Center"}], "}"}]}], "]"}], "}"}], "]"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Flinn Diagram\>\"", ",", "32", ",", "Blue", ",", "Bold"}], 
          "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], ";"}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Show", "[", "FlinnDiagram", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) contour interval: \>\"", 
   ",", 
   RowBox[{"N", "[", "\[Epsilon]scontinterval", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Flinn's k-value contours: \>\"", ",", 
   RowBox[{"TableForm", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"kcont", "[", "x", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "NumbKConts"}], "}"}]}], "]"}], ",", 
     RowBox[{"TableDirections", "\[Rule]", "Row"}]}], "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.4934666461082964`*^9, 3.493466717938405*^9, 3.4934668815417624`*^9, {
   3.493466913196573*^9, 3.4934669361078835`*^9}, 3.4934670120582275`*^9, 
   3.493467067262385*^9, 3.49346717102632*^9, {3.493467217449975*^9, 
   3.4934672176149845`*^9}, {3.4934672728951464`*^9, 
   3.4934673276612787`*^9}, {3.493467361446211*^9, 3.493467398869352*^9}, {
   3.493467970866068*^9, 3.49346797335221*^9}, 3.4934680866456904`*^9, {
   3.493468124491855*^9, 3.493468138858677*^9}, {3.4934682100117464`*^9, 
   3.493468210224759*^9}, {3.493468251497119*^9, 3.49346826724402*^9}, 
   3.493469238314562*^9, {3.493512004861454*^9, 3.4935120223334846`*^9}, 
   3.493512069273967*^9, {3.4935121191784544`*^9, 3.493512120379657*^9}, {
   3.493512234337857*^9, 3.4935122531826897`*^9}, {3.49351231002919*^9, 
   3.493512698064271*^9}, {3.4935127623987846`*^9, 3.4935127869844275`*^9}, {
   3.493512965682741*^9, 3.4935129669307437`*^9}, 3.4935131589982805`*^9, {
   3.4935132549540496`*^9, 3.4935132553440504`*^9}, {3.4935133249045725`*^9, 
   3.4935133556054263`*^9}, {3.4935510819393167`*^9, 3.493551147787032*^9}, {
   3.4935511852114983`*^9, 3.4935512617452326`*^9}, {3.4935513031009054`*^9, 
   3.4935513126949224`*^9}, {3.493551348512585*^9, 3.493551349791787*^9}, {
   3.4935514518939667`*^9, 3.4935514595535803`*^9}, {3.4935515912178116`*^9, 
   3.4935516145242524`*^9}, 3.493551827729827*^9, {3.4935519413916264`*^9, 
   3.4935519571320543`*^9}, {3.4935524725881596`*^9, 3.493552508639823*^9}, 
   3.493552539527877*^9, {3.4935525794171467`*^9, 3.4935525983711805`*^9}, {
   3.493552631115638*^9, 3.493552633408842*^9}, {3.4935527024077635`*^9, 
   3.493552718756592*^9}, {3.493552783231505*^9, 3.493552866894452*^9}, 
   3.493552907922524*^9, {3.4935566742839394`*^9, 3.4935570560478096`*^9}, {
   3.4935570878718653`*^9, 3.493557361433946*^9}, {3.493647023029749*^9, 
   3.4936470334817677`*^9}, 3.493647131028739*^9, 3.493649240290844*^9, 
   3.4936492771693087`*^9, 3.493649309726566*^9, 3.4939079171563063`*^9, {
   3.4939090652759743`*^9, 3.493909074133481*^9}, {3.4939091207061453`*^9, 
   3.4939091213441815`*^9}, {3.493909560513301*^9, 3.49390957168894*^9}, {
   3.49390963340047*^9, 3.4939096354065843`*^9}, {3.493912152976581*^9, 
   3.493912174322802*^9}, 3.4939125251578684`*^9, {3.4939125909256306`*^9, 
   3.493912660639618*^9}, 3.4939141503648252`*^9, 3.4939141987185907`*^9, {
   3.493914236592757*^9, 3.493914239737937*^9}, {3.4939149306764565`*^9, 
   3.4939151255656033`*^9}, {3.493915158877509*^9, 3.4939151871081233`*^9}, 
   3.493915293366201*^9, 3.4939155673398714`*^9, {3.493915948188655*^9, 
   3.493915952463899*^9}, {3.4939330679783616`*^9, 3.4939330856219926`*^9}, {
   3.4940169905006886`*^9, 3.494016990928713*^9}, 3.4940170749855213`*^9, 
   3.494017202036788*^9, 3.494017243970186*^9, {3.4940178173809834`*^9, 
   3.4940178240553656`*^9}, {3.4940247723447847`*^9, 
   3.4940247928809595`*^9}, {3.494024838822587*^9, 3.4940248532524123`*^9}, {
   3.4940252826939754`*^9, 3.494025291254465*^9}, {3.494025331997795*^9, 
   3.4940253513299007`*^9}, 3.494025445787304*^9, 3.494025746038477*^9, 
   3.4940265266731267`*^9, {3.494026912903218*^9, 3.4940269173934746`*^9}, {
   3.4940270604116545`*^9, 3.4940270708222504`*^9}, {3.4966580077104907`*^9, 
   3.4966580139028454`*^9}, 3.4967496684517713`*^9, 3.4969085968727117`*^9, {
   3.4969086366469865`*^9, 3.4969086376670446`*^9}, {3.4969261710258956`*^9, 
   3.4969261946352463`*^9}, {3.4969263261317673`*^9, 3.496926326605794*^9}, {
   3.496927613105378*^9, 3.496927621569862*^9}, {3.4969277117920227`*^9, 
   3.4969277753366566`*^9}, {3.49692807400874*^9, 3.496928079504054*^9}, {
   3.4969284502342587`*^9, 3.4969284754547014`*^9}, {3.496928529208776*^9, 
   3.4969285655478544`*^9}, 3.4969285990907726`*^9, 3.4969317423765583`*^9, {
   3.496932628134221*^9, 3.4969326730007873`*^9}, {3.496933252034906*^9, 
   3.4969332848377824`*^9}, {3.4969343752121477`*^9, 3.496934375702176*^9}, {
   3.4969344462812133`*^9, 3.496934446824244*^9}, {3.4969345010163436`*^9, 
   3.4969345030774612`*^9}, {3.5470521149790506`*^9, 
   3.5470521554968863`*^9}, {3.5470528609692154`*^9, 
   3.5470529151672645`*^9}, {3.5470612113791337`*^9, 3.547061222461149*^9}, {
   3.547061345168322*^9, 3.5470613483193264`*^9}, {3.547061388063382*^9, 
   3.547061451732472*^9}, {3.547061522024571*^9, 3.54706159216567*^9}, 
   3.547062379393864*^9, {3.5470630228073945`*^9, 3.547063044241832*^9}, {
   3.5470630820718985`*^9, 3.547063107000742*^9}, {3.547063275403038*^9, 
   3.5470633011586833`*^9}, 3.5470640574480114`*^9, 3.5470641131869097`*^9, {
   3.5470689455817003`*^9, 3.5470689508059993`*^9}, 3.5470691002688417`*^9, {
   3.547069163676931*^9, 3.5470691689679384`*^9}, 3.547069551440477*^9, {
   3.5470712686794405`*^9, 3.5470713484450026`*^9}, 3.547071502463812*^9, {
   3.547071545752288*^9, 3.547071546301319*^9}, {3.5470716297530923`*^9, 
   3.547071632766265*^9}, {3.5470716803869886`*^9, 3.547071680822014*^9}, 
   3.547071714788956*^9, {3.5470717520460873`*^9, 3.5470717941034927`*^9}, {
   3.547072000848318*^9, 3.547072002669422*^9}, {3.5470720659150395`*^9, 
   3.547072067123109*^9}, {3.5470721826527166`*^9, 3.5470721862539225`*^9}, 
   3.5471170804984274`*^9, {3.547117665400251*^9, 3.547117666250252*^9}, {
   3.5472177693086977`*^9, 3.5472177823971205`*^9}, {3.547217820008787*^9, 
   3.5472178379020185`*^9}, {3.5472178750300837`*^9, 3.547217900972929*^9}, {
   3.547218112774501*^9, 3.54721812342932*^9}, {3.547218182335023*^9, 
   3.5472182166550837`*^9}, {3.5472224731520367`*^9, 
   3.5472225028076887`*^9}, {3.5472225353805456`*^9, 3.5472225632464495`*^9}, 
   3.547222920128276*^9, 3.5472229521863327`*^9, 3.5472229914672017`*^9, {
   3.5476598629671144`*^9, 3.547659867488121*^9}, {3.547983884757683*^9, 
   3.5479839008569107`*^9}, 3.5479845230336494`*^9, 3.6115079045014577`*^9, {
   3.611509679229966*^9, 3.6115096877644544`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", "Flinn",
      " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", "file"}], 
    ",", " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", "will", " ", "get", " ", "pasted", " ", "into", " ", 
     "Illustrator", " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.jpg\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.tif\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.gif\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "wmf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.pdf\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.eps\>\"", ",", "FlinnDiagram"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.5039411879262547`*^9, 3.5039411901918507`*^9}, {3.5039412239570436`*^9, 
   3.503941296034246*^9}, {3.547293154317481*^9, 3.547293159126544*^9}, {
   3.547982623083602*^9, 3.5479826666076784`*^9}, 3.6116213275105524`*^9}]
}, Open  ]]
},
WindowSize->{1076, 627},
WindowMargins->{{2, Automatic}, {Automatic, 2}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 6719, 127, 494, "Title"],
Cell[7301, 151, 151741, 3525, 10777, "Input"],
Cell[159045, 3678, 5785, 109, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
