(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     44707,       1078]
NotebookOptionsPosition[     44143,       1057]
NotebookOutlinePosition[     44675,       1076]
CellTagsIndexPosition[     44632,       1073]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Flinn Plot-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This Mathematic notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your ellipsoid data onto a Flinn diagram (Flinn, 1962) \
with both \"k\" contours and octahedral shear strain (\[Epsilon]s) (Nadai, \
1963) contours.  Your data can either be input manually while the program is \
running or your data can be read in from an existing file.  This program will \
read both text files (*.txt) and Excel files (*.xls and *.xlsx).  Examine the \
files, \"AxesDataSet.txt\", \"AxesDataSet.xls",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\"",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[", and \"AxesDataSet.xlsx\", to determine the appropriate file \
structure (it is easiest simply to modify these files and save them with \
different file names).  Please note that your sample names can only be \
one-word long, i.e. they cannot contain any spaces, but underscores and \
dashes are acceptable (e.g. SL-137-02).  Within the code itself, there are \
parameters that you may wish to alter to appropriately scale and format your \
plot.  The most useful changes are described in comments (i.e. between \"(* \
*)\").  For example, change \
\[OpenCurlyDoubleQuote]\[Epsilon]scontinterval=0.25;\[CloseCurlyDoubleQuote] \
to \[OpenCurlyDoubleQuote]\[Epsilon]scontinterval=0.5;\[CloseCurlyDoubleQuote]\
 to reduce the number of strain contours.  You can read the \"readme.txt\" \
file for more information about this program.  To start the program (as with \
all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n          \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.4969304298334856`*^9, 3.4969304337337084`*^9}, 
   3.496930472293914*^9, {3.496930510711111*^9, 3.4969305600529337`*^9}, {
   3.4969306892033205`*^9, 3.496930691607458*^9}, {3.496943359994652*^9, 
   3.4969433614597354`*^9}, {3.4969434040361705`*^9, 
   3.4969434089064493`*^9}, {3.496943903969765*^9, 3.496943904259782*^9}, 
   3.496962295244377*^9, {3.50394137658009*^9, 3.5039413772519565`*^9}, {
   3.517671915252753*^9, 3.517671915393153*^9}, 3.522102898451317*^9, {
   3.547720687481824*^9, 3.547720700062842*^9}, 3.5477213981228414`*^9, {
   3.5479359724686885`*^9, 3.5479359927297173`*^9}, 3.547982708103751*^9, {
   3.547983367979311*^9, 3.5479833733457203`*^9}, 3.6064862185681744`*^9, {
   3.6115104793407297`*^9, 3.6115104954636517`*^9}, {3.611510602744788*^9, 
   3.611510623368968*^9}, 3.6115107376725054`*^9, {3.645805809140528*^9, 
   3.645805809140528*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<\[Epsilon]scontinterval\>\"", " ", "is", " ", "the", " ", "contour", 
    " ", "interval", " ", "for", " ", "the", " ", "octehedral", " ", "shear", 
    " ", "strain", " ", "contours"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]scontinterval", "=", "0.25"}], ";"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<color\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
     "the", " ", 
     RowBox[{"dots", ".", "  ", "You"}], " ", "can", " ", "use", " ", 
     "several", " ", "words", " ", "for", " ", "the", " ", "color", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", ".", " ", "Black"}], ",", " ", 
       RowBox[{"Blue", " ", "Green"}]}], ")"}], " ", "or", " ", "use", " ", 
     "Functions", " ", "like", " ", 
     RowBox[{"Hue", "[", "]"}]}], ",", " ", 
    RowBox[{"RGBColor", "[", "]"}], ",", " ", 
    RowBox[{"CMYKColor", "[", "]"}], ",", " ", 
    RowBox[{"or", " ", 
     RowBox[{"GreyLevel", "[", "]"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"color", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<PtSize\>\"", " ", "specifies", " ", "the", " ", "size", " ", "of", 
    " ", "the", " ", "dots", " ", "for", " ", "you", " ", "plot"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<kcont[x]\>\"", " ", "specifies", " ", "the", " ", "values", " ", 
     "for", " ", "the", " ", "Flinn", " ", "k", " ", 
     RowBox[{"contours", ".", "  ", "You"}], " ", "can", " ", "add", " ", 
     "additional", " ", "contours", " ", "by", " ", "typing", " ", "in", " ", 
     "addtional", " ", "values"}], ",", " ", 
    RowBox[{"e", ".", "g", "."}], ",", " ", 
    RowBox[{"\"\<kcont[9]=1000;\>\"", "."}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "1", "]"}], "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "2", "]"}], "=", "5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "3", "]"}], "=", "2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "4", "]"}], "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "5", "]"}], "=", "0.75"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "6", "]"}], "=", "0.5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "7", "]"}], "=", "0.25"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"kcont", "[", "8", "]"}], "=", "0.1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Kcount", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"Kcount", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"Kcount", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"kcont", "[", "ct", "]"}], "\[Element]", "Reals"}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Kcount", "=", "0"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ct", "=", 
      RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumbKConts", "=", 
   RowBox[{"ct", "-", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"contour", "[", "d_", "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "*", 
         RowBox[{"kcont", "[", "d", "]"}]}], "+", "1"}], ",", 
       RowBox[{"\"\<k = \>\"", " ", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"kcont", "[", "d", "]"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"kcont", "[", "d", "]"}], "\[LessEqual]", "1"}], ",", 
         RowBox[{"(", 
          RowBox[{"plotmax", "*", "1.1"}], ")"}], ",", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"plotmax", "*", "1.1"}], ")"}], "-", "1"}], ")"}], "/", 
            RowBox[{"kcont", "[", "d", "]"}]}], ")"}]}]}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".57", "]"}], ",", "Thin"}], "}"}]}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Epsilon]splot", "[", "d_", "]"}], ":=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Tooltip", "[", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["1", "b"], "]"}], "+", 
            RowBox[{
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"\[Epsilon]scont", "[", "d", "]"}], "2"]}], "-", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 FractionBox["1", "b"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
        RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
         RowBox[{"ToString", "[", 
          RowBox[{"N", "[", 
           RowBox[{"\[Epsilon]scont", "[", "d", "]"}], "]"}], "]"}]}]}], 
       "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "1", ",", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          SqrtBox[
           FractionBox["3", "2"]], "  ", 
          RowBox[{"\[Epsilon]scont", "[", "d", "]"}]}]]}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"GrayLevel", "[", ".5", "]"}], ",", 
         RowBox[{"Thickness", "[", ".001", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{".015", ",", ".01"}], "}"}], "]"}]}], "}"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]", "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Flinn", ":=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"contour", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "NumbKConts"}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Epsilon]splot", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "numb\[Epsilon]scontours"}], "}"}]}], 
       "]"}], ",", 
      RowBox[{"Axes", "\[Rule]", "True"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FileorManual", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Do you want to enter your data manually (m) or do you want to import \
a file (f)?  Enter 'm' or 'f' accordingly.\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "f"}], ",", 
    RowBox[{"FOM", "=", "1"}]}], "]"}], ";", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "m"}], ",", 
    RowBox[{"FOM", "=", "0"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"FOM", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"FN", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"LoN", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"FF", "=", 
       RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
         RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"things", "=", 
          RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"maxcount", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Dimensions", "[", "things", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"SampName", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Tabby2", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{"FN", ",", "Word"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Dim", "=", 
          RowBox[{
           RowBox[{"Dimensions", "[", "Tabby2", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"maxcount", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Dim", "-", "10"}], ")"}], "/", "4"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"data", "=", 
          RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Skip", "[", 
          RowBox[{"data", ",", "Word", ",", "10"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"SampName", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
      ";"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"maxcount", "=", 
       RowBox[{
       "Input", "[", "\"\<How many data points do you want to plot?\>\"", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LabelorNo", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Do you want to enter sample names for you each data point (y/n)? \
 The sample names will be displayed when you mouse over a specific data \
point.\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "y"}], ",", 
        RowBox[{"LoN", "=", "1"}]}], "]"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "n"}], ",", 
        RowBox[{"LoN", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct4", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct4", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LoN", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"SampName", "[", "ct4", "]"}], "=", 
            RowBox[{"InputString", "[", 
             RowBox[{"\"\<\>\"", 
              RowBox[{"N", "[", "ct4", "]"}], 
              "\"\<Enter the name of the sample.\>\""}], "]"}]}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the LONG AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the INTERMEDIATE AXIS.\>\""}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ShortAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the SHORT AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct4", "=", 
          RowBox[{"ct4", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"ct2", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct2", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lnaught", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct2", "]"}], "*", 
          RowBox[{"IntermAxis", "[", "ct2", "]"}], "*", 
          RowBox[{"ShortAxis", "[", "ct2", "]"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"e1", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct2", "]"}], "-", "lnaught"}], ")"}], "/",
         "lnaught"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"e2", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct2", "]"}], "-", "lnaught"}], ")"}], 
        "/", "lnaught"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"e3", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ShortAxis", "[", "ct2", "]"}], "-", "lnaught"}], ")"}], 
        "/", "lnaught"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"khorzval", "[", "ct2", "]"}], "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "e2"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"1", "+", "e3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"kvertval", "[", "ct2", "]"}], "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "e1"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"1", "+", "e2"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct2", "=", 
       RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct3", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct3", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Kval", "[", "ct3", "]"}], "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct3", "]"}], "==", 
          RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ",", 
         "\"\<\[Infinity]\>\"", ",", 
         FractionBox[
          RowBox[{
           FractionBox[
            RowBox[{"LongAxis", "[", "ct3", "]"}], 
            RowBox[{"IntermAxis", "[", "ct3", "]"}]], "-", "1"}], 
          RowBox[{
           FractionBox[
            RowBox[{"IntermAxis", "[", "ct3", "]"}], 
            RowBox[{"ShortAxis", "[", "ct3", "]"}]], "-", "1"}]]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"lnot", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct3", "]"}], "*", 
          RowBox[{"IntermAxis", "[", "ct3", "]"}], "*", 
          RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]1", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"LongAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]2", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"IntermAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]3", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"ShortAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "=", 
       RowBox[{
        FractionBox["1", 
         SqrtBox["3"]], "*", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]1", "-", "\[Epsilon]2"}], ")"}], "^", "2"}], 
            "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]2", "-", "\[Epsilon]3"}], ")"}], "^", "2"}], 
            "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]3", "-", "\[Epsilon]1"}], ")"}], "^", 
             "2"}]}], ")"}], "^", 
          RowBox[{"(", "0.5", ")"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct3", "=", 
       RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kpts", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "PtSize", "]"}], ",", "color", ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"khorzval", "[", "x", "]"}], ",", 
               RowBox[{"kvertval", "[", "x", "]"}]}], "}"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"LoN", "\[Equal]", "1"}], ",", 
            RowBox[{"DisplayForm", "[", 
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\"\<Sample: \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"SampName", "[", "x", "]"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"\"\<,  k = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"Kval", "[", "x", "]"}], "]"}], "]"}]}], 
                 RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], 
                   "]"}]}]}]}], "}"}], "]"}], "]"}], ",", 
            RowBox[{"DisplayForm", "[", 
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\"\<k = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"Kval", "[", "x", "]"}], "]"}], "]"}]}], 
                RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}], 
               "}"}], "]"}], "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TotMaxVal", "=", 
   RowBox[{"Max", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"khorzval", "[", "x", "]"}], ",", 
        RowBox[{"kvertval", "[", "x", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plotmax", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Round", "[", "TotMaxVal", "]"}], ">", "TotMaxVal"}], ",", 
      RowBox[{"Round", "[", "TotMaxVal", "]"}], ",", 
      RowBox[{
       RowBox[{"Round", "[", "TotMaxVal", "]"}], "+", "1"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<plotmax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
    "range", " ", "of", " ", "the", " ", "Flinn", " ", 
    RowBox[{"plot", ".", "  ", "You"}], " ", "can", " ", "overwrite", " ", 
    "this", " ", "value", " ", "by", " ", "deleting", " ", "the", " ", 
    "comment", " ", "marks", " ", "from", " ", "the", " ", "next", " ", 
    "line", " ", "and", " ", "input", " ", "any", " ", "value", " ", "that", 
    " ", "you", " ", 
    RowBox[{"wish", "."}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"plotmax", "=", "4"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tempEpiSMax", "=", 
   RowBox[{
    SqrtBox[
     FractionBox["2", "3"]], " ", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"Log", "[", 
         FractionBox["1", "plotmax"], "]"}], "2"], "-", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox["1", "plotmax"], "]"}], " ", 
        RowBox[{"Log", "[", "plotmax", "]"}]}], "+", 
       SuperscriptBox[
        RowBox[{"Log", "[", "plotmax", "]"}], "2"]}], ")"}]}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"\[Epsilon]scontmax", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"tempEpiSMax", ",", "\[Epsilon]scontinterval"}], "]"}], 
      "\[GreaterEqual]", "tempEpiSMax"}], ",", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"tempEpiSMax", ",", "\[Epsilon]scontinterval"}], "]"}], "-", 
      "\[Epsilon]scontinterval"}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"tempEpiSMax", ",", "\[Epsilon]scontinterval"}], "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"numb\[Epsilon]scontours", "=", 
    RowBox[{"\[Epsilon]scontmax", "/", "\[Epsilon]scontinterval"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "\[LessEqual]", "numb\[Epsilon]scontours"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Epsilon]scont", "[", "ct", "]"}], "=", 
       RowBox[{"ct", "*", 
        RowBox[{"(", 
         RowBox[{"\[Epsilon]scontmax", "/", "numb\[Epsilon]scontours"}], 
         ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"FlinnDiagram", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"Flinn", ",", "kpts", ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"N", " ", "==", " ", "maxcount"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "22"}], ",", 
          RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Bold",
           ",", 
          RowBox[{"Background", "\[Rule]", 
           RowBox[{"GrayLevel", "[", "1", "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"plotmax", ",", 
          RowBox[{".98", "*", "plotmax"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Center"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<Flinn Diagram\>\"", ",", "32", ",", "Blue", ",", "Bold"}], 
      "]"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) contour interval: \>\"", 
   ",", 
   RowBox[{"N", "[", "\[Epsilon]scontinterval", "]"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"SortKconts", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"kcont", "[", "x", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1", ",", "NumbKConts"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Flinn's k-value contours: \>\"", ",", 
   RowBox[{"TableForm", "[", 
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"SortKconts", "[", 
            RowBox[{"[", "x", "]"}], "]"}], "\"\<,\>\""}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", 
           RowBox[{"NumbKConts", "-", "1"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{"SortKconts", "[", 
         RowBox[{"[", "NumbKConts", "]"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"TableDirections", "\[Rule]", "Row"}]}], "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.4934666461082964`*^9, 3.493466717938405*^9, 3.4934668815417624`*^9, {
   3.493466913196573*^9, 3.4934669361078835`*^9}, 3.4934670120582275`*^9, 
   3.493467067262385*^9, 3.49346717102632*^9, {3.493467217449975*^9, 
   3.4934672176149845`*^9}, {3.4934672728951464`*^9, 
   3.4934673276612787`*^9}, {3.493467361446211*^9, 3.493467398869352*^9}, {
   3.493467970866068*^9, 3.49346797335221*^9}, 3.4934680866456904`*^9, {
   3.493468124491855*^9, 3.493468138858677*^9}, {3.4934682100117464`*^9, 
   3.493468210224759*^9}, {3.493468251497119*^9, 3.49346826724402*^9}, 
   3.493469238314562*^9, {3.493512004861454*^9, 3.4935120223334846`*^9}, 
   3.493512069273967*^9, {3.4935121191784544`*^9, 3.493512120379657*^9}, {
   3.493512234337857*^9, 3.4935122531826897`*^9}, {3.49351231002919*^9, 
   3.493512698064271*^9}, {3.4935127623987846`*^9, 3.4935127869844275`*^9}, {
   3.493512965682741*^9, 3.4935129669307437`*^9}, 3.4935131589982805`*^9, {
   3.4935132549540496`*^9, 3.4935132553440504`*^9}, {3.4935133249045725`*^9, 
   3.4935133556054263`*^9}, {3.4935510819393167`*^9, 3.493551147787032*^9}, {
   3.4935511852114983`*^9, 3.4935512617452326`*^9}, {3.4935513031009054`*^9, 
   3.4935513126949224`*^9}, {3.493551348512585*^9, 3.493551349791787*^9}, {
   3.4935514518939667`*^9, 3.4935514595535803`*^9}, {3.4935515912178116`*^9, 
   3.4935516145242524`*^9}, 3.493551827729827*^9, {3.4935519413916264`*^9, 
   3.4935519571320543`*^9}, {3.4935524725881596`*^9, 3.493552508639823*^9}, 
   3.493552539527877*^9, {3.4935525794171467`*^9, 3.4935525983711805`*^9}, {
   3.493552631115638*^9, 3.493552633408842*^9}, {3.4935527024077635`*^9, 
   3.493552718756592*^9}, {3.493552783231505*^9, 3.493552866894452*^9}, 
   3.493552907922524*^9, {3.4935566742839394`*^9, 3.4935570560478096`*^9}, {
   3.4935570878718653`*^9, 3.493557361433946*^9}, {3.493647023029749*^9, 
   3.4936470334817677`*^9}, 3.493647131028739*^9, 3.493649240290844*^9, 
   3.4936492771693087`*^9, 3.493649309726566*^9, 3.4939079171563063`*^9, {
   3.4939090652759743`*^9, 3.493909074133481*^9}, {3.4939091207061453`*^9, 
   3.4939091213441815`*^9}, {3.493909560513301*^9, 3.49390957168894*^9}, {
   3.49390963340047*^9, 3.4939096354065843`*^9}, {3.493912152976581*^9, 
   3.493912174322802*^9}, 3.4939125251578684`*^9, {3.4939125909256306`*^9, 
   3.493912660639618*^9}, 3.4939141503648252`*^9, 3.4939141987185907`*^9, {
   3.493914236592757*^9, 3.493914239737937*^9}, {3.4939149306764565`*^9, 
   3.4939151255656033`*^9}, {3.493915158877509*^9, 3.4939151871081233`*^9}, 
   3.493915293366201*^9, 3.4939155673398714`*^9, {3.493915948188655*^9, 
   3.493915952463899*^9}, {3.496909270996269*^9, 3.4969092864271517`*^9}, {
   3.496930171661719*^9, 3.496930211618004*^9}, {3.4969302821250367`*^9, 
   3.4969303032482452`*^9}, 3.496930375142357*^9, {3.4969308344266267`*^9, 
   3.496930835080664*^9}, {3.4969309158022814`*^9, 3.496930916371314*^9}, 
   3.547982837023378*^9, {3.547983035025926*^9, 3.5479830365235286`*^9}, {
   3.5479830721705914`*^9, 3.547983107161453*^9}, {3.54798313987471*^9, 
   3.547983169951563*^9}, {3.5479832009176173`*^9, 3.547983222461255*^9}, {
   3.5479834054349766`*^9, 3.5479834059185777`*^9}, {3.5479834758535004`*^9, 
   3.5479834769455023`*^9}, {3.547983840360005*^9, 3.5479838500164213`*^9}, 
   3.5479839185473423`*^9, 3.5479846155799923`*^9, {3.606485295838397*^9, 
   3.606485317163617*^9}, 3.6065120952307577`*^9, {3.606512141963431*^9, 
   3.606512142214445*^9}, {3.606512265138476*^9, 3.6065122656945076`*^9}, {
   3.6115106677385054`*^9, 3.6115106772210484`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", "Flinn",
      " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", "file"}], 
    ",", " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", "will", " ", "get", " ", "pasted", " ", "into", " ", 
     "Illustrator", " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.jpg\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.tif\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.gif\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "wmf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.pdf\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupFlinnDiagram.eps\>\"", ",", "FlinnDiagram"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.5039411879262547`*^9, 3.5039411901918507`*^9}, {3.5039412239570436`*^9, 
   3.503941296034246*^9}, {3.5479837123305798`*^9, 3.5479837337026176`*^9}, {
   3.547983788864314*^9, 3.547983801671937*^9}, 3.6116213388692017`*^9}]
}, Open  ]]
},
WindowSize->{1029, 601},
WindowMargins->{{0, Automatic}, {Automatic, 1}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 6086, 119, 494, "Title"],
Cell[6656, 143, 31681, 800, 3024, "Input"],
Cell[38340, 945, 5787, 109, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
