(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    135754,       3141]
NotebookOptionsPosition[    135166,       3119]
NotebookOutlinePosition[    135718,       3139]
CellTagsIndexPosition[    135675,       3136]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Hsu Plot with Error Regions-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This Mathematic notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your ellipsoid data onto a Hsu diagram (Hossack, 1967) \
with both Lode's Ratio (\[Nu]) contours and octahedral shear strain (\
\[Epsilon]s) (Nadai, 1963) contours and will define an error region of your \
choosing.  Your data can either be input manually while the program is \
running or your data can be read in from an existing file.  This program will \
read both text files (*.txt) and Excel files (*.xls and *.xlsx).  Examine the \
files, \"AxesDataSetHsuError.txt\", \"AxesDataSetHsuError.xls\", \
\"AxesDataSetHsuError.xlsx\",  \"SampleHsuErrorData.txt",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\"",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[", \"SampleHsuErrorData.xls\", and \"SampleHsuErrorData.xlsx\", to \
determine the appropriate file structure (it is easiest simply to modify \
these files and save them with different file names).  Please note that your \
sample names can only be one-word long, i.e., they cannot contain any spaces, \
but underscores and dashes are acceptable (e.g., SL-137-02).  Within the code \
itself, there are parameters that you may wish to alter to appropriately \
scale and format your plot.  The most useful are described in comments (i.e., \
between \"(* *)\").  For example, change \"continterval=0.3;\" to \
\"contnumb=0.1;\" to increase the number of strain contours.  You can read \
the \"readme.txt\" file for more information about this program.  To start \
the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n          \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.493921433569401*^9, 3.493921436935593*^9}, {
   3.49392368858138*^9, 3.493923761449548*^9}, 3.493923872844919*^9, {
   3.493923921065677*^9, 3.4939239609679594`*^9}, {3.4940274650527987`*^9, 
   3.494027468934021*^9}, {3.4940276216427555`*^9, 3.4940276596869316`*^9}, {
   3.4940280100709724`*^9, 3.4940280100709724`*^9}, 3.496931828333475*^9, 
   3.4969359635599966`*^9, {3.49693625926291*^9, 3.4969362626161013`*^9}, {
   3.4969372415160913`*^9, 3.4969372745079784`*^9}, {3.4969435864146023`*^9, 
   3.496943586692618*^9}, {3.4969436295320683`*^9, 3.496943635930434*^9}, {
   3.496943707492527*^9, 3.49694370893361*^9}, {3.496943775478416*^9, 
   3.4969437840919085`*^9}, {3.4969438477725506`*^9, 3.496943875183119*^9}, 
   3.4969623059019594`*^9, 3.4970397366469584`*^9, {3.5039415743275585`*^9, 
   3.5039415745775557`*^9}, {3.517671922257165*^9, 3.5176719224131656`*^9}, 
   3.5221029079829335`*^9, {3.547636517050023*^9, 3.5476365198892283`*^9}, {
   3.547660277998706*^9, 3.5476603100827513`*^9}, 3.5476674494070888`*^9, 
   3.5476712193994293`*^9, 3.547721409964858*^9, {3.547936023713761*^9, 
   3.547936024953762*^9}, {3.547983946299791*^9, 3.54798396890423*^9}, 
   3.5479840384083915`*^9, {3.611513862982263*^9, 3.6115139321202173`*^9}, {
   3.6115144195810986`*^9, 3.611514439047212*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<continterval\>\"", " ", "determines", " ", "the", " ", "contour", " ",
     "interval", " ", "for", " ", "the", " ", "octehedral", " ", "shear", " ",
     "strain", " ", 
    RowBox[{"contours", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"continterval", "=", "0.3"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<PtSize\>\"", " ", "specifies", " ", "the", " ", "size", " ", "of", 
    " ", "the", " ", "dots", " ", "for", " ", "you", " ", "plot"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<color\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
     "the", " ", 
     RowBox[{"dots", ".", "  ", "You"}], " ", "can", " ", "use", " ", 
     "several", " ", "words", " ", "for", " ", "the", " ", "color", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", ".", " ", "Black"}], ",", " ", 
       RowBox[{"Blue", " ", "Green"}]}], ")"}], " ", "or", " ", "use", " ", 
     "Functions", " ", "like", " ", 
     RowBox[{"Hue", "[", "]"}]}], ",", " ", 
    RowBox[{"RGBColor", "[", "]"}], ",", " ", 
    RowBox[{"CMYKColor", "[", "]"}], ",", " ", 
    RowBox[{"or", " ", 
     RowBox[{"GreyLevel", "[", "]"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"color", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FileorManual", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Do you want to enter your data manually (m) or do you want to import \
a file (f)?  Enter 'm' or 'f' accordingly.\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "f"}], ",", 
    RowBox[{"FOM", "=", "1"}]}], "]"}], ";", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "m"}], ",", 
    RowBox[{"FOM", "=", "0"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"FOM", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{
      RowBox[{"FN", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"LoN", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"FF", "=", 
       RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
         RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"things", "=", 
          RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"things", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1", ",", "5"}], "]"}], "]"}], "\[Equal]", 
            "\"\<islandnumb\>\""}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DT", "=", "\"\<YES\>\""}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", "things", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"islandnumb", "[", "samplect", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"samplect", "+", "1"}], ",", "5"}], "]"}], "]"}]}],
                ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"SampleEsMax", "[", "samplect", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"samplect", "+", "1"}], ",", "6"}], "]"}], "]"}]}],
                ";", "\[IndentingNewLine]", 
               RowBox[{"islandct", "=", "1"}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct", "=", "7"}], ";", "\[IndentingNewLine]", 
               RowBox[{"While", "[", 
                RowBox[{
                 RowBox[{"islandct", "\[LessEqual]", 
                  RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"While", "[", 
                   RowBox[{
                    RowBox[{"ct", "\[LessEqual]", 
                    RowBox[{
                    RowBox[{"Dimensions", "[", 
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}]}], "]"}], "]"}], "]"}], 
                    "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", "ct"}], "]"}], "]"}],
                     "\[Equal]", 
                    RowBox[{"-", "999"}]}], ",", 
                    RowBox[{
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "1"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "ct2"}], "]"}], 
                    "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", "ct"}], "]"}], "]"}],
                     ",", 
                    RowBox[{"things", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", 
                    RowBox[{"ct", "+", "1"}]}], "]"}], "]"}]}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ct2", "=", 
                    RowBox[{"ct2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "2"}]}], ";"}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                   RowBox[{"ct2", "-", "1"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"islandct", "=", 
                   RowBox[{"islandct", "+", "1"}]}], ";"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"samplect", "=", 
                RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DT", "=", "\"\<NO\>\""}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"Dimensions", "[", "things", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Epsilon]sPlus", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "5"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Epsilon]sMinus", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "6"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Nu]Plus", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "7"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Nu]Minus", "[", "ct", "]"}], "=", 
                RowBox[{"things", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", 
                   RowBox[{"ct", "+", "1"}], ",", "8"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
         ";"}]}], "]"}], ";", "\[IndentingNewLine]", "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Tabby2", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{"FN", ",", "Word"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Tabby2", "[", 
             RowBox[{"[", "11", "]"}], "]"}], "\[Equal]", 
            "\"\<islandnumb\>\""}], ",", 
           RowBox[{"DT", "=", "\"\<YES\>\""}], ",", 
           RowBox[{"DT", "=", "\"\<NO\>\""}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"DT", "\[Equal]", "\"\<YES\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ct1", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"TextTabDim", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "Tabby2", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"data", "=", 
             RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Skip", "[", 
             RowBox[{"data", ",", "Word", ",", "14"}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Quiet", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"temp", "=", 
               RowBox[{"Read", "[", 
                RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"xx", "=", 
               RowBox[{"Length", "[", "$MessageList", "]"}]}], ";"}], "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xx", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"LongAxis", "[", "ct1", "]"}], "=", "temp"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"islandnumb", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"SampleEsMax", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"islandnumb", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"SampleEsMax", "[", "ct1", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"dimen", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"xx", "\[Equal]", "0"}], ",", 
               RowBox[{"TextTabDim", "-", "18"}], ",", 
               RowBox[{"TextTabDim", "-", "19"}]}], "]"}]}], ";", "\n", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"islandct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "dimen"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"temp", "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"temp", "\[Equal]", 
                  RowBox[{"N", "[", 
                   RowBox[{"-", "999"}], "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Quiet", "[", 
                   RowBox[{
                    RowBox[{"tempy", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xx", "=", 
                    RowBox[{"Length", "[", "$MessageList", "]"}]}], ";"}], 
                   "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"ct", "=", 
                   RowBox[{"ct", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"xx", "\[NotEqual]", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ct1", "=", 
                    RowBox[{"ct1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"SampName", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"LongAxis", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"islandnumb", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"SampleEsMax", "[", "ct1", "]"}], "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                    RowBox[{"permct", "-", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"samplect", "=", 
                    RowBox[{"samplect", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"islandct", "=", "1"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xtemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ytemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"xtemp", ",", "ytemp"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", 
                    RowBox[{"permct", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "8"}]}], ";"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"temp1", "=", "tempy"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp2", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp3", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp4", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"temp5", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"IntegerTrue", "=", "0"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"temp4", "<", "10"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "5"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "6"}], "]"}], "]"}], "\[Equal]", 
                    "0"}]}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "1"}], ";"}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "0"}], ";"}]}], "]"}], ";"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "5"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "6"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RealDigits", "[", "temp4", "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "7"}], "]"}], "]"}], "\[Equal]", 
                    "0"}]}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "1"}], ";"}], ",", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "=", "0"}], ";"}]}], "]"}], 
                    ";"}]}], "]"}], ";", "\n", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"IntegerTrue", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ct1", "=", 
                    RowBox[{"ct1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"LongAxis", "[", "ct1", "]"}], "=", "temp1"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"IntermAxis", "[", "ct1", "]"}], "=", "temp2"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ShortAxis", "[", "ct1", "]"}], "=", "temp3"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"islandnumb", "[", "ct1", "]"}], "=", "temp4"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"SampleEsMax", "[", "ct1", "]"}], "=", "temp5"}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "6"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                    RowBox[{"permct", "-", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"samplect", "=", 
                    RowBox[{"samplect", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"islandct", "=", "1"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"xtemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ytemp", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"xtemp", ",", "ytemp"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", 
                    RowBox[{"permct", "+", "1"}]}], ";"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
                    RowBox[{"permct", "-", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"islandct", "=", 
                    RowBox[{"islandct", "+", "1"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", "1"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"temp6", "=", 
                    RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"temp1", ",", "temp2"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", 
                    RowBox[{"permct", "+", "1"}]}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"temp3", ",", "temp4"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", 
                    RowBox[{"permct", "+", "2"}]}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{"temp5", ",", "temp6"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"permct", "=", 
                    RowBox[{"permct", "+", "3"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ct", "=", 
                    RowBox[{"ct", "+", "6"}]}], ";"}]}], "]"}], ";"}]}], 
                   "]"}], ";"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"tempxcomp", "=", "temp"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"tempycomp", "=", 
                   RowBox[{"Read", "[", 
                    RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"PrePerimTable", "[", 
                    RowBox[{"samplect", ",", "islandct", ",", "permct"}], 
                    "]"}], "=", 
                   RowBox[{"{", 
                    RowBox[{"tempxcomp", ",", "tempycomp"}], "}"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"ct", "=", 
                   RowBox[{"ct", "+", "2"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"permct", "=", 
                   RowBox[{"permct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", "samplect"}], ";"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Dim", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "Tabby2", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"maxcount", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Dim", "-", "18"}], ")"}], "/", "8"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"data", "=", 
             RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Skip", "[", 
             RowBox[{"data", ",", "Word", ",", "18"}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SampName", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Epsilon]sPlus", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Epsilon]sMinus", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Nu]Plus", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"\[Nu]Minus", "[", "ct", "]"}], "=", 
                RowBox[{"Read", "[", 
                 RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
         ";"}]}], "]"}], ";"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"maxcount", "=", 
       RowBox[{
       "Input", "[", "\"\<How many data points do you want to plot?\>\"", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LabelorNo", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Do you want to enter sample names for you each data point (y/n)? \
 The sample names will be displayed when you mouse over a specific data \
point.\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "y"}], ",", 
        RowBox[{"LoN", "=", "1"}]}], "]"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "n"}], ",", 
        RowBox[{"LoN", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct4", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct4", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LoN", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"SampName", "[", "ct4", "]"}], "=", 
            RowBox[{"InputString", "[", 
             RowBox[{"\"\<\>\"", 
              RowBox[{"N", "[", "ct4", "]"}], 
              "\"\<Enter the name of the sample.\>\""}], "]"}]}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the LONG AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the INTERMEDIATE AXIS.\>\""}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ShortAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the SHORT AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Epsilon]sPlus", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the (+)\[Epsilon]s value.\>\""}], "]"}]}], ";", 
         RowBox[{
          RowBox[{"\[Epsilon]sMinus", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the (-)\[Epsilon]s value.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Nu]Plus", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the (+)\[Nu] value.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Nu]Minus", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the (-)\[Nu] value.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct4", "=", 
          RowBox[{"ct4", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"DT", "\[Equal]", "\"\<NO\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ct3", "=", "1"}], ";", "\n", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct3", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"lnot", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"LongAxis", "[", "ct3", "]"}], "*", 
             RowBox[{"IntermAxis", "[", "ct3", "]"}], "*", 
             RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]1", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"LongAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]2", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"IntermAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]3", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"ShortAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "=", 
          RowBox[{
           FractionBox["1", 
            SqrtBox["3"]], "*", 
           RowBox[{"(", " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Epsilon]1", "-", "\[Epsilon]2"}], ")"}], "^", 
                "2"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Epsilon]2", "-", "\[Epsilon]3"}], ")"}], "^", 
                "2"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Epsilon]3", "-", "\[Epsilon]1"}], ")"}], "^", 
                "2"}]}], ")"}], "^", 
             RowBox[{"(", "0.5", ")"}]}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Nu]", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "*", "\[Epsilon]2"}], ")"}], "-", "\[Epsilon]3", 
             "-", "\[Epsilon]1"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct3", "=", 
          RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\n", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"StrainMax", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{"\[Epsilon]s", "[", "ct", "]"}], "+", 
           RowBox[{"\[Epsilon]sPlus", "[", "ct", "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"EsMaxTemp", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StrainMax", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"EsMax", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"EsMaxTemp", ",", "continterval"}], "]"}], "<", 
          "EsMaxTemp"}], ",", 
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"EsMaxTemp", ",", "continterval"}], "]"}], "+", 
          "continterval"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{"EsMaxTemp", ",", "continterval"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
         "\"\<EsMax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
          "octehedral", " ", "shear", " ", "strain", " ", "for", " ", "the", 
          " ", "Hsu", " ", 
          RowBox[{"plot", ".", "  ", "If"}], " ", "your", " ", "data", " ", 
          "are", " ", "in", " ", "the", " ", "form", " ", "of", " ", "plus"}],
          "-", " ", 
         RowBox[{"or", " ", "minus"}], "-", 
         RowBox[{
         "values", " ", "for", " ", "\[Epsilon]s", " ", "and", " ", 
          "\[Nu]"}]}], ",", " ", 
        RowBox[{
        "you", " ", "can", " ", "overwrite", " ", "this", " ", "value", " ", 
         "by", " ", "deleting", " ", "the", " ", "comment", " ", "marks", " ",
          "from", " ", "the", " ", "line", " ", "below", " ", "and", " ", 
         "inputing", " ", "any", " ", "value", " ", "that", " ", "you", " ", 
         RowBox[{"wish", ".", "  ", "If"}]}], ",", " ", 
        RowBox[{"on", " ", "the", " ", "other", " ", "hand"}], ",", " ", 
        RowBox[{
        "your", " ", "error", " ", "bouandaries", " ", "are", " ", 
         "irregular"}], ",", " ", 
        RowBox[{
        "then", " ", "you", " ", "can", " ", "change", " ", "the", " ", 
         "EsMax", " ", "value", " ", "further", " ", "below"}], ",", " ", 
        RowBox[{"in", " ", "the", " ", 
         RowBox[{"code", "."}]}]}], " ", "*)"}], "\n", 
      RowBox[{"(*", " ", 
       RowBox[{"EsMax", "=", "1.25"}], " ", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"contnumb", "=", 
       RowBox[{"EsMax", "/", "continterval"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\n", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Esprime", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{"\[Epsilon]s", "[", "ct", "]"}], "/", "EsMax"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Hsu\[Theta]", "[", "ct", "]"}], "=", 
          RowBox[{"90", "-", 
           RowBox[{"30", "*", 
            RowBox[{"\[Nu]", "[", "ct", "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"xHsupt", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{"Esprime", "[", "ct", "]"}], "*", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Hsu\[Theta]", "[", "ct", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"yHsupt", "[", "ct", "]"}], "=", 
          RowBox[{
           RowBox[{"Esprime", "[", "ct", "]"}], "*", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Hsu\[Theta]", "[", "ct", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]smax", "=", 
          RowBox[{
           RowBox[{"\[Epsilon]s", "[", "ct", "]"}], "+", 
           RowBox[{"\[Epsilon]sPlus", "[", "ct", "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]smin", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Epsilon]s", "[", "ct", "]"}], "-", 
               RowBox[{"\[Epsilon]sMinus", "[", "ct", "]"}]}], ")"}], "<", 
             "0"}], ",", "0", ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Epsilon]s", "[", "ct", "]"}], "-", 
              RowBox[{"\[Epsilon]sMinus", "[", "ct", "]"}]}], ")"}]}], 
           "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[Nu]max", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Nu]", "[", "ct", "]"}], "+", 
               RowBox[{"\[Nu]Plus", "[", "ct", "]"}]}], ")"}], ">", "1"}], 
            ",", "1", ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Nu]", "[", "ct", "]"}], "+", 
              RowBox[{"\[Nu]Plus", "[", "ct", "]"}]}], ")"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"\[Nu]min", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Nu]", "[", "ct", "]"}], "-", 
               RowBox[{"\[Nu]Minus", "[", "ct", "]"}]}], ")"}], "<", 
             RowBox[{"-", "1"}]}], ",", 
            RowBox[{"-", "1"}], ",", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Nu]", "[", "ct", "]"}], "-", 
              RowBox[{"\[Nu]Minus", "[", "ct", "]"}]}], ")"}]}], "]"}]}], ";",
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"EsprimeUpperLeft", "=", 
          RowBox[{"\[Epsilon]smax", "/", "EsMax"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Hsu\[Theta]UpperLeft", "=", 
          RowBox[{"90", "-", 
           RowBox[{"30", "*", "\[Nu]min"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"xHsuptUpperLeft", "=", 
          RowBox[{"EsprimeUpperLeft", "*", 
           RowBox[{"Cos", "[", 
            RowBox[{"Hsu\[Theta]UpperLeft", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"yHsuptUpperLeft", "=", 
          RowBox[{"EsprimeUpperLeft", "*", 
           RowBox[{"Sin", "[", 
            RowBox[{"Hsu\[Theta]UpperLeft", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"EsprimeUpperRt", "=", 
          RowBox[{"\[Epsilon]smax", "/", "EsMax"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Hsu\[Theta]UpperRt", "=", 
          RowBox[{"90", "-", 
           RowBox[{"30", "*", "\[Nu]max"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"xHsuptUpperRt", "=", 
          RowBox[{"EsprimeUpperRt", "*", 
           RowBox[{"Cos", "[", 
            RowBox[{"Hsu\[Theta]UpperRt", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"yHsuptUpperRt", "=", 
          RowBox[{"EsprimeUpperRt", "*", 
           RowBox[{"Sin", "[", 
            RowBox[{"Hsu\[Theta]UpperRt", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"EsprimeLowerRt", "=", 
          RowBox[{"\[Epsilon]smin", "/", "EsMax"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Hsu\[Theta]LowerRt", "=", 
          RowBox[{"90", "-", 
           RowBox[{"30", "*", "\[Nu]max"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"xHsuptLowerRt", "=", 
          RowBox[{"EsprimeLowerRt", "*", 
           RowBox[{"Cos", "[", 
            RowBox[{"Hsu\[Theta]LowerRt", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"yHsuptLowerRt", "=", 
          RowBox[{"EsprimeLowerRt", "*", 
           RowBox[{"Sin", "[", 
            RowBox[{"Hsu\[Theta]LowerRt", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"EsprimeLowerLeft", "=", 
          RowBox[{"\[Epsilon]smin", "/", "EsMax"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Hsu\[Theta]LowerLeft", "=", 
          RowBox[{"90", "-", 
           RowBox[{"30", "*", "\[Nu]min"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"xHsuptLowerLeft", "=", 
          RowBox[{"EsprimeLowerLeft", "*", 
           RowBox[{"Cos", "[", 
            RowBox[{"Hsu\[Theta]LowerLeft", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"yHsuptLowerLeft", "=", 
          RowBox[{"EsprimeLowerLeft", "*", 
           RowBox[{"Sin", "[", 
            RowBox[{"Hsu\[Theta]LowerLeft", "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"LeftRegion", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"xHsuptLowerLeft", "\[GreaterEqual]", "xHsuptUpperLeft"}],
             ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xHsuptUpperRt", "\[LessEqual]", "xHsuptLowerLeft"}], 
              ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xHsuptUpperLeft", ",", "xHsuptUpperRt"}], 
                 "}"}], ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}], ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "x", ",", "xHsuptUpperLeft", ",", "xHsuptLowerLeft"}], "}"}],
                 ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}]}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xHsuptUpperLeft", "\[GreaterEqual]", "xHsuptLowerRt"}],
               ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xHsuptLowerLeft", ",", "xHsuptLowerRt"}], 
                 "}"}], ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}], ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "x", ",", "xHsuptLowerLeft", ",", "xHsuptUpperLeft"}], "}"}],
                 ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}]}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"MidRegion", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"xHsuptLowerLeft", ",", "yHsuptLowerLeft"}], "}"}], 
             "\[Equal]", 
             RowBox[{"{", 
              RowBox[{"xHsuptLowerRt", ",", "yHsuptLowerRt"}], "}"}]}], ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.001", "]"}], ",", "Purple", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"xHsuptLowerLeft", ",", "yHsuptLowerLeft"}], "}"}], 
                "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"xHsuptUpperLeft", "\[LessEqual]", "xHsuptLowerLeft"}],
                "&&", 
               RowBox[{"xHsuptUpperRt", "\[LessEqual]", "xHsuptLowerRt"}]}], 
              ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                "xHsuptUpperRt", "\[GreaterEqual]", "xHsuptLowerLeft"}], ",", 
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                   "x", ",", "xHsuptLowerLeft", ",", "xHsuptUpperRt"}], "}"}],
                   ",", 
                  RowBox[{"Filling", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                  RowBox[{"FillingStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"x", "*", 
                    RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
                    RowBox[{"x", "*", 
                    RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                   "x", ",", "xHsuptUpperRt", ",", "xHsuptLowerLeft"}], "}"}],
                   ",", 
                  RowBox[{"Filling", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                  RowBox[{"FillingStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}]}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                 "xHsuptUpperLeft", "\[GreaterEqual]", "xHsuptLowerLeft"}], "&&", 
                 RowBox[{
                 "xHsuptUpperRt", "\[GreaterEqual]", "xHsuptLowerRt"}]}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                  "xHsuptUpperLeft", "\[LessEqual]", "xHsuptLowerRt"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "x", ",", "xHsuptUpperLeft", ",", "xHsuptLowerRt"}], 
                    "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}], ",", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "*", 
                    RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
                    RowBox[{"x", "*", 
                    RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "x", ",", "xHsuptLowerRt", ",", "xHsuptUpperLeft"}], 
                    "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                    RowBox[{"FillingStyle", "\[Rule]", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}]}], "]"}], ",", 
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                   "x", ",", "xHsuptLowerLeft", ",", "xHsuptLowerRt"}], "}"}],
                   ",", 
                  RowBox[{"Filling", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                  RowBox[{"FillingStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                    "]"}]}]}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"RightRegion", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"xHsuptLowerRt", "\[GreaterEqual]", "xHsuptUpperRt"}], 
            ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xHsuptUpperRt", "\[LessEqual]", "xHsuptLowerLeft"}], 
              ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xHsuptLowerLeft", ",", "xHsuptLowerRt"}], 
                 "}"}], ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}], ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xHsuptUpperRt", ",", "xHsuptLowerRt"}], 
                 "}"}], ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}]}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xHsuptUpperLeft", "\[GreaterEqual]", "xHsuptLowerRt"}],
               ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xHsuptUpperLeft", ",", "xHsuptUpperRt"}], 
                 "}"}], ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}], ",", 
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], "2"], 
                    "-", 
                    SuperscriptBox["x", "2"]}], "]"}], ",", 
                  RowBox[{"x", "*", 
                   RowBox[{"Tan", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xHsuptLowerRt", ",", "xHsuptUpperRt"}], 
                 "}"}], ",", 
                RowBox[{"Filling", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"1", "\[Rule]", 
                   RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
                RowBox[{"FillingStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Purple"}], 
                  "]"}]}]}], "]"}]}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Perimeter", "=", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ParametricPlot", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], 
                 RowBox[{"Cos", "[", 
                  RowBox[{"t", "*", 
                   RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[Epsilon]smax", "/", "EsMax"}], ")"}], 
                 RowBox[{"Sin", "[", 
                  RowBox[{"t", "*", 
                   RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"t", ",", 
                RowBox[{"90", "-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ",", 
                RowBox[{"90", "-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                  ")"}]}]}], "}"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Purple", ",", 
                 RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}]}], "]"}], 
            ",", 
            RowBox[{"ParametricPlot", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], 
                 RowBox[{"Cos", "[", 
                  RowBox[{"t", "*", 
                   RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[Epsilon]smin", "/", "EsMax"}], ")"}], 
                 RowBox[{"Sin", "[", 
                  RowBox[{"t", "*", 
                   RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"t", ",", 
                RowBox[{"90", "-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ",", 
                RowBox[{"90", "-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                   RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                  ")"}]}]}], "}"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Purple", ",", 
                 RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}]}], "]"}], 
            ",", 
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{"x", "*", 
               RowBox[{"Tan", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"90", "-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperLeft", "/", "yHsuptUpperLeft"}], 
                    "]"}]}], ")"}]}], ")"}], "*", 
                 RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "xHsuptLowerLeft", ",", "xHsuptUpperLeft"}], 
               "}"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Purple", ",", 
                 RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}]}], "]"}], 
            ",", 
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{"x", "*", 
               RowBox[{"Tan", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"90", "-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"180", "/", "Pi"}], ")"}], "*", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"xHsuptUpperRt", "/", "yHsuptUpperRt"}], "]"}]}], 
                    ")"}]}], ")"}], "*", 
                 RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "xHsuptLowerRt", ",", "xHsuptUpperRt"}], 
               "}"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Purple", ",", 
                 RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}]}], 
             "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ErrorArea", "[", "ct", "]"}], "=", 
          RowBox[{"Show", "[", 
           RowBox[{
           "LeftRegion", ",", "MidRegion", ",", "RightRegion", ",", 
            "Perimeter"}], "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"UpperLeftCorner", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"Tooltip", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.001", "]"}], ",", "Purple", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"xHsuptUpperLeft", ",", "yHsuptUpperLeft"}], "}"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"DisplayForm", "[", 
              RowBox[{"RowBox", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\"\< \[Nu] = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Nu]min", "]"}], "]"}]}], ",", 
                 RowBox[{"\"\<, \[Epsilon]s = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Epsilon]smax", "]"}], "]"}]}]}], 
                "}"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"UpperRtCorner", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"Tooltip", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.001", "]"}], ",", "Purple", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"xHsuptUpperRt", ",", "yHsuptUpperRt"}], "}"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"DisplayForm", "[", 
              RowBox[{"RowBox", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\"\< \[Nu] = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Nu]max", "]"}], "]"}]}], ",", 
                 RowBox[{"\"\<, \[Epsilon]s = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Epsilon]smax", "]"}], "]"}]}]}], 
                "}"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"LowerRtCorner", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"Tooltip", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.001", "]"}], ",", "Purple", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"xHsuptLowerRt", ",", "yHsuptLowerRt"}], "}"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"DisplayForm", "[", 
              RowBox[{"RowBox", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\"\< \[Nu] = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Nu]max", "]"}], "]"}]}], ",", 
                 RowBox[{"\"\<, \[Epsilon]s = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Epsilon]smin", "]"}], "]"}]}]}], 
                "}"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"LowerLeftCorner", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"Tooltip", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.001", "]"}], ",", "Purple", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"xHsuptLowerLeft", ",", "yHsuptLowerLeft"}], "}"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"DisplayForm", "[", 
              RowBox[{"RowBox", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\"\< \[Nu] = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Nu]min", "]"}], "]"}]}], ",", 
                 RowBox[{"\"\<, \[Epsilon]s = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"N", "[", "\[Epsilon]smin", "]"}], "]"}]}]}], 
                "}"}], "]"}], "]"}]}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"HsuCorners", "[", "ct", "]"}], "=", 
          RowBox[{"Show", "[", 
           RowBox[{
           "LowerLeftCorner", ",", "LowerRtCorner", ",", "UpperRtCorner", ",",
             "UpperLeftCorner"}], "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"TempEsMax", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"SampleEsMax", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"EsMax", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"TempEsMax", ",", "continterval"}], "]"}], 
          "\[GreaterEqual]", "TempEsMax"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{"TempEsMax", ",", "continterval"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"TempEsMax", ",", "continterval"}], "]"}], "+", 
          "continterval"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
        "\"\<EsMax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
         "octehedral", " ", "shear", " ", "strain", " ", "for", " ", "the", 
         " ", "Hsu", " ", 
         RowBox[{"plot", ".", "  ", "If"}], " ", "you", " ", "are", " ", 
         "inputting", " ", "data", " ", "with", " ", "irregular", " ", 
         "error", " ", "boundaries"}], ",", " ", 
        RowBox[{
        "you", " ", "can", " ", "overwrite", " ", "this", " ", "value", " ", 
         "by", " ", "deleting", " ", "the", " ", "comment", " ", "marks", " ",
          "from", " ", "the", " ", "line", " ", "below", " ", "and", " ", 
         "inputing", " ", "any", " ", "value", " ", "that", " ", "you", " ", 
         RowBox[{"wish", ".", "  ", "If"}]}], ",", " ", 
        RowBox[{"on", " ", "the", " ", "other", " ", "hand"}], ",", " ", 
        RowBox[{
         RowBox[{
         "your", " ", "data", " ", "are", " ", "in", " ", "the", " ", "form", 
          " ", "of", " ", "plus"}], "-", " ", 
         RowBox[{"or", " ", "minus"}], "-", 
         RowBox[{
         "values", " ", "values", " ", "for", " ", "\[Epsilon]s", " ", "and", 
          " ", "\[Nu]"}]}], ",", " ", 
        RowBox[{
        "then", " ", "you", " ", "can", " ", "overwrite", " ", "the", " ", 
         "EsMax", " ", "value", " ", 
         RowBox[{"above", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"EsMax", "=", "1.25"}], " ", "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"contnumb", "=", 
       RowBox[{"EsMax", "/", "continterval"}]}], ";", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"islandct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"islandct", "\[LessEqual]", 
            RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct2", "\[LessEqual]", 
               RowBox[{"PerimDim", "[", 
                RowBox[{"samplect", ",", "islandct"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"PerimTable", "[", 
                 RowBox[{"samplect", ",", "islandct", ",", "ct2"}], "]"}], 
                "=", 
                RowBox[{
                 RowBox[{"PrePerimTable", "[", 
                  RowBox[{"samplect", ",", "islandct", ",", "ct2"}], "]"}], 
                 "*", 
                 RowBox[{
                  RowBox[{"SampleEsMax", "[", "samplect", "]"}], "/", 
                  "EsMax"}]}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct2", "=", 
                RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"islandct", "=", 
             RowBox[{"islandct", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"samplect", "=", 
          RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"graphicsct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"graphicsct", "\[LessEqual]", 
            RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"PerimGraphic", "[", 
              RowBox[{"samplect", ",", "graphicsct"}], "]"}], "=", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Opacity", "[", ".3", "]"}], ",", "Purple", ",", 
                RowBox[{"EdgeForm", "[", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Thickness", "[", ".003", "]"}], ",", "Purple"}], 
                  "]"}], "]"}], ",", 
                RowBox[{"Polygon", "[", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"PerimTable", "[", 
                    RowBox[{"samplect", ",", "graphicsct", ",", "x"}], "]"}], 
                   ",", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", "1", ",", 
                    RowBox[{"PerimDim", "[", 
                    RowBox[{"samplect", ",", "graphicsct"}], "]"}]}], "}"}]}],
                   "]"}], "]"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"graphicsct", "=", 
             RowBox[{"graphicsct", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"samplect", "=", 
          RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"GroupedPerimGraphic", "[", "ct", "]"}], "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"PerimGraphic", "[", 
             RowBox[{"ct", ",", "y"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", "1", ",", 
              RowBox[{"islandnumb", "[", "ct", "]"}]}], "}"}]}], "]"}]}], ";",
          "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ct3", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct3", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"lnot", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"LongAxis", "[", "ct3", "]"}], "*", 
             RowBox[{"IntermAxis", "[", "ct3", "]"}], "*", 
             RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]1", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"LongAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]2", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"IntermAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]3", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"ShortAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "=", 
          RowBox[{
           FractionBox["1", 
            SqrtBox["3"]], "*", 
           RowBox[{"(", " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Epsilon]1", "-", "\[Epsilon]2"}], ")"}], "^", 
                "2"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Epsilon]2", "-", "\[Epsilon]3"}], ")"}], "^", 
                "2"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Epsilon]3", "-", "\[Epsilon]1"}], ")"}], "^", 
                "2"}]}], ")"}], "^", 
             RowBox[{"(", "0.5", ")"}]}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Nu]", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "*", "\[Epsilon]2"}], ")"}], "-", "\[Epsilon]3", 
             "-", "\[Epsilon]1"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Esprime", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "/", "EsMax"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Hsu\[Theta]", "[", "ct3", "]"}], "=", 
          RowBox[{"90", "-", 
           RowBox[{"30", "*", 
            RowBox[{"\[Nu]", "[", "ct3", "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"xHsupt", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"Esprime", "[", "ct3", "]"}], "*", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Hsu\[Theta]", "[", "ct3", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"yHsupt", "[", "ct3", "]"}], "=", 
          RowBox[{
           RowBox[{"Esprime", "[", "ct3", "]"}], "*", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Hsu\[Theta]", "[", "ct3", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ct3", "=", 
          RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ValueQ", "[", 
         RowBox[{"SampName", "[", "1", "]"}], "]"}], "\[Equal]", "False"}], 
       ",", 
       RowBox[{
        RowBox[{"LoN", "=", "0"}], ";"}]}], "]"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
      RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"SampName", "[", "1", "]"}], "\[Equal]", "\"\<\>\""}], ",", 
        RowBox[{
         RowBox[{"LoN", "=", "0"}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Stuff", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "PtSize", "]"}], ",", "color", ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"xHsupt", "[", "x", "]"}], ",", 
               RowBox[{"yHsupt", "[", "x", "]"}]}], "}"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"LoN", "\[Equal]", "1"}], ",", 
            RowBox[{"DisplayForm", "[", 
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\"\<Sample: \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"SampName", "[", "x", "]"}], "]"}]}], ",", 
                RowBox[{"\"\<,  \[Nu] = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Nu]", "[", "x", "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}], 
               "}"}], "]"}], "]"}], ",", 
            RowBox[{"DisplayForm", "[", 
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\"\<\[Nu] = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Nu]", "[", "x", "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}], 
               "}"}], "]"}], "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jazz", "=", "1"}], ";"}], "\n", 
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{"jazz", "\[LessEqual]", "contnumb"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Arc", "[", "jazz", "]"}], "=", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"Tooltip", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jazz", "/", "contnumb"}], ")"}], 
            RowBox[{"Cos", "[", 
             RowBox[{"t", "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jazz", "/", "contnumb"}], ")"}], 
            RowBox[{"Sin", "[", 
             RowBox[{"t", "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
         RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"N", "[", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"EsMax", "/", "contnumb"}], ")"}], "*", "jazz"}], 
             ")"}], "]"}], "]"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "60", ",", "120"}], "}"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"jazz", "=", 
     RowBox[{"jazz", "+", "1"}]}], ";"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Arcs", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Arc", "[", "jazz", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"jazz", ",", "contnumb"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"FinalArc", "=", 
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"t", "*", 
           RowBox[{"Pi", "/", "180"}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"t", "*", 
           RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"(", 
           RowBox[{"(", "EsMax", ")"}], ")"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "60", ",", "120"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
     RowBox[{"Axes", "\[Rule]", "None"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Radii1", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"60", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 1.0\>\""}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"60", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"Radii2", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"67.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.75\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"67.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii3", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"75", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.5\>\""}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"75", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii4", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"82.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.25\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"82.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii5", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"97.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
      "\"\<\[Nu] = -0.25\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"97.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii6", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"105", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = -0.5\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"105", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii7", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"112.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
      "\"\<\[Nu] = -0.75\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"112.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii8", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"120", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = -1.0\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"120", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"vert", ":=", 
  RowBox[{"Show", "[", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", 
      RowBox[{"Tooltip", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
        "\"\<\[Nu] = 0\>\""}], "]"}]}], "}"}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"HsuPlot", ":=", 
   RowBox[{"Show", "[", 
    RowBox[{
    "Arcs", ",", "FinalArc", ",", "Radii1", ",", "Radii2", ",", "Radii3", ",",
      "Radii4", ",", "Radii5", ",", "Radii6", ",", "Radii7", ",", "Radii8", 
     ",", "vert"}], "]"}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"DT", "\[Equal]", "\"\<NO\>\""}], ",", "\n", 
    RowBox[{
     RowBox[{"HsuDiagram", "=", 
      RowBox[{"Show", "[", 
       RowBox[{"HsuPlot", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"ErrorArea", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"N", " ", "==", " ", "maxcount"}], ",", 
              RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.3"}], ",", "0.05"}], "}"}]}], "]"}], "}"}], 
         "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) \[Rule]\>\"", 
              " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"0.3", ",", "0.4"}], "}"}], ",", "Automatic", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"Cos", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], 
         "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\[LeftArrow] \!\(\*SubscriptBox[\(\[Epsilon]\), \
\(s\)]\)\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.3"}], ",", "0.4"}], "}"}], ",", "Automatic", 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Cos", "[", 
                RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}],
          "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\[Nu] = -1\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".51"}], ",", "0.91"}], "}"}], ",", "Automatic", 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"Sin", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], 
         "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\[Nu] = 0\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"0.0", ",", "1.04"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\[Nu] = 1\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{".525", ",", "0.9"}], "}"}], ",", "Automatic", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Sin", "[", 
                RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}],
          "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Hsu Diagram\>\"", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Blue", ",", 
              "Bold"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1.125"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"HsuCorners", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", 
        "Stuff", ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
        RowBox[{"PlotRange", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", ".6"}], ",", ".6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1.15"}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HsuDiagram", "=", 
      RowBox[{"Show", "[", 
       RowBox[{"HsuPlot", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"GroupedPerimGraphic", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"N", " ", "==", " ", "maxcount"}], ",", 
              RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.3"}], ",", "0.05"}], "}"}]}], "]"}], "}"}], 
         "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) \[Rule]\>\"", 
              " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"0.3", ",", "0.4"}], "}"}], ",", "Automatic", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"Cos", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], 
         "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\[LeftArrow] \!\(\*SubscriptBox[\(\[Epsilon]\), \
\(s\)]\)\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.3"}], ",", "0.4"}], "}"}], ",", "Automatic", 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Cos", "[", 
                RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}],
          "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\[Nu] = -1\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".51"}], ",", "0.91"}], "}"}], ",", "Automatic", 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"Sin", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], 
         "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\[Nu] = 0\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"0.0", ",", "1.04"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\[Nu] = 1\>\"", " ", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{".525", ",", "0.9"}], "}"}], ",", "Automatic", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"30", "\[Degree]"}], "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Sin", "[", 
                RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}],
          "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Hsu Diagram\>\"", ",", 
              RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Blue", ",", 
              "Bold"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1.125"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
        "Stuff", ",", 
        RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
        RowBox[{"PlotRange", "->", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", ".6"}], ",", ".6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1.15"}], "}"}]}], "}"}]}]}], "]"}]}], ";"}]}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "HsuDiagram", "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Plot Range for strain is 0 to \>\"", ",", 
   RowBox[{"N", "[", "EsMax", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Strain contour interval is \>\"", ",", 
   RowBox[{"N", "[", "continterval", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", "\"\<Plot Range for Lode's Ratio is -1 to 1\>\"", 
  "]"}], "\n", 
 RowBox[{"Print", "[", "\"\<Lode's Ratio contour interal is 0.25\>\"", 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.493557931781884*^9, {3.4935592215010123`*^9, 3.4935592257259607`*^9}, {
   3.4935593916129208`*^9, 3.4935593981177626`*^9}, {3.4935595790931015`*^9, 
   3.493559633374117*^9}, 3.4935598863053083`*^9, {3.4935608866156735`*^9, 
   3.4935609097985325`*^9}, {3.4935611816996355`*^9, 
   3.4935612164861403`*^9}, {3.4935612495377655`*^9, 3.493561291910329*^9}, {
   3.4935615102734594`*^9, 3.4935615305480146`*^9}, {3.4935615831151643`*^9, 
   3.4935615854558363`*^9}, {3.4935616179734488`*^9, 3.4935616554060354`*^9}, 
   3.4935633373873367`*^9, {3.4935657927878866`*^9, 3.4935657945378637`*^9}, 
   3.493565869552529*^9, {3.4935659015989933`*^9, 3.4935659032083483`*^9}, {
   3.4935661994076815`*^9, 3.4935662012670326`*^9}, {3.493566245219595*^9, 
   3.4935662548913465`*^9}, 3.493566287312806*^9, {3.493566419920484*^9, 
   3.4935664640136695`*^9}, {3.493907459285117*^9, 3.4939075213116646`*^9}, {
   3.493916906289455*^9, 3.49391690970765*^9}, {3.493916954544215*^9, 
   3.4939169866190495`*^9}, {3.4939170317946334`*^9, 3.4939171600849714`*^9}, 
   3.4939174131624465`*^9, 3.4939179280178947`*^9, {3.493918593288946*^9, 
   3.493918601268402*^9}, 3.493918817620777*^9, {3.4939204729814577`*^9, 
   3.4939204879383135`*^9}, {3.493920557846312*^9, 3.4939206122394233`*^9}, {
   3.493920715937354*^9, 3.4939207239438124`*^9}, 3.493920900990939*^9, 
   3.4952316665235305`*^9, {3.4952317445379925`*^9, 3.4952318105667696`*^9}, {
   3.4952319329087667`*^9, 3.4952319330887775`*^9}, {3.495232534765191*^9, 
   3.4952325354542303`*^9}, {3.4952325923274837`*^9, 3.495232593946576*^9}, {
   3.4953775465844984`*^9, 3.4953775799685574`*^9}, 3.4953776660183086`*^9, 
   3.4953777352512302`*^9, {3.4953804129179335`*^9, 3.4953806737347913`*^9}, {
   3.495380713280861*^9, 3.4953807551981344`*^9}, {3.495380793979802*^9, 
   3.4953808154766397`*^9}, {3.495380868485533*^9, 3.4953808987339864`*^9}, {
   3.4953811163231688`*^9, 3.495381146883622*^9}, {3.4953811771632757`*^9, 
   3.49538123110817*^9}, {3.4953812786102533`*^9, 3.4953812923538775`*^9}, {
   3.496657822525899*^9, 3.496657854057702*^9}, {3.4966579555385065`*^9, 
   3.4966579663381243`*^9}, {3.4966579981289425`*^9, 3.496658000742092*^9}, {
   3.496658038045226*^9, 3.496658065018769*^9}, {3.4966600865953965`*^9, 
   3.4966600914106717`*^9}, {3.496660246543545*^9, 3.49666024907869*^9}, {
   3.496660322660898*^9, 3.496660323262933*^9}, 3.496909571228441*^9, {
   3.496909602553233*^9, 3.4969096033972816`*^9}, {3.496912639581941*^9, 
   3.496912643775181*^9}, {3.496913792536886*^9, 3.4969138183213615`*^9}, {
   3.4969138616008368`*^9, 3.4969138633619375`*^9}, {3.496914189908615*^9, 
   3.4969142557993836`*^9}, {3.4969143389781413`*^9, 
   3.4969143711689825`*^9}, {3.4969144315094337`*^9, 3.496914431901456*^9}, {
   3.4969311506087112`*^9, 3.4969311511577425`*^9}, {3.496931190401987*^9, 
   3.4969312230078526`*^9}, {3.4969354617502947`*^9, 3.496935491830015*^9}, {
   3.4969356065565767`*^9, 3.496935607383624*^9}, {3.496935886671599*^9, 
   3.496935899902355*^9}, {3.519479753488456*^9, 3.51947975986282*^9}, {
   3.519479823940485*^9, 3.5194798254945745`*^9}, {3.5476394639170876`*^9, 
   3.5476394648670883`*^9}, {3.5476395022231407`*^9, 
   3.5476395101041517`*^9}, {3.547639560991224*^9, 3.5476395622112255`*^9}, {
   3.5476403116302795`*^9, 3.5476403343743114`*^9}, {3.547640430945448*^9, 
   3.5476404629994926`*^9}, {3.5476406637067747`*^9, 3.547640674739791*^9}, 
   3.547641007577259*^9, 3.5476410641633387`*^9, 3.547646932519333*^9, {
   3.5476470493044972`*^9, 3.547647057615509*^9}, {3.547647138214622*^9, 
   3.547647190125695*^9}, {3.5476512408465185`*^9, 3.5476512444575233`*^9}, {
   3.547651309306615*^9, 3.5476513123366194`*^9}, {3.547651428733783*^9, 
   3.54765170396117*^9}, {3.5476525505833883`*^9, 3.547652568335414*^9}, {
   3.5476527127316165`*^9, 3.5476527748887043`*^9}, {3.5476528490078087`*^9, 
   3.547652849607809*^9}, {3.547654168713721*^9, 3.5476541701037226`*^9}, {
   3.5476567799256363`*^9, 3.547656799618664*^9}, {3.547656962016893*^9, 
   3.5476569666478996`*^9}, {3.547656997591943*^9, 3.5476570298969884`*^9}, {
   3.5476570825370626`*^9, 3.5476570838270645`*^9}, 3.5476571496391573`*^9, 
   3.547659181162155*^9, 3.547659318635349*^9, 3.5476724268141284`*^9, {
   3.5476727055025206`*^9, 3.547672707112523*^9}, {3.5479840947556906`*^9, 
   3.547984103569706*^9}, 3.5479841521481915`*^9, {3.5479842124734974`*^9, 
   3.5479842213187127`*^9}, {3.547984253423569*^9, 3.5479842678223944`*^9}, {
   3.5479843096148677`*^9, 3.5479843281789007`*^9}, {3.547984568452309*^9, 
   3.547984579325528*^9}, {3.5479883910494204`*^9, 3.547988426243082*^9}, {
   3.54798845929954*^9, 3.5479884595023403`*^9}, {3.611513948361147*^9, 
   3.6115139742696285`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", "Hsu", 
     " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", "file"}], ",",
     " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", "will", " ", "get", " ", "pasted", " ", "into", " ", 
     "Illustrator", " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.jpg\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.tif\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.gif\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "wmf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.pdf\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.eps\>\"", ",", "HsuDiagram"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.5039411879262547`*^9, 3.5039411901918507`*^9}, {3.5039412239570436`*^9, 
   3.503941296034246*^9}, {3.503941731497422*^9, 3.5039417458878627`*^9}, {
   3.5479843919213624`*^9, 3.547984432509356*^9}, 3.611621349805827*^9}]
}, Open  ]]
},
WindowSize->{1022, 622},
WindowMargins->{{-1, Automatic}, {Automatic, 3}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 6512, 123, 518, "Title"],
Cell[7082, 147, 122302, 2858, 9099, "Input"],
Cell[129387, 3007, 5763, 109, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
