(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     45074,       1119]
NotebookOptionsPosition[     44490,       1097]
NotebookOutlinePosition[     45042,       1117]
CellTagsIndexPosition[     44999,       1114]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Hsu Plot-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This Mathematic notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your ellipsoid data onto a Hsu diagram (Hossack, 1967) \
with both Lode's Ratio (\[Nu]) contours and octahedral shear strain (\
\[Epsilon]s) (Nadai, 1963) contours.  Your data can either be input manually \
while the program is running or your data can be read in from an existing \
file.   This program will read both text files (*.txt) and Excel files (*.xls \
and *.xlsx).  Examine the files, \"AxesDataSet.txt\", \"AxesDataSet.xls",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\"",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" and \"AxesDataSet.xlsx\", to determine the appropriate file \
structure (it is easiest simply to modify these files and save them with \
different file names).  Please note that your sample names can only be \
one-word long, i.e. they cannot contain any spaces, but underscores and \
dashes are acceptable (e.g., SL-137-02).  Within the code itself, there are \
parameters that you may wish to alter to appropriately scale and format your \
plot.  The most useful are described in comments (i.e., between \"(* *)\").  \
For example, change \"continterval=0.3;\" to \"contnumb=0.1;\" to increase \
the number of strain contours.  You can read the \"readme.txt\" file for more \
information about this program.  To start the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n          \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.493921433569401*^9, 3.493921436935593*^9}, {
   3.49392368858138*^9, 3.493923761449548*^9}, 3.493923872844919*^9, {
   3.493923921065677*^9, 3.4939239609679594`*^9}, {3.49687862724259*^9, 
   3.49687863948929*^9}, {3.4969070773217983`*^9, 3.4969070824770927`*^9}, {
   3.4969071616686225`*^9, 3.4969071885711613`*^9}, {3.4969073472052345`*^9, 
   3.496907441309617*^9}, {3.4969074790497756`*^9, 3.4969074819549417`*^9}, {
   3.4969076150155525`*^9, 3.496907617137674*^9}, {3.496930636239291*^9, 
   3.496930665380958*^9}, {3.4969313554544277`*^9, 3.496931372119381*^9}, {
   3.496943641891775*^9, 3.496943648214137*^9}, {3.4969437168620634`*^9, 
   3.4969437179571257`*^9}, {3.4969438332067175`*^9, 
   3.4969438344437885`*^9}, {3.49694386804171*^9, 3.496943868260723*^9}, 
   3.496962332033379*^9, {3.503941886105481*^9, 3.503941886714864*^9}, {
   3.5176719296047783`*^9, 3.5176719297295785`*^9}, 3.522102915002946*^9, {
   3.5477207963809834`*^9, 3.5477207992409873`*^9}, {3.5479360646688185`*^9, 
   3.5479360656688194`*^9}, 3.5479848640610275`*^9, {3.5479849014542933`*^9, 
   3.5479849089423065`*^9}, {3.6115145232640295`*^9, 3.6115145510876207`*^9}, 
   3.611514586337637*^9, {3.6115147847869873`*^9, 3.611514787388136*^9}, {
   3.645805796897828*^9, 3.645805796898828*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<continterval\>\"", " ", "determines", " ", "the", " ", "contour", " ",
     "interval", " ", "for", " ", "the", " ", "octehedral", " ", "shear", " ",
     "strain", " ", 
    RowBox[{"contours", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"continterval", "=", "0.3"}], ";"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<contnumb\>\"", " ", "determines", " ", "the", " ", "number", " ", 
    "of", " ", "octehedral", " ", "shear", " ", "strain", " ", 
    RowBox[{"contours", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<color\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
     "the", " ", 
     RowBox[{"dots", ".", "  ", "You"}], " ", "can", " ", "use", " ", 
     "several", " ", "words", " ", "for", " ", "the", " ", "color", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", ".", " ", "Black"}], ",", " ", 
       RowBox[{"Blue", " ", "Green"}]}], ")"}], " ", "or", " ", "use", " ", 
     "Functions", " ", "like", " ", 
     RowBox[{"Hue", "[", "]"}]}], ",", " ", 
    RowBox[{"RGBColor", "[", "]"}], ",", " ", 
    RowBox[{"CMYKColor", "[", "]"}], ",", " ", 
    RowBox[{"or", " ", 
     RowBox[{"GreyLevel", "[", "]"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"color", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FileorManual", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Do you want to enter your data manually (m) or do you want to import \
a file (f)?  Enter 'm' or 'f' accordingly.\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "f"}], ",", 
    RowBox[{"FOM", "=", "1"}]}], "]"}], ";", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileorManual", "\[Equal]", "m"}], ",", 
    RowBox[{"FOM", "=", "0"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"FOM", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"FN", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"LoN", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"FF", "=", 
       RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
         RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"things", "=", 
          RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"maxcount", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"Dimensions", "[", "things", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"SampName", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
             RowBox[{"things", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", 
                RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Tabby2", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{"FN", ",", "Word"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Dim", "=", 
          RowBox[{
           RowBox[{"Dimensions", "[", "Tabby2", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"maxcount", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Dim", "-", "10"}], ")"}], "/", "4"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"data", "=", 
          RowBox[{"OpenRead", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Skip", "[", 
          RowBox[{"data", ",", "Word", ",", "10"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"SampName", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Word"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"LongAxis", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"IntermAxis", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ShortAxis", "[", "ct", "]"}], "=", 
             RowBox[{"Read", "[", 
              RowBox[{"data", ",", "Real"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ct", "=", 
             RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
      ";"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"maxcount", "=", 
       RowBox[{
       "Input", "[", "\"\<How many data points do you want to plot?\>\"", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"LabelorNo", "=", 
       RowBox[{
       "Input", "[", 
        "\"\<Do you want to enter sample names for you each data point (y/n)? \
 The sample names will be displayed when you mouse over a specific data \
point.\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "y"}], ",", 
        RowBox[{"LoN", "=", "1"}]}], "]"}], ";", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"LabelorNo", "\[Equal]", "n"}], ",", 
        RowBox[{"LoN", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct4", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct4", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LoN", "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{"SampName", "[", "ct4", "]"}], "=", 
            RowBox[{"InputString", "[", 
             RowBox[{"\"\<\>\"", 
              RowBox[{"N", "[", "ct4", "]"}], 
              "\"\<Enter the name of the sample.\>\""}], "]"}]}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the LONG AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the INTERMEDIATE AXIS.\>\""}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ShortAxis", "[", "ct4", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct4", "]"}], 
            "\"\<Enter the length of the SHORT AXIS.\>\""}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct4", "=", 
          RowBox[{"ct4", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct3", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct3", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Kval", "[", "ct3", "]"}], "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"IntermAxis", "[", "ct3", "]"}], "==", 
          RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ",", 
         "\"\<\[Infinity]\>\"", ",", 
         FractionBox[
          RowBox[{
           FractionBox[
            RowBox[{"LongAxis", "[", "ct3", "]"}], 
            RowBox[{"IntermAxis", "[", "ct3", "]"}]], "-", "1"}], 
          RowBox[{
           FractionBox[
            RowBox[{"IntermAxis", "[", "ct3", "]"}], 
            RowBox[{"ShortAxis", "[", "ct3", "]"}]], "-", "1"}]]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"lnot", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LongAxis", "[", "ct3", "]"}], "*", 
          RowBox[{"IntermAxis", "[", "ct3", "]"}], "*", 
          RowBox[{"ShortAxis", "[", "ct3", "]"}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]1", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"LongAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]2", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"IntermAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]3", "=", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"ShortAxis", "[", "ct3", "]"}], "/", "lnot"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Epsilon]s", "[", "ct3", "]"}], "=", 
       RowBox[{
        FractionBox["1", 
         SqrtBox["3"]], "*", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]1", "-", "\[Epsilon]2"}], ")"}], "^", "2"}], 
            "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]2", "-", "\[Epsilon]3"}], ")"}], "^", "2"}], 
            "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Epsilon]3", "-", "\[Epsilon]1"}], ")"}], "^", 
             "2"}]}], ")"}], "^", 
          RowBox[{"(", "0.5", ")"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Nu]", "[", "ct3", "]"}], "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "*", "\[Epsilon]2"}], ")"}], "-", "\[Epsilon]3", "-", 
          "\[Epsilon]1"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"\[Epsilon]1", "-", "\[Epsilon]3"}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ct3", "=", 
       RowBox[{"ct3", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"EsMaxTemp", "=", 
   RowBox[{"Max", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]s", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EsMax", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Round", "[", 
        RowBox[{"EsMaxTemp", ",", "continterval"}], "]"}], "<", "EsMaxTemp"}],
       ",", 
      RowBox[{
       RowBox[{"Round", "[", 
        RowBox[{"EsMaxTemp", ",", "continterval"}], "]"}], "+", 
       "continterval"}], ",", 
      RowBox[{"Round", "[", 
       RowBox[{"EsMaxTemp", ",", "continterval"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<EsMax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
    "Octehedral", " ", "Shear", " ", "Strain", " ", "for", " ", "the", " ", 
    "Hsu", " ", 
    RowBox[{"plot", ".", "  ", "You"}], " ", "can", " ", "overwrite", " ", 
    "this", " ", "value", " ", "by", " ", "deleting", " ", "the", " ", 
    "comment", " ", "marks", " ", "from", " ", "the", " ", "line", " ", 
    "below", " ", "and", " ", "inputing", " ", "any", " ", "value", " ", 
    "that", " ", "you", " ", 
    RowBox[{"wish", "."}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"EsMax", "=", "1.25"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"contnumb", "=", 
    RowBox[{"EsMax", "/", "continterval"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Esprime", "[", "ct", "]"}], "=", 
       RowBox[{
        RowBox[{"\[Epsilon]s", "[", "ct", "]"}], "/", "EsMax"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Hsu\[Theta]", "[", "ct", "]"}], "=", 
       RowBox[{"90", "-", 
        RowBox[{"30", "*", 
         RowBox[{"\[Nu]", "[", "ct", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"xHsupt", "[", "ct", "]"}], "=", 
       RowBox[{
        RowBox[{"Esprime", "[", "ct", "]"}], "*", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"Hsu\[Theta]", "[", "ct", "]"}], "*", 
          RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"yHsupt", "[", "ct", "]"}], "=", 
       RowBox[{
        RowBox[{"Esprime", "[", "ct", "]"}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{
          RowBox[{"Hsu\[Theta]", "[", "ct", "]"}], "*", 
          RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Stuff", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Tooltip", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "PtSize", "]"}], ",", "color", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xHsupt", "[", "x", "]"}], ",", 
              RowBox[{"yHsupt", "[", "x", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"LoN", "\[Equal]", "1"}], ",", 
           RowBox[{"DisplayForm", "[", 
            RowBox[{"RowBox", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\"\<Sample: \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"SampName", "[", "x", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"\"\<,  \[Nu] = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Nu]", "[", "x", "]"}], "]"}], "]"}]}], 
                RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}]}],
               "}"}], "]"}], "]"}], ",", 
           RowBox[{"DisplayForm", "[", 
            RowBox[{"RowBox", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\"\<\[Nu] = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"N", "[", 
                  RowBox[{"\[Nu]", "[", "x", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"N", "[", 
                  RowBox[{"\[Epsilon]s", "[", "x", "]"}], "]"}], "]"}]}]}], 
              "}"}], "]"}], "]"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], "]"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"jazz", "=", "1"}], ";"}], "\n", 
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{"jazz", "\[LessEqual]", "contnumb"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Arc", "[", "jazz", "]"}], "=", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"Tooltip", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jazz", "/", "contnumb"}], ")"}], 
            RowBox[{"Cos", "[", 
             RowBox[{"t", "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jazz", "/", "contnumb"}], ")"}], 
            RowBox[{"Sin", "[", 
             RowBox[{"t", "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
         RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"N", "[", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"EsMax", "/", "contnumb"}], ")"}], "*", "jazz"}], 
             ")"}], "]"}], "]"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "60", ",", "120"}], "}"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"jazz", "=", 
     RowBox[{"jazz", "+", "1"}]}], ";"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Arcs", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Arc", "[", "jazz", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"jazz", ",", "contnumb"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"FinalArc", "=", 
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"t", "*", 
           RowBox[{"Pi", "/", "180"}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"t", "*", 
           RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"(", 
           RowBox[{"(", "EsMax", ")"}], ")"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "60", ",", "120"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
     RowBox[{"Axes", "\[Rule]", "None"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Radii1", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"60", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 1.0\>\""}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"60", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"Radii2", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"67.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.75\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"67.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii3", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"75", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.5\>\""}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"75", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii4", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"82.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.25\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"82.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii5", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"97.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
      "\"\<\[Nu] = -0.25\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"97.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii6", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"105", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = -0.5\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"105", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii7", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"112.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
      "\"\<\[Nu] = -0.75\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"112.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii8", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"120", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = -1.0\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"120", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"vert", ":=", 
  RowBox[{"Show", "[", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", 
      RowBox[{"Tooltip", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
        "\"\<\[Nu] = 0\>\""}], "]"}]}], "}"}], "]"}], "]"}]}], "\n", 
 RowBox[{"HsuPlot", ":=", 
  RowBox[{"Show", "[", 
   RowBox[{
   "Arcs", ",", "FinalArc", ",", "Radii1", ",", "Radii2", ",", "Radii3", ",", 
    "Radii4", ",", "Radii5", ",", "Radii6", ",", "Radii7", ",", "Radii8", ",",
     "vert", ",", "Stuff"}], "]"}]}], "\n", 
 RowBox[{"Show", "[", 
  RowBox[{"HsuPlot", ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"N", " ", "==", " ", "maxcount"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.3"}], ",", "0.05"}], "}"}]}], "]"}], "}"}], "]"}], 
   ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) \[Rule]\>\"", " ", 
         ",", 
         RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.3", ",", "0.4"}], "}"}], ",", "Automatic", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"30", "\[Degree]"}], "]"}], ",", 
         RowBox[{"Cos", "[", 
          RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], "]"}], 
   ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<\[LeftArrow] \!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\)\>\"", 
         " ", ",", 
         RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.3"}], ",", "0.4"}], "}"}], ",", "Automatic", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"30", "\[Degree]"}], "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"Cos", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}], 
    "]"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Nu] = -1\>\"", " ", ",", 
         RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", ".51"}], ",", "0.91"}], "}"}], ",", "Automatic", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"30", "\[Degree]"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], "]"}], 
   ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Nu] = 0\>\"", " ", ",", 
         RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.0", ",", "1.04"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Nu] = 1\>\"", " ", ",", 
         RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{".525", ",", "0.9"}], "}"}], ",", "Automatic", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"30", "\[Degree]"}], "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"Sin", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}], 
    "]"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Hsu Diagram\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Blue", ",", "Bold"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1.125"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
   RowBox[{"PlotRange", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".6"}], ",", ".6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.15"}], "}"}]}], "}"}]}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Plot Range for strain is 0 to \>\"", ",", 
   RowBox[{"N", "[", "EsMax", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Strain contour interval is \>\"", ",", 
   RowBox[{"N", "[", "continterval", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", "\"\<Plot Range for Lode's Ratio is -1 to 1\>\"", 
  "]"}], "\n", 
 RowBox[{"Print", "[", "\"\<Lode's Ratio contour interal is 0.25\>\"", 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.493557931781884*^9, {3.4935592215010123`*^9, 3.4935592257259607`*^9}, {
   3.4935593916129208`*^9, 3.4935593981177626`*^9}, {3.4935595790931015`*^9, 
   3.493559633374117*^9}, 3.4935598863053083`*^9, {3.4935608866156735`*^9, 
   3.4935609097985325`*^9}, {3.4935611816996355`*^9, 
   3.4935612164861403`*^9}, {3.4935612495377655`*^9, 3.493561291910329*^9}, {
   3.4935615102734594`*^9, 3.4935615305480146`*^9}, {3.4935615831151643`*^9, 
   3.4935615854558363`*^9}, {3.4935616179734488`*^9, 3.4935616554060354`*^9}, 
   3.4935633373873367`*^9, {3.4935657927878866`*^9, 3.4935657945378637`*^9}, 
   3.493565869552529*^9, {3.4935659015989933`*^9, 3.4935659032083483`*^9}, {
   3.4935661994076815`*^9, 3.4935662012670326`*^9}, {3.493566245219595*^9, 
   3.4935662548913465`*^9}, 3.493566287312806*^9, {3.493566419920484*^9, 
   3.4935664640136695`*^9}, {3.493907459285117*^9, 3.4939075213116646`*^9}, {
   3.493916906289455*^9, 3.49391690970765*^9}, {3.493916954544215*^9, 
   3.4939169866190495`*^9}, {3.4939170317946334`*^9, 3.4939171600849714`*^9}, 
   3.4939174131624465`*^9, 3.4939179280178947`*^9, {3.493918593288946*^9, 
   3.493918601268402*^9}, 3.493918817620777*^9, {3.4939204729814577`*^9, 
   3.4939204879383135`*^9}, {3.493920557846312*^9, 3.4939206122394233`*^9}, {
   3.493920715937354*^9, 3.4939207239438124`*^9}, 3.493920900990939*^9, {
   3.496877600227848*^9, 3.4968776678977184`*^9}, {3.4968780862126446`*^9, 
   3.496878087929743*^9}, {3.496878240967496*^9, 3.4968782459877834`*^9}, {
   3.496878327834465*^9, 3.496878340932214*^9}, {3.4968785439318247`*^9, 
   3.496878545145894*^9}, 3.496907700696453*^9, {3.496931337696412*^9, 
   3.4969313454798574`*^9}, {3.4969314703329983`*^9, 3.496931518139733*^9}, {
   3.496931580216284*^9, 3.496931583424467*^9}, {3.496931647831151*^9, 
   3.4969316533214645`*^9}, 3.5479848463549967`*^9, {3.6115146331263127`*^9, 
   3.6115146418578124`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", "Hsu", 
     " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", "file"}], ",",
     " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", "will", " ", "get", " ", "pasted", " ", "into", " ", 
     "Illustrator", " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.jpg\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.tif\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.gif\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "wmf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.pdf\>\"", ",", "HsuDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<GroupHsuDiagram.eps\>\"", ",", "HsuDiagram"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.5039411879262547`*^9, 3.5039411901918507`*^9}, {3.5039412239570436`*^9, 
   3.503941296034246*^9}, {3.503941731497422*^9, 3.5039417458878627`*^9}, {
   3.547984938488758*^9, 3.547984999048064*^9}, 3.611621358502325*^9}]
}, Open  ]]
},
WindowSize->{1031, 615},
WindowMargins->{{-1, Automatic}, {Automatic, 0}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 6307, 120, 494, "Title"],
Cell[6877, 144, 31833, 839, 2676, "Input"],
Cell[38713, 985, 5761, 109, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
