(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34758,        816]
NotebookOptionsPosition[     34285,        797]
NotebookOutlinePosition[     34726,        814]
CellTagsIndexPosition[     34683,        811]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Rose Diagram-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your trend data on a rose diagram.  Your data can either \
be input manually while the program is running or your data can be read in \
from an existing file.  This program will read both text files (*.txt) and \
Excel files (*.xls and *.xlsx).  Examine the files, \"Rose Diagram Sample.txt\
\", \"Rose Diagram Sample.xls",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\"",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[", and \"Rose Diagram Sample.xlsx\", to determine the appropriate \
file structure (it is easiest simply to modify these files and save them with \
different file names).  When prompted, input your desired bin width (i.e., \
the size of the interval range in number of degrees).  You will also be \
prompted to define the contour interval for the concentric frequency \
contours.  Finally, you will be asked whether your data are \"directional\" \
or \"non-directional,\" meaning, does your data indicate a specific bearing \
(e.g., paleo-flow directions) which will yield an asymmetric plot, or are \
your data non-directional (e.g., the strike of vertical joints) which \
therefore yield a symmetric plot.   Within the code itself, there are \
parameters that you may wish to alter to appropriately format your plot.  The \
most useful are described in comments (i.e., between \"(* *)\").  You can \
read the \"readme.txt\" file for more information about this program.  To \
start the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.  \n          \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, {
   3.496666878935896*^9, 3.496666882058075*^9}, {3.4966998411557436`*^9, 
   3.4966998512645617`*^9}, 3.496700003458429*^9, {3.496700050804512*^9, 
   3.4967000703357463`*^9}, {3.4967010229826193`*^9, 3.496701031001034*^9}, {
   3.496701340671091*^9, 3.496701359562724*^9}, {3.4967013926035824`*^9, 
   3.4967013959419885`*^9}, {3.496701565732687*^9, 3.496701567277089*^9}, {
   3.4967017081765366`*^9, 3.4967017085197372`*^9}, {3.496701815114725*^9, 
   3.496701830699152*^9}, {3.49670213577162*^9, 3.496702308224927*^9}, {
   3.49670240927999*^9, 3.4967025976191206`*^9}, {3.4967026281951747`*^9, 
   3.4967026434520016`*^9}, {3.4967027580030026`*^9, 3.49670279647267*^9}, {
   3.4967028362371397`*^9, 3.496702920052264*^9}, {3.4967030026357803`*^9, 
   3.4967030044738855`*^9}, {3.4967030400818653`*^9, 3.4967030415014677`*^9}, 
   3.49670324194622*^9, {3.496703279994687*^9, 3.4967032878259*^9}, {
   3.496703318292754*^9, 3.496703319150756*^9}, 3.496744017493555*^9, {
   3.4969102186544724`*^9, 3.4969103054694376`*^9}, {3.4969103499829836`*^9, 
   3.496910350204996*^9}, {3.496944400035138*^9, 3.4969444034403334`*^9}, {
   3.496944435887189*^9, 3.496944438992367*^9}, {3.4969444698471317`*^9, 
   3.496944494416537*^9}, {3.5039420593264484`*^9, 3.503942060295211*^9}, {
   3.503942148640092*^9, 3.503942149593229*^9}, {3.5176719411175985`*^9, 
   3.5176719412423983`*^9}, 3.5221029244565625`*^9, {3.547720886857114*^9, 
   3.547720889297117*^9}, 3.5477214362598953`*^9, {3.5479360826928434`*^9, 
   3.547936089062853*^9}, 3.5479850378921328`*^9, {3.5479851032718477`*^9, 
   3.5479851282942915`*^9}, {3.547989129740317*^9, 3.5479891310663195`*^9}, {
   3.6115149011366425`*^9, 3.6115149402918816`*^9}, {3.6115187621274786`*^9, 
   3.61151876461462*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<wedgecolor\>\"", " ", "is", " ", "the", " ", "color", " ", "for", " ",
     "the", " ", "histogram", " ", 
    RowBox[{"bins", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wedgecolor", "=", "Orange"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<circcolor\>\"", " ", "is", " ", "the", " ", "color", " ", "for", " ", 
    "the", " ", "circular", " ", "contours", " ", "lines"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"circcolor", "=", 
   RowBox[{"GrayLevel", "[", ".5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ManualOrFile", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Would you like input data from a file (f) or manually (m)? (Type f \
or m)\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"ManualOrFile", "\[Equal]", "f"}], ",", 
    RowBox[{
     RowBox[{"MOF", "=", "1"}], ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"ManualOrFile", "\[Equal]", "m"}], ",", 
    RowBox[{
     RowBox[{"MOF", "=", "2"}], ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"MOF", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"FN", "=", 
      RowBox[{
      "Input", "[", 
       "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"FF", "=", 
      RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
        RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"datatemp", "=", 
         RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"templen", "=", 
         RowBox[{
          RowBox[{"Dimensions", "[", "datatemp", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"data", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"datatemp", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "x"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "templen"}], "}"}]}], "]"}]}], 
        ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
       RowBox[{
        RowBox[{"data", "=", 
         RowBox[{"ReadList", "[", "FN", "]"}]}], ";"}]}], "]"}], ";"}]}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"MOF", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"datalength", "=", 
       RowBox[{
       "Input", "[", "\"\<How many measurements would you like to input?\>\"",
         "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "datalength"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tempdata", "[", "ct", "]"}], "=", 
          RowBox[{"Input", "[", 
           RowBox[{"\"\<\>\"", 
            RowBox[{"N", "[", "ct", "]"}], "\"\<Enter a Trend value.\>\""}], 
           "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"data", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"tempdata", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "datalength"}], "}"}]}], "]"}]}], 
      ";"}]}], "]"}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"binrad", "=", 
   RowBox[{"Input", "[", "\"\<Enter the Bin Width (in degrees).\>\"", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"radinc", "=", 
   RowBox[{
   "Input", "[", "\"\<Enter the Concentric Circle Contour Interval.\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DorN", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Do you have directional(d) data or non-directional(n) data?  Enter d \
or n.\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datalength", "=", 
   RowBox[{"Length", "[", "data", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"DorN", "\[Equal]", "n"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"ct", "\[LessEqual]", 
        RowBox[{"datalength", "*", "2"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"ct", "\[LessEqual]", "datalength"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"dataTab", "[", "ct", "]"}], "=", 
            RowBox[{"data", "[", 
             RowBox[{"[", "ct", "]"}], "]"}]}], ";"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"dataTab", "[", "ct", "]"}], "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"data", "[", 
                 RowBox[{"[", 
                  RowBox[{"ct", "-", "datalength"}], "]"}], "]"}], "+", 
                "180"}], "\[LessEqual]", "360"}], ",", 
              RowBox[{
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"ct", "-", "datalength"}], "]"}], "]"}], "+", 
               "180"}], ",", 
              RowBox[{
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"ct", "-", "datalength"}], "]"}], "]"}], "-", 
               "180"}]}], "]"}]}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"ct", "=", 
         RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"dataTab", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", 
          RowBox[{"datalength", "*", "2"}]}], "}"}]}], "]"}]}], ";"}]}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"binlen", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"360", "/", "binrad"}], "]"}], ">", 
      RowBox[{"(", 
       RowBox[{"360", "/", "binrad"}], ")"}]}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"360", "/", "binrad"}], "]"}], ",", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"360", "/", "binrad"}], "]"}], "+", "1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bincts", "=", 
   RowBox[{"BinCounts", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"binlen", "*", "binrad"}], ",", "binrad"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxbinrad", "=", 
   RowBox[{"Max", "[", "bincts", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxradinc", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"maxbinrad", ",", "radinc"}], "]"}], "\[LessEqual]", 
      "maxbinrad"}], ",", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"maxbinrad", ",", "radinc"}], "]"}], "+", "radinc"}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"maxbinrad", ",", "radinc"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TickLines", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"maxradinc", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1.1", "*", "maxradinc"}], ",", "0"}], "}"}]}], "}"}], 
       "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "maxradinc"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"1.1", "*", "maxradinc"}]}], "}"}]}], "}"}], "]"}], "]"}], 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "maxradinc"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1.1"}], "*", "maxradinc"}], ",", "0"}], "}"}]}], 
        "}"}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "maxradinc"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"-", "1.1"}], "*", "maxradinc"}]}], "}"}]}], "}"}], "]"}],
       "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"RoseDiagram", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"TickLines", ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Rose Diagram\>\"", ",", "32", ",", "Red", ",", "Bold"}], "]"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"1.25", "*", "maxradinc"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Center", ",", "Bottom"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<000\>\"", ",", "Large", ",", "Bold", ",", "Blue"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"1.1", "*", " ", "maxradinc"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Center", ",", "Bottom"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<090\>\"", ",", "Large", ",", "Bold", ",", "Blue"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1.125", "*", " ", "maxradinc"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Left", ",", "Center"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<180\>\"", ",", "Large", ",", "Bold", ",", "Blue"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"-", "1.1"}], "*", " ", "maxradinc"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Center", ",", "Top"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<270\>\"", ",", "Large", ",", "Bold", ",", "Blue"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1.125"}], " ", "*", "maxradinc"}], ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Center"}], "}"}]}], "]"}]}], "}"}], "]"}], 
    ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"N", " ", "==", " ", "datalength"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.8"}], "*", "maxradinc"}], ",", 
          RowBox[{
           RowBox[{"-", "0.9"}], "*", "maxradinc"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Right", ",", "Top"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"wedgecolor", ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Tooltip", "[", 
          RowBox[{
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{"bincts", "[", 
              RowBox[{"[", "x", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"90", "-", 
                    RowBox[{"x", "*", "binrad"}]}], ")"}], "-", "90"}], "]"}],
                   ">", "360"}], ",", 
                 RowBox[{
                  RowBox[{"-", "270"}], "\[Degree]"}], ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"90", "-", 
                    RowBox[{"x", "*", "binrad"}]}], ")"}], "\[Degree]"}]}], 
                "]"}], ",", " ", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"90", "-", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", "binrad"}]}], ")"}], 
                "\[Degree]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"DisplayForm", "[", 
            RowBox[{"RowBox", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"\"\<Magnitude = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"bincts", "[", 
                    RowBox[{"[", "x", "]"}], "]"}], "]"}], "]"}]}], 
                RowBox[{"\"\<,  Range = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "1"}], ")"}], "*", "binrad"}], ")"}], 
                   "]"}], "]"}]}]}], ",", 
               RowBox[{"\"\<\[Degree]  to \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"(", 
                    RowBox[{"x", "*", "binrad"}], ")"}], "]"}], ">", "360"}], 
                   ",", 
                   RowBox[{"N", "[", "360", "]"}], ",", 
                   RowBox[{"N", "[", 
                    RowBox[{"(", 
                    RowBox[{"x", "*", "binrad"}], ")"}], "]"}]}], "]"}], 
                 "]"}]}], ",", "\"\<\[Degree]\>\""}], "}"}], "]"}], "]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "binlen"}], "}"}]}], "]"}]}], "}"}], 
     "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"circcolor", ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Tooltip", "[", 
          RowBox[{
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "r", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"360", "\[Degree]"}]}], "}"}]}], "]"}], ",", "r"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"r", ",", "radinc", ",", "maxradinc", ",", "radinc"}], 
          "}"}]}], "]"}]}], "}"}], "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "maxradinc"}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"maxradinc", ",", "0"}], "}"}]}], "}"}], "]"}], "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "maxradinc"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "maxradinc"}], "}"}]}], "}"}], "]"}], "]"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "550"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Concentric Circle Contour Inverval: \>\"", ",", "radinc"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Bin Width: \>\"", ",", "binrad", ",", "\"\<\[Degree]\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.43093176590625*^9, 3.43093176734375*^9}, {
   3.430931877046875*^9, 3.430932008015625*^9}, {3.430932054015625*^9, 
   3.430932135125*^9}, {3.430932487578125*^9, 3.430932493703125*^9}, {
   3.430932597046875*^9, 3.4309326055625*^9}, {3.430932670265625*^9, 
   3.430932697546875*^9}, {3.430932829890625*^9, 3.430932843734375*^9}, {
   3.43093307040625*^9, 3.43093307359375*^9}, {3.430933173828125*^9, 
   3.430933180375*^9}, 3.43093351603125*^9, {3.430934215515625*^9, 
   3.43093422371875*^9}, {3.43093431503125*^9, 3.430934328765625*^9}, 
   3.430934381875*^9, {3.430934456328125*^9, 3.430934500953125*^9}, {
   3.4309345318125*^9, 3.4309345321875*^9}, {3.430934562734375*^9, 
   3.430934568828125*^9}, {3.43093461459375*^9, 3.430934618796875*^9}, 
   3.430934665328125*^9, {3.430934915015625*^9, 3.43093492090625*^9}, {
   3.43093499403125*^9, 3.430935020890625*^9}, {3.430935109*^9, 
   3.430935109359375*^9}, {3.43093600975*^9, 3.43093600996875*^9}, {
   3.430936387140625*^9, 3.430936387359375*^9}, 3.430937843390625*^9, {
   3.43093840775*^9, 3.430938471515625*^9}, {3.430939101421875*^9, 
   3.4309391029375*^9}, {3.4957435575489264`*^9, 3.4957436048276305`*^9}, {
   3.4957436403136606`*^9, 3.4957436473000603`*^9}, {3.4957436774997873`*^9, 
   3.4957437607845507`*^9}, {3.4957438659745674`*^9, 
   3.4957440541123285`*^9}, {3.4957442331655693`*^9, 
   3.4957442513476095`*^9}, {3.4957443410797415`*^9, 
   3.4957443740376267`*^9}, {3.495744482643839*^9, 3.4957445720839543`*^9}, {
   3.496660783841276*^9, 3.4966608010902634`*^9}, {3.496660839919484*^9, 
   3.496660840111495*^9}, {3.4966610108002577`*^9, 3.4966610114982977`*^9}, 
   3.496661648414727*^9, {3.4966621348005466`*^9, 3.496662138558762*^9}, {
   3.4966632288011203`*^9, 3.496663275616798*^9}, {3.496663329992908*^9, 
   3.4966633590225687`*^9}, {3.4966634585022583`*^9, 3.496663459598321*^9}, {
   3.4966635828343697`*^9, 3.496663583557411*^9}, {3.4966637932574053`*^9, 
   3.4966637939044423`*^9}, 3.4966638360568533`*^9, {3.496663893483138*^9, 
   3.496663925196952*^9}, 3.4966639675003715`*^9, {3.496664113267709*^9, 
   3.4966641150418105`*^9}, 3.496664162157505*^9, 3.496664204915951*^9, {
   3.4966651078535957`*^9, 3.496665128656786*^9}, {3.4966654143311253`*^9, 
   3.4966654166532583`*^9}, {3.496665448613086*^9, 3.4966654866432614`*^9}, 
   3.496666199822053*^9, {3.496666270437092*^9, 3.4966662715851574`*^9}, 
   3.4966665737904425`*^9, {3.4966666374990864`*^9, 3.4966666423783655`*^9}, 
   3.496666694801364*^9, {3.496666756840913*^9, 3.4966667678035393`*^9}, {
   3.496666893556732*^9, 3.4966669091676254`*^9}, {3.496700444549204*^9, 
   3.4967004625204353`*^9}, {3.496700588334656*^9, 3.4967005969770713`*^9}, 
   3.4967006365075407`*^9, {3.49670080133743*^9, 3.496700840649499*^9}, {
   3.496700973811333*^9, 3.496700982562948*^9}, {3.4967058720528655`*^9, 
   3.496705875063671*^9}, {3.4967415649522777`*^9, 3.4967415815632277`*^9}, 
   3.496741729076665*^9, 3.496743493271571*^9, {3.496743817342107*^9, 
   3.4967438385213184`*^9}, {3.496743880778735*^9, 3.4967439327497077`*^9}, {
   3.4967439791923637`*^9, 3.496743980325429*^9}, {3.496872778045035*^9, 
   3.496872806688673*^9}, {3.496873270549205*^9, 3.496873325440344*^9}, {
   3.496873377454319*^9, 3.4968733787303925`*^9}, 3.49690985951093*^9, {
   3.4969106484820566`*^9, 3.4969106536353517`*^9}, {3.611518321940301*^9, 
   3.6115183306708*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", "Rose", 
     " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", "file"}], ",",
     " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", "will", " ", "get", " ", "pasted", " ", "into", " ", 
     "Illustrator", " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<RoseDiagram.jpg\>\"", ",", "RoseDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<RoseDiagram.tif\>\"", ",", "RoseDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<RoseDiagram.gif\>\"", ",", "RoseDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "wmf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<RoseDiagram.pdf\>\"", ",", "RoseDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<RoseDiagram.eps\>\"", ",", "RoseDiagram"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.5039411879262547`*^9, 3.5039411901918507`*^9}, {3.5039412239570436`*^9, 
   3.503941296034246*^9}, {3.503941731497422*^9, 3.5039417458878627`*^9}, {
   3.5039422581552377`*^9, 3.5039422745770073`*^9}, {3.5479851490735283`*^9, 
   3.5479851879487963`*^9}, 3.611621375970324*^9}]
}, Open  ]]
},
WindowSize->{1010, 612},
WindowMargins->{{-1, Automatic}, {Automatic, 1}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 7579, 144, 518, "Title"],
Cell[8149, 168, 20312, 514, 1392, "Input"],
Cell[28464, 684, 5805, 110, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
