(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    224022,       5732]
NotebookOptionsPosition[    223098,       5703]
NotebookOutlinePosition[    223538,       5720]
CellTagsIndexPosition[    223495,       5717]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Sectional Data through an Ellipsoid-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will graph any ellipsoid for you (i.e., an ellipsoid with any set \
of axes lengths and orientations).  Additionally, the notebook can plot \
planes of any orientation cutting through the center of the ellipsoid and \
graph the elliptical sections within that/those plane(s).  The program will \
prompt you for the ellipsoid axes lengths, the trend and plunge of the long \
axis,  the trend of the intermediate axis (unless the plunge of the long axis \
is zero at which point you will be prompted to enter the plunge of the \
intermediate axis and choose between two possible trends) as well as the \
orientation of the plane(s) that will cut through the ellipsoid.  Note that \
you can \"grab\" any of the ellipsoid images and rotate them into any desired \
viewing orientations.  These images can then be copied and pasted into other \
programs (e.g., Adobe Illustrator).  You can read the \"readme.txt\" file for \
more information about this program.  To start the program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n          This notebook includes some code for plotting \
equal area and equal angel projections that was modified from code written by \
Joshua R. Davis.\n          \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2011--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, {
   3.496666878935896*^9, 3.496666882058075*^9}, {3.4966998411557436`*^9, 
   3.4966998512645617`*^9}, 3.496700003458429*^9, {3.496700050804512*^9, 
   3.4967000703357463`*^9}, {3.4967010229826193`*^9, 3.496701031001034*^9}, {
   3.496701340671091*^9, 3.496701359562724*^9}, {3.4967013926035824`*^9, 
   3.4967013959419885`*^9}, {3.496701565732687*^9, 3.496701567277089*^9}, {
   3.4967017081765366`*^9, 3.4967017085197372`*^9}, {3.496701815114725*^9, 
   3.496701830699152*^9}, {3.49670213577162*^9, 3.496702308224927*^9}, {
   3.49670240927999*^9, 3.4967025976191206`*^9}, {3.4967026281951747`*^9, 
   3.4967026434520016`*^9}, {3.4967027580030026`*^9, 3.49670279647267*^9}, {
   3.4967028362371397`*^9, 3.496702920052264*^9}, {3.4967030026357803`*^9, 
   3.4967030044738855`*^9}, {3.4967030400818653`*^9, 3.4967030415014677`*^9}, 
   3.49670324194622*^9, {3.496703279994687*^9, 3.4967032878259*^9}, {
   3.496703318292754*^9, 3.496703319150756*^9}, {3.4967034368021884`*^9, 
   3.496703440967396*^9}, {3.496749753457633*^9, 3.4967497973461437`*^9}, {
   3.4967760139399776`*^9, 3.4967760373092523`*^9}, {3.4967761275841484`*^9, 
   3.4967762138418255`*^9}, {3.49677626275348*^9, 3.496776343512758*^9}, {
   3.4967763833739185`*^9, 3.496776620370758*^9}, {3.4967766604579325`*^9, 
   3.4967767102036343`*^9}, {3.4967767643955717`*^9, 
   3.4967767657816467`*^9}, {3.4967908873802814`*^9, 
   3.4967909034301915`*^9}, {3.496790948280729*^9, 3.496791196495621*^9}, {
   3.4967929015684423`*^9, 3.4967929659280734`*^9}, {3.4967930219999886`*^9, 
   3.4967930537507763`*^9}, {3.4967931080588603`*^9, 3.496793161418815*^9}, {
   3.496793203719181*^9, 3.4967932905760508`*^9}, {3.496793499746546*^9, 
   3.4967935034817533`*^9}, {3.4967956833140326`*^9, 
   3.4967956863376026`*^9}, {3.496944640301881*^9, 3.4969446435450664`*^9}, {
   3.496944683253338*^9, 3.496944683571356*^9}, {3.496944722249568*^9, 
   3.496944740044586*^9}, {3.4969632188926*^9, 3.496963229516178*^9}, {
   3.5028253516508913`*^9, 3.5028253594821053`*^9}, {3.5037586683545046`*^9, 
   3.503758670120028*^9}, {3.517671950306014*^9, 3.5176719504932146`*^9}, {
   3.5195181822639313`*^9, 3.5195181835430045`*^9}, 3.522102936842984*^9, {
   3.547224076982564*^9, 3.5472240790885677`*^9}, {3.5479361111058836`*^9, 
   3.547936112886886*^9}, {3.5479852375568833`*^9, 3.5479852541709127`*^9}, {
   3.547985485582719*^9, 3.5479854867839212`*^9}, 3.547985524255187*^9, {
   3.6115189482981267`*^9, 3.61151896094885*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<Flinncontinterval\>\"", " ", "is", " ", "the", " ", "octahedral", " ",
     "shear", " ", "strain", " ", "contour", " ", "interval", " ", "for", " ",
     "the", " ", "Flinn", " ", "diagram"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Flinncontinterval", "=", ".25"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<Flinncolor\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
    "the", " ", "point", " ", "for", " ", "the", " ", "Flinn", " ", 
    "diagram"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Flinncolor", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<FlinnPtSize\>\"", " ", "is", " ", "the", " ", "size", " ", "of", " ", 
    "the", " ", "point", " ", "for", " ", "the", " ", "Flinn", " ", 
    "diagram"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FlinnPtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<continterval\>\"", " ", "is", " ", "the", " ", "octahedral", " ", 
    "shear", " ", "strain", " ", "contour", " ", "interval", " ", "for", " ", 
    "the", " ", "Hsu", " ", "diagram"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"continterval", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<PtSize\>\"", " ", "is", " ", "the", " ", "size", " ", "of", " ", 
    "the", " ", "point", " ", "for", " ", "the", " ", "Hsu", " ", "diagram"}],
    " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<color\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
    "the", " ", "point", " ", "for", " ", "the", " ", "Hsu", " ", "diagram"}],
    " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"color", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<kcont[x]\>\"", " ", "specifies", " ", "the", " ", "values", " ", 
     "for", " ", "the", " ", "Flinn", " ", "k", " ", 
     RowBox[{"contours", ".", "  ", "You"}], " ", "can", " ", "add", " ", 
     "additional", " ", "contours", " ", "by", " ", "typing", " ", "in", " ", 
     "addtional", " ", "values"}], ",", " ", 
    RowBox[{"e", ".", "g", "."}], ",", " ", 
    RowBox[{"\"\<kcont[9]=1000;\>\"", "."}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "1", "]"}], "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "2", "]"}], "=", "5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "3", "]"}], "=", "2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "4", "]"}], "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "5", "]"}], "=", "0.75"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "6", "]"}], "=", "0.5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "7", "]"}], "=", "0.25"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kcont", "[", "8", "]"}], "=", "0.1"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "obspkg"}], "]"}], "MessageName"], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]1", "=", 
   RowBox[{
   "Input", "[", "\"\<What is the length of the Long Axis?\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]2", "=", 
   RowBox[{
   "Input", "[", "\"\<What is the length of the Intermediate Axis?\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]3", "=", 
   RowBox[{
   "Input", "[", "\"\<What is the length of the Short Axis?\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LongTrend", "=", 
   RowBox[{
   "Input", "[", "\"\<What is the Trend of the Long Axis?\>\"", "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LongPlunge", "=", 
    RowBox[{
    "Input", "[", "\"\<What is the Plunge of the Long Axis?\>\"", "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"LongPlunge", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"IntTone", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"LongTrend", "+", "90"}], "\[GreaterEqual]", "360"}], ",", 
        RowBox[{"LongTrend", "-", "270"}], ",", 
        RowBox[{"LongTrend", "+", "90"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"IntTtwo", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"LongTrend", "-", "90"}], "<", "0"}], ",", 
        RowBox[{"LongTrend", "+", "270"}], ",", 
        RowBox[{"LongTrend", "-", "90"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"IntTrend", "=", 
      RowBox[{"Input", "[", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<Is the Trend of the Intermediate Axis \>\"", ",", 
          RowBox[{"N", "[", "IntTone", "]"}], ",", "\"\< or \>\"", ",", 
          RowBox[{"N", "[", "IntTtwo", "]"}], ",", "\"\<?\>\""}], "}"}], 
        "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"IntPlunge", "=", 
      RowBox[{
      "Input", "[", "\"\<What is the Plunge of the Intermediat Axis?\>\"", 
       "]"}]}], ";"}], ",", 
    RowBox[{
     RowBox[{"IntTrend", "=", 
      RowBox[{
      "Input", "[", "\"\<What is the Trend of the Intermediat Axis?\>\"", 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"IntPlunge", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"(", 
            RowBox[{"IntTrend", "-", "LongTrend"}], ")"}], "]"}], "\[Equal]", 
          "270"}], "||", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"(", 
            RowBox[{"IntTrend", "-", "LongTrend"}], ")"}], "]"}], "\[Equal]", 
          "90"}]}], ",", "0", ",", 
        RowBox[{
         FractionBox["1", "\[Pi]"], "180", " ", 
         RowBox[{"ArcCos", "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"2", " ", 
              RowBox[{"\[Sqrt]", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   FractionBox["1", "90"], " ", 
                   RowBox[{"(", 
                    RowBox[{"IntTrend", "-", "LongTrend"}], ")"}], " ", 
                   "\[Pi]"}], "]"}]}], ")"}]}], " ", 
              RowBox[{"Sec", "[", 
               RowBox[{
                FractionBox["1", "180"], " ", 
                RowBox[{"(", 
                 RowBox[{"IntTrend", "-", "LongTrend"}], ")"}], " ", 
                "\[Pi]"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               FractionBox[
                RowBox[{"LongPlunge", " ", "\[Pi]"}], "180"], "]"}]}], 
             ")"}]}], "/", 
           RowBox[{"(", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{"6", "-", 
               RowBox[{"2", " ", 
                RowBox[{"Cos", "[", 
                 FractionBox[
                  RowBox[{"LongPlunge", " ", "\[Pi]"}], "90"], "]"}]}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"Cos", "[", 
                 RowBox[{
                  FractionBox["1", "90"], " ", 
                  RowBox[{"(", 
                   RowBox[{"IntTrend", "-", "LongTrend"}], ")"}], " ", 
                  "\[Pi]"}], "]"}]}], "+", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox["1", "90"], " ", 
                 RowBox[{"(", 
                  RowBox[{"IntTrend", "-", "LongPlunge", "-", "LongTrend"}], 
                  ")"}], " ", "\[Pi]"}], "]"}], "+", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox["1", "90"], " ", 
                 RowBox[{"(", 
                  RowBox[{"IntTrend", "+", "LongPlunge", "-", "LongTrend"}], 
                  ")"}], " ", "\[Pi]"}], "]"}]}], ")"}]}], ")"}]}], "]"}]}]}],
        "]"}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Quiet", "[", 
    RowBox[{
     RowBox[{"Interm", "=", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Cos", "[", 
            FractionBox[
             RowBox[{"IntPlunge", " ", "\[Pi]"}], "180"], "]"}], " ", 
           RowBox[{"Cos", "[", 
            FractionBox[
             RowBox[{"IntTrend", " ", "\[Pi]"}], "180"], "]"}]}], ",", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Cos", "[", 
             FractionBox[
              RowBox[{"IntPlunge", " ", "\[Pi]"}], "180"], "]"}]}], " ", 
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"IntTrend", " ", "\[Pi]"}], "180"], "]"}]}], ",", 
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"IntPlunge", " ", "\[Pi]"}], "180"], "]"}]}]}], "}"}], 
        "]"}], "//", "N"}]}], ";", "\[IndentingNewLine]", "\n", 
     "\[IndentingNewLine]", 
     RowBox[{"Long", "=", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Cos", "[", 
            FractionBox[
             RowBox[{"LongPlunge", "*", "\[Pi]"}], "180"], "]"}], " ", 
           RowBox[{"Cos", "[", 
            FractionBox[
             RowBox[{"LongTrend", "*", " ", "\[Pi]"}], "180"], "]"}]}], ",", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Cos", "[", 
             FractionBox[
              RowBox[{"LongPlunge", "*", " ", "\[Pi]"}], "180"], "]"}]}], " ", 
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"LongTrend", "*", " ", "\[Pi]"}], "180"], "]"}]}], ",", 
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"LongPlunge", "*", " ", "\[Pi]"}], "180"], "]"}]}]}], 
         "}"}], "]"}], "//", "N"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Sht", "=", 
      RowBox[{"Re", "[", 
       RowBox[{"Cross", "[", 
        RowBox[{"Interm", ",", "Long"}], "]"}], "]"}]}], ";"}], "]"}], ";"}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"RotVects", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"Long", ",", "Interm", ",", "Sht"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalLambda]", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox["\[Lambda]1", "2"]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SuperscriptBox["\[Lambda]2", "2"]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", 
        SuperscriptBox["\[Lambda]3", "2"]]}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P", "=", 
   RowBox[{"RotVects", ".", "\[CapitalLambda]", ".", 
    RowBox[{"Transpose", "[", "RotVects", "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"S", "=", 
   RowBox[{"Eigensystem", "[", "P", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"Eigenvalues", "[", "P", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L", "=", 
    RowBox[{"Sort", "[", 
     RowBox[{"L", ",", "Greater"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Lval", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"L", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ")"}], ",", 
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"L", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}], ",", 
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"L", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ")"}]}], "}"}], "//", 
     "N"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Min", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}], "\[Equal]", 
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"Longnumb", "=", "1"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Min", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}], "\[Equal]", 
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"Longnumb", "=", "2"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Min", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"S", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"S", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"S", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}], "\[Equal]", 
      RowBox[{"S", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Longnumb", "=", "3"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}], "\[Equal]", 
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"Shortnumb", "=", "1"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"S", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}], "\[Equal]", 
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"Shortnumb", "=", "2"}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Max", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"S", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"S", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"S", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}], "\[Equal]", 
      RowBox[{"S", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Shortnumb", "=", "3"}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Intermnumb", "=", 
    RowBox[{"6", "-", "Longnumb", "-", "Shortnumb"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ShortAxis", "=", 
   RowBox[{
    RowBox[{"S", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "Shortnumb"}], "]"}], "]"}], "/", 
    RowBox[{"Norm", "[", 
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "Shortnumb"}], "]"}], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"IntermAxis", "=", 
   RowBox[{
    RowBox[{"S", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "Intermnumb"}], "]"}], "]"}], "/", 
    RowBox[{"Norm", "[", 
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "Intermnumb"}], "]"}], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LongAxis", "=", 
    RowBox[{
     RowBox[{"S", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "Longnumb"}], "]"}], "]"}], "/", 
     RowBox[{"Norm", "[", 
      RowBox[{"S", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "Longnumb"}], "]"}], "]"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Ellipsoids", "=", 
    RowBox[{"ParametricPlot3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"LongAxis", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"Cos", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "u", "]"}]}], "+", 
         RowBox[{
          RowBox[{"IntermAxis", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"Sin", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "u", "]"}]}], "+", 
         RowBox[{
          RowBox[{"ShortAxis", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "3", "]"}], "]"}], 
          RowBox[{"Sin", "[", "u", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"LongAxis", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"Cos", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "u", "]"}]}], "+", 
         RowBox[{
          RowBox[{"IntermAxis", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"Sin", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "u", "]"}]}], "+", 
         RowBox[{
          RowBox[{"ShortAxis", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "3", "]"}], "]"}], 
          RowBox[{"Sin", "[", "u", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"LongAxis", "[", 
           RowBox[{"[", "3", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"Cos", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "u", "]"}]}], "+", 
         RowBox[{
          RowBox[{"IntermAxis", "[", 
           RowBox[{"[", "3", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"Sin", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "u", "]"}]}], "+", 
         RowBox[{
          RowBox[{"ShortAxis", "[", 
           RowBox[{"[", "3", "]"}], "]"}], 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "3", "]"}], "]"}], 
          RowBox[{"Sin", "[", "u", "]"}]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"2", "Pi"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        RowBox[{
         RowBox[{"-", "Pi"}], "/", "2"}], ",", 
        RowBox[{"Pi", "/", "2"}]}], "}"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m1", "=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"Cylinder", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1.2"}], "*", 
         RowBox[{"Lval", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", "LongAxis"}], ",", 
        RowBox[{"1.2", "*", 
         RowBox[{"Lval", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", "LongAxis"}]}], "}"}], ",", 
      RowBox[{".075", "*", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}]}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"m2", "=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"Cylinder", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1.2"}], "*", 
         RowBox[{"Lval", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", "IntermAxis"}], ",", 
        RowBox[{"1.2", "*", 
         RowBox[{"Lval", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", "IntermAxis"}]}], "}"}], ",", 
      RowBox[{".075", "*", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"m3", "=", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1.2"}], "*", 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "*", "ShortAxis"}], ",", 
         RowBox[{"1.2", "*", 
          RowBox[{"Lval", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "*", "ShortAxis"}]}], "}"}], ",", 
       RowBox[{".075", "*", 
        RowBox[{"Lval", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectors", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"m1", ",", "m2", ",", "m3"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Vellipsoid", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"Ellipsoids", ",", "vectors", ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"numbplanes", "=", 
    RowBox[{
    "Input", "[", "\"\<Number of planar sections through the ellipsoid\>\"", 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"Part", "::", "partw"}], "]"}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dummy", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"dummy", "\[LessEqual]", "numbplanes"}], ",", "\n", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Dip", "[", "dummy", "]"}], "=", 
      RowBox[{"Input", "[", 
       RowBox[{"\"\<\>\"", 
        RowBox[{"N", "[", "dummy", "]"}], "\"\<Enter the Dip of plane.\>\""}],
        "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DipDir", "[", "dummy", "]"}], "=", 
      RowBox[{"Input", "[", 
       RowBox[{"\"\<\>\"", 
        RowBox[{"N", "[", "dummy", "]"}], 
        "\"\<Enter the Dip Direction of plane.\>\""}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"OriginalDipDir", "[", "dummy", "]"}], "=", 
      RowBox[{"DipDir", "[", "dummy", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DipDir", "[", "dummy", "]"}], "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Dip", "[", "dummy", "]"}], "\[Equal]", "90"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"DipDir", "[", "dummy", "]"}], "\[Equal]", "0"}], ",", 
          "180", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"DipDir", "[", "dummy", "]"}], ">", "180"}], ",", 
            RowBox[{
             RowBox[{"DipDir", "[", "dummy", "]"}], "-", "180"}], ",", 
            RowBox[{"DipDir", "[", "dummy", "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"DipDir", "[", "dummy", "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"f", "=", 
      RowBox[{
       RowBox[{"DipDir", "[", "dummy", "]"}], "-", "90"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"j", "=", 
      RowBox[{"90", "-", 
       RowBox[{"Dip", "[", "dummy", "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dip", "[", "dummy", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{"f", "=", "90"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Mu]", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"f", "*", 
            RowBox[{"(", 
             RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}], ",", 
          RowBox[{"Sin", "[", 
           RowBox[{"f", "*", 
            RowBox[{"(", 
             RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}], ",", "0"}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            RowBox[{"f", "*", 
             RowBox[{"(", 
              RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}]}], ",", 
          RowBox[{"Cos", "[", 
           RowBox[{"f", "*", 
            RowBox[{"(", 
             RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}], ",", "0"}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"H", "=", 
      RowBox[{
       RowBox[{"Transpose", "[", "\[Mu]", "]"}], ".", "P", ".", "\[Mu]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"\[Eta]", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Cos", "[", 
           RowBox[{"j", "*", 
            RowBox[{"(", 
             RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}], ",", 
          RowBox[{"Sin", "[", 
           RowBox[{"j", "*", 
            RowBox[{"(", 
             RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            RowBox[{"j", "*", 
             RowBox[{"(", 
              RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}]}], ",", 
          RowBox[{"Cos", "[", 
           RowBox[{"j", "*", 
            RowBox[{"(", 
             RowBox[{"\[Pi]", "/", "180"}], ")"}]}], "]"}]}], "}"}]}], 
       "}"}]}], ";", 
     RowBox[{"Q", "=", 
      RowBox[{
       RowBox[{"Transpose", "[", "\[Eta]", "]"}], ".", "H", ".", "\[Eta]"}]}],
      ";", 
     RowBox[{
      RowBox[{"Ellipse", "[", "dummy", "]"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Q", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
          RowBox[{"Q", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Q", "[", 
           RowBox[{"[", 
            RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
          RowBox[{"Q", "[", 
           RowBox[{"[", 
            RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Se", "=", 
      RowBox[{"Eigensystem", "[", 
       RowBox[{"Ellipse", "[", "dummy", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Me", "=", 
      RowBox[{"Transpose", "[", 
       RowBox[{"Eigenvectors", "[", 
        RowBox[{"Ellipse", "[", "dummy", "]"}], "]"}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"Le", "[", "dummy", "]"}], "=", 
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"Ellipse", "[", "dummy", "]"}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"Le", "[", "dummy", "]"}], "=", 
      RowBox[{"Sort", "[", 
       RowBox[{
        RowBox[{"Le", "[", "dummy", "]"}], ",", "Greater"}], "]"}]}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Le", "[", "dummy", "]"}], "\[NotEqual]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Se", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
          RowBox[{"Se", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"Me", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Me", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
             RowBox[{"Me", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Me", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
             RowBox[{"Me", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}]}], "}"}]}], 
        ";"}]}], "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Le", "[", "dummy", "]"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"Le", "[", "dummy", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
        RowBox[{"1", "/", 
         SqrtBox[
          RowBox[{
           RowBox[{"Le", "[", "dummy", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Me", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[CapitalPsi]", "[", "dummy", "]"}], "=", 
         RowBox[{"Pi", "/", "2"}]}], ";"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[CapitalPsi]", "[", "dummy", "]"}], "=", 
         RowBox[{"-", 
          RowBox[{"ArcTan", "[", 
           RowBox[{
            RowBox[{"Me", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "/", 
            RowBox[{"Me", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}]}], ";"}]}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[CapitalPi]", "[", "dummy", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Le", "[", "dummy", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "/", 
       RowBox[{
        RowBox[{"Le", "[", "dummy", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\n", 
     RowBox[{"dummy", "=", 
      RowBox[{"dummy", "+", "1"}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Clear", "[", "\[Theta]", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dummy3", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"dummy3", "\[LessEqual]", "numbplanes"}], ",", "\n", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "90"}]}], 
        ",", 
        RowBox[{
         RowBox[{"\[Theta]", "=", 
          RowBox[{"DipDir", "[", "dummy3", "]"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "90"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "180"}]}], 
        ",", 
        RowBox[{
         RowBox[{"\[Theta]", "=", 
          RowBox[{"180", "-", 
           RowBox[{"DipDir", "[", "dummy3", "]"}]}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "180"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "270"}]}], 
        ",", 
        RowBox[{
         RowBox[{"\[Theta]", "=", 
          RowBox[{
           RowBox[{"DipDir", "[", "dummy3", "]"}], "-", "180"}]}], ";"}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "270"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "360"}]}], 
        ",", 
        RowBox[{
         RowBox[{"\[Theta]", "=", 
          RowBox[{"360", "-", 
           RowBox[{"DipDir", "[", "dummy3", "]"}]}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "\[Equal]", "90"}], "||", " ", 
         RowBox[{"\[Theta]", "\[Equal]", "270"}]}], ",", 
        RowBox[{
         RowBox[{"a", "=", "0"}], ";"}], ",", 
        RowBox[{
         RowBox[{"a", "=", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"(", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Tan", "[", 
                   RowBox[{"\[Theta]", "*", 
                    RowBox[{"Pi", "/", "180"}]}], "]"}], ")"}], "^", "2"}], 
                ")"}]}], ")"}]}], ")"}], "]"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"b", "=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"1", "-", 
         RowBox[{"(", 
          RowBox[{"a", "^", "2"}], ")"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Dip", "[", "dummy3", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"a", "=", "0"}], ";", 
         RowBox[{"b", "=", "0"}], ";", 
         RowBox[{"c", "=", "1"}], ";"}], ",", 
        RowBox[{
         RowBox[{"c", "=", 
          RowBox[{"Tan", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"90", "-", 
              RowBox[{"Dip", "[", "dummy3", "]"}]}], ")"}], "*", 
            RowBox[{"Pi", "/", "180"}]}], "]"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[GreaterEqual]", "0"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "90"}]}], 
        ",", 
        RowBox[{
         RowBox[{"a", "=", "a"}], ";", 
         RowBox[{"b", "=", 
          RowBox[{"-", "b"}]}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "90"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "180"}]}], 
        ",", 
        RowBox[{
         RowBox[{"a", "=", 
          RowBox[{"-", "a"}]}], ";", 
         RowBox[{"b", "=", 
          RowBox[{"-", "b"}]}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "180"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "270"}]}], 
        ",", 
        RowBox[{
         RowBox[{"a", "=", 
          RowBox[{"-", "a"}]}], ";", 
         RowBox[{"b", "=", "b"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "270"}], "&&", 
         RowBox[{
          RowBox[{"DipDir", "[", "dummy3", "]"}], "\[LessEqual]", "360"}]}], 
        ",", 
        RowBox[{
         RowBox[{"a", "=", "a"}], ";", 
         RowBox[{"b", "=", "b"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"scale", "=", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a", "^", "2"}], ")"}], "+", 
            RowBox[{"(", 
             RowBox[{"b", "^", "2"}], ")"}], "+", 
            RowBox[{"(", 
             RowBox[{"c", "^", "2"}], ")"}]}], ")"}], "]"}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"aprime", "=", 
       RowBox[{"scale", "*", "a"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"bprime", "=", 
       RowBox[{"scale", "*", "b"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cprime", "=", 
       RowBox[{"scale", "*", "c"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"normvect", "[", "dummy3", "]"}], "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"aprime", ",", "bprime", ",", "cprime"}], "}"}], "//", 
        "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"normvect", "[", "dummy3", "]"}], "[", 
          RowBox[{"[", "3", "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"DipDir", "[", "dummy3", "]"}], "\[Equal]", "90"}], "||", 
            RowBox[{
             RowBox[{"DipDir", "[", "dummy3", "]"}], "\[Equal]", "270"}]}], 
           ",", 
           RowBox[{
            RowBox[{
             RowBox[{"const1", "[", "dummy3", "]"}], "=", "1"}], ";", 
            RowBox[{
             RowBox[{"const2", "[", "dummy3", "]"}], "=", "0"}], ";"}], ",", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "45"}], "&&", 
                RowBox[{
                 RowBox[{"DipDir", "[", "dummy3", "]"}], "<", "135"}]}], "||", 
               RowBox[{
                RowBox[{
                 RowBox[{"DipDir", "[", "dummy3", "]"}], "<", "315"}], "&&", 
                RowBox[{
                 RowBox[{"DipDir", "[", "dummy3", "]"}], ">", "225"}]}]}], 
              ",", 
              RowBox[{
               RowBox[{
                RowBox[{"const1", "[", "dummy3", "]"}], "=", 
                RowBox[{"Tan", "[", 
                 RowBox[{
                  RowBox[{"DipDir", "[", "dummy3", "]"}], "*", 
                  RowBox[{"Pi", "/", "180"}]}], "]"}]}], ";", 
               RowBox[{
                RowBox[{"const2", "[", "dummy3", "]"}], "=", "1"}], ";"}], 
              ",", 
              RowBox[{
               RowBox[{
                RowBox[{"const1", "[", "dummy3", "]"}], "=", 
                RowBox[{"Tan", "[", 
                 RowBox[{
                  RowBox[{"DipDir", "[", "dummy3", "]"}], "*", 
                  RowBox[{"Pi", "/", "180"}]}], "]"}]}], ";", 
               RowBox[{
                RowBox[{"const2", "[", "dummy3", "]"}], "=", "1"}], ";"}]}], 
             "]"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"PlaneSect", "[", "dummy3", "]"}], "=", 
          RowBox[{"ParametricPlot3D", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"const1", "[", "dummy3", "]"}], "*", "x"}], ",", 
              RowBox[{
               RowBox[{"const2", "[", "dummy3", "]"}], "*", "x"}], ",", "z"}],
              "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
              RowBox[{
               RowBox[{"Lval", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
              RowBox[{
               RowBox[{"Lval", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}],
         ",", 
        RowBox[{
         RowBox[{
          RowBox[{"PlaneSect", "[", "dummy3", "]"}], "=", 
          RowBox[{"Plot3D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "x"}], "*", 
                RowBox[{
                 RowBox[{"normvect", "[", "dummy3", "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "-", 
               RowBox[{"y", "*", 
                RowBox[{
                 RowBox[{"normvect", "[", "dummy3", "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], ")"}], "/", 
             RowBox[{
              RowBox[{"normvect", "[", "dummy3", "]"}], "[", 
              RowBox[{"[", "3", "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
              RowBox[{
               RowBox[{"Lval", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
              RowBox[{
               RowBox[{"Lval", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], 
         ";"}]}], "]"}], ";", "\n", 
      RowBox[{"dummy3", "=", 
       RowBox[{"dummy3", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"AxesInit", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "\[LessEqual]", "numbplanes"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"RotPhi", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "]"}], ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Sin", "[", 
             RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "]"}]}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "]"}], ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"first", "=", 
       RowBox[{"AxesInit", ".", "RotPhi"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"RotDip", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Dip", "[", "ct", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Dip", "[", "ct", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", 
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"Dip", "[", "ct", "]"}], "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Dip", "[", "ct", "]"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"second", "=", 
       RowBox[{"first", ".", "RotDip"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Dip", "[", "ct", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"DD", "=", "0"}], ";"}], ",", 
        RowBox[{
         RowBox[{"DD", "=", 
          RowBox[{"DipDir", "[", "ct", "]"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"RotDipDir", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"90", "-", "DD"}], ")"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"90", "-", "DD"}], ")"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"90", "-", "DD"}], ")"}], "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"90", "-", "DD"}], ")"}], "*", 
             RowBox[{"Pi", "/", "180"}]}], "]"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"third", "=", 
       RowBox[{"second", ".", "RotDipDir"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Clear", "[", 
       RowBox[{"x", ",", "y", ",", "z"}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"x", "[", "t_", "]"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Le", "[", "ct", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", 
         RowBox[{"Cos", "[", "t", "]"}], "*", 
         RowBox[{"third", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"Le", "[", "ct", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", 
         RowBox[{"Sin", "[", "t", "]"}], "*", 
         RowBox[{"third", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"y", "[", "t_", "]"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Le", "[", "ct", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", 
         RowBox[{"Cos", "[", "t", "]"}], "*", 
         RowBox[{"third", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"Le", "[", "ct", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", 
         RowBox[{"Sin", "[", "t", "]"}], "*", 
         RowBox[{"third", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"z", "[", "t_", "]"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Le", "[", "ct", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", 
         RowBox[{"Cos", "[", "t", "]"}], "*", 
         RowBox[{"third", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"Le", "[", "ct", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", 
         RowBox[{"Sin", "[", "t", "]"}], "*", 
         RowBox[{"third", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "3"}], "]"}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"PlaneEllipse", "[", "ct", "]"}], "=", 
       RowBox[{"ParametricPlot3D", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}], ",", 
           RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Blue", ",", "Thick"}], "}"}]}]}], "]"}]}], ";", "\n", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"K", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Lval", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "/", 
        RowBox[{"Lval", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "-", "1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Lval", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "/", 
        RowBox[{"Lval", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "-", "1"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Nu]", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "*", 
        RowBox[{"Log", "[", 
         RowBox[{"Lval", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}], "-", 
      RowBox[{"Log", "[", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
      RowBox[{"Log", "[", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
      RowBox[{"Log", "[", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"lnot", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Lval", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "*", 
      RowBox[{"Lval", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "*", 
      RowBox[{"Lval", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]s", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "3"}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "/", "lnot"}], "]"}], ")"}], 
             "-", 
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "/", "lnot"}], "]"}], 
              ")"}]}], ")"}], "^", "2"}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "/", "lnot"}], "]"}], ")"}], 
             "-", 
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "/", "lnot"}], "]"}], 
              ")"}]}], ")"}], "^", "2"}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "/", "lnot"}], "]"}], ")"}], 
             "-", 
             RowBox[{"(", 
              RowBox[{"Log", "[", 
               RowBox[{
                RowBox[{"Lval", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "/", "lnot"}], "]"}], 
              ")"}]}], ")"}], "^", "2"}], ")"}]}], ")"}], "^", ".5"}], 
      ")"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], ",", 
    RowBox[{
     RowBox[{"LPlunge", "=", "90"}], ";"}], ",", 
    RowBox[{
     RowBox[{"LPlunge", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"ArcTan", "[", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"LongAxis", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"LongAxis", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "^", "2"}], ")"}], "+", " ", 
             RowBox[{"\\\n", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"LongAxis", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "^", "2"}], ")"}]}]}], "]"}],
            ")"}]}], "]"}], ")"}], "*", 
       RowBox[{"180", "/", "Pi"}]}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"LongAxis", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{
     RowBox[{"Tl", "=", "90"}], ";"}], ",", 
    RowBox[{
     RowBox[{"Tl", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           RowBox[{"LongAxis", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "/", 
           RowBox[{"LongAxis", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ")"}], "*", 
        RowBox[{"180", "/", "Pi"}]}], "]"}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"LTrend", "=", 
     RowBox[{"180", "-", "Tl"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"LTrend", "=", "Tl"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"LTrend", "=", 
     RowBox[{"360", "-", "Tl"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"LTrend", "=", 
     RowBox[{"180", "+", "Tl"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"LTrend", "=", 
     RowBox[{"360", "-", "Tl"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"LTrend", "=", 
     RowBox[{"180", "+", "Tl"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"LTrend", "=", 
     RowBox[{"180", "-", "Tl"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"LTrend", "=", "Tl"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[LessEqual]", "0"}]}], ",", 
    RowBox[{"LTrend", "=", "90"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"LTrend", "=", "90"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ">", "0"}]}], ",", 
    RowBox[{"LTrend", "=", "270"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"LongAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"LTrend", "=", "270"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"LongAxis", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{"LongAxis", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], ",", 
     RowBox[{
      RowBox[{"LPlunge", "=", "90"}], ";", 
      RowBox[{"LTrend", "=", "\"\<NA\>\""}]}]}], "]"}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], ",", 
    RowBox[{
     RowBox[{"IPlunge", "=", "90"}], ";"}], ",", 
    RowBox[{
     RowBox[{"IPlunge", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"ArcTan", "[", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"IntermAxis", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"IntermAxis", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "^", "2"}], ")"}], "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"IntermAxis", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "^", "2"}], ")"}]}], "]"}], 
           ")"}]}], "]"}], ")"}], "*", 
       RowBox[{"180", "/", "Pi"}]}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"IntermAxis", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{"\[CapitalTau]i", "=", "90"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalTau]i", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           RowBox[{"IntermAxis", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "/", 
           RowBox[{"IntermAxis", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ")"}], "*", 
        RowBox[{"180", "/", "Pi"}]}], "]"}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"ITrend", "=", 
     RowBox[{"180", "-", "\[CapitalTau]i"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"ITrend", "=", "\[CapitalTau]i"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"ITrend", "=", 
     RowBox[{"360", "-", "\[CapitalTau]i"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"ITrend", "=", 
     RowBox[{"180", "+", "\[CapitalTau]i"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"ITrend", "=", 
     RowBox[{"360", "-", "\[CapitalTau]i"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"ITrend", "=", 
     RowBox[{"180", "+", "\[CapitalTau]i"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"ITrend", "=", 
     RowBox[{"180", "-", "\[CapitalTau]i"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"ITrend", "=", "\[CapitalTau]i"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[LessEqual]", "0"}]}], ",", 
    RowBox[{"ITrend", "=", "90"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"ITrend", "=", "90"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ">", "0"}]}], ",", 
    RowBox[{"ITrend", "=", "270"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"IntermAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"ITrend", "=", "270"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"IntermAxis", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{"IntermAxis", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], ",", 
     RowBox[{
      RowBox[{"IPlunge", "=", "90"}], ";", 
      RowBox[{"ITrend", "=", "\"\<NA\>\""}]}]}], "]"}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], ",", 
    RowBox[{
     RowBox[{"SPlunge", "=", "90"}], ";"}], ",", 
    RowBox[{
     RowBox[{"SPlunge", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"ArcTan", "[", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"ShortAxis", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ShortAxis", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "^", "2"}], ")"}], "+", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ShortAxis", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "^", "2"}], ")"}]}], "]"}], 
           ")"}]}], "]"}], ")"}], "*", 
       RowBox[{"180", "/", "Pi"}]}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ShortAxis", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{"\[CapitalTau]s", "=", "90"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalTau]s", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ArcTan", "[", 
          RowBox[{
           RowBox[{"ShortAxis", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "/", 
           RowBox[{"ShortAxis", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ")"}], "*", 
        RowBox[{"180", "/", "Pi"}]}], "]"}]}], ";"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"STrend", "=", 
     RowBox[{"180", "-", "\[CapitalTau]s"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"STrend", "=", "\[CapitalTau]s"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"STrend", "=", 
     RowBox[{"360", "-", "\[CapitalTau]s"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"STrend", "=", 
     RowBox[{"180", "+", "\[CapitalTau]s"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"STrend", "=", 
     RowBox[{"360", "-", "\[CapitalTau]s"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"STrend", "=", 
     RowBox[{"180", "+", "\[CapitalTau]s"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"STrend", "=", 
     RowBox[{"180", "-", "\[CapitalTau]s"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"STrend", "=", "\[CapitalTau]s"}]}], "]"}], ";", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[LessEqual]", "0"}]}], ",", 
    RowBox[{"STrend", "=", "90"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[GreaterEqual]", "0"}]}], ",", 
    RowBox[{"STrend", "=", "90"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ">", "0"}]}], ",", 
    RowBox[{"STrend", "=", "270"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ">", "0"}], "&&", 
     RowBox[{
      RowBox[{"ShortAxis", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "<", "0"}]}], ",", 
    RowBox[{"STrend", "=", "270"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"ShortAxis", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{"ShortAxis", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], ",", 
     RowBox[{
      RowBox[{"SPlunge", "=", "90"}], ";", 
      RowBox[{"STrend", "=", "\"\<NA\>\""}]}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"num", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"num", "\[LessEqual]", "numbplanes"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"r", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Le", "[", "num", "]"}], "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}], "*", "1.1"}]}], ";", 
      RowBox[{
       RowBox[{"EllipseGraph", "[", "num", "]"}], "=", 
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Le", "[", "num", "]"}], "\[LeftDoubleBracket]", "1", 
              "\[RightDoubleBracket]"}], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[CapitalPsi]", "[", "num", "]"}], "]"}], " ", 
             RowBox[{"Sin", "[", "t", "]"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"Le", "[", "num", "]"}], "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[CapitalPsi]", "[", "num", "]"}], "]"}], " ", 
             RowBox[{"Cos", "[", "t", "]"}]}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Le", "[", "num", "]"}], "\[LeftDoubleBracket]", "1", 
              "\[RightDoubleBracket]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[CapitalPsi]", "[", "num", "]"}], "]"}], " ", 
             RowBox[{"Sin", "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"Le", "[", "num", "]"}], "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[CapitalPsi]", "[", "num", "]"}], "]"}], " ", 
             RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Blue", ",", "Thick"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"300", ",", "300"}], "}"}]}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Dip:DipDir = \>\"", ",", 
             RowBox[{"N", "[", 
              RowBox[{"Dip", "[", "num", "]"}], "]"}], ",", "\"\<:\>\"", ",", 
             RowBox[{"N", "[", 
              RowBox[{"OriginalDipDir", "[", "num", "]"}], "]"}]}], "}"}], 
           "]"}]}]}], "]"}]}], ";", 
      RowBox[{"num", "=", 
       RowBox[{"num", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "\[LessEqual]", "numbplanes"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{"EllipseGraph", "[", "ct", "]"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Axial Ratio = \>\"", ",", 
        RowBox[{"N", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"Le", "[", "ct", "]"}], "\[LeftDoubleBracket]", "1", 
           "\[RightDoubleBracket]"}], 
          RowBox[{
           RowBox[{"Le", "[", "ct", "]"}], "\[LeftDoubleBracket]", "2", 
           "\[RightDoubleBracket]"}]], "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Angular Orientation(\[Phi]) = \>\"", ",", 
        RowBox[{"N", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], " ", "180"}], "\[Pi]"], 
         "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempPlaneSection", "=", 
   RowBox[{"PlaneSect", "[", "1", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "<", "numbplanes"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"TempPlaneSection", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"TempPlaneSection", ",", 
         RowBox[{"PlaneSect", "[", 
          RowBox[{"ct", "+", "1"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qt", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TempPlaneEllipse", "=", 
   RowBox[{"PlaneEllipse", "[", "1", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"qt", "<", "numbplanes"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"TempPlaneEllipse", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"TempPlaneEllipse", ",", 
         RowBox[{"PlaneEllipse", "[", 
          RowBox[{"qt", "+", "1"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"qt", "=", 
       RowBox[{"qt", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"numbplanes", "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
    RowBox[{"EllipsoidPlanes", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
      "TempPlaneSection", ",", "Vellipsoid", ",", "TempPlaneEllipse", ",", 
       RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<North \[UpArrow] \>\"", ",", "\"\<East \[Rule] \>\"", ",", 
          "\"\<Up \[UpArrow] \>\""}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
              "Lval", "\[LeftDoubleBracket]", "1", 
               "\[RightDoubleBracket]"}]}], " ", "1.1"}], ",", 
            RowBox[{
             RowBox[{
             "Lval", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             " ", "1.1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
              "Lval", "\[LeftDoubleBracket]", "1", 
               "\[RightDoubleBracket]"}]}], " ", "1.1"}], ",", 
            RowBox[{
             RowBox[{
             "Lval", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             " ", "1.1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
              "Lval", "\[LeftDoubleBracket]", "1", 
               "\[RightDoubleBracket]"}]}], " ", "1.1"}], ",", 
            RowBox[{
             RowBox[{
             "Lval", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             " ", "1.1"}]}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ViewPoint", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "0", ",", "3"}], "}"}]}], ",", 
       RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}]}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Kcount", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"Kcount", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"Kcount", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"kcont", "[", "ct", "]"}], "\[Element]", "Reals"}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Kcount", "=", "0"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ct", "=", 
      RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NumbKConts", "=", 
   RowBox[{"ct", "-", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"contour", "[", "d_", "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "*", 
         RowBox[{"kcont", "[", "d", "]"}]}], "+", "1"}], ",", 
       RowBox[{"\"\<k = \>\"", " ", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"kcont", "[", "d", "]"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"kcont", "[", "d", "]"}], "\[LessEqual]", "1"}], ",", 
         RowBox[{"(", 
          RowBox[{"plotmax", "*", "1.1"}], ")"}], ",", 
         RowBox[{"1", "+", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"plotmax", "*", "1.1"}], ")"}], "-", "1"}], ")"}], "/", 
            RowBox[{"kcont", "[", "d", "]"}]}], ")"}]}]}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".57", "]"}], ",", "Thin"}], "}"}]}]}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lnaught", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Lval", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "*", 
      RowBox[{"Lval", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "*", 
      RowBox[{"Lval", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"1", "/", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e1", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Lval", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "-", "lnaught"}], ")"}], "/", 
    "lnaught"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e2", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Lval", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "-", "lnaught"}], ")"}], "/", 
    "lnaught"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e3", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Lval", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "-", "lnaught"}], ")"}], "/", 
    "lnaught"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"khorzval", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "e2"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", "e3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kvertval", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "e1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", "e2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Lval", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "/", 
       RowBox[{"Lval", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ")"}], "\[Equal]", "1"}], ",", 
    RowBox[{"K", "=", "\"\<\[Infinity]\>\""}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kpt", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "FlinnPtSize", "]"}], ",", "Flinncolor", 
         ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"khorzval", ",", "kvertval"}], "}"}], "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\"\<k = \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"N", "[", "K", "]"}], "]"}]}], 
           RowBox[{"\"\<,  \[Epsilon]s = \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"N", "[", "\[Epsilon]s", "]"}], "]"}]}]}], "}"}], "]"}], 
        "]"}]}], "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MaxVal", "=", 
   RowBox[{"Max", "[", 
    RowBox[{"{", 
     RowBox[{"khorzval", ",", "kvertval"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plotmax", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Round", "[", "MaxVal", "]"}], ">", "MaxVal"}], ",", 
      RowBox[{"Round", "[", "MaxVal", "]"}], ",", 
      RowBox[{
       RowBox[{"Round", "[", "MaxVal", "]"}], "+", "1"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<plotmax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
    "range", " ", "of", " ", "the", " ", "Flinn", " ", 
    RowBox[{"plot", ".", "  ", "You"}], " ", "can", " ", "overwrite", " ", 
    "this", " ", "value", " ", "by", " ", "deleting", " ", "the", " ", 
    "comment", " ", "marks", " ", "from", " ", "the", " ", "next", " ", 
    RowBox[{"line", "."}]}], "  ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"plotmax", "=", "4"}], " ", "*)"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"tempEpiSMax", "=", 
   RowBox[{
    SqrtBox[
     FractionBox["2", "3"]], " ", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"Log", "[", 
         FractionBox["1", "plotmax"], "]"}], "2"], "-", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox["1", "plotmax"], "]"}], " ", 
        RowBox[{"Log", "[", "plotmax", "]"}]}], "+", 
       SuperscriptBox[
        RowBox[{"Log", "[", "plotmax", "]"}], "2"]}], ")"}]}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"\[Epsilon]scontmax", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"tempEpiSMax", ",", "Flinncontinterval"}], "]"}], 
      "\[GreaterEqual]", "tempEpiSMax"}], ",", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"tempEpiSMax", ",", "Flinncontinterval"}], "]"}], "-", 
      "Flinncontinterval"}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"tempEpiSMax", ",", "Flinncontinterval"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"numb\[Epsilon]scontours", "=", 
    RowBox[{"\[Epsilon]scontmax", "/", "Flinncontinterval"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"ct", "\[LessEqual]", "numb\[Epsilon]scontours"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Epsilon]scont", "[", "ct", "]"}], "=", 
      RowBox[{"ct", "*", 
       RowBox[{"(", 
        RowBox[{"\[Epsilon]scontmax", "/", "numb\[Epsilon]scontours"}], 
        ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ct", "=", 
      RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Epsilon]splot", "[", "d_", "]"}], ":=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Tooltip", "[", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["1", "b"], "]"}], "+", 
            RowBox[{
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"\[Epsilon]scont", "[", "d", "]"}], "2"]}], "-", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 FractionBox["1", "b"], "]"}], "2"]}]]}]}], ")"}]}]], ",", 
        RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
         RowBox[{"ToString", "[", 
          RowBox[{"N", "[", 
           RowBox[{"\[Epsilon]scont", "[", "d", "]"}], "]"}], "]"}]}]}], 
       "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "1", ",", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          SqrtBox[
           FractionBox["3", "2"]], "  ", 
          RowBox[{"\[Epsilon]scont", "[", "d", "]"}]}]]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"GrayLevel", "[", ".5", "]"}], ",", 
         RowBox[{"Thickness", "[", ".001", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{".015", ",", ".01"}], "}"}], "]"}]}], "}"}]}]}], "]"}]}], 
   ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{"FlinnDiagram", "=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"contour", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1", ",", "NumbKConts"}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]splot", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1", ",", "numb\[Epsilon]scontours"}], "}"}]}], 
     "]"}], ",", "kpt", ",", 
    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "plotmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "plotmax"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<Flinn Diagram\>\"", ",", "32", ",", "Blue", ",", "Bold"}], 
      "]"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) contour interval: \>\"", 
   ",", 
   RowBox[{"N", "[", "Flinncontinterval", "]"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Flinn's k-value contours: \>\"", ",", 
    RowBox[{"TableForm", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"N", "[", 
         RowBox[{"kcont", "[", "x", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "NumbKConts"}], "}"}]}], "]"}], ",", 
      RowBox[{"TableDirections", "\[Rule]", "Row"}]}], "]"}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EsMax", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Round", "[", 
        RowBox[{"\[Epsilon]s", ",", "continterval"}], "]"}], "<", 
       "\[Epsilon]s"}], ",", 
      RowBox[{
       RowBox[{"Round", "[", 
        RowBox[{"\[Epsilon]s", ",", "continterval"}], "]"}], "+", 
       "continterval"}], ",", 
      RowBox[{"Round", "[", 
       RowBox[{"\[Epsilon]s", ",", "continterval"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<EsMax\>\"", " ", "determines", " ", "the", " ", "maximum", " ", 
    "Octehedral", " ", "Shear", " ", "Strain", " ", "for", " ", "the", " ", 
    "Hsu", " ", 
    RowBox[{"plot", ".", "  ", "You"}], " ", "can", " ", "overwrite", " ", 
    "this", " ", "value", " ", "by", " ", "deleting", " ", "the", " ", 
    "comment", " ", "marks", " ", "from", " ", "the", " ", "next", " ", 
    RowBox[{"line", "."}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"EsMax", "=", "1.25"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"contnumb", "=", 
   RowBox[{"EsMax", "/", "continterval"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Esprime", "=", 
   RowBox[{"\[Epsilon]s", "/", "EsMax"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Hsu\[Theta]", "=", 
   RowBox[{"90", "-", 
    RowBox[{"30", "*", "\[Nu]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xHsupt", "=", 
   RowBox[{"Esprime", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"Hsu\[Theta]", "*", 
      RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yHsupt", "=", 
   RowBox[{"Esprime", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"Hsu\[Theta]", "*", 
      RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Stuff", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "PtSize", "]"}], ",", "color", ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"xHsupt", ",", "yHsupt"}], "}"}], "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\"\< \[Nu] = \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"N", "[", "\[Nu]", "]"}], "]"}]}], ",", 
           RowBox[{"\"\<, \[Epsilon]s = \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"N", "[", "\[Epsilon]s", "]"}], "]"}]}]}], "}"}], "]"}], 
        "]"}]}], "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"jazz", "=", "1"}], ";"}], "\n", 
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{"jazz", "\[LessEqual]", "contnumb"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Arc", "[", "jazz", "]"}], "=", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"Tooltip", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jazz", "/", "contnumb"}], ")"}], 
            RowBox[{"Cos", "[", 
             RowBox[{"t", "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jazz", "/", "contnumb"}], ")"}], 
            RowBox[{"Sin", "[", 
             RowBox[{"t", "*", 
              RowBox[{"Pi", "/", "180"}]}], "]"}]}]}], "}"}], ",", 
         RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"N", "[", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"EsMax", "/", "contnumb"}], ")"}], "*", "jazz"}], 
             ")"}], "]"}], "]"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "60", ",", "120"}], "}"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"jazz", "=", 
     RowBox[{"jazz", "+", "1"}]}], ";"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Arcs", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Arc", "[", "jazz", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"jazz", ",", "contnumb"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"FinalArc", "=", 
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"t", "*", 
           RowBox[{"Pi", "/", "180"}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"t", "*", 
           RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"\"\<\[Epsilon]s = \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"(", 
           RowBox[{"(", "EsMax", ")"}], ")"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "60", ",", "120"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
     RowBox[{"Axes", "\[Rule]", "None"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Radii1", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"60", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 1.0\>\""}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"60", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"Radii2", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"67.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.75\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"67.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii3", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"75", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.5\>\""}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"75", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii4", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"82.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = 0.25\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"82.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii5", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"97.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
      "\"\<\[Nu] = -0.25\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"97.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii6", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"105", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = -0.5\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"105", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii7", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"112.5", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", 
      "\"\<\[Nu] = -0.75\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"112.5", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "\n", 
 RowBox[{"Radii8", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"Tan", "[", 
        RowBox[{"120", "*", 
         RowBox[{"Pi", "/", "180"}]}], "]"}]}], ",", "\"\<\[Nu] = -1.0\>\""}],
      "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"120", "*", 
        RowBox[{"Pi", "/", "180"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"vert", ":=", 
  RowBox[{"Show", "[", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", 
      RowBox[{"Tooltip", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
        "\"\<\[Nu] = 0\>\""}], "]"}]}], "}"}], "]"}], "]"}]}], "\n", 
 RowBox[{"HsuPlot", ":=", 
  RowBox[{"Show", "[", 
   RowBox[{
   "Arcs", ",", "FinalArc", ",", "Radii1", ",", "Radii2", ",", "Radii3", ",", 
    "Radii4", ",", "Radii5", ",", "Radii6", ",", "Radii7", ",", "Radii8", ",",
     "vert"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"FullHsu", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"HsuPlot", ",", "Stuff", ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\) \[Rule]\>\"", " ", 
          ",", 
          RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.3", ",", "0.4"}], "}"}], ",", "Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}], ",", 
          RowBox[{"Cos", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], "]"}],
     ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<\[LeftArrow] \!\(\*SubscriptBox[\(\[Epsilon]\), \(s\)]\)\>\"", 
          " ", ",", 
          RowBox[{"FontSize", "\[Rule]", "30"}], ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.3"}], ",", "0.4"}], "}"}], ",", "Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}], ",", 
          RowBox[{"-", 
           RowBox[{"Cos", "[", 
            RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}], 
     "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\[Nu] = -1\>\"", " ", ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".51"}], ",", "0.91"}], "}"}], ",", "Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}], ",", 
          RowBox[{"Sin", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}]}], "}"}]}], "]"}], "}"}], "]"}],
     ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\[Nu] = 0\>\"", " ", ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.0", ",", "1.04"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\[Nu] = 1\>\"", " ", ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{".525", ",", "0.9"}], "}"}], ",", "Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"30", "\[Degree]"}], "]"}], ",", 
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            RowBox[{"30", "\[Degree]"}], "]"}]}]}], "}"}]}], "]"}], "}"}], 
     "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Hsu Diagram\>\"", ",", 
          RowBox[{"FontSize", "\[Rule]", "24"}], ",", "Blue", ",", "Bold"}], 
         "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1.125"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
    "Stuff", ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
    RowBox[{"PlotRange", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", ".6"}], ",", ".6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1.15"}], "}"}]}], "}"}]}]}], "]"}]}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Plot Range for strain is 0 to \>\"", ",", 
   RowBox[{"N", "[", "EsMax", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Strain contour interval is \>\"", ",", 
   RowBox[{"N", "[", "continterval", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", "\"\<Plot Range for Lode's Ratio is -1 to 1\>\"", 
  "]"}], "\n", 
 RowBox[{"Print", "[", "\"\<Lode's Ratio contour interal is 0.25\>\"", 
  "]"}], "\n", 
 RowBox[{
  RowBox[{"FitSizePercent", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sphericalFromTrendPlungeDeg", "[", 
    RowBox[{"{", 
     RowBox[{"trendDeg_", ",", " ", "plungeDeg_"}], "}"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"1.0", ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"plungeDeg", "+", "90.0"}], ")"}], " ", "Degree"}], ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"90.0", "-", "trendDeg"}], ")"}], " ", "Degree"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cartesianFromSpherical", "[", 
    RowBox[{"{", 
     RowBox[{"rho_", ",", " ", "phi_", ",", " ", "theta_"}], "}"}], "]"}], 
   " ", ":=", " ", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"rho", " ", "*", " ", 
      RowBox[{"Sin", "[", "phi", "]"}], " ", "*", " ", 
      RowBox[{"Cos", "[", "theta", "]"}]}], ",", " ", 
     RowBox[{"rho", " ", "*", " ", 
      RowBox[{"Sin", "[", "phi", "]"}], " ", "*", " ", 
      RowBox[{"Sin", "[", "theta", "]"}]}], ",", " ", 
     RowBox[{"rho", " ", "*", " ", 
      RowBox[{"Cos", "[", "phi", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cartesianFromTrendPlungeDeg", "[", "x_", "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"cartesianFromSpherical", "[", 
    RowBox[{"sphericalFromTrendPlungeDeg", "[", "x", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerHemisphere", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "}"}], "]"}], " ", ":=", 
   " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], " ", "/", " ", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"z", " ", "<=", " ", "0"}], ",", " ", 
      RowBox[{"Norm", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], "]"}], ",", " ", 
      RowBox[{"-", 
       RowBox[{"Norm", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "}"}], "]"}]}]}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"equalAreaProjection", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "}"}], "]"}], " ", ":=", 
   " ", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "scaling", "}"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "2"}], " ", "+", " ", 
         RowBox[{"y", "^", "2"}]}], " ", "\[Equal]", " ", "0"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", " ", "0"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"scaling", " ", "=", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{"1", " ", "+", " ", "z"}], ")"}]}], ")"}], " ", "/", 
           " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x", "^", "2"}], " ", "+", " ", 
             RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"scaling", " ", "*", " ", "x"}], ",", " ", 
          RowBox[{"scaling", " ", "*", " ", "y"}]}], "}"}]}]}], "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fringePrimitive", "[", 
    RowBox[{"plotRadius_", ",", " ", "padding_"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"Thick", ",", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.", ",", "0."}], "}"}], ",", "plotRadius"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"plotRadius", " ", "*", " ", 
             RowBox[{"Cos", "[", "angle", "]"}]}], ",", " ", 
            RowBox[{"plotRadius", " ", "*", 
             RowBox[{"Sin", "[", "angle", "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"plotRadius", " ", "+", " ", "padding"}], ")"}], " ", 
             "*", " ", 
             RowBox[{"Cos", "[", "angle", "]"}]}], ",", " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"plotRadius", " ", "+", " ", "padding"}], ")"}], " ", 
             "*", " ", 
             RowBox[{"Sin", "[", "angle", "]"}]}]}], "}"}]}], "}"}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"angle", ",", " ", "0", ",", " ", 
         RowBox[{"2", " ", "Pi"}], ",", " ", 
         RowBox[{"Pi", " ", "/", " ", "2"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<000\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"plotRadius", " ", "+", " ", 
          RowBox[{"2", " ", "*", " ", 
           RowBox[{"(", 
            RowBox[{"padding", "*", "1.4"}], ")"}]}]}]}], "}"}]}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<090\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"plotRadius", " ", "+", " ", 
          RowBox[{"2", " ", "*", " ", 
           RowBox[{"(", 
            RowBox[{"padding", "*", "1.7"}], ")"}]}]}], ",", "0"}], "}"}]}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<180\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"plotRadius", " ", "+", " ", 
            RowBox[{"2", " ", "*", " ", 
             RowBox[{"(", 
              RowBox[{"padding", "*", "1.4"}], ")"}]}]}], ")"}]}]}], "}"}]}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<270\>\"", ",", "Large", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"plotRadius", " ", "+", " ", 
            RowBox[{"2", " ", "*", " ", 
             RowBox[{"(", 
              RowBox[{"padding", "*", "1.7"}], ")"}]}]}], ")"}]}], ",", "0"}],
         "}"}]}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"equalAreaPlot", "[", 
    RowBox[{"diskList_", ",", "pointRadius_", ",", "coloring_"}], "]"}], " ", 
   ":=", " ", "\[IndentingNewLine]", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"fringePrimitive", "[", 
        RowBox[{
         RowBox[{"Sqrt", "[", "2", "]"}], ",", " ", "0.1"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{"vector", ",", 
           RowBox[{"{", 
            RowBox[{"coloring", ",", 
             RowBox[{"Disk", "[", 
              RowBox[{
               RowBox[{"equalAreaProjection", "[", 
                RowBox[{"lowerHemisphere", "[", "vector", "]"}], "]"}], ",", 
               " ", "pointRadius"}], "]"}]}], "}"}]}], "]"}], ",", " ", 
         "diskList"}], "]"}]}], "]"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"curvePrimitive", "[", "pointList_", "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"pointList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
        RowBox[{"pointList", "[", 
         RowBox[{"[", 
          RowBox[{"i", " ", "+", " ", "1"}], "]"}], "]"}]}], "}"}], "]"}], 
     ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", 
       RowBox[{
        RowBox[{"Length", "[", "pointList", "]"}], " ", "-", " ", "1"}]}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerHemisphereGrid", "[", 
    RowBox[{"gridSkip_", ",", " ", "sampleSkip_"}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "curves", ",", " ", "curve", ",", " ", "phi", ",", " ", "theta"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"curves", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"phi", " ", "=", " ", "gridSkip"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"phi", " ", "<", " ", "Pi"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"curve", " ", "=", " ", 
          RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"theta", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"theta", " ", "\[LessEqual]", " ", "Pi"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"curve", " ", "=", " ", 
             RowBox[{"Append", "[", 
              RowBox[{"curve", ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "phi", "]"}], " ", 
                  RowBox[{"Cos", "[", "theta", "]"}]}], ",", " ", 
                 RowBox[{"Cos", "[", "phi", "]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"Sin", "[", "phi", "]"}]}], " ", 
                  RowBox[{"Sin", "[", "theta", "]"}]}]}], "}"}]}], "]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"theta", " ", "=", " ", 
             RowBox[{"theta", " ", "+", " ", "sampleSkip"}]}]}]}], "]"}], ";",
          "\[IndentingNewLine]", 
         RowBox[{"curves", " ", "=", " ", 
          RowBox[{"Append", "[", 
           RowBox[{"curves", ",", " ", "curve"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"phi", " ", "=", " ", 
          RowBox[{"phi", " ", "+", " ", "gridSkip"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"theta", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"theta", " ", "\[LessEqual]", " ", "Pi"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"curve", " ", "=", " ", 
          RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"phi", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"phi", " ", "\[LessEqual]", " ", "Pi"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"curve", " ", "=", " ", 
             RowBox[{"Append", "[", 
              RowBox[{"curve", ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "phi", "]"}], " ", 
                  RowBox[{"Cos", "[", "theta", "]"}]}], ",", " ", 
                 RowBox[{"Cos", "[", "phi", "]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"Sin", "[", "phi", "]"}]}], " ", 
                  RowBox[{"Sin", "[", "theta", "]"}]}]}], "}"}]}], "]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"phi", " ", "=", " ", 
             RowBox[{"phi", " ", "+", " ", "sampleSkip"}]}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"curves", " ", "=", " ", 
          RowBox[{"Append", "[", 
           RowBox[{"curves", ",", " ", "curve"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"theta", " ", "=", " ", 
          RowBox[{"theta", " ", "+", " ", "gridSkip"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", "curves"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"schmidtNet", "[", 
     RowBox[{"gridSkip_", ",", " ", "sampleSkip_"}], "]"}], " ", ":=", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GrayLevel", "[", ".7", "]"}], ",", "Thin", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{"curve", ",", " ", 
            RowBox[{"curvePrimitive", "[", 
             RowBox[{"Map", "[", 
              RowBox[{"equalAreaProjection", ",", "curve"}], "]"}], "]"}]}], 
           "]"}], ",", " ", 
          RowBox[{"lowerHemisphereGrid", "[", 
           RowBox[{"gridSkip", ",", " ", "sampleSkip"}], "]"}]}], "]"}]}], 
       "}"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"LegendPosition", "::", "\"\<shdw\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"ShowLegend", "::", "\"\<shdw\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"Legend", "::", "\"\<shdw\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"IntermPtLabel", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"PointSize", "[", ".025", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"equalAreaProjection", "[", 
           RowBox[{"lowerHemisphere", "[", 
            RowBox[{"IntermAxis", ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "]"}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<(\>\"", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"N", "[", "ITrend", "]"}], "]"}], "<>", 
           RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"N", "[", "IPlunge", "]"}], "]"}], "<>", 
           RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}], 
        "]"}]}], "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"LongPtLabel", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"PointSize", "[", ".025", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"equalAreaProjection", "[", 
           RowBox[{"lowerHemisphere", "[", 
            RowBox[{"LongAxis", ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "]"}], 
           "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<(\>\"", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"N", "[", "LTrend", "]"}], "]"}], "<>", 
           RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"N", "[", "LPlunge", "]"}], "]"}], "<>", 
           RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}], 
        "]"}]}], "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ShortPtLabel", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Tooltip", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"CMYKColor", "[", 
           RowBox[{".95", ",", ".3", ",", "1", ",", ".2"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".025", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"equalAreaProjection", "[", 
            RowBox[{"lowerHemisphere", "[", 
             RowBox[{"ShortAxis", ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "]"}], 
            "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"DisplayForm", "[", 
         RowBox[{"RowBox", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<(\>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"N", "[", "STrend", "]"}], "]"}], "<>", 
            RowBox[{"ToString", "[", "\"\<,\>\"", "]"}], "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"N", "[", "SPlunge", "]"}], "]"}], "<>", 
            RowBox[{"ToString", "[", "\"\<)\>\"", "]"}]}], "}"}], "]"}], 
         "]"}]}], "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"sumptsize", "=", "0.015"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SumShortFit", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"equalAreaPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cartesianFromTrendPlungeDeg", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"STrend", "\[Equal]", "\"\<NA\>\""}], ",", "000", ",", 
            "STrend"}], "]"}], ",", "SPlunge"}], "}"}], "]"}], "}"}], ",", 
      " ", 
      RowBox[{"FitSizePercent", "*", "sumptsize"}], ",", 
      RowBox[{"CMYKColor", "[", 
       RowBox[{".95", ",", ".3", ",", "1", ",", ".2"}], "]"}]}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SumIntermFit", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"equalAreaPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cartesianFromTrendPlungeDeg", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"ITrend", "\[Equal]", "\"\<NA\>\""}], ",", "000", ",", 
            "ITrend"}], "]"}], ",", "IPlunge"}], "}"}], "]"}], "}"}], ",", 
      " ", 
      RowBox[{"FitSizePercent", "*", "sumptsize"}], ",", "Blue"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SumLongFit", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"equalAreaPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cartesianFromTrendPlungeDeg", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"LTrend", "\[Equal]", "\"\<NA\>\""}], ",", "000", ",", 
            "LTrend"}], "]"}], ",", "LPlunge"}], "}"}], "]"}], "}"}], ",", 
      " ", 
      RowBox[{"FitSizePercent", "*", "sumptsize"}], ",", "Red"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AxesPlot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"schmidtNet", "[", 
      RowBox[{
       RowBox[{"10", " ", "Degree"}], ",", " ", 
       RowBox[{"5", " ", "Degree"}]}], "]"}], ",", "SumLongFit", ",", 
     "SumShortFit", ",", "SumIntermFit", ",", "LongPtLabel", ",", 
     "IntermPtLabel", ",", "ShortPtLabel", ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<Pricipal Axes Orientations\>\"", ",", "24", ",", "Blue", ",", 
        "Bold"}], "]"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PrinAxesPlot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"ShowLegend", "[", 
      RowBox[{"AxesPlot", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{"Red", ",", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", ".1"}], "]"}]}], 
               "}"}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Long Axis\>\"", ",", 
                RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", ".1"}], "]"}]}], 
               "}"}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Intermediate Axis\>\"", ",", 
                RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"CMYKColor", "[", 
                 RowBox[{".95", ",", ".3", ",", "1", ",", ".2"}], "]"}], ",", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", ".1"}], "]"}]}], 
               "}"}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Short Axis\>\"", ",", 
                RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}], "]"}]}], 
            "}"}]}], "}"}], ",", 
         RowBox[{"LegendPosition", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0.85", ",", 
            RowBox[{"-", "0.95"}]}], "}"}]}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "850"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"ElleWOplanes", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Vellipsoid", ",", 
     RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[UpArrow] North \>\"", ",", "\"\<East \[Rule] \>\"", ",", 
        "\"\<Up \[UpArrow] \>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Lval", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
          RowBox[{
           RowBox[{"Lval", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Lval", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
          RowBox[{
           RowBox[{"Lval", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Lval", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "*", "1.1"}], ",", 
          RowBox[{
           RowBox[{"Lval", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "*", "1.1"}]}], "}"}]}], "}"}]}], 
     ",", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0", ",", "3"}], "}"}]}], ",", 
     RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<K = \>\"", ",", 
   RowBox[{"N", "[", "K", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Lode's Ratio, \[Nu] = \>\"", ",", 
   RowBox[{"N", "[", "\[Nu]", "]"}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Octahedral Shear Strain, \[Epsilon]s = \>\"", ",", 
   RowBox[{"N", "[", "\[Epsilon]s", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Aspect Ratios = \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"Lval", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "/", 
     RowBox[{"Lval", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", "\"\< : 1.0 : \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"Lval", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "/", 
     RowBox[{"Lval", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<The Trend:Plunge of the Long Axis = \>\"", ",", 
   RowBox[{"N", "[", "LTrend", "]"}], ",", "\"\<\[Degree]:\>\"", ",", 
   RowBox[{"N", "[", "LPlunge", "]"}], ",", "\"\<\[Degree]\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<The Trend:Plunge of the Intermediate Axis = \>\"", ",", 
   RowBox[{"N", "[", "ITrend", "]"}], ",", "\"\<\[Degree]:\>\"", ",", 
   RowBox[{"N", "[", "IPlunge", "]"}], ",", "\"\<\[Degree]\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<The Trend:Plunge of the Short Axis = \>\"", ",", 
    RowBox[{"N", "[", "STrend", "]"}], ",", "\"\<\[Degree]:\>\"", ",", 
    RowBox[{"N", "[", "SPlunge", "]"}], ",", "\"\<\[Degree]\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"numbplanes", "\[GreaterEqual]", "1"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DataList", "=", 
      RowBox[{"Array", "[", 
       RowBox[{"rand", ",", "numbplanes"}], "]"}]}], ";", "\n", 
     RowBox[{
      RowBox[{"DataList", "[", 
       RowBox[{"[", "0", "]"}], "]"}], "=", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Dip of Plane\>\"", ",", "\"\<Dip Direction of Plane\>\"", ",", 
        "\"\<Axial Ratio (Rf)\>\"", ",", 
        "\"\<Orientation Angle (\[Phi])\>\""}], "}"}]}], ";", "\n", 
     RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"ct", "\[LessEqual]", "numbplanes"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"DataList", "[", 
          RowBox[{"[", "ct", "]"}], "]"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dip", "[", "ct", "]"}], ",", 
           RowBox[{"DipDir", "[", "ct", "]"}], ",", 
           RowBox[{"N", "[", 
            RowBox[{"\[CapitalPi]", "[", "ct", "]"}], "]"}], ",", 
           RowBox[{"N", "[", 
            RowBox[{
             RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "*", 
             RowBox[{"180", "/", "Pi"}]}], "]"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ct", "=", 
         RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"FullTab", "=", 
      RowBox[{"Panel", "[", 
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"DataList", "[", 
            RowBox[{"[", "x", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0", ",", "numbplanes"}], "}"}]}], "]"}], ",", 
         RowBox[{"Frame", "\[Rule]", "All"}], ",", 
         RowBox[{"Background", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"GrayLevel", "[", ".9", "]"}], ",", "None"}], "}"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"LightBlue", ",", "LightYellow"}], "}"}], "}"}]}], 
           "}"}]}]}], "]"}], "]"}]}]}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4867395479778905`*^9, 3.486739731735401*^9}, {
   3.486739810365898*^9, 3.4867398193014092`*^9}, {3.4867398557634945`*^9, 
   3.4867399288806767`*^9}, {3.486740057246019*^9, 3.4867400573950276`*^9}, {
   3.4867405601177816`*^9, 3.486740596857883*^9}, 3.4867440491114745`*^9, 
   3.4867440867356267`*^9, {3.486744157795691*^9, 3.486744181188029*^9}, {
   3.48674426005554*^9, 3.4867442751534033`*^9}, {3.4867445762346244`*^9, 
   3.486744627529558*^9}, {3.4867447000217047`*^9, 3.4867447258031793`*^9}, {
   3.486744896238928*^9, 3.4867448963729353`*^9}, {3.4867450242082467`*^9, 
   3.486745034329826*^9}, {3.4867468677943716`*^9, 3.486746878885991*^9}, {
   3.486746980473369*^9, 3.4867469958237963`*^9}, {3.4867471869241323`*^9, 
   3.4867473430960064`*^9}, {3.4867473739528604`*^9, 
   3.4867474092089224`*^9}, {3.4867474803294473`*^9, 
   3.4867475383927493`*^9}, {3.4867475913704424`*^9, 3.486747596440451*^9}, {
   3.4867477468403153`*^9, 3.4867477832039795`*^9}, 3.486747832983667*^9, {
   3.486747884229757*^9, 3.4867479135110083`*^9}, {3.486747980169925*^9, 
   3.4867479836175313`*^9}, {3.4867534932942686`*^9, 3.486753507540083*^9}, {
   3.486753609746929*^9, 3.4867536988100233`*^9}, {3.4867606790982957`*^9, 
   3.486760680907899*^9}, {3.4867607356327953`*^9, 3.486760746428014*^9}, {
   3.4867607855528827`*^9, 3.486760833632167*^9}, {3.486760909713501*^9, 
   3.486760917981515*^9}, {3.4867609488383694`*^9, 3.4867610041248665`*^9}, {
   3.4867610686465797`*^9, 3.486761141498708*^9}, {3.4867611992344093`*^9, 
   3.4867612302940636`*^9}, {3.4867613037233925`*^9, 
   3.4867614185239944`*^9}, {3.486761487632116*^9, 3.486761487788116*^9}, {
   3.486761548238222*^9, 3.4867616014031153`*^9}, {3.4867684015826716`*^9, 
   3.486768425856314*^9}, {3.4867684986304417`*^9, 3.4867685997810197`*^9}, {
   3.486819337080158*^9, 3.486819340230338*^9}, 3.486820586572625*^9, {
   3.4868227635581417`*^9, 3.486822765243238*^9}, {3.486822804069459*^9, 
   3.486822810823845*^9}, {3.486822896896768*^9, 3.4868229219512014`*^9}, 
   3.486823348059573*^9, {3.4868318788184333`*^9, 3.48683189398166*^9}, {
   3.486831955929369*^9, 3.4868319658353863`*^9}, 3.4868320031038513`*^9, {
   3.4868320382663136`*^9, 3.486832062181155*^9}, {3.486832162816932*^9, 
   3.486832211286217*^9}, 3.4868322614247055`*^9, 3.4868323391908417`*^9, {
   3.486832421262586*^9, 3.486832427424597*^9}, {3.486832481977893*^9, 
   3.4868324901367073`*^9}, 3.486832525283569*^9, 3.486832917265457*^9, 
   3.486832951086317*^9, 3.486832993487191*^9, {3.486833054015298*^9, 
   3.4868331562890773`*^9}, {3.4868331886123343`*^9, 
   3.4868331924499407`*^9}, {3.486833255957652*^9, 3.486833289248111*^9}, {
   3.486833321415367*^9, 3.48683332331857*^9}, {3.486833390289488*^9, 
   3.486833400991107*^9}, {3.4868334480095897`*^9, 3.486833476027239*^9}, {
   3.486833531906537*^9, 3.4868335350733423`*^9}, {3.486833628096306*^9, 
   3.486833638485924*^9}, {3.4868337157996597`*^9, 3.4868337346132927`*^9}, {
   3.486833788589388*^9, 3.486833798963406*^9}, {3.4868338468242903`*^9, 
   3.4868338506618967`*^9}, {3.4868339321408396`*^9, 3.486833955478481*^9}, {
   3.486837060710735*^9, 3.4868370922071905`*^9}, {3.486837495873499*^9, 
   3.486837556666806*^9}, {3.4868376054324913`*^9, 3.4868376066180935`*^9}, {
   3.4868384809528294`*^9, 3.4868384942284527`*^9}, 3.486843044057489*^9, 
   3.4868443791314187`*^9, {3.4869866048442397`*^9, 3.486986606282322*^9}, {
   3.486986740252984*^9, 3.4869867437871866`*^9}, {3.4869870248122606`*^9, 
   3.4869870277854304`*^9}, 3.4869871014446435`*^9, 3.4869871416949453`*^9, 
   3.4869871787540655`*^9, {3.486987269287244*^9, 3.4869872982429*^9}, {
   3.4869873468986826`*^9, 3.4869873606774707`*^9}, {3.4869874187007895`*^9, 
   3.4869874549098606`*^9}, {3.4869893355015087`*^9, 
   3.4869893490111322`*^9}, {3.486989442704897*^9, 3.4869894887873774`*^9}, {
   3.4869895326546545`*^9, 3.486989538489065*^9}, {3.4869896417768464`*^9, 
   3.486989645318053*^9}, {3.4869907847313004`*^9, 3.4869907856049023`*^9}, {
   3.486990867224245*^9, 3.4869909272375507`*^9}, 3.4869909858000536`*^9, 
   3.486991047068923*^9, {3.486992216400177*^9, 3.4869922223593874`*^9}, {
   3.4869922911399083`*^9, 3.4869922923255105`*^9}, {3.4869923359743867`*^9, 
   3.4869924220085382`*^9}, 3.4870069823574185`*^9, {3.48700712731771*^9, 
   3.4870071811427884`*^9}, {3.4870074011753736`*^9, 
   3.4870074023404403`*^9}, {3.4870103043124237`*^9, 
   3.4870103195052924`*^9}, {3.4870691621081533`*^9, 
   3.4870691655553503`*^9}, {3.48707995289235*^9, 3.487079953157366*^9}, {
   3.4870800098206067`*^9, 3.4870800101196237`*^9}, {3.4870802766648693`*^9, 
   3.4870803105898094`*^9}, {3.487080375074498*^9, 3.487080452670936*^9}, {
   3.487080753423138*^9, 3.4870807628186755`*^9}, {3.4870911209691277`*^9, 
   3.4870911210971355`*^9}, 3.4870916402058268`*^9, {3.487091718746319*^9, 
   3.4870917971368027`*^9}, 3.487091878697468*^9, 3.487092333437477*^9, 
   3.4870925838908024`*^9, {3.4871558333982487`*^9, 3.4871558637169833`*^9}, {
   3.4871559595004616`*^9, 3.4871559598374805`*^9}, {3.487156013373543*^9, 
   3.487156029968492*^9}, {3.4871561390997343`*^9, 3.4871561411308503`*^9}, 
   3.487156319891075*^9, 3.4871567270023603`*^9, {3.487157367815013*^9, 
   3.4871573822228365`*^9}, {3.4871574672927027`*^9, 
   3.4871575276701555`*^9}, {3.487157572699731*^9, 3.487157586852541*^9}, {
   3.4871577196151342`*^9, 3.487157743890523*^9}, {3.487157786601966*^9, 
   3.4871577949514437`*^9}, {3.487157828409357*^9, 3.4871578851206007`*^9}, {
   3.4871579294771376`*^9, 3.487157935698494*^9}, {3.4871581354639196`*^9, 
   3.4871581875839005`*^9}, {3.4871588713970127`*^9, 3.48715887572126*^9}, {
   3.487158910742263*^9, 3.487158914433474*^9}, 3.487245966267846*^9, {
   3.487252918101468*^9, 3.4872529223187094`*^9}, {3.4872546517516274`*^9, 
   3.487254651922637*^9}, 3.487257141039006*^9, {3.487257287651392*^9, 
   3.487257291993641*^9}, {3.487257514709379*^9, 3.4872575193686457`*^9}, {
   3.4872577703500013`*^9, 3.4872577742812257`*^9}, {3.487259854353199*^9, 
   3.48725985820642*^9}, {3.4872599435162992`*^9, 3.4872599512897434`*^9}, {
   3.4872599813974657`*^9, 3.4872599907390003`*^9}, {3.4872600897576637`*^9, 
   3.487260093398872*^9}, {3.487260123910617*^9, 3.487260128594885*^9}, {
   3.4872601915554857`*^9, 3.487260195340702*^9}, {3.4874129150109267`*^9, 
   3.4874129160519867`*^9}, {3.487499617864571*^9, 3.4874996275711265`*^9}, {
   3.4875049060930405`*^9, 3.487504906747078*^9}, {3.4875065157091055`*^9, 
   3.4875065168891726`*^9}, {3.48750669429532*^9, 3.4875068121830626`*^9}, {
   3.487509165638673*^9, 3.487509168124815*^9}, 3.4875858461031475`*^9, {
   3.4876839371998796`*^9, 3.4876839518837194`*^9}, {3.487698264861375*^9, 
   3.487698270353689*^9}, {3.4877623665785136`*^9, 3.4877624574067087`*^9}, {
   3.4877625135249186`*^9, 3.4877625414315147`*^9}, {3.487762600126872*^9, 
   3.4877626668026857`*^9}, {3.487762806374668*^9, 3.487762874271552*^9}, 
   3.487800378511285*^9, {3.487800435021517*^9, 3.487800435177526*^9}, 
   3.4878008681922927`*^9, {3.4878012569145265`*^9, 3.487801257722573*^9}, {
   3.4878508266202636`*^9, 3.4878508637373867`*^9}, {3.48785089509918*^9, 
   3.4878509311032395`*^9}, 3.487850970369486*^9, {3.4878510610056696`*^9, 
   3.4878510769765835`*^9}, {3.4878511383130913`*^9, 3.4878511385531054`*^9}, 
   3.4878512055399365`*^9, 3.4878512497504654`*^9, 3.48785131889142*^9, {
   3.4878526814213524`*^9, 3.487852681520358*^9}, {3.4878527912076316`*^9, 
   3.4878527919466743`*^9}, 3.487854282449926*^9, 3.4878543878339534`*^9, 
   3.4878545756786976`*^9, 3.487854612550806*^9, {3.4878548411708827`*^9, 
   3.48785497487253*^9}, {3.4878952877756824`*^9, 3.4878953077978277`*^9}, {
   3.4878965374781613`*^9, 3.4878965385012197`*^9}, {3.487896581528681*^9, 
   3.4878965826237435`*^9}, {3.4879546717787304`*^9, 
   3.4879547544954615`*^9}, {3.487954815765966*^9, 3.4879548353130836`*^9}, {
   3.487975277628357*^9, 3.4879753198420305`*^9}, {3.48797542194421*^9, 
   3.4879755750896792`*^9}, {3.4879757127131205`*^9, 3.4879757162543273`*^9}, 
   3.4879772456966133`*^9, 3.488026731335929*^9, {3.4880289202641287`*^9, 
   3.4880289614774857`*^9}, {3.488029304538108*^9, 3.4880293313416405`*^9}, {
   3.488029374980137*^9, 3.4880293813715024`*^9}, {3.4880299138319573`*^9, 
   3.4880299146200027`*^9}, {3.488030029422569*^9, 3.4880300313466787`*^9}, {
   3.4881150045831866`*^9, 3.4881150270054693`*^9}, {3.488115061136421*^9, 
   3.488115084730771*^9}, {3.488132469484122*^9, 3.488132566593676*^9}, {
   3.488214136557064*^9, 3.488214166317766*^9}, {3.4884944172402706`*^9, 
   3.488494444930854*^9}, {3.4884972745406985`*^9, 3.4884972941268187`*^9}, {
   3.488557559148238*^9, 3.4885575868728237`*^9}, {3.4885577953237467`*^9, 
   3.488557809674567*^9}, {3.4885578430494766`*^9, 3.4885578483187776`*^9}, {
   3.4885662183515162`*^9, 3.4885662383596606`*^9}, {3.4885674108537235`*^9, 
   3.4885675433603024`*^9}, {3.4885804511745872`*^9, 
   3.4885804599760904`*^9}, {3.488580865132264*^9, 3.4885808660113144`*^9}, {
   3.4885809909674616`*^9, 3.4885809966577873`*^9}, {3.4885810420123816`*^9, 
   3.488581073232167*^9}, 3.488624229306119*^9, {3.4886242883014936`*^9, 
   3.4886243115738244`*^9}, {3.4886306136872845`*^9, 3.4886306380576787`*^9}, 
   3.488658943861678*^9, {3.4886590446204414`*^9, 3.488659071646987*^9}, {
   3.488659195437067*^9, 3.488659319749178*^9}, {3.4886595645741806`*^9, 
   3.488659589807624*^9}, 3.4886597810815644`*^9, {3.488659811329294*^9, 
   3.4886598202538047`*^9}, {3.4895911198493767`*^9, 3.489591141706627*^9}, 
   3.48959123145976*^9, {3.489606447448065*^9, 3.489606471973468*^9}, {
   3.4896708135910044`*^9, 3.4896708925895433`*^9}, 3.4896709641000686`*^9, {
   3.489672141544649*^9, 3.4896721471294594`*^9}, {3.489672275455284*^9, 
   3.489672279058891*^9}, 3.489672333674587*^9, {3.489679292845495*^9, 
   3.4896792949366145`*^9}, {3.491329101335739*^9, 3.491329181466323*^9}, {
   3.491329212056072*^9, 3.491329246381036*^9}, {3.4913293318259225`*^9, 
   3.491329333176*^9}, {3.491329460656291*^9, 3.4913294638384733`*^9}, {
   3.4913303201124496`*^9, 3.4913303359663563`*^9}, {3.4913308611173935`*^9, 
   3.491330914090423*^9}, {3.4913318905732746`*^9, 3.491331916486757*^9}, {
   3.4913319769462147`*^9, 3.491332031693346*^9}, {3.491332079638088*^9, 
   3.4913321104448504`*^9}, 3.4913326337597823`*^9, 3.4913359931149263`*^9, {
   3.4913362731469436`*^9, 3.491336293591113*^9}, {3.4913364985138335`*^9, 
   3.49133650807038*^9}, {3.491338143447919*^9, 3.4913381732216215`*^9}, {
   3.4913382261086464`*^9, 3.49133827617451*^9}, {3.4913855947178836`*^9, 
   3.491385595472927*^9}, {3.491386336799328*^9, 3.4913863537812996`*^9}, {
   3.491387095726736*^9, 3.491387097763853*^9}, 3.491388272322034*^9, {
   3.4913888216314526`*^9, 3.491388825596679*^9}, 3.491389486968508*^9, 
   3.491390984459159*^9, {3.491391182326476*^9, 3.4913911848956237`*^9}, 
   3.491391287965519*^9, 3.4913914420223303`*^9, {3.491391513102396*^9, 
   3.4913915414140153`*^9}, {3.4913915980202527`*^9, 3.491391622986681*^9}, {
   3.4913916616538925`*^9, 3.4913916627249537`*^9}, {3.4913919988871813`*^9, 
   3.491392003373438*^9}, 3.4913926971481194`*^9, 3.491393025029873*^9, 
   3.4913930625910215`*^9, {3.4913933872605915`*^9, 3.491393389223704*^9}, {
   3.4914195707199297`*^9, 3.4914196016957016`*^9}, {3.491430998489006*^9, 
   3.4914310175210395`*^9}, {3.4916739533908377`*^9, 3.4916739600208497`*^9}, 
   3.4916742103700895`*^9, {3.4916742644553843`*^9, 3.4916742685893917`*^9}, {
   3.491674380129587*^9, 3.4916744095356393`*^9}, {3.4916745253502426`*^9, 
   3.4916745593739023`*^9}, {3.4916746220236125`*^9, 3.491674627078021*^9}, 
   3.4916746834721203`*^9, {3.491674775621482*^9, 3.491674788694305*^9}, {
   3.4916748794240646`*^9, 3.4916749130109234`*^9}, {3.4916750569055758`*^9, 
   3.491675078917215*^9}, {3.491675182133796*^9, 3.4916751829761972`*^9}, 
   3.491676366434276*^9, {3.4923579496124945`*^9, 3.492357955712844*^9}, {
   3.4923582091083374`*^9, 3.4923582114084687`*^9}, {3.496791402484108*^9, 
   3.4967914250703897`*^9}, {3.496791567170927*^9, 3.4967915954065323`*^9}, {
   3.496791629459466*^9, 3.4967916849455996`*^9}, {3.496791734434326*^9, 
   3.496791735513384*^9}, {3.496791910469116*^9, 3.496791918725583*^9}, {
   3.4967923521258287`*^9, 3.496792370422867*^9}, {3.49679241358311*^9, 
   3.4967924511532454`*^9}, 3.4967926136173396`*^9, {3.4967926979500723`*^9, 
   3.4967927000271883`*^9}, {3.496792731042835*^9, 3.496792750349932*^9}, {
   3.496793327115063*^9, 3.4967933398387823`*^9}, {3.496793452279871*^9, 
   3.496793482035559*^9}, {3.49691091183712*^9, 3.496910929216114*^9}, 
   3.5051319280335927`*^9, 3.5051346036145835`*^9, {3.505159123913659*^9, 
   3.5051592303377466`*^9}, 3.505159308289205*^9, {3.5051594107940683`*^9, 
   3.505159413350214*^9}, {3.5051595505110593`*^9, 3.505159570155183*^9}, {
   3.505159609862454*^9, 3.505159618828967*^9}, {3.505160804512784*^9, 
   3.5051608119452095`*^9}, {3.5179300401535187`*^9, 
   3.5179300472729263`*^9}, {3.5179307282978783`*^9, 3.51793074807401*^9}, {
   3.517934646331977*^9, 3.517934675845665*^9}, {3.517934869889764*^9, 
   3.5179348932631006`*^9}, 3.5179352925959415`*^9, 3.517935346671034*^9, 
   3.5179355526118135`*^9, {3.5192065715051336`*^9, 3.5192065942024317`*^9}, {
   3.519206648161518*^9, 3.5192066520887427`*^9}, {3.519206774321734*^9, 
   3.5192067760238314`*^9}, {3.5192068086987*^9, 3.519206851805166*^9}, 
   3.5192068820498953`*^9, {3.5192070205298166`*^9, 3.5192070349016385`*^9}, {
   3.5192103065807676`*^9, 3.519210317165373*^9}, {3.5192132460288944`*^9, 
   3.519213260768738*^9}, {3.5192133199311213`*^9, 3.5192133284486084`*^9}, {
   3.519213391819233*^9, 3.5192133999927006`*^9}, {3.519216104991418*^9, 
   3.5192161204463015`*^9}, {3.519216177297553*^9, 3.5192161905143094`*^9}, {
   3.519216873028347*^9, 3.5192168896222963`*^9}, {3.5192169315726957`*^9, 
   3.5192169598043103`*^9}, {3.5192170922488856`*^9, 3.519217100214341*^9}, {
   3.5192171346403103`*^9, 3.5192171423837533`*^9}, {3.5219259649296455`*^9, 
   3.521925972589259*^9}, 3.5219261970112534`*^9, {3.5219285467905817`*^9, 
   3.5219285481009846`*^9}, {3.5219323444348526`*^9, 3.521932346150856*^9}, 
   3.5219814923311186`*^9, {3.5220258735428853`*^9, 3.5220258761012897`*^9}, {
   3.522025937393797*^9, 3.522025962244641*^9}, {3.5476688801071186`*^9, 
   3.547668882157121*^9}, {3.5476691151534557`*^9, 3.547669121343465*^9}, 
   3.54798540649058*^9, {3.547985653439014*^9, 3.547985672065447*^9}, 
   3.5479860387908907`*^9, {3.547986126010644*^9, 3.547986146977081*^9}, {
   3.5479862033087797`*^9, 3.5479862036519804`*^9}, {3.5479862340096335`*^9, 
   3.5479862500152617`*^9}, {3.5479862804665155`*^9, 3.547986353287443*^9}, {
   3.5479865591620045`*^9, 3.5479865641228137`*^9}, {3.54798659630567*^9, 
   3.5479866393149457`*^9}, {3.5479866764586105`*^9, 
   3.5479866978462486`*^9}, {3.5479946776748276`*^9, 3.547994703056072*^9}, 
   3.5499080144512434`*^9, 3.549908246903051*^9, 3.6115192648422318`*^9, 
   3.6115192963870363`*^9, {3.611519919409671*^9, 3.611519923048879*^9}, 
   3.6115199798551283`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", 
     "ellipsoid", " ", "to", " ", "a", " ", "graphics", " ", "file"}], ",", 
    " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "instance"}], ",", " ", 
       RowBox[{
        RowBox[{"the", " ", "three"}], "-", 
        RowBox[{"dimensional", " ", "ellipsoid", " ", "graphic"}]}]}], ")"}], 
     " ", "will", " ", "get", " ", "pasted", " ", "into", " ", "Illustrator", 
     " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "appear", " ", "in", " ", "your", 
     " ", "\"\<My Documents\>\"", " ", "folder", " ", "unless", " ", "you", 
     " ", "have", " ", "specified", " ", "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<EllipsoidImage.jpg\>\"", ",", "ElleWOplanes"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<EllipsoidImage.tif\>\"", ",", "ElleWOplanes"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<EllipsoidImage.gif\>\"", ",", "ElleWOplanes"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"the", " ", "*", 
      RowBox[{".", "eps"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"and", " ", "sometimes", " ", "the", " ", "*", 
         RowBox[{".", "wmf"}]}], ",", " ", 
        RowBox[{
         RowBox[{
         "however", " ", "not", " ", "with", " ", "the", " ", "three"}], "-", 
         RowBox[{
         "dimensional", " ", "images", " ", "like", " ", "the", " ", 
          "ellipsoids"}]}]}], ")"}], " ", "file", " ", "format", " ", "saves",
       " ", "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<EllipsoidImage.pdf\>\"", ",", "ElleWOplanes"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<EllipsoidImage.eps\>\"", ",", "ElleWOplanes"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.547985716541125*^9, 3.547985755104392*^9}, 3.6116213874489803`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Here", " ", "you", " ", "can", " ", "choose", " ", "your", " ", "own", 
    " ", "viewing", " ", "perspective", " ", 
    RowBox[{"(", 
     RowBox[{
     "simply", " ", "change", " ", "the", " ", "vector", " ", "components", 
      " ", "of", " ", "ViewingDir", " ", "and", " ", "control", " ", "the", 
      " ", "distance", " ", "by", " ", "changing", " ", "Scaling"}], ")"}], 
    " ", "and", " ", "the", " ", "axes", " ", "labels", " ", 
    RowBox[{"(", 
     RowBox[{
     "add", " ", "them", " ", "between", " ", "the", " ", "quotation", " ", 
      "markes", " ", "below"}], "  "}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Scaling", "=", "6"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ViewingDir", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"NewViewingDirection", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"ElleWOplanes", ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"Scaling", "*", 
        RowBox[{"ViewingDir", "/", 
         RowBox[{"Norm", "[", "ViewingDir", "]"}]}]}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\< \>\"", ",", "\"\< \>\"", ",", "\"\< \>\""}], "}"}]}]}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5034189833267164`*^9, 3.50341898856069*^9}, {
   3.5034221493804197`*^9, 3.5034222093445644`*^9}, {3.5034222505757723`*^9, 
   3.50342228218272*^9}, {3.5034223841436386`*^9, 3.503422388268322*^9}, {
   3.5034225328353434`*^9, 3.5034225420533853`*^9}, {3.503422617750696*^9, 
   3.5034226236877403`*^9}, {3.5034226845111933`*^9, 3.503422685886088*^9}, {
   3.503422751209196*^9, 3.503422785956527*^9}, 3.521982197745466*^9, 
   3.5219822600000267`*^9, {3.5219823914395447`*^9, 3.521982416148958*^9}, {
   3.5219824757303658`*^9, 3.521982484664877*^9}, {3.5219825309385233`*^9, 
   3.5219825984223833`*^9}, {3.521982678270951*^9, 3.521982738785412*^9}, {
   3.5219832129395323`*^9, 3.52198323930704*^9}, {3.5219832805654*^9, 
   3.521983293749154*^9}, {3.5220105681580615`*^9, 3.5220105730408697`*^9}, {
   3.5220108050444775`*^9, 3.52201080669808*^9}, {3.522010860970576*^9, 
   3.5220108629517794`*^9}, {3.522010895228236*^9, 3.52201095452394*^9}, 
   3.522010989967202*^9, {3.5220176743137426`*^9, 3.5220177585538907`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "your", " ", "ellipsoid", " ", 
    "with", " ", "the", " ", "new", " ", "viewing", " ", "perspective"}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<NewViewingDirection.jpg\>\"", ",", "NewViewingDirection"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<NewViewingDirection.tif\>\"", ",", "NewViewingDirection"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<NewViewingDirection.gif\>\"", ",", "NewViewingDirection"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<NewViewingDirection.pdf\>\"", ",", "NewViewingDirection"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<NewViewingDirection.eps\>\"", ",", "NewViewingDirection"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.50342279587764*^9, 3.5034229804415894`*^9}, {
   3.5034230411400523`*^9, 3.5034230641695337`*^9}, 3.6116213894430943`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "images", " ", "of", " ", "the", 
    " ", "ellipsoid", " ", "with", " ", "the", " ", "planes"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlanesEllipsoidImage.jpg\>\"", ",", "EllipsoidPlanes"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlanesEllipsoidImage.tif\>\"", ",", "EllipsoidPlanes"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlanesEllipsoidImage.gif\>\"", ",", "EllipsoidPlanes"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlanesEllipsoidImage.pdf\>\"", ",", "EllipsoidPlanes"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlanesEllipsoidImage.eps\>\"", ",", "EllipsoidPlanes"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.496794845706218*^9, 3.4967948791517715`*^9}, {
   3.4967949150929475`*^9, 3.4967949784868755`*^9}, {3.4967953256210346`*^9, 
   3.4967953358730087`*^9}, {3.496929286066066*^9, 3.496929335985921*^9}, {
   3.5032398476694164`*^9, 3.50323984790379*^9}, {3.5032400373088274`*^9, 
   3.5032400403869333`*^9}, 3.6116213913952065`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "an", " ", "image", " ", "of", " ", 
    "the", " ", "data", " ", "table"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<DataTable.jpg\>\"", ",", "FullTab"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<DataTable.tif\>\"", ",", "FullTab"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<DataTable.gif\>\"", ",", "FullTab"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<DataTable.pdf\>\"", ",", "FullTab"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<DataTable.eps\>\"", ",", "FullTab"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967950841868258`*^9, 3.4967951222353535`*^9}, {
   3.496795355685017*^9, 3.4967953847990494`*^9}, {3.4969293134136295`*^9, 
   3.4969293434373474`*^9}, {3.5039241681939645`*^9, 3.5039241722251625`*^9}, 
   3.611621393348318*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "images", " ", "of", " ", "the", 
    " ", "Flinn", " ", "Diagram"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<FlinnDiagram.jpg\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<FlinnDiagram.tif\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<FlinnDiagram.gif\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<FlinnDiagram.pdf\>\"", ",", "FlinnDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<FlinnDiagram.eps\>\"", ",", "FlinnDiagram"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967969767813673`*^9, 3.4967970137177925`*^9}, {
   3.49679705410182*^9, 3.4967970890676317`*^9}, {3.49693916747325*^9, 
   3.496939170961449*^9}, {3.503752575627341*^9, 3.503752579377125*^9}, 
   3.6116213949804115`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "images", " ", "of", " ", "the", 
    " ", "Hsu", " ", "Diagram"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<HsuDiagram.jpg\>\"", ",", "FullHsu"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<HsuDiagram.tif\>\"", ",", "FullHsu"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<HsuDiagram.gif\>\"", ",", "FullHsu"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<HsuDiagram.pdf\>\"", ",", "FullHsu"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<HsuDiagram.eps\>\"", ",", "FullHsu"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967969767813673`*^9, 3.4967970137177925`*^9}, {
   3.49679705410182*^9, 3.496797061766221*^9}, {3.4969391590187664`*^9, 
   3.496939162700977*^9}, {3.50375258389249*^9, 3.5037525872516713`*^9}, {
   3.517961224355153*^9, 3.517961225110196*^9}, 3.6116213968405175`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "images", " ", "of", " ", "the", 
    " ", "Equal", " ", "Area", " ", "Plot", " ", "of", " ", "the", " ", 
    "Principal", " ", "Axes"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PricipalAxesPlot.jpg\>\"", ",", "PrinAxesPlot"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PricipalAxesPlot.tif\>\"", ",", "PrinAxesPlot"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PricipalAxesPlot.gif\>\"", ",", "PrinAxesPlot"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PricipalAxesPlot.pdf\>\"", ",", "PrinAxesPlot"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PricipalAxesPlot.eps\>\"", ",", "PrinAxesPlot"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5179505980923653`*^9, 3.5179506022306023`*^9}, {
   3.517950652984505*^9, 3.5179506923597574`*^9}, 3.611621398668622*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "a", " ", "text", " ", "file", " ", 
    "that", " ", "can", " ", "be", " ", "read", " ", "in", " ", "by", " ", 
    "either", " ", "\"\<Best Fit Ellipsoid-v2_0.nb\>\"", " ", "or", " ", 
    "\"\<Best Fit Ellipsoid-Absolute-v3_0.nb\>\"", " ", "The", " ", "file", 
    " ", "is", " ", "named", " ", "\"\<test.txt\>\"", " ", "and", " ", "will",
     " ", "show", " ", "up", " ", "in", " ", "your", " ", "current", " ", 
    "working", " ", 
    RowBox[{"directory", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"numbplanes", "\[GreaterEqual]", "1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"glbct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"ct", "\[LessEqual]", "numbplanes"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"TabbyTest", "[", "glbct", "]"}], "=", "\"\<Section\>\""}],
           ";", 
          RowBox[{
           RowBox[{"TabbyTest", "[", 
            RowBox[{"glbct", "+", "1"}], "]"}], "=", 
           RowBox[{"\"\<#\>\"", "<>", 
            RowBox[{"ToString", "[", "ct", "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"ct", "\[Equal]", "1"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "2"}], "]"}], "=", "\"\<of:\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "3"}], "]"}], "=", "numbplanes"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "4"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "5"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "6"}], "]"}], "=", "\"\<Direction\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "7"}], "]"}], "=", 
              RowBox[{"Dip", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "8"}], "]"}], "=", 
              RowBox[{"DipDir", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "9"}], "]"}], "=", "\"\<Long\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "10"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "11"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "12"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "13"}], "]"}], "=", "\"\<Angle\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "14"}], "]"}], "=", 
              RowBox[{"\[CapitalPi]", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "15"}], "]"}], "=", "1"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "16"}], "]"}], "=", 
              RowBox[{
               RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "*", 
               RowBox[{"180", "/", "Pi"}]}]}], ";", 
             RowBox[{"glbct", "=", 
              RowBox[{"glbct", "+", "17"}]}], ";"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "2"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "3"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "4"}], "]"}], "=", "\"\<Direction\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "5"}], "]"}], "=", 
              RowBox[{"Dip", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "6"}], "]"}], "=", 
              RowBox[{"DipDir", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "7"}], "]"}], "=", "\"\<Long\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "8"}], "]"}], "=", "\"\<Axis\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "9"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "10"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "11"}], "]"}], "=", "\"\<Angle\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "12"}], "]"}], "=", 
              RowBox[{"\[CapitalPi]", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "13"}], "]"}], "=", "1"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "14"}], "]"}], "=", 
              RowBox[{
               RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], "*", 
               RowBox[{"180", "/", "Pi"}]}]}], ";", 
             RowBox[{"glbct", "=", 
              RowBox[{"glbct", "+", "15"}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ct", "=", 
           RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"count", "=", 
        RowBox[{"glbct", "-", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<test.txt\>\"", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"TabbyTest", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "count"}], "}"}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.503924770780001*^9, 3.503924771248745*^9}, {
   3.5039251920089846`*^9, 3.5039251966651745`*^9}, {3.5039252679455123`*^9, 
   3.5039253052887845`*^9}, {3.5039253418195667`*^9, 3.503925354381906*^9}, {
   3.5039254072406044`*^9, 3.503925456271227*^9}, 3.5039255209434195`*^9, {
   3.5039262104899225`*^9, 3.5039262108336687`*^9}, {3.5039263810033655`*^9, 
   3.5039265719227962`*^9}, {3.5039266476093273`*^9, 
   3.5039266916087646`*^9}, {3.5039267719827356`*^9, 
   3.5039268199821215`*^9}, {3.5039269553241386`*^9, 
   3.5039272908823433`*^9}, {3.503927321178831*^9, 3.503927407740223*^9}, {
   3.505137711682355*^9, 3.5051377122173853`*^9}, {3.505141980586522*^9, 
   3.505141981396569*^9}, {3.5192160352184267`*^9, 3.519216038978642*^9}, {
   3.519216130309866*^9, 3.519216153131171*^9}, 3.519216312229271*^9, 
   3.519480468798369*^9, {3.5479858360217347`*^9, 3.5479858540553665`*^9}, 
   3.6115194346579447`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "a", " ", "text", " ", "file", " ", 
    "that", " ", "can", " ", "be", " ", "read", " ", "in", " ", "by", " ", 
    RowBox[{
    "\"\<Best Fit Ellipsoid with Statistics-v3_0.nb\>\"", ".", "  ", "The"}], 
    " ", "file", " ", "is", " ", "named", " ", "\"\<stattest.txt\>\"", " ", 
    "and", " ", "will", " ", "show", " ", "up", " ", "in", " ", "your", " ", 
    "current", " ", "working", " ", 
    RowBox[{"directory", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AngErr", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NumbEllipses", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PercentStdDev", "=", "30"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StdDevAngle", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"numbplanes", "\[GreaterEqual]", "1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"glbct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"ct", "\[LessEqual]", "numbplanes"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"TabbyTest", "[", "glbct", "]"}], "=", "\"\<Section\>\""}],
           ";", 
          RowBox[{
           RowBox[{"TabbyTest", "[", 
            RowBox[{"glbct", "+", "1"}], "]"}], "=", 
           RowBox[{"\"\<#\>\"", "<>", 
            RowBox[{"ToString", "[", "ct", "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"ct", "\[Equal]", "1"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "2"}], "]"}], "=", "\"\<of:\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "3"}], "]"}], "=", "numbplanes"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "4"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "5"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "6"}], "]"}], "=", "\"\<Direction\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "7"}], "]"}], "=", 
              "\"\<Measurement\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "8"}], "]"}], "=", "\"\<Error\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "9"}], "]"}], "=", 
              RowBox[{"Dip", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "10"}], "]"}], "=", 
              RowBox[{"DipDir", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "11"}], "]"}], "=", "AngErr"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "12"}], "]"}], "=", "\"\<Long\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "13"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "14"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "15"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "16"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "17"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "18"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "19"}], "]"}], "=", "\"\<Axial\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "20"}], "]"}], "=", "\"\<Ratio\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "21"}], "]"}], "=", "\"\<Angle\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "22"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "23"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "24"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "25"}], "]"}], "=", "\"\<Angular\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "26"}], "]"}], "=", 
              "\"\<Orientation\>\""}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "27"}], "]"}], "=", "\"\<Number\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "28"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "29"}], "]"}], "=", "\"\<Ellipses\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "30"}], "]"}], "=", "\"\<Measured\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "31"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "32"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "33"}], "]"}], "=", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Le", "[", "ct", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", 
                   RowBox[{
                    RowBox[{"Le", "[", "ct", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "-", "1"}], 
                ")"}], "*", 
               RowBox[{"(", 
                RowBox[{"PercentStdDev", "/", "100"}], ")"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "34"}], "]"}], "=", 
              RowBox[{"N", "[", 
               FractionBox[
                RowBox[{
                 RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], " ", "180"}], 
                "\[Pi]"], "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "35"}], "]"}], "=", "StdDevAngle"}], ";",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "36"}], "]"}], "=", "NumbEllipses"}], 
             ";", 
             RowBox[{"glbct", "=", 
              RowBox[{"glbct", "+", "37"}]}], ";"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "2"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "3"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "4"}], "]"}], "=", "\"\<Direction\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "5"}], "]"}], "=", 
              "\"\<Measurement\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "6"}], "]"}], "=", "\"\<Error\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "7"}], "]"}], "=", 
              RowBox[{"Dip", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "8"}], "]"}], "=", 
              RowBox[{"DipDir", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "9"}], "]"}], "=", "AngErr"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "10"}], "]"}], "=", "\"\<Long\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "11"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "12"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "13"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "14"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "15"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "16"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "17"}], "]"}], "=", "\"\<Axial\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "18"}], "]"}], "=", "\"\<Ratio\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "19"}], "]"}], "=", "\"\<Angle\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "20"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "21"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "22"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "23"}], "]"}], "=", "\"\<Angular\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "24"}], "]"}], "=", 
              "\"\<Orientation\>\""}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "25"}], "]"}], "=", "\"\<Number\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "26"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "27"}], "]"}], "=", "\"\<Ellipses\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "28"}], "]"}], "=", "\"\<Measured\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "29"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "30"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "31"}], "]"}], "=", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Le", "[", "ct", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", 
                   RowBox[{
                    RowBox[{"Le", "[", "ct", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "-", "1"}], 
                ")"}], "*", 
               RowBox[{"(", 
                RowBox[{"PercentStdDev", "/", "100"}], ")"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "32"}], "]"}], "=", 
              RowBox[{"N", "[", 
               FractionBox[
                RowBox[{
                 RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], " ", "180"}], 
                "\[Pi]"], "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "33"}], "]"}], "=", "StdDevAngle"}], ";",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "34"}], "]"}], "=", "NumbEllipses"}], 
             ";", 
             RowBox[{"glbct", "=", 
              RowBox[{"glbct", "+", "35"}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ct", "=", 
           RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"count", "=", 
        RowBox[{"glbct", "-", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<stattest.txt\>\"", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"TabbyTest", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "count"}], "}"}]}], "]"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.503924770780001*^9, 3.503924771248745*^9}, {
   3.5039251920089846`*^9, 3.5039251966651745`*^9}, {3.5039252679455123`*^9, 
   3.5039253052887845`*^9}, {3.5039253418195667`*^9, 3.503925354381906*^9}, {
   3.5039254072406044`*^9, 3.503925456271227*^9}, 3.5039255209434195`*^9, {
   3.5039262104899225`*^9, 3.5039262108336687`*^9}, {3.5039263810033655`*^9, 
   3.5039265719227962`*^9}, {3.5039266476093273`*^9, 
   3.5039266916087646`*^9}, {3.5039267719827356`*^9, 
   3.5039268199821215`*^9}, {3.5039269553241386`*^9, 
   3.5039272908823433`*^9}, {3.503927321178831*^9, 3.503927407740223*^9}, {
   3.505137818207448*^9, 3.5051378396446743`*^9}, {3.505138250843193*^9, 
   3.505138563471074*^9}, {3.5051386568394146`*^9, 3.505138791004089*^9}, {
   3.5051388269651456`*^9, 3.5051389030905*^9}, {3.505138946262969*^9, 
   3.505138973801544*^9}, {3.505139261700011*^9, 3.5051393053125057`*^9}, {
   3.5051393364132843`*^9, 3.505139534757629*^9}, {3.5051401334538727`*^9, 
   3.5051407085927687`*^9}, {3.5051408416403785`*^9, 
   3.5051410992971153`*^9}, {3.505141209032392*^9, 3.5051419109545393`*^9}, {
   3.5051419730000887`*^9, 3.505141973511118*^9}, {3.505143571802535*^9, 
   3.505143582294135*^9}, {3.5059477165170836`*^9, 3.5059477187142096`*^9}, {
   3.505948572379036*^9, 3.5059486202697754`*^9}, {3.5192174365605793`*^9, 
   3.519217436763591*^9}, {3.519218813195318*^9, 3.5192188551077156`*^9}, {
   3.519223480432269*^9, 3.5192234948730946`*^9}, {3.5192243891832466`*^9, 
   3.5192244024330044`*^9}, 3.5194804719535494`*^9, {3.5476677998315887`*^9, 
   3.5476678094226027`*^9}, {3.5476691801535482`*^9, 
   3.5476691802635484`*^9}, {3.5479858831494174`*^9, 3.5479858882506266`*^9}, 
   3.6115194021860876`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "You", " ", "can", " ", "export", " ", "a", " ", "text", " ", "file", " ", 
    "that", " ", "can", " ", "be", " ", "read", " ", "in", " ", "by", "  ", 
    RowBox[{
    "\"\<Best Fit Ellipsoid with Statistics-Absolute-v3_0.nb\>\"", ".", "  ", 
     "The"}], " ", "file", " ", "is", " ", "named", " ", 
    "\"\<absstattest.txt\>\"", " ", "and", " ", "will", " ", "show", " ", 
    "up", " ", "in", " ", "your", " ", "current", " ", "working", " ", 
    RowBox[{"directory", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AngErr", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NumbEllipses", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PercentStdDev", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StdDevAngle", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"numbplanes", "\[GreaterEqual]", "1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"glbct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"ct", "\[LessEqual]", "numbplanes"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"TabbyTest", "[", "glbct", "]"}], "=", "\"\<Section\>\""}],
           ";", 
          RowBox[{
           RowBox[{"TabbyTest", "[", 
            RowBox[{"glbct", "+", "1"}], "]"}], "=", 
           RowBox[{"\"\<#\>\"", "<>", 
            RowBox[{"ToString", "[", "ct", "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"ct", "\[Equal]", "1"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "2"}], "]"}], "=", "\"\<of:\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "3"}], "]"}], "=", "numbplanes"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "4"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "5"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "6"}], "]"}], "=", "\"\<Direction\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "7"}], "]"}], "=", 
              "\"\<Measurement\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "8"}], "]"}], "=", "\"\<Error\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "9"}], "]"}], "=", 
              RowBox[{"Dip", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "10"}], "]"}], "=", 
              RowBox[{"DipDir", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "11"}], "]"}], "=", "AngErr"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "12"}], "]"}], "=", "\"\<Long\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "13"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "14"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "15"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "16"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "17"}], "]"}], "=", "\"\<Long\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "18"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "19"}], "]"}], "=", "\"\<Length\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "20"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "21"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "22"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "23"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "24"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "25"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "26"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "27"}], "]"}], "=", "\"\<Length\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "28"}], "]"}], "=", "\"\<Angle\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "29"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "30"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "31"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "32"}], "]"}], "=", "\"\<Angular\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "33"}], "]"}], "=", 
              "\"\<Orientation\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "34"}], "]"}], "=", "\"\<Number\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "35"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "36"}], "]"}], "=", "\"\<Ellipses\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "37"}], "]"}], "=", "\"\<Measured\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "38"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "39"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"Le", "[", "ct", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{"PercentStdDev", "/", "100"}], ")"}]}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "40"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "41"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"Le", "[", "ct", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{"PercentStdDev", "/", "100"}], ")"}]}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "42"}], "]"}], "=", 
              RowBox[{"N", "[", 
               FractionBox[
                RowBox[{
                 RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], " ", "180"}], 
                "\[Pi]"], "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "43"}], "]"}], "=", "StdDevAngle"}], ";",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "44"}], "]"}], "=", "NumbEllipses"}], 
             ";", 
             RowBox[{"glbct", "=", 
              RowBox[{"glbct", "+", "45"}]}], ";"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "2"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "3"}], "]"}], "=", "\"\<Dip\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "4"}], "]"}], "=", "\"\<Direction\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "5"}], "]"}], "=", 
              "\"\<Measurement\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "6"}], "]"}], "=", "\"\<Error\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "7"}], "]"}], "=", 
              RowBox[{"Dip", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "8"}], "]"}], "=", 
              RowBox[{"DipDir", "[", "ct", "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "9"}], "]"}], "=", "AngErr"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "10"}], "]"}], "=", "\"\<Long\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "11"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "12"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "13"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "14"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "15"}], "]"}], "=", "\"\<Long\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "16"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "17"}], "]"}], "=", "\"\<Length\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "18"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "19"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "20"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "21"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "22"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "23"}], "]"}], "=", "\"\<Short\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "24"}], "]"}], "=", "\"\<Axis\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "25"}], "]"}], "=", "\"\<Length\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "26"}], "]"}], "=", "\"\<Angle\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "27"}], "]"}], "=", "\"\<Std\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "28"}], "]"}], "=", "\"\<Dev\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "29"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "30"}], "]"}], "=", "\"\<Angular\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "31"}], "]"}], "=", 
              "\"\<Orientation\>\""}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "32"}], "]"}], "=", "\"\<Number\>\""}], 
             ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "33"}], "]"}], "=", "\"\<of\>\""}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "34"}], "]"}], "=", "\"\<Ellipses\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "35"}], "]"}], "=", "\"\<Measured\>\""}],
              ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "36"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "37"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"Le", "[", "ct", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{"PercentStdDev", "/", "100"}], ")"}]}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "38"}], "]"}], "=", 
              RowBox[{
               RowBox[{"Le", "[", "ct", "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "39"}], "]"}], "=", 
              RowBox[{
               RowBox[{
                RowBox[{"Le", "[", "ct", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{"PercentStdDev", "/", "100"}], ")"}]}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "40"}], "]"}], "=", 
              RowBox[{"N", "[", 
               FractionBox[
                RowBox[{
                 RowBox[{"\[CapitalPsi]", "[", "ct", "]"}], " ", "180"}], 
                "\[Pi]"], "]"}]}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "41"}], "]"}], "=", "StdDevAngle"}], ";", 
             RowBox[{
              RowBox[{"TabbyTest", "[", 
               RowBox[{"glbct", "+", "42"}], "]"}], "=", "NumbEllipses"}], 
             ";", 
             RowBox[{"glbct", "=", 
              RowBox[{"glbct", "+", "43"}]}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ct", "=", 
           RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"count", "=", 
        RowBox[{"glbct", "-", "1"}]}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<absstattest.txt\>\"", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"TabbyTest", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "count"}], "}"}]}], "]"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.503924770780001*^9, 3.503924771248745*^9}, {
   3.5039251920089846`*^9, 3.5039251966651745`*^9}, {3.5039252679455123`*^9, 
   3.5039253052887845`*^9}, {3.5039253418195667`*^9, 3.503925354381906*^9}, {
   3.5039254072406044`*^9, 3.503925456271227*^9}, 3.5039255209434195`*^9, {
   3.5039262104899225`*^9, 3.5039262108336687`*^9}, {3.5039263810033655`*^9, 
   3.5039265719227962`*^9}, {3.5039266476093273`*^9, 
   3.5039266916087646`*^9}, {3.5039267719827356`*^9, 
   3.5039268199821215`*^9}, {3.5039269553241386`*^9, 
   3.5039272908823433`*^9}, {3.503927321178831*^9, 3.503927407740223*^9}, {
   3.505137818207448*^9, 3.5051378396446743`*^9}, {3.505138250843193*^9, 
   3.505138563471074*^9}, {3.5051386568394146`*^9, 3.505138791004089*^9}, {
   3.5051388269651456`*^9, 3.5051389030905*^9}, {3.505138946262969*^9, 
   3.505138973801544*^9}, {3.505139261700011*^9, 3.5051393053125057`*^9}, {
   3.5051393364132843`*^9, 3.505139534757629*^9}, {3.5051401334538727`*^9, 
   3.5051407085927687`*^9}, {3.5051408416403785`*^9, 
   3.5051410992971153`*^9}, {3.505141209032392*^9, 3.5051419109545393`*^9}, {
   3.5051419730000887`*^9, 3.505141973511118*^9}, {3.505143571802535*^9, 
   3.505143582294135*^9}, {3.5059476820041094`*^9, 3.5059477309399085`*^9}, {
   3.50594855531406*^9, 3.505948557598191*^9}, {3.505948627433185*^9, 
   3.5059486497194595`*^9}, {3.5059486981432295`*^9, 3.505949439307622*^9}, {
   3.5059495763204584`*^9, 3.5059495871760793`*^9}, {3.5059496307995744`*^9, 
   3.505949634941811*^9}, {3.505950059213078*^9, 3.5059506119756947`*^9}, {
   3.5059511514415503`*^9, 3.505951158130933*^9}, {3.505951193292944*^9, 
   3.5059513590924273`*^9}, {3.5059513892951546`*^9, 3.505951432439622*^9}, {
   3.5059514933821077`*^9, 3.505951612713933*^9}, {3.5059521849126616`*^9, 
   3.5059521995785*^9}, {3.505952265278258*^9, 3.5059523022163706`*^9}, {
   3.505952333047134*^9, 3.505952436162032*^9}, {3.5059524871039457`*^9, 
   3.5059531636916437`*^9}, {3.5192188471722617`*^9, 3.5192188473632727`*^9}, 
   3.519400302182739*^9, 3.5194041353499837`*^9, 3.519480475418748*^9, {
   3.5479859026338515`*^9, 3.547985905551057*^9}, 3.6115194108955855`*^9}]
}, Open  ]]
},
WindowSize->{1011, 634},
WindowMargins->{{0, Automatic}, {Automatic, 1}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 7805, 141, 494, "Title"],
Cell[8375, 165, 155030, 4189, 10004, "Input"],
Cell[163408, 4356, 6145, 122, 412, "Input"],
Cell[169556, 4480, 2409, 48, 152, "Input"],
Cell[171968, 4530, 1092, 24, 132, "Input"],
Cell[173063, 4556, 1274, 27, 132, "Input"],
Cell[174340, 4585, 1047, 24, 132, "Input"],
Cell[175390, 4611, 1077, 25, 132, "Input"],
Cell[176470, 4638, 1083, 24, 132, "Input"],
Cell[177556, 4664, 1066, 24, 132, "Input"],
Cell[178625, 4690, 7875, 178, 472, "Input"],
Cell[186503, 4870, 17000, 387, 1032, "Input"],
Cell[203506, 5259, 19576, 441, 1006, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
