(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     51992,       1170]
NotebookOptionsPosition[     51498,       1150]
NotebookOutlinePosition[     51959,       1168]
CellTagsIndexPosition[     51916,       1165]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Ternary Diagram-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your compositional data on a ternary diagram.  Your data \
can either be input manually while the program is running or your data can be \
read in from an existing file.  You can choose to label individual points \
with a sample name which will be displayed when you mouse over the point.  \
This program will read both text files (*.txt) and Excel files (*.xls and \
*.xlsx).  Examine the files, \"Ternary Sample Data.txt\", \"Ternary Sample \
Data.xls\", \[OpenCurlyDoubleQuote]Ternary Sample Data.xlsx\
\[CloseCurlyDoubleQuote], \"Ternary Sample Data with Sample Names.txt\", \
\[OpenCurlyDoubleQuote]Ternary Sample Data with Sample Names.xls\
\[CloseCurlyDoubleQuote], and \"Ternary Sample Data with Sample Names.xlsx\" \
to determine the appropriate file structure (it is easiest to simply modify \
these files and save them with different file names).  You should change the \
column headings as appropriate; however, the column headers can only be \
one-word long (except for the \"Sample Name\" column which should not be \
changed). While the program is running, you will be prompted to choose a \
percentage contour interval. Within the code itself, there are parameters \
that you may wish to alter to format your plot.  The most useful changes are \
described in comments (i.e., between \"(* *)\").  You can read the \
\"readme.txt\" file for more information about this program.  To start the \
program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n          \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, {
   3.496666878935896*^9, 3.496666882058075*^9}, {3.4966998411557436`*^9, 
   3.4966998512645617`*^9}, 3.496700003458429*^9, {3.496700050804512*^9, 
   3.4967000703357463`*^9}, {3.4967010229826193`*^9, 3.496701031001034*^9}, {
   3.496701340671091*^9, 3.496701359562724*^9}, {3.4967013926035824`*^9, 
   3.4967013959419885`*^9}, {3.496701565732687*^9, 3.496701567277089*^9}, {
   3.4967017081765366`*^9, 3.4967017085197372`*^9}, {3.496701815114725*^9, 
   3.496701830699152*^9}, {3.49670213577162*^9, 3.496702308224927*^9}, {
   3.49670240927999*^9, 3.4967025976191206`*^9}, {3.4967026281951747`*^9, 
   3.4967026434520016`*^9}, {3.4967027580030026`*^9, 3.49670279647267*^9}, {
   3.4967028362371397`*^9, 3.496702920052264*^9}, {3.4967030026357803`*^9, 
   3.4967030044738855`*^9}, {3.4967030400818653`*^9, 3.4967030415014677`*^9}, 
   3.49670324194622*^9, {3.496703279994687*^9, 3.4967032878259*^9}, {
   3.496703318292754*^9, 3.496703319150756*^9}, {3.4967034368021884`*^9, 
   3.496703440967396*^9}, {3.496749753457633*^9, 3.4967497973461437`*^9}, {
   3.4967760139399776`*^9, 3.4967760373092523`*^9}, {3.4967761275841484`*^9, 
   3.4967762138418255`*^9}, {3.49677626275348*^9, 3.496776343512758*^9}, {
   3.4967763833739185`*^9, 3.496776620370758*^9}, {3.4967766604579325`*^9, 
   3.4967767102036343`*^9}, {3.4967767643955717`*^9, 
   3.4967767657816467`*^9}, {3.4969072166577673`*^9, 3.496907335636573*^9}, {
   3.496907459289645*^9, 3.4969074599906855`*^9}, {3.4969102716485033`*^9, 
   3.496910273803626*^9}, {3.4969110511100855`*^9, 3.4969110641248302`*^9}, {
   3.496944829888725*^9, 3.496944835030019*^9}, {3.4969448990506806`*^9, 
   3.496944918307782*^9}, 3.496963039084818*^9, {3.4969632587187634`*^9, 
   3.4969632595608115`*^9}, {3.503758747834301*^9, 3.5037587483811445`*^9}, {
   3.517671962442836*^9, 3.517671962567636*^9}, 3.5221029455789995`*^9, {
   3.5477211218734493`*^9, 3.547721124503453*^9}, 3.5477212841056776`*^9, {
   3.5479361412799263`*^9, 3.5479361421799273`*^9}, 3.547989242678179*^9, 
   3.547989353095173*^9, {3.6115201780904665`*^9, 3.611520249042525*^9}},
 TextAlignment->Left],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"indexspacing", "=", 
     RowBox[{
     "Input", "[", 
      "\"\<Enter the contour interval for the ternary diagram as a percent \
(from 0 to 100).\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "\"\<DotColor\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
      "the", " ", 
      RowBox[{"dots", ".", "  ", "You"}], " ", "can", " ", "use", " ", 
      "several", " ", "words", " ", "for", " ", "the", " ", "color", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", "Black", ",", " ", 
        RowBox[{"Blue", " ", "Green"}]}], ")"}], " ", "or", " ", "use", " ", 
      "Functions", " ", "like", " ", 
      RowBox[{"Hue", "[", "]"}]}], ",", " ", 
     RowBox[{"RGBColor", "[", "]"}], ",", " ", 
     RowBox[{"CMYKColor", "[", "]"}], ",", " ", 
     RowBox[{"or", " ", 
      RowBox[{"GreyLevel", "[", "]"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DotColor", "=", 
     RowBox[{"CMYKColor", "[", 
      RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "\"\<DotSize\>\"", " ", "specifies", " ", "the", " ", "size", " ", "of", 
     " ", "the", " ", "dots", " ", "for", " ", "your", " ", "plot"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DotSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "\"\<ApexLabelFontSize\>\"", " ", "is", " ", "the", " ", "font", " ", 
     "size", " ", "for", " ", "the", " ", "labels", " ", "at", " ", "the", 
     " ", "three", " ", 
     RowBox[{"apices", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ApexLabelFontSize", "=", "24"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FileorManual", "=", 
     RowBox[{
     "Input", "[", 
      "\"\<Do you want to enter your data manually (m) or do you want to \
import a file (f)?  Enter 'm' or 'f' accordingly.\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"FileorManual", "\[Equal]", "f"}], ",", 
      RowBox[{"FOM", "=", "1"}]}], "]"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"FileorManual", "\[Equal]", "m"}], ",", 
      RowBox[{"FOM", "=", "0"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"FOM", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FN", "=", 
        RowBox[{
        "Input", "[", 
         "\"\<Enter the name of the data file to be opened. Enclose the \
entire file name (include the file extension) in quotations marks.\>\"", 
         "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"FF", "=", 
        RowBox[{"FileFormat", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
          RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"data", "=", 
           RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Dim", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", "data", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"DataCt", "=", 
           RowBox[{"Dim", "-", "1"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"SampleNameOrNo", "=", "0"}], ";", "\[IndentingNewLine]", 
          RowBox[{"FirstWord", "=", 
           RowBox[{"data", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"FirstWord", "\[Equal]", "\"\<Sample Name\>\""}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"SampleNameOrNo", "=", "1"}], ";", "\[IndentingNewLine]", 
             RowBox[{"TopLabel", "=", 
              RowBox[{"{", 
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "}"}]}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"LeftLabel", "=", 
              RowBox[{"{", 
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1", ",", "3"}], "]"}], "]"}], "}"}]}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"RtLabel", "=", 
              RowBox[{"{", 
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1", ",", "4"}], "]"}], "]"}], "}"}]}], 
             ";"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"TopLabel", "=", 
              RowBox[{"{", 
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}], "}"}]}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"LeftLabel", "=", 
              RowBox[{"{", 
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "}"}]}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"RtLabel", "=", 
              RowBox[{"{", 
               RowBox[{"data", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1", ",", "3"}], "]"}], "]"}], "}"}]}], 
             ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"SampleNameOrNo", "\[Equal]", "1"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
             RowBox[{"While", "[", 
              RowBox[{
               RowBox[{"ct", "\[LessEqual]", "DataCt"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"TertData", "[", "ct", "]"}], "=", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}], ",", 
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}], ",", 
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "4"}], "]"}], "]"}], ",", 
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], 
                  "}"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"ct", "=", 
                 RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
             RowBox[{"While", "[", 
              RowBox[{
               RowBox[{"ct", "\[LessEqual]", "DataCt"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"TertData", "[", "ct", "]"}], "=", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}], ",", 
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], 
                  "}"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"ct", "=", 
                 RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
          ";"}]}], "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"FF", "\[Equal]", "\"\<Text\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"data", "=", 
           RowBox[{"ReadList", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Dim", "=", 
           RowBox[{
            RowBox[{"Dimensions", "[", "data", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"DataCt", "=", 
           RowBox[{"Dim", "-", "1"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"OpenRead", "[", "FN", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"SampleNameOrNo", "=", "0"}], ";", "\[IndentingNewLine]", 
          RowBox[{"FirstWord", "=", 
           RowBox[{"Read", "[", 
            RowBox[{"FN", ",", 
             RowBox[{"{", "Word", "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"FirstWord", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<Sample\>\""}], 
            ",", 
            RowBox[{
             RowBox[{"SampleNameOrNo", "=", "1"}], ";", 
             RowBox[{"Skip", "[", 
              RowBox[{"FN", ",", 
               RowBox[{"{", "Word", "}"}]}], "]"}], ";", 
             RowBox[{"TopLabel", "=", 
              RowBox[{"Read", "[", 
               RowBox[{"FN", ",", 
                RowBox[{"{", "Word", "}"}]}], "]"}]}], ";"}], ",", 
            RowBox[{
             RowBox[{"TopLabel", "=", "FirstWord"}], ";"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"LeftLabel", "=", 
           RowBox[{"Read", "[", 
            RowBox[{"FN", ",", 
             RowBox[{"{", "Word", "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"RtLabel", "=", 
           RowBox[{"Read", "[", 
            RowBox[{"FN", ",", 
             RowBox[{"{", "Word", "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"SampleNameOrNo", "\[Equal]", "1"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
             RowBox[{"While", "[", 
              RowBox[{
               RowBox[{"ct", "\[LessEqual]", "DataCt"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"tempone", "=", 
                 RowBox[{"Read", "[", 
                  RowBox[{"FN", ",", 
                   RowBox[{"{", 
                    RowBox[{"Word", ",", "Real", ",", "Real", ",", "Real"}], 
                    "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"TertData", "[", "ct", "]"}], "=", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"tempone", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                   RowBox[{"tempone", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], ",", 
                   RowBox[{"tempone", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], ",", 
                   RowBox[{"tempone", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"ct", "=", 
                 RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
             RowBox[{"While", "[", 
              RowBox[{
               RowBox[{"ct", "\[LessEqual]", "DataCt"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"TertData", "[", "ct", "]"}], "=", 
                 RowBox[{"Read", "[", 
                  RowBox[{"FN", ",", 
                   RowBox[{"{", 
                    RowBox[{"Real", ",", "Real", ",", "Real"}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"ct", "=", 
                 RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
          ";"}]}], "]"}], ";"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Dim", "=", 
        RowBox[{
        "Input", "[", "\"\<How many data points do you want to plot?\>\"", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"LabelorNo", "=", 
        RowBox[{
        "Input", "[", 
         "\"\<Do you want to enter sample names for you each data point \
(y/n)?  The sample names will be displayed when you mouse over a specific \
data point.\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"SampleNameOrNo", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"LabelorNo", "\[Equal]", "y"}], ",", 
         RowBox[{"SampleNameOrNo", "=", "1"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"DataCt", "=", "Dim"}], ";", "\[IndentingNewLine]", 
       RowBox[{"TopLabel", "=", 
        RowBox[{"{", 
         RowBox[{
         "InputString", "[", 
          "\"\<How do you want to label the top apex of the diagram?\>\"", 
          "]"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"LeftLabel", "=", 
        RowBox[{"{", 
         RowBox[{
         "InputString", "[", 
          "\"\<How do you want to label the left-hand apex of the \
diagram?\>\"", "]"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"RtLabel", "=", 
        RowBox[{"{", 
         RowBox[{
         "InputString", "[", 
          "\"\<How do you want to label the right-hand apex of the diagram?\>\
\"", "]"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"ct", "\[LessEqual]", "DataCt"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"SampleNameOrNo", "\[Equal]", "1"}], ",", 
            RowBox[{"SampleName", "=", 
             RowBox[{"InputString", "[", 
              RowBox[{"\"\<\>\"", 
               RowBox[{"N", "[", "ct", "]"}], 
               "\"\<Enter the name of the sample.\>\""}], "]"}]}]}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"TopValue", "=", 
           RowBox[{"Input", "[", 
            RowBox[{"DisplayForm", "[", 
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"N", "[", "ct", "]"}], 
                 RowBox[{
                 "\"\< Enter the percentage (from 0 to 100) of \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"TopLabel", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], ",", 
                "\"\<.\>\""}], "}"}], "]"}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"RtValue", "=", 
           RowBox[{"Input", "[", 
            RowBox[{"DisplayForm", "[", 
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"N", "[", "ct", "]"}], 
                 RowBox[{
                 "\"\< Enter the percentage (from 0 to 100) of \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"RtLabel", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], ",", 
                "\"\<.\>\""}], "}"}], "]"}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"TertData", "[", "ct", "]"}], "=", 
           RowBox[{"{", 
            RowBox[{"TopValue", ",", 
             RowBox[{"(", 
              RowBox[{"100", "-", 
               RowBox[{"(", 
                RowBox[{"TopValue", "+", "RtValue"}], ")"}]}], ")"}], ",", 
             "RtValue", ",", "SampleName"}], "}"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ct", "=", 
           RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"offset", "=", 
     RowBox[{"100", "-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Dimensions", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"HorzLines", "[", "x", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", 
                RowBox[{"(", 
                 RowBox[{"100", "/", "indexspacing"}], ")"}]}], "}"}]}], 
             "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], ")"}], "*", 
        "indexspacing"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HorzLines", "[", "x_", "]"}], ":=", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Dashed", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"indexspacing", "/", "2"}], ")"}], "*", "x"}], ",", 
              RowBox[{"indexspacing", "*", "x", "*", 
               RowBox[{"Sin", "[", 
                RowBox[{"60", "\[Degree]"}], "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"100", "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"indexspacing", "/", "2"}], ")"}], "*", "x"}]}], 
               ")"}], ",", 
              RowBox[{"x", "*", "indexspacing", "*", 
               RowBox[{"Sin", "[", 
                RowBox[{"60", "\[Degree]"}], "]"}]}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"TopLabel", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
           RowBox[{"x", "*", "indexspacing"}], ",", "\"\<%\>\""}], "}"}], 
         "]"}], "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RtLines", "[", "x_", "]"}], ":=", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Dashed", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "*", "indexspacing"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"50", "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"indexspacing", "/", "2"}], ")"}], "*", "x"}]}], 
               ")"}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"100", "-", 
                 RowBox[{"(", 
                  RowBox[{"x", "*", "indexspacing"}], ")"}]}], ")"}], "*", 
               RowBox[{"Sin", "[", 
                RowBox[{"60", "\[Degree]"}], "]"}]}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RtLabel", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
           RowBox[{"x", "*", "indexspacing"}], ",", "\"\<%\>\""}], "}"}], 
         "]"}], "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LeftLines", "[", "x_", "]"}], ":=", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Dashed", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "offset"}], "+", "100", "-", 
                RowBox[{"(", 
                 RowBox[{"(", 
                  RowBox[{"x", "*", "indexspacing"}], ")"}], ")"}]}], ")"}], 
              ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "offset"}], "/", "2"}], ")"}], "+", "50", "-", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"60", "\[Degree]"}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"(", 
                   RowBox[{"x", "*", "indexspacing"}], ")"}], ")"}]}]}], 
               ")"}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "offset"}], "*", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"60", "\[Degree]"}], "]"}]}], ")"}], "+", 
               RowBox[{"50", "*", 
                RowBox[{"Tan", "[", 
                 RowBox[{"60", "\[Degree]"}], "]"}]}], "-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{"60", "\[Degree]"}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"(", 
                   RowBox[{"x", "*", "indexspacing"}], ")"}], ")"}]}], 
                ")"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
       RowBox[{"DisplayForm", "[", 
        RowBox[{"RowBox", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"LeftLabel", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "*", "indexspacing"}], ")"}], "+", "offset"}], ",", 
           "\"\<%\>\""}], "}"}], "]"}], "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"TernDiagram", "=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<Ternary Diagram\>\"", ",", "32", ",", "Red", ",", "Bold"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"50", ",", 
            RowBox[{
             RowBox[{"50", "*", 
              RowBox[{"Tan", "[", 
               RowBox[{"60", "\[Degree]"}], "]"}]}], "+", "10"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"Center", ",", "Bottom"}], "}"}]}], "]"}], "}"}], "]"}], 
      ",", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Tan", "[", 
          RowBox[{"60", "\[Degree]"}], "]"}], "*", "x"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "50"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Tan", "[", 
            RowBox[{"60", "\[Degree]"}], "]"}]}], "*", "x"}], "+", 
         RowBox[{"100", "*", 
          RowBox[{"Tan", "[", 
           RowBox[{"60", "\[Degree]"}], "]"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "50", ",", "100"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Plot", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "100"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"HorzLines", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"(", 
           RowBox[{"100", "/", "indexspacing"}], ")"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"LeftLines", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"(", 
           RowBox[{"100", "/", "indexspacing"}], ")"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"RtLines", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"(", 
           RowBox[{"100", "/", "indexspacing"}], ")"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Tooltip", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"DotColor", ",", 
             RowBox[{"PointSize", "[", "DotSize", "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"TertData", "[", "x", "]"}], "[", 
                   RowBox[{"[", "3", "]"}], "]"}], "+", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"TertData", "[", "x", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ")"}]}], 
                 ")"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "*", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"60", "\[Degree]"}], "]"}]}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"SampleNameOrNo", "\[Equal]", "1"}], ",", 
             RowBox[{"DisplayForm", "[", 
              RowBox[{"RowBox", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\"\<Sample: \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{
                    RowBox[{"TertData", "[", "x", "]"}], "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}]}], ",", 
                 RowBox[{"\"\<; \>\"", 
                  RowBox[{"TopLabel", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ",", "\"\< = \>\"", ",", 
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<%; \>\"", ",", 
                 RowBox[{"LeftLabel", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<%; \>\"", ",", 
                 RowBox[{"RtLabel", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<%\>\""}], "}"}], 
               "]"}], "]"}], ",", 
             RowBox[{"DisplayForm", "[", 
              RowBox[{"RowBox", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"TopLabel", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<%; \>\"", ",", 
                 RowBox[{"LeftLabel", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<%; \>\"", ",", 
                 RowBox[{"RtLabel", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                 RowBox[{
                  RowBox[{"TertData", "[", "x", "]"}], "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<%\>\""}], "}"}], 
               "]"}], "]"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "DataCt"}], "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"TopLabel", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "ApexLabelFontSize", ",", 
             "Bold", ",", "Blue"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"50", ",", 
             RowBox[{
              RowBox[{"50", "*", 
               RowBox[{"Tan", "[", 
                RowBox[{"60", "\[Degree]"}], "]"}]}], "+", "5"}]}], "}"}]}], 
          "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"LeftLabel", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "ApexLabelFontSize", ",", 
             "Bold", ",", "Blue"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Center", ",", "Top"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"RtLabel", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "ApexLabelFontSize", ",", 
             "Bold", ",", "Blue"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"101", ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Center", ",", "Top"}], "}"}]}], "]"}]}], "}"}], "]"}], 
      ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"N", " ", "==", " ", "DataCt"}], ",", 
            RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "80"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}], "}"}], "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"StringLength", "[", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"LeftLabel", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "*", 
                "ApexLabelFontSize", "*", ".105"}], ")"}], "/", "2"}], 
             ")"}]}], ",", 
           RowBox[{"101", "+", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"StringLength", "[", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"RtLabel", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "*", 
                "ApexLabelFontSize", "*", ".105"}], ")"}], "/", "2"}], 
             ")"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "8"}], ",", 
           RowBox[{
            RowBox[{"50", "*", 
             RowBox[{"Tan", "[", 
              RowBox[{"60", "\[Degree]"}], "]"}]}], "+", "17"}]}], "}"}]}], 
        "}"}]}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"Axes", "\[Rule]", "None"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "550"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.42714546396875*^9, 3.42714547746875*^9}, {
   3.4271455481875*^9, 3.427145549328125*^9}, {3.427145683234375*^9, 
   3.427145723375*^9}, {3.4271457580625*^9, 3.427145777796875*^9}, {
   3.42714634375*^9, 3.42714636259375*^9}, {3.427146419015625*^9, 
   3.427146422203125*^9}, {3.427146462125*^9, 3.427146516515625*^9}, {
   3.427149305640625*^9, 3.427149306140625*^9}, {3.427151081609375*^9, 
   3.427151085328125*^9}, 3.42715166553125*^9, 3.427151696765625*^9, {
   3.427151759296875*^9, 3.42715182425*^9}, {3.427151858234375*^9, 
   3.427151920359375*^9}, {3.427151974953125*^9, 3.427152055984375*^9}, 
   3.4271522428125*^9, {3.4271525954375*^9, 3.4271526019375*^9}, 
   3.42715342215625*^9, {3.42715345271875*^9, 3.42715349065625*^9}, {
   3.427153699296875*^9, 3.427153715515625*^9}, {3.4271547015625*^9, 
   3.427154701734375*^9}, {3.427154946296875*^9, 3.427155068515625*^9}, {
   3.42715518853125*^9, 3.4271552033125*^9}, {3.427156233625*^9, 
   3.427156241265625*^9}, {3.4271562851875*^9, 3.427156285640625*^9}, 
   3.42715666109375*^9, {3.42716096671875*^9, 3.42716097765625*^9}, 
   3.430915384984375*^9, {3.43091661296875*^9, 3.4309166715625*^9}, 
   3.43091759928125*^9, {3.43091938265625*^9, 3.430919465671875*^9}, {
   3.43091986784375*^9, 3.43091989603125*^9}, {3.430919946640625*^9, 
   3.430919980859375*^9}, {3.430920027921875*^9, 3.4309200295625*^9}, {
   3.430923335078125*^9, 3.4309233589375*^9}, {3.43092341378125*^9, 
   3.43092341628125*^9}, {3.430923548953125*^9, 3.43092357915625*^9}, {
   3.4309238835625*^9, 3.430923914328125*^9}, 3.430924180828125*^9, {
   3.43092424934375*^9, 3.430924259515625*^9}, 3.4309243558125*^9, 
   3.430924397078125*^9, {3.430924453390625*^9, 3.43092445346875*^9}, {
   3.430924483484375*^9, 3.43092452865625*^9}, {3.43092492471875*^9, 
   3.43092494590625*^9}, {3.430925281546875*^9, 3.43092532234375*^9}, {
   3.430925360125*^9, 3.43092537496875*^9}, {3.430925422734375*^9, 
   3.430925430296875*^9}, {3.4309265765*^9, 3.430926626515625*^9}, {
   3.4309266669375*^9, 3.430926667015625*^9}, {3.430926990953125*^9, 
   3.43092699103125*^9}, {3.43093595721875*^9, 3.430935967328125*^9}, {
   3.496744096719086*^9, 3.496744114248089*^9}, {3.496744245707608*^9, 
   3.496744282000684*^9}, {3.4967443121834097`*^9, 3.496744426851969*^9}, 
   3.4967444709754925`*^9, {3.4967445431106186`*^9, 3.4967445593875494`*^9}, {
   3.4967445948475776`*^9, 3.496744609505416*^9}, {3.49674469419026*^9, 
   3.496744730550339*^9}, {3.496744772827758*^9, 3.4967448616758394`*^9}, {
   3.4967448944417133`*^9, 3.496744942775478*^9}, {3.4967449851138997`*^9, 
   3.496745001887859*^9}, {3.4967450500526137`*^9, 3.4967450501596203`*^9}, {
   3.4967450814304085`*^9, 3.496745135069476*^9}, {3.49674530418915*^9, 
   3.496745336946023*^9}, {3.496749456620655*^9, 3.4967495683820477`*^9}, {
   3.4967495985577736`*^9, 3.496749676947257*^9}, {3.496749718407628*^9, 
   3.4967497231979027`*^9}, {3.4967498323761473`*^9, 
   3.4967498468799763`*^9}, {3.4967535402652264`*^9, 
   3.4967535822196255`*^9}, {3.4967536303203773`*^9, 
   3.4967536979182434`*^9}, {3.4967570271056623`*^9, 
   3.4967570354611397`*^9}, {3.4967570714301972`*^9, 
   3.4967570719952297`*^9}, {3.4967571282894497`*^9, 3.496757128367454*^9}, {
   3.496757185714734*^9, 3.496757187378829*^9}, 3.496758447189886*^9, 
   3.4967601537094936`*^9, {3.496760192774728*^9, 3.4967602138889356`*^9}, {
   3.496760248736929*^9, 3.496760340604183*^9}, {3.496760572284435*^9, 
   3.496760633285924*^9}, {3.496761153519679*^9, 3.496761174197862*^9}, {
   3.496761319500173*^9, 3.496761321968314*^9}, {3.496761425138215*^9, 
   3.496761425786252*^9}, {3.496761472360916*^9, 3.4967614980123835`*^9}, {
   3.4967616528152375`*^9, 3.4967616754905343`*^9}, 3.4967618289403114`*^9, 
   3.4967625843355174`*^9, 3.4967626482611737`*^9, {3.4967626983280373`*^9, 
   3.4967626984400434`*^9}, {3.4967628162807837`*^9, 3.496762817489853*^9}, {
   3.4967628605443153`*^9, 3.4967629420339766`*^9}, {3.4967630325421534`*^9, 
   3.496763120901207*^9}, {3.4967631555481887`*^9, 3.4967632426461706`*^9}, {
   3.4967632865596824`*^9, 3.496763395299902*^9}, {3.4967634364302545`*^9, 
   3.4967635587572513`*^9}, {3.496765108353883*^9, 3.4967651244148016`*^9}, {
   3.496766464518451*^9, 3.4967664845235953`*^9}, {3.4967665982521005`*^9, 
   3.4967666082426715`*^9}, {3.496767247598241*^9, 3.496767288206564*^9}, {
   3.4967674508128643`*^9, 3.496767559965107*^9}, {3.496768497271157*^9, 
   3.496768497824188*^9}, {3.496772657981715*^9, 3.496772701718091*^9}, 
   3.49677328540993*^9, {3.49677342481358*^9, 3.4967734809935923`*^9}, 
   3.4967735379377174`*^9, {3.49677357574479*^9, 3.4967736392472744`*^9}, {
   3.496773833233917*^9, 3.4967738648386497`*^9}, {3.4967746061826973`*^9, 
   3.49677460715775*^9}, {3.4967747338627005`*^9, 3.4967747974141073`*^9}, {
   3.4967748589114203`*^9, 3.496774916985609*^9}, 3.4967749478203526`*^9, 
   3.4967767847276697`*^9, {3.4967782261591578`*^9, 3.4967782265631804`*^9}, {
   3.4967782926977654`*^9, 3.496778334310015*^9}, {3.4967785285905476`*^9, 
   3.4967785667076263`*^9}, {3.4967787294333897`*^9, 
   3.4967787650153313`*^9}, {3.4967790988364053`*^9, 
   3.4967790993914366`*^9}, {3.4967795348040547`*^9, 3.496779586036772*^9}, {
   3.49677963952168*^9, 3.4967796406297398`*^9}, {3.4969112477263317`*^9, 
   3.4969112573788834`*^9}, {3.4969115917970114`*^9, 3.496911609994052*^9}, 
   3.5479893795684195`*^9, {3.611520621657837*^9, 3.6115206339175386`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", 
     "Ternary", " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", 
     "file"}], ",", " ", "although", ",", " ", 
    RowBox[{
    "I", " ", "generally", " ", "find", " ", "that", " ", "it", " ", "is", 
     " ", "easier", " ", "to", " ", "simpliy", " ", "click", " ", "on", " ", 
     "the", " ", "image", " ", "and", " ", "copy", " ", "and", " ", "paste", 
     " ", "it", " ", "into", " ", "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "in", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", 
       RowBox[{"text", " ", 
        RowBox[{"etc", "."}]}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"for", " ", "instance"}], ",", " ", 
       RowBox[{
        RowBox[{"the", " ", "three"}], "-", 
        RowBox[{"dimensional", " ", "ellipsoid", " ", "graphic"}]}]}], ")"}], 
     " ", "will", " ", "get", " ", "pasted", " ", "into", " ", "Illustrator", 
     " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "appear", " ", "in", " ", "your", 
     " ", "\"\<My Documents\>\"", " ", "folder", " ", "unless", " ", "you", 
     " ", "have", " ", "specified", " ", "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "the", " ", "current", " ", "working", " ", "directory", " ", "type", 
     " ", "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", 
     "cell", " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlotImage.gif\>\"", ",", "TernDiagram"}], "]"}], "\n", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlotImage.jpg\>\"", ",", "TernDiagram"}], "]"}], "\n", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlotImage.tif\>\"", ",", "TernDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"the", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "wmf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlotImage.pdf\>\"", ",", "TernDiagram"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<PlotImage.eps\>\"", ",", "TernDiagram"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, 
   3.4969520344458017`*^9, 3.51948072844322*^9, {3.519480774439851*^9, 
   3.5194807758009286`*^9}, {3.519480806301673*^9, 3.5194808693042765`*^9}, {
   3.5194809061653852`*^9, 3.519480930820795*^9}, {3.5194809681599307`*^9, 
   3.5194810005377827`*^9}, {3.5479894022508593`*^9, 3.5479894631221657`*^9}, 
   3.611621409956268*^9}]
}, Open  ]]
},
WindowSize->{1010, 633},
WindowMargins->{{0, Automatic}, {Automatic, 3}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 7690, 140, 518, "Title"],
Cell[8260, 164, 38001, 877, 2772, "Input"],
Cell[46264, 1043, 5218, 104, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
