(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     71519,       1725]
NotebookOptionsPosition[     70946,       1703]
NotebookOutlinePosition[     71485,       1723]
CellTagsIndexPosition[     71442,       1720]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Vorticity Diagram with Error Regions-v3.0\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["by", "Title",
  FontFamily->"Arial",
  FontSize->26,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" ", "Title",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 Cell[BoxData[
  FormBox[
   RowBox[{"Matty", " ", 
    SuperscriptBox["Mookerjee", "*"]}], TraditionalForm]],
  FontFamily->"Arial",
  FontSize->26,
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\n", "Title",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["*Dept. of Geology, Sonoma State University,Rohnert Park, CA 94928\n\
\n          ", "Title",
  FontFamily->"Arial Narrow",
  FontSize->22,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["This ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebook ", "Title",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["will plot your strain data  onto a vorticity diagram (Tikoff & \
Fossen, 1995) with kinematic vorticity number (Wk) contours and error \
regions.  This program will read both types of Excel files (*.xls and \
*.xlsx).  Examine the files, \"SampleVorticityErrorData.xls\", and \
\"SampleVorticityErrorData.xlsx",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["\"",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" to determine the appropriate file structure (it is easiest simply \
to modify these files and save them with different file names).  Please note \
that your sample names can only be one-word long, i.e., they cannot contain \
any spaces, but underscores and dashes are acceptable (e.g., SL-137-02).  \
Within the code itself, there are parameters that you may wish to alter to \
appropriately scale and format your plot.  The most useful changes are \
described in comments (i.e., between \"(* *)\").  For example, change \
\[OpenCurlyDoubleQuote]Rmax=8;\[CloseCurlyDoubleQuote] to \"Rmax=5;\" to \
reduce the extent of your plot along the x-axis.  You can read the \
\"readme.txt\" file for more information about this program.  To start the \
program (as with all ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" notebooks), place the cursor anywhere in the cell below and \
either press \"Shift + Enter\" or simply press the \"Enter\" key adjacent to \
the number pad.\n           \[OpenCurlyDoubleQuote]Geological Programs for ",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox["Mathematica\[CloseCurlyDoubleQuote]",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]],
 StyleBox[" is licensed under the MIT Licence, Copyright (C) 2010--2014 Matty \
Mookerjee.",
  FontFamily->"Times New Roman",
  FontSize->18,
  FontWeight->"Plain",
  FontColor->RGBColor[0.8, 0.043137254901960784`, 0.00784313725490196]]
}], "Title",
 CellChangeTimes->{
  3.4917614716499157`*^9, {3.4917615574568233`*^9, 3.4917615853424187`*^9}, {
   3.4917616314800577`*^9, 3.4917617411333294`*^9}, {3.4917617914002047`*^9, 
   3.491761819106789*^9}, {3.4917618524476957`*^9, 3.4917619213336363`*^9}, {
   3.4917620172371216`*^9, 3.491762028839785*^9}, {3.4917621011239195`*^9, 
   3.4917622244359727`*^9}, {3.491762641874849*^9, 3.491762662914052*^9}, {
   3.4917627301618986`*^9, 3.4917627370082903`*^9}, {3.491762842899347*^9, 
   3.491762940447926*^9}, {3.4917630387615495`*^9, 3.4917630447968946`*^9}, {
   3.4917630789628487`*^9, 3.491763276090124*^9}, {3.4917633460441246`*^9, 
   3.4917633932208233`*^9}, {3.4917634758815513`*^9, 3.491763569314895*^9}, {
   3.4917636143754725`*^9, 3.491763621594886*^9}, {3.491763696945195*^9, 
   3.4917638106997013`*^9}, {3.4939128235199337`*^9, 3.49391303062278*^9}, {
   3.493913090807222*^9, 3.493913323682542*^9}, {3.493913383986991*^9, 
   3.4939134419803076`*^9}, {3.493913475296213*^9, 3.493913625659814*^9}, {
   3.4939137056683903`*^9, 3.4939137231453896`*^9}, {3.493913756655306*^9, 
   3.493913760269513*^9}, {3.4939236504421988`*^9, 3.4939236807249303`*^9}, 
   3.493923877564189*^9, {3.494027453111116*^9, 3.4940274571973495`*^9}, {
   3.494027495094517*^9, 3.4940275646884975`*^9}, {3.4940276329604025`*^9, 
   3.49402763448949*^9}, {3.4940280221386623`*^9, 3.4940280221386623`*^9}, 
   3.49670000971404*^9, {3.4969317598345575`*^9, 3.4969317870121117`*^9}, 
   3.496933446276016*^9, {3.496934728705367*^9, 3.496934755021872*^9}, {
   3.496941998884867*^9, 3.496942001568072*^9}, {3.4969429953887973`*^9, 
   3.496942996682871*^9}, {3.4969430337529917`*^9, 3.496943075223364*^9}, {
   3.4969432484492717`*^9, 3.4969432711775713`*^9}, {3.496943935191551*^9, 
   3.496943935426564*^9}, 3.4969622850638175`*^9, 3.496963300925061*^9, {
   3.5039409247264986`*^9, 3.5039409255233636`*^9}, {3.5176719076243396`*^9, 
   3.5176719077803397`*^9}, 3.5221028907605033`*^9, 3.547117157611536*^9, {
   3.5472237485997868`*^9, 3.5472237506901903`*^9}, 3.5472241504742928`*^9, {
   3.5472930147759123`*^9, 3.5472930901637063`*^9}, {3.5476601772145643`*^9, 
   3.547660191305584*^9}, 3.5477213887818284`*^9, {3.5479359050075936`*^9, 
   3.5479359062785954`*^9}, 3.547981889209544*^9, {3.54798195020263*^9, 
   3.5479819903226995`*^9}, {3.5479824999369855`*^9, 3.5479825436794624`*^9}, 
   3.547982963994001*^9, {3.6111397560856934`*^9, 3.611139775166785*^9}, {
   3.6111398189712906`*^9, 3.6111398451437874`*^9}, {3.611140729366362*^9, 
   3.61114076762455*^9}, {3.6111407980882926`*^9, 3.6111409122878246`*^9}, {
   3.6111409613236294`*^9, 3.6111409725912733`*^9}, {3.6111829042864857`*^9, 
   3.6111829513471775`*^9}, {3.6111832864923463`*^9, 
   3.6111833014091997`*^9}, {3.611521224900341*^9, 3.6115212285215483`*^9}, {
   3.611521264455603*^9, 3.611521312272338*^9}, {3.61152167771224*^9, 
   3.6115216801933823`*^9}},
 TextAlignment->Left],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\"\<color\>\"", " ", "is", " ", "the", " ", "color", " ", "of", " ", 
     "the", " ", 
     RowBox[{"dots", ".", "  ", "You"}], " ", "can", " ", "use", " ", 
     "several", " ", "words", " ", "for", " ", "the", " ", "color", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", ".", " ", "Black"}], ",", " ", 
       RowBox[{"Blue", " ", "Green"}]}], ")"}], " ", "or", " ", "use", " ", 
     "Functions", " ", "like", " ", 
     RowBox[{"Hue", "[", "]"}]}], ",", " ", 
    RowBox[{"RGBColor", "[", "]"}], ",", " ", 
    RowBox[{"CMYKColor", "[", "]"}], ",", " ", 
    RowBox[{"or", " ", 
     RowBox[{"GreyLevel", "[", "]"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"color", "=", 
    RowBox[{"CMYKColor", "[", 
     RowBox[{"0", ",", "1", ",", "1", ",", ".25"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\"\<PtSize\>\"", " ", "specifies", " ", "the", " ", "size", " ", "of", 
    " ", "the", " ", "dots", " ", "for", " ", "your", " ", "plot"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PtSize", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "You", " ", "can", " ", "change", " ", "Rmax", " ", "to", " ", "change", 
     " ", "the", " ", "extent", " ", "of", " ", "the", " ", "x"}], "-", 
    RowBox[{"axis", " ", "of", " ", "your", " ", "plot"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rmax", "=", "8"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FN", "=", 
    RowBox[{
    "Input", "[", 
     "\"\<Enter the name of the data file to be opened. Enclose the entire \
file name (include the file extension) in quotations marks.\>\"", "]"}]}], 
   ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FF", "=", 
    RowBox[{"FileFormat", "[", "FN", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FF", "\[Equal]", "\"\<XLS\>\""}], "||", 
      RowBox[{"FF", "==", "\"\<XLSX\>\""}]}], ",", "\n", 
     RowBox[{
      RowBox[{"things", "=", 
       RowBox[{"Import", "[", "FN", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"maxcount", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Dimensions", "[", "things", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "-", "1"}]}], ";", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"SampName", "[", "ct", "]"}], "=", 
          RowBox[{"things", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{"ct", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"AxialRatioFit", "[", "ct", "]"}], "=", 
          RowBox[{"things", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{"ct", "+", "1"}], ",", "2"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"feeFit", "[", "ct", "]"}], "=", 
          RowBox[{"things", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{"ct", "+", "1"}], ",", "3"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{"samplect", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"islandnumb", "[", "samplect", "]"}], "=", 
          RowBox[{"things", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{"samplect", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"islandct", "=", "1"}], ";", "\[IndentingNewLine]", 
         RowBox[{"ct", "=", "5"}], ";", "\[IndentingNewLine]", 
         RowBox[{"While", "[", 
          RowBox[{
           RowBox[{"islandct", "\[LessEqual]", 
            RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ct2", "=", "1"}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{"ct", "\[LessEqual]", 
               RowBox[{
                RowBox[{"Dimensions", "[", 
                 RowBox[{"things", "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}]}], "]"}], "]"}], "]"}], 
                "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"things", "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", "ct"}], "]"}], "]"}],
                   "\[Equal]", 
                  RowBox[{"-", "999"}]}], ",", 
                 RowBox[{
                  RowBox[{"ct", "=", 
                   RowBox[{"ct", "+", "1"}]}], ";", 
                  RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"PerimTable", "[", 
                 RowBox[{"samplect", ",", "islandct", ",", "ct2"}], "]"}], 
                "=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"things", "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", "ct"}], "]"}], "]"}],
                   ",", 
                  RowBox[{"things", "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", 
                    RowBox[{"samplect", "+", "1"}], ",", 
                    RowBox[{"ct", "+", "1"}]}], "]"}], "]"}]}], "}"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"ct2", "=", 
                RowBox[{"ct2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"ct", "=", 
                RowBox[{"ct", "+", "2"}]}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"PerimDim", "[", 
              RowBox[{"samplect", ",", "islandct"}], "]"}], "=", 
             RowBox[{"ct2", "-", "1"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"islandct", "=", 
             RowBox[{"islandct", "+", "1"}]}], ";"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"samplect", "=", 
          RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";"}]}], "]"}], 
   ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"samplect", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"samplect", "\[LessEqual]", "maxcount"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"graphicsct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"graphicsct", "\[LessEqual]", 
         RowBox[{"islandnumb", "[", "samplect", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"PerimGraphic", "[", 
           RowBox[{"samplect", ",", "graphicsct"}], "]"}], "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Opacity", "[", ".3", "]"}], ",", "Purple", ",", 
             RowBox[{"EdgeForm", "[", 
              RowBox[{"Directive", "[", 
               RowBox[{
                RowBox[{"Thickness", "[", ".003", "]"}], ",", "Purple"}], 
               "]"}], "]"}], ",", 
             RowBox[{"Polygon", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"PerimTable", "[", 
                 RowBox[{"samplect", ",", "graphicsct", ",", "x"}], "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "1", ",", 
                  RowBox[{"PerimDim", "[", 
                   RowBox[{"samplect", ",", "graphicsct"}], "]"}]}], "}"}]}], 
               "]"}], "]"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"graphicsct", "=", 
          RowBox[{"graphicsct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"samplect", "=", 
       RowBox[{"samplect", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct", "\[LessEqual]", "maxcount"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"GroupedPerimGraphic", "[", "ct", "]"}], "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"PerimGraphic", "[", 
          RowBox[{"ct", ",", "y"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", 
           RowBox[{"islandnumb", "[", "ct", "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ct", "=", 
       RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"numbWk", "=", "11"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "1", "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "2", "]"}], "=", ".9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "3", "]"}], "=", ".8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "4", "]"}], "=", ".7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "5", "]"}], "=", ".6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "6", "]"}], "=", ".5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "7", "]"}], "=", ".4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "8", "]"}], "=", ".3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "9", "]"}], "=", ".2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wk", "[", "10", "]"}], "=", ".1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Wk", "[", "11", "]"}], "=", ".71"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct2", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"ct2", "\[LessEqual]", "numbWk"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Gamma]inc", "=", ".01"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Gamma]max", "=", "4"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Gamma]numb", "=", 
       RowBox[{"\[Gamma]max", "/", "\[Gamma]inc"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Gamma]", "=", "\[Gamma]inc"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]inc", "=", ".01"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]max", "=", "1.3"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]numb", "=", 
       RowBox[{"\[Epsilon]max", "/", "\[Epsilon]inc"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]a", "=", "\[Epsilon]inc"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ct", "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"ct", "\[LessEqual]", "\[Gamma]numb"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "[", "ct", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Wk", "[", "ct2", "]"}], 
             StyleBox["\[NotEqual]", "OperatorCharacter"], 
             StyleBox["1", "OperatorCharacter"]}], 
            StyleBox[",", "OperatorCharacter"], 
            RowBox[{
             StyleBox["If", "OperatorCharacter"], 
             StyleBox["[", "OperatorCharacter"], 
             RowBox[{
              RowBox[{
               StyleBox[
                RowBox[{"Wk", "[", "ct2", "]"}], "OperatorCharacter"], 
               "\[GreaterEqual]", "0.7"}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\[Sqrt]", 
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox["\[Gamma]", "2"]}]], 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]}], ")"}]}], " ", 
                    SuperscriptBox["\[Gamma]", "2"]}], "-", 
                    RowBox[{"2", " ", 
                    SqrtBox["2"], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"], " ", 
                    RowBox[{"\[Sqrt]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "4"]]}], 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]], " ", 
                    SuperscriptBox["\[Gamma]", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], "+", 
                    RowBox[{"Cos", "[", 
                    FractionBox[
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", 
                    FractionBox[
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"2", " ", 
                    RowBox[{"Wk", "[", "ct2", "]"}]}]], "]"}], "2"]}], 
                    ")"}]}]}]}], ")"}]}], ")"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"\[Sqrt]", 
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox["\[Gamma]", "2"]}]], 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]}], ")"}]}], " ", 
                    SuperscriptBox["\[Gamma]", "2"]}], "+", 
                    RowBox[{"2", " ", 
                    SqrtBox["2"], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"], " ", 
                    RowBox[{"\[Sqrt]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "4"]]}], 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]], " ", 
                    SuperscriptBox["\[Gamma]", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], "+", 
                    RowBox[{"Cos", "[", 
                    FractionBox[
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", 
                    FractionBox[
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"2", " ", 
                    RowBox[{"Wk", "[", "ct2", "]"}]}]], "]"}], "2"]}], 
                    ")"}]}]}]}], ")"}]}], ")"}]}], ")"}]}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\[Sqrt]", 
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox["\[Epsilon]a", "2"]}]], 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[Epsilon]a"}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"4", " ", "\[Epsilon]a"}]], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[Epsilon]a"}]], " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]}], ")"}]}], " ", 
                    SuperscriptBox["\[Epsilon]a", "2"]}], "+", 
                    RowBox[{"2", " ", 
                    SqrtBox["2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    RowBox[{"\[Sqrt]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"4", " ", "\[Epsilon]a"}]], " ", 
                    SuperscriptBox["\[Epsilon]a", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], "+", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", "\[Epsilon]a"}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sinh", "[", "\[Epsilon]a", "]"}], "2"]}], ")"}], 
                    "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], "2"]}], 
                    ")"}]}]}]}], ")"}]}], ")"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"\[Sqrt]", 
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox["\[Epsilon]a", "2"]}]], 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[Epsilon]a"}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"4", " ", "\[Epsilon]a"}]], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[Epsilon]a"}]], " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]}], ")"}]}], " ", 
                    SuperscriptBox["\[Epsilon]a", "2"]}], "-", 
                    RowBox[{"2", " ", 
                    SqrtBox["2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    RowBox[{"\[Sqrt]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"4", " ", "\[Epsilon]a"}]], " ", 
                    SuperscriptBox["\[Epsilon]a", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], "+", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", "\[Epsilon]a"}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sinh", "[", "\[Epsilon]a", "]"}], "2"]}], ")"}], 
                    "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], "2"]}], 
                    ")"}]}]}]}], ")"}]}], ")"}]}], ")"}]}]}], "]"}], ",", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{"2", "+", 
               SuperscriptBox["\[Gamma]", "2"], "+", 
               RowBox[{"\[Gamma]", " ", 
                SqrtBox[
                 RowBox[{"4", "+", 
                  SuperscriptBox["\[Gamma]", "2"]}]]}]}], ")"}]}]}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Phi]", "[", "ct", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Wk", "[", "ct2", "]"}], 
             StyleBox["\[NotEqual]", "OperatorCharacter"], 
             StyleBox["1", "OperatorCharacter"]}], 
            StyleBox[",", "OperatorCharacter"], 
            RowBox[{
             StyleBox["If", "OperatorCharacter"], 
             StyleBox["[", "OperatorCharacter"], 
             RowBox[{
              RowBox[{
               StyleBox[
                RowBox[{"Wk", "[", "ct2", "]"}], "OperatorCharacter"], 
               StyleBox["\[GreaterEqual]", "OperatorCharacter"], "0.7"}], ",", 
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", 
               RowBox[{"ArcCoth", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]]}], ")"}], " ", 
                   SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                   SuperscriptBox["\[Gamma]", "2"]}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Wk", "[", "ct2", "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]]}], "-", 
                    FractionBox["1", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]], "+", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]], 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]]}], ")"}], " ", 
                    SuperscriptBox["\[Gamma]", "2"]}], "-", 
                    RowBox[{"2", " ", 
                    SqrtBox["2"], " ", 
                    RowBox[{"\[Sqrt]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "4"]]}], 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]]}]], " ", 
                    SuperscriptBox["\[Gamma]", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], "+", 
                    RowBox[{"Cos", "[", 
                    FractionBox[
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"Wk", "[", "ct2", "]"}]], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", 
                    FractionBox[
                    RowBox[{
                    SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                    "\[Gamma]"}], 
                    RowBox[{"2", " ", 
                    RowBox[{"Wk", "[", "ct2", "]"}]}]], "]"}], "2"]}], 
                    ")"}]}]}]}], ")"}]}], ")"}]}], "]"}], "*", 
               RowBox[{"180", "/", "Pi"}]}], ",", 
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", 
               RowBox[{"ArcCoth", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[Epsilon]a"}]]}], ")"}], " ", 
                   RowBox[{"Wk", "[", "ct2", "]"}], " ", 
                   SqrtBox[
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]], " ", 
                   SuperscriptBox["\[Epsilon]a", "2"]}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[Epsilon]a"}]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[Epsilon]a"}]], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}]}], ")"}], " ", 
                    SuperscriptBox["\[Epsilon]a", "2"]}], "+", 
                   RowBox[{"2", " ", 
                    SqrtBox["2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], " ", 
                    RowBox[{"\[Sqrt]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"4", " ", "\[Epsilon]a"}]], " ", 
                    SuperscriptBox["\[Epsilon]a", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], "+", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", "\[Epsilon]a"}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sinh", "[", "\[Epsilon]a", "]"}], "2"]}], ")"}], 
                    "/", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"Wk", "[", "ct2", "]"}], "2"]}], ")"}], "2"]}], 
                    ")"}]}]}]}], ")"}]}], "]"}], "*", 
               RowBox[{"180", "/", "Pi"}]}]}], "]"}], ",", 
            RowBox[{".5", "*", 
             RowBox[{"ArcTan", "[", 
              RowBox[{"2", "/", "\[Gamma]"}], "]"}], "*", 
             RowBox[{"180", "/", "Pi"}]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"\[Gamma]", "=", 
          RowBox[{"\[Gamma]", "+", "\[Gamma]inc"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"\[Epsilon]a", "=", 
          RowBox[{"\[Epsilon]a", "+", "\[Epsilon]inc"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ct", "=", 
          RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"contour", "[", "ct2", "]"}], "=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"R", "[", "x", "]"}], "]"}], ",", 
               RowBox[{"Re", "[", 
                RowBox[{"\[Phi]", "[", "x", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "1", ",", "\[Gamma]numb"}], "}"}]}], "]"}], 
           ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "Rmax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "45"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"AxesOrigin", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}]}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Black", ",", 
              RowBox[{"Thickness", "[", ".002", "]"}]}], "}"}]}]}], "]"}], 
         ",", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Re", "[", 
                  RowBox[{"R", "[", "x", "]"}], "]"}], ",", 
                 RowBox[{"Re", "[", 
                  RowBox[{"\[Phi]", "[", "x", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"DisplayForm", "[", 
                RowBox[{"\"\<Wk = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"Wk", "[", "ct2", "]"}], "]"}]}], "]"}]}], "]"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "1", ",", "\[Gamma]numb"}], "}"}]}], "]"}], 
           ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "10"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "90"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"AxesOrigin", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}]}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{
              RowBox[{"PointSize", "[", ".000001", "]"}], ",", "Black"}], 
             "]"}]}]}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ct2", "=", 
       RowBox[{"ct2", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wall", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"contour", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", 
         RowBox[{"numbWk", "-", "1"}]}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vortct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"vortct", "\[LessEqual]", "maxcount"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"feeFit", "[", "vortct", "]"}], "*", 
           RowBox[{"Pi", "/", "180"}]}], ")"}], "<", ".000001"}], ",", 
        RowBox[{"L1", "=", 
         RowBox[{"Sqrt", "[", "R", "]"}]}], ",", 
        RowBox[{"L1", "=", 
         RowBox[{"\[Sqrt]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "8"}], " ", 
               SuperscriptBox[
                RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"], " ", 
               SqrtBox[
                RowBox[{"2", "+", 
                 FractionBox["1", 
                  SuperscriptBox[
                   RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]], "+", 
                 SuperscriptBox[
                  RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]}]]}], 
              "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", 
                  RowBox[{"4", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"feeFit", "[", "vortct", "]"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], ")"}]}], "]"}]}], ")"}], 
               " ", 
               RowBox[{"\[Sqrt]", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    SuperscriptBox[
                    RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]}], 
                    ")"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Cos", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"feeFit", "[", "vortct", "]"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], ")"}]}], "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Csc", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"feeFit", "[", "vortct", "]"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], ")"}], "]"}], "4"], " ", 
                  SuperscriptBox[
                   RowBox[{"Sec", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"feeFit", "[", "vortct", "]"}], "*", 
                    RowBox[{"Pi", "/", "180"}]}], ")"}], "]"}], "4"]}], 
                 ")"}]}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"6", " ", 
                  SuperscriptBox[
                   RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]}], "+", 
                 SuperscriptBox[
                  RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "4"]}], 
                ")"}]}], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  SuperscriptBox[
                   RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]}], 
                 ")"}], "2"], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"4", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"feeFit", "[", "vortct", "]"}], "*", 
                   RowBox[{"Pi", "/", "180"}]}], ")"}]}], "]"}]}]}], ")"}]}], 
           ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"gam", "=", 
       RowBox[{"0.5", " ", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            FractionBox[
             RowBox[{"2", "*", " ", 
              RowBox[{"(", 
               RowBox[{"2", "\[InvisibleSpace]", "+", 
                RowBox[{"2", "*", " ", 
                 SuperscriptBox["L1", "4"]}]}], ")"}]}], 
             SuperscriptBox["L1", "2"]]}], "+", 
           RowBox[{"2", "*", " ", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"2", "\[InvisibleSpace]", "+", 
                   RowBox[{"2", "*", " ", 
                    SuperscriptBox["L1", "4"]}]}], ")"}], "2"], 
                SuperscriptBox["L1", "4"]], "-", 
               RowBox[{
                FractionBox["1", 
                 RowBox[{
                  SuperscriptBox["L1", "4"], 
                  SuperscriptBox[
                   RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]}]], 
                RowBox[{"(", 
                 RowBox[{"4", "*", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "1"}], "*", 
                    SuperscriptBox["L1", "4"]}], "+", 
                    SuperscriptBox[
                    RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"], "+", 
                    " ", 
                    RowBox[{
                    SuperscriptBox["L1", "8"], " ", 
                    SuperscriptBox[
                    RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "2"]}], 
                    "-", 
                    RowBox[{"1", "*", " ", 
                    SuperscriptBox["L1", "4"], " ", 
                    SuperscriptBox[
                    RowBox[{"AxialRatioFit", "[", "vortct", "]"}], "4"]}]}], 
                   ")"}]}], ")"}]}]}], ")"}]}]}]}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"m\[Epsilon]a", "=", 
       RowBox[{"Log", "[", "L1", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"m\[Epsilon]b", "=", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "/", "L1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"vort", "[", "vortct", "]"}], "=", 
       RowBox[{"gam", "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"2", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"m\[Epsilon]a", "^", "2"}], ")"}], "+", 
             RowBox[{"(", 
              RowBox[{"m\[Epsilon]b", "^", "2"}], ")"}]}], ")"}]}], "+", 
          RowBox[{"gam", "^", "2"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vortct", "=", 
       RowBox[{"vortct", "+", "1"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bottom", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{"R", "[", "x", "]"}], "]"}], ",", 
         RowBox[{"Re", "[", 
          RowBox[{"\[Phi]", "[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "\[Gamma]numb"}], "}"}]}], "]"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "Rmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "45"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Yellow", "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
     RowBox[{"FillingStyle", "->", 
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.15", "]"}], ",", "Blue"}], "]"}]}]}], 
    "]"}]}], ";", 
  RowBox[{"middle", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{"R", "[", "x", "]"}], "]"}], ",", 
         RowBox[{"Re", "[", 
          RowBox[{"\[Phi]", "[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "\[Gamma]numb"}], "}"}]}], "]"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "Rmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "45"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.51", "]"}], ",", 
        RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", "Top"}], ",", 
     RowBox[{"FillingStyle", "->", 
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.25", "]"}], ",", "Yellow"}], "]"}]}]}], 
    "]"}]}], ";", 
  RowBox[{"\[Gamma]inc", "=", ".01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Gamma]", "=", "\[Gamma]inc"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ct", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"While", "[", 
   RowBox[{
    RowBox[{"ct", "\[LessEqual]", "\[Gamma]numb"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"BoundaryR", "[", "ct", "]"}], "=", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         SuperscriptBox["\[Gamma]", "2"], "+", 
         RowBox[{"\[Gamma]", " ", 
          SqrtBox[
           RowBox[{"4", "+", 
            SuperscriptBox["\[Gamma]", "2"]}]]}]}], ")"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Boundary\[Phi]", "[", "ct", "]"}], "=", 
      RowBox[{".5", "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"2", "/", "\[Gamma]"}], "]"}], "*", 
       RowBox[{"180", "/", "Pi"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Gamma]", "=", 
      RowBox[{"\[Gamma]", "+", "\[Gamma]inc"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ct", "=", 
      RowBox[{"ct", "+", "1"}]}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BoundaryContour", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{"BoundaryR", "[", "x", "]"}], "]"}], ",", 
         RowBox[{"Re", "[", 
          RowBox[{"Boundary\[Phi]", "[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "\[Gamma]numb"}], "}"}]}], "]"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "Rmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "45"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", ".003", "]"}]}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", "Top"}], ",", 
     RowBox[{"FillingStyle", "->", 
      RowBox[{"Directive", "[", "White", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BackGround", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"bottom", ",", "middle", ",", "BoundaryContour"}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"color", ",", 
      RowBox[{"PointSize", "[", "PtSize", "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"AxialRatioFit", "[", "x", "]"}], ",", 
             RowBox[{"feeFit", "[", "x", "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"DisplayForm", "[", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\"\<Sample: \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"SampName", "[", "x", "]"}], "]"}], "]"}]}], 
              RowBox[{"\"\<,  Wk = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"N", "[", 
                 RowBox[{"vort", "[", "x", "]"}], "]"}], "]"}]}]}], "}"}], 
            "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}]}], "}"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"VortDiagram", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"BackGround", ",", "Wall", ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"GroupedPerimGraphic", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1", ",", "maxcount"}], "}"}]}], "]"}], ",", "pts", 
    ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "Rmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "45"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "575"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Strain Ratio (Rxz)\>\"", ",", "\"\<\[Theta]'(\[Degree])\>\""}], 
      "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Bold", ",", "20"}], "]"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{
      "\"\<Vorticity Diagram\>\"", ",", "32", ",", "Blue", ",", "Bold"}], 
      "]"}]}], ",", 
    RowBox[{"ImagePadding", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"60", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"60", ",", "10"}], "}"}]}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.611167710055425*^9, {3.611168363443797*^9, 3.611168417645897*^9}, 
   3.611181044035085*^9, 3.6111828403138266`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "you", " ", "can", " ", "export", " ", "your", " ", 
     "Vorticity", " ", "Diagram", " ", "to", " ", "a", " ", "graphics", " ", 
     "file"}], ",", " ", "although", ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "generally", " ", "easier", " ", "to", " ", 
     "simpliy", " ", "click", " ", "on", " ", "the", " ", "image", " ", "and",
      " ", "copy", " ", "and", " ", "paste", " ", "it", " ", "into", " ", 
     "another", " ", "program", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"e", ".", "g", "."}], ",", " ", 
        RowBox[{
        "Adobe", " ", "Illustrator", " ", "or", " ", "Adobe", " ", 
         "Photoshop"}]}], ")"}], ".", "  ", "With"}], " ", "some", " ", 
     "Mathematica", " ", "graphics"}], ",", " ", 
    RowBox[{
    "pasting", " ", "the", " ", "image", " ", "into", " ", "Adobe", " ", 
     "Illustrator", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "similar", " ", "programs"}], ")"}], " ", "gives", 
     " ", "you", " ", "the", " ", "ability", " ", "to", " ", "continue", " ", 
     "to", " ", "manipulate", " ", "the", " ", "image", " ", "as", " ", "a", 
     " ", "vector", " ", "diagram", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"e", ".", "g", "."}], ",", " ", 
       RowBox[{
       "you", " ", "can", " ", "change", " ", "the", " ", "stroke", " ", 
        "weight", " ", "for", " ", "individual", " ", "lines"}], ",", " ", 
       RowBox[{"change", " ", "colors", " ", "of", " ", "points"}], ",", " ", 
       "lines", ",", " ", "text", ",", " ", 
       RowBox[{"etc", "."}]}], ")"}], " ", "while", " ", "other", " ", 
     "graphics", " ", "will", " ", "get", " ", "pasted", " ", "into", " ", 
     "Illustrator", " ", "as", " ", "a", " ", "rastor", " ", "image", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", ".", "e", "."}], ",", " ", 
        RowBox[{"like", " ", "a", " ", "static", " ", "photograph"}]}], ")"}],
       ".", " ", "If"}], " ", "you", " ", "are", " ", "using", " ", "a", " ", 
     "Windows", " ", "operating", " ", "system"}], ",", " ", 
    RowBox[{
    "your", " ", "file", " ", "will", " ", "most", " ", "likely", " ", 
     "appear", " ", "in", " ", "your", " ", "\"\<My Documents\>\"", " ", 
     "folder", " ", "unless", " ", "you", " ", "have", " ", "specified", " ", 
     "a", " ", "different", " ", 
     RowBox[{"path", ".", " ", "To"}], " ", "determine", " ", "your", " ", 
     "current", " ", "working", " ", "directory", " ", "type", " ", 
     "\"\<Directory[]\>\"", " ", "into", " ", "an", " ", "empty", " ", "cell",
      " ", "and", " ", "evaluate", " ", "that", " ", 
     RowBox[{"cell", ".", "  ", "You"}], " ", "can", " ", "also", " ", 
     "change", " ", "the", " ", "directory", " ", "with", " ", "the", " ", 
     RowBox[{"SetDirectory", "[", "]"}], " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<GroupVortDiagram-\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"FileBaseName", "[", "FN", "]"}], "<>", 
          RowBox[{"ToString", "[", "\"\<.jpg\>\"", "]"}]}], "]"}]}], "}"}], 
      "]"}], ",", "VortDiagram"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<GroupVortDiagram-\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"FileBaseName", "[", "FN", "]"}], "<>", 
          RowBox[{"ToString", "[", "\"\<.tif\>\"", "]"}]}], "]"}]}], "}"}], 
      "]"}], ",", "VortDiagram"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<GroupVortDiagram-\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"FileBaseName", "[", "FN", "]"}], "<>", 
          RowBox[{"ToString", "[", "\"\<.gif\>\"", "]"}]}], "]"}]}], "}"}], 
      "]"}], ",", "VortDiagram"}], "]"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "*", 
      RowBox[{".", "eps"}], " ", "and", " ", "*", 
      RowBox[{".", "pdf"}], " ", "file", " ", "formats", " ", "save", " ", 
      "the", " ", "image", " ", "as", " ", "a", " ", "vector", " ", 
      RowBox[{"image", ".", "  ", "As"}], " ", "mentioned", " ", "above"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "this", " ", "has", " ", "the", " ", "advantage", " ", "of", " ", 
       "being", " ", "able", " ", "to", " ", "manipulate", " ", "individual", 
       " ", "components", " ", "of", " ", "the", " ", "image", " ", "using", 
       " ", "programs", " ", "like", " ", "Adobe", " ", "Illustrator"}], ";", 
      " ", "however"}], ",", " ", 
     RowBox[{"you", " ", "may", " ", "loose", " ", "some", " ", 
      RowBox[{"resolution", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<GroupVortDiagram-\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"FileBaseName", "[", "FN", "]"}], "<>", 
          RowBox[{"ToString", "[", "\"\<.pdf\>\"", "]"}]}], "]"}]}], "}"}], 
      "]"}], ",", "VortDiagram"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<GroupVortDiagram-\>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"FileBaseName", "[", "FN", "]"}], "<>", 
          RowBox[{"ToString", "[", "\"\<.eps\>\"", "]"}]}], "]"}]}], "}"}], 
      "]"}], ",", "VortDiagram"}], "]"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4967750049414854`*^9, 3.496775058535248*^9}, {
   3.4967752804922247`*^9, 3.496775442930035*^9}, {3.4967754946418276`*^9, 
   3.4967757176159024`*^9}, {3.496775759380167*^9, 3.4967757603632207`*^9}, {
   3.496928988470044*^9, 3.496928989289091*^9}, {3.4969291953258753`*^9, 
   3.496929208481628*^9}, {3.496939064591365*^9, 3.4969390915569077`*^9}, 
   3.4969514021846385`*^9, 3.4969515764426055`*^9, 3.496951783440445*^9, {
   3.496951852793412*^9, 3.4969518530864286`*^9}, 3.5032390337527504`*^9, {
   3.503239666154953*^9, 3.503239676201764*^9}, {3.5032397204827304`*^9, 
   3.50323973224828*^9}, {3.5032397814198403`*^9, 3.5032398065446796`*^9}, {
   3.503239880231708*^9, 3.5032399989340734`*^9}, {3.5032401029802823`*^9, 
   3.5032401114177284`*^9}, {3.503240167339246*^9, 3.503240177886053*^9}, {
   3.5032404392750053`*^9, 3.503240602711459*^9}, {3.503240661039211*^9, 
   3.50324067366413*^9}, {3.5032407095857754`*^9, 3.5032407156326113`*^9}, {
   3.5037522202728105`*^9, 3.5037522300847454`*^9}, 3.5037522602236342`*^9, {
   3.5039411879262547`*^9, 3.5039411901918507`*^9}, {3.5039412239570436`*^9, 
   3.503941296034246*^9}, {3.547293154317481*^9, 3.547293159126544*^9}, {
   3.547982623083602*^9, 3.5479826666076784`*^9}, {3.6111495696886697`*^9, 
   3.6111495715217743`*^9}, {3.6111496167783628`*^9, 
   3.6111496829981503`*^9}, {3.611149821143052*^9, 3.611149825549304*^9}, {
   3.611521738079693*^9, 3.611521757552807*^9}, {3.6115218005362654`*^9, 
   3.6115218442567663`*^9}}]
}, Open  ]]
},
WindowSize->{1043, 632},
WindowMargins->{{2, Automatic}, {Automatic, 0}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 7099, 138, 515, "Title"],
Cell[7669, 162, 55874, 1388, 4242, "Input"],
Cell[63546, 1552, 7384, 148, 392, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
